# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-Alien-Build
Version: 1.480
Release: 1
Summary: Build external dependencies for use in CPAN
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: perl_5
Vendor: Graham Ollis <plicease@cpan.org>, Joel Berger <joel.a.berger@gmail.com>
URL: https://metacpan.org/pod/Alien::Build
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(Capture::Tiny) >= 0.170
Requires: perl(ExtUtils::CBuilder)
Requires: perl(ExtUtils::ParseXS) >= 3.300
Requires: perl(FFI::CheckLib) >= 0.110
Requires: perl(File::Which) >= 1.100
Requires: perl(File::chdir)
Requires: perl(JSON::PP)
Requires: perl(Module::Load)
Requires: perl(Path::Tiny) >= 0.077
Requires: perl(Test2::API) >= 1.302.015
Requires: perl(Test2::Require) >= 0.000.060
Requires: perl(Text::ParseWords) >= 3.260
Requires: perl >= 5.8.1
Epoch: 10
Provides: perl(Alien::Base) = 1.480
Provides: perl(Alien::Base::PkgConfig) = 1.480
Provides: perl(Alien::Base::Wrapper) = 1.480
Provides: perl(Alien::Build) = 1.480
Provides: perl(Alien::Build::CommandSequence) = 1.480
Provides: perl(Alien::Build::Interpolate) = 1.480
Provides: perl(Alien::Build::Interpolate::Default) = 1.480
Provides: perl(Alien::Build::Interpolate::Helper)
Provides: perl(Alien::Build::MM) = 1.480
Provides: perl(Alien::Build::Meta)
Provides: perl(Alien::Build::Plugin) = 1.480
Provides: perl(Alien::Build::Plugin::Build::Autoconf) = 1.480
Provides: perl(Alien::Build::Plugin::Build::CMake) = 1.480
Provides: perl(Alien::Build::Plugin::Build::MSYS) = 1.480
Provides: perl(Alien::Build::Plugin::Build::Make) = 1.480
Provides: perl(Alien::Build::Plugin::Build::SearchDep) = 1.480
Provides: perl(Alien::Build::Plugin::Core::Download) = 1.480
Provides: perl(Alien::Build::Plugin::Core::FFI) = 1.480
Provides: perl(Alien::Build::Plugin::Core::Gather) = 1.480
Provides: perl(Alien::Build::Plugin::Core::Legacy) = 1.480
Provides: perl(Alien::Build::Plugin::Core::Override) = 1.480
Provides: perl(Alien::Build::Plugin::Core::Setup) = 1.480
Provides: perl(Alien::Build::Plugin::Core::Tail) = 1.480
Provides: perl(Alien::Build::Plugin::Decode::DirListing) = 1.480
Provides: perl(Alien::Build::Plugin::Decode::DirListingFtpcopy) = 1.480
Provides: perl(Alien::Build::Plugin::Decode::HTML) = 1.480
Provides: perl(Alien::Build::Plugin::Download::Negotiate) = 1.480
Provides: perl(Alien::Build::Plugin::Extract::ArchiveTar) = 1.480
Provides: perl(Alien::Build::Plugin::Extract::ArchiveZip) = 1.480
Provides: perl(Alien::Build::Plugin::Extract::CommandLine) = 1.480
Provides: perl(Alien::Build::Plugin::Extract::Directory) = 1.480
Provides: perl(Alien::Build::Plugin::Extract::Negotiate) = 1.480
Provides: perl(Alien::Build::Plugin::Fetch::CurlCommand) = 1.480
Provides: perl(Alien::Build::Plugin::Fetch::HTTPTiny) = 1.480
Provides: perl(Alien::Build::Plugin::Fetch::LWP) = 1.480
Provides: perl(Alien::Build::Plugin::Fetch::Local) = 1.480
Provides: perl(Alien::Build::Plugin::Fetch::LocalDir) = 1.480
Provides: perl(Alien::Build::Plugin::Fetch::NetFTP) = 1.480
Provides: perl(Alien::Build::Plugin::Fetch::Wget) = 1.480
Provides: perl(Alien::Build::Plugin::Gather::IsolateDynamic) = 1.480
Provides: perl(Alien::Build::Plugin::PkgConfig::CommandLine) = 1.480
Provides: perl(Alien::Build::Plugin::PkgConfig::LibPkgConf) = 1.480
Provides: perl(Alien::Build::Plugin::PkgConfig::MakeStatic) = 1.480
Provides: perl(Alien::Build::Plugin::PkgConfig::Negotiate) = 1.480
Provides: perl(Alien::Build::Plugin::PkgConfig::PP) = 1.480
Provides: perl(Alien::Build::Plugin::Prefer::BadVersion) = 1.480
Provides: perl(Alien::Build::Plugin::Prefer::GoodVersion) = 1.480
Provides: perl(Alien::Build::Plugin::Prefer::SortVersions) = 1.480
Provides: perl(Alien::Build::Plugin::Probe::CBuilder) = 1.480
Provides: perl(Alien::Build::Plugin::Probe::CommandLine) = 1.480
Provides: perl(Alien::Build::PluginMeta)
Provides: perl(Alien::Build::TempDir)
Provides: perl(Alien::Build::Util) = 1.480
Provides: perl(Alien::Build::Version::Basic) = 1.480
Provides: perl(Alien::Build::rc)
Provides: perl(Alien::Role) = 1.480
Provides: perl(Test::Alien) = 1.480
Provides: perl(Test::Alien::Build) = 1.480
Provides: perl(Test::Alien::CanCompile) = 1.480
Provides: perl(Test::Alien::CanPlatypus) = 1.480
Provides: perl(Test::Alien::Run) = 1.480
Provides: perl(Test::Alien::Synthetic) = 1.480
Provides: perl(alienfile) = 1.480
%description
Build external dependencies for use in CPAN

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/share/man/man3/Alien::Base.3pm
/usr/share/man/man3/Alien::Base::Authoring.3pm
/usr/share/man/man3/Alien::Base::FAQ.3pm
/usr/share/man/man3/Alien::Base::PkgConfig.3pm
/usr/share/man/man3/Alien::Base::Wrapper.3pm
/usr/share/man/man3/Alien::Build.3pm
/usr/share/man/man3/Alien::Build::CommandSequence.3pm
/usr/share/man/man3/Alien::Build::Interpolate.3pm
/usr/share/man/man3/Alien::Build::Interpolate::Default.3pm
/usr/share/man/man3/Alien::Build::MM.3pm
/usr/share/man/man3/Alien::Build::Manual::AlienAuthor.3pm
/usr/share/man/man3/Alien::Build::Manual::AlienUser.3pm
/usr/share/man/man3/Alien::Build::Manual::Contributing.3pm
/usr/share/man/man3/Alien::Build::Manual::FAQ.3pm
/usr/share/man/man3/Alien::Build::Manual::PluginAuthor.3pm
/usr/share/man/man3/Alien::Build::Plugin.3pm
/usr/share/man/man3/Alien::Build::Plugin::Build.3pm
/usr/share/man/man3/Alien::Build::Plugin::Build::Autoconf.3pm
/usr/share/man/man3/Alien::Build::Plugin::Build::CMake.3pm
/usr/share/man/man3/Alien::Build::Plugin::Build::MSYS.3pm
/usr/share/man/man3/Alien::Build::Plugin::Build::Make.3pm
/usr/share/man/man3/Alien::Build::Plugin::Build::SearchDep.3pm
/usr/share/man/man3/Alien::Build::Plugin::Core.3pm
/usr/share/man/man3/Alien::Build::Plugin::Core::Download.3pm
/usr/share/man/man3/Alien::Build::Plugin::Core::FFI.3pm
/usr/share/man/man3/Alien::Build::Plugin::Core::Gather.3pm
/usr/share/man/man3/Alien::Build::Plugin::Core::Legacy.3pm
/usr/share/man/man3/Alien::Build::Plugin::Core::Override.3pm
/usr/share/man/man3/Alien::Build::Plugin::Core::Setup.3pm
/usr/share/man/man3/Alien::Build::Plugin::Core::Tail.3pm
/usr/share/man/man3/Alien::Build::Plugin::Decode.3pm
/usr/share/man/man3/Alien::Build::Plugin::Decode::DirListing.3pm
/usr/share/man/man3/Alien::Build::Plugin::Decode::DirListingFtpcopy.3pm
/usr/share/man/man3/Alien::Build::Plugin::Decode::HTML.3pm
/usr/share/man/man3/Alien::Build::Plugin::Download.3pm
/usr/share/man/man3/Alien::Build::Plugin::Download::Negotiate.3pm
/usr/share/man/man3/Alien::Build::Plugin::Extract.3pm
/usr/share/man/man3/Alien::Build::Plugin::Extract::ArchiveTar.3pm
/usr/share/man/man3/Alien::Build::Plugin::Extract::ArchiveZip.3pm
/usr/share/man/man3/Alien::Build::Plugin::Extract::CommandLine.3pm
/usr/share/man/man3/Alien::Build::Plugin::Extract::Directory.3pm
/usr/share/man/man3/Alien::Build::Plugin::Extract::Negotiate.3pm
/usr/share/man/man3/Alien::Build::Plugin::Fetch.3pm
/usr/share/man/man3/Alien::Build::Plugin::Fetch::CurlCommand.3pm
/usr/share/man/man3/Alien::Build::Plugin::Fetch::HTTPTiny.3pm
/usr/share/man/man3/Alien::Build::Plugin::Fetch::LWP.3pm
/usr/share/man/man3/Alien::Build::Plugin::Fetch::Local.3pm
/usr/share/man/man3/Alien::Build::Plugin::Fetch::LocalDir.3pm
/usr/share/man/man3/Alien::Build::Plugin::Fetch::NetFTP.3pm
/usr/share/man/man3/Alien::Build::Plugin::Fetch::Wget.3pm
/usr/share/man/man3/Alien::Build::Plugin::Gather::IsolateDynamic.3pm
/usr/share/man/man3/Alien::Build::Plugin::PkgConfig::CommandLine.3pm
/usr/share/man/man3/Alien::Build::Plugin::PkgConfig::LibPkgConf.3pm
/usr/share/man/man3/Alien::Build::Plugin::PkgConfig::MakeStatic.3pm
/usr/share/man/man3/Alien::Build::Plugin::PkgConfig::Negotiate.3pm
/usr/share/man/man3/Alien::Build::Plugin::PkgConfig::PP.3pm
/usr/share/man/man3/Alien::Build::Plugin::Prefer.3pm
/usr/share/man/man3/Alien::Build::Plugin::Prefer::BadVersion.3pm
/usr/share/man/man3/Alien::Build::Plugin::Prefer::GoodVersion.3pm
/usr/share/man/man3/Alien::Build::Plugin::Prefer::SortVersions.3pm
/usr/share/man/man3/Alien::Build::Plugin::Probe.3pm
/usr/share/man/man3/Alien::Build::Plugin::Probe::CBuilder.3pm
/usr/share/man/man3/Alien::Build::Plugin::Probe::CommandLine.3pm
/usr/share/man/man3/Alien::Build::Util.3pm
/usr/share/man/man3/Alien::Build::Version::Basic.3pm
/usr/share/man/man3/Alien::Role.3pm
/usr/share/man/man3/Test::Alien.3pm
/usr/share/man/man3/Test::Alien::Build.3pm
/usr/share/man/man3/Test::Alien::CanCompile.3pm
/usr/share/man/man3/Test::Alien::CanPlatypus.3pm
/usr/share/man/man3/Test::Alien::Run.3pm
/usr/share/man/man3/Test::Alien::Synthetic.3pm
/usr/share/man/man3/alienfile.3pm
/usr/share/perl5/vendor_perl/Alien/Base/Authoring.pod
/usr/share/perl5/vendor_perl/Alien/Base/FAQ.pod
/usr/share/perl5/vendor_perl/Alien/Base/PkgConfig.pm
/usr/share/perl5/vendor_perl/Alien/Base/Wrapper.pm
/usr/share/perl5/vendor_perl/Alien/Base.pm
/usr/share/perl5/vendor_perl/Alien/Build/CommandSequence.pm
/usr/share/perl5/vendor_perl/Alien/Build/Interpolate/Default.pm
/usr/share/perl5/vendor_perl/Alien/Build/Interpolate.pm
/usr/share/perl5/vendor_perl/Alien/Build/MM.pm
/usr/share/perl5/vendor_perl/Alien/Build/Manual/AlienAuthor.pod
/usr/share/perl5/vendor_perl/Alien/Build/Manual/AlienUser.pod
/usr/share/perl5/vendor_perl/Alien/Build/Manual/Contributing.pod
/usr/share/perl5/vendor_perl/Alien/Build/Manual/FAQ.pod
/usr/share/perl5/vendor_perl/Alien/Build/Manual/PluginAuthor.pod
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/Build/Autoconf.pm
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/Build/CMake.pm
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/Build/MSYS.pm
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/Build/Make.pm
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/Build/SearchDep.pm
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/Build.pod
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/Core/Download.pm
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/Core/FFI.pm
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/Core/Gather.pm
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/Core/Legacy.pm
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/Core/Override.pm
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/Core/Setup.pm
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/Core/Tail.pm
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/Core.pod
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/Decode/DirListing.pm
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/Decode/DirListingFtpcopy.pm
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/Decode/HTML.pm
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/Decode.pod
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/Download/Negotiate.pm
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/Download.pod
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/Extract/ArchiveTar.pm
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/Extract/ArchiveZip.pm
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/Extract/CommandLine.pm
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/Extract/Directory.pm
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/Extract/Negotiate.pm
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/Extract.pod
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/Fetch/CurlCommand.pm
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/Fetch/HTTPTiny.pm
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/Fetch/LWP.pm
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/Fetch/Local.pm
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/Fetch/LocalDir.pm
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/Fetch/NetFTP.pm
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/Fetch/Wget.pm
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/Fetch.pod
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/Gather/IsolateDynamic.pm
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/PkgConfig/CommandLine.pm
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/PkgConfig/LibPkgConf.pm
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/PkgConfig/MakeStatic.pm
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/PkgConfig/Negotiate.pm
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/PkgConfig/PP.pm
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/Prefer/BadVersion.pm
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/Prefer/GoodVersion.pm
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/Prefer/SortVersions.pm
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/Prefer.pod
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/Probe/CBuilder.pm
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/Probe/CommandLine.pm
/usr/share/perl5/vendor_perl/Alien/Build/Plugin/Probe.pod
/usr/share/perl5/vendor_perl/Alien/Build/Plugin.pm
/usr/share/perl5/vendor_perl/Alien/Build/Util.pm
/usr/share/perl5/vendor_perl/Alien/Build/Version/Basic.pm
/usr/share/perl5/vendor_perl/Alien/Build.pm
/usr/share/perl5/vendor_perl/Alien/Role.pm
/usr/share/perl5/vendor_perl/Test/Alien/Build.pm
/usr/share/perl5/vendor_perl/Test/Alien/CanCompile.pm
/usr/share/perl5/vendor_perl/Test/Alien/CanPlatypus.pm
/usr/share/perl5/vendor_perl/Test/Alien/Run.pm
/usr/share/perl5/vendor_perl/Test/Alien/Synthetic.pm
/usr/share/perl5/vendor_perl/Test/Alien.pm
/usr/share/perl5/vendor_perl/alienfile.pm

%changelog

