# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-B-Hooks-EndOfScope
Version: 0.240
Release: 1
Summary: Execute code after a scope finished compilation
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: perl_5
Vendor: Florian Ragwitz <rafl@debian.org>, Peter Rabbitson <ribasushi@leporine.io>
URL: https://github.com/karenetheridge/B-Hooks-EndOfScope
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(Module::Implementation) >= 0.050
Requires: perl(Scalar::Util)
Requires: perl(Sub::Exporter::Progressive) >= 0.001.006
Requires: perl >= 5.6.1
Requires: perl(strict)
Requires: perl(warnings)
Epoch: 10
Provides: perl(B::Hooks::EndOfScope) = 0.240
Provides: perl(B::Hooks::EndOfScope::PP) = 0.240
Provides: perl(B::Hooks::EndOfScope::XS) = 0.240
%description
Execute code after a scope finished compilation

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/share/man/man3/B::Hooks::EndOfScope.3pm
/usr/share/man/man3/B::Hooks::EndOfScope::PP.3pm
/usr/share/man/man3/B::Hooks::EndOfScope::XS.3pm
/usr/share/perl5/vendor_perl/B/Hooks/EndOfScope/PP/FieldHash.pm
/usr/share/perl5/vendor_perl/B/Hooks/EndOfScope/PP/HintHash.pm
/usr/share/perl5/vendor_perl/B/Hooks/EndOfScope/PP.pm
/usr/share/perl5/vendor_perl/B/Hooks/EndOfScope/XS.pm
/usr/share/perl5/vendor_perl/B/Hooks/EndOfScope.pm

%changelog

