# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-BSON
Version: 1.8.0
Release: 1
Summary: BSON serialization and deserialization
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: apache_2_0
Vendor: David Golden <david@mongodb.com>, Stefan G. <minimalist@lavabit.com>
URL: https://github.com/mongodb/mongo-perl-bson
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(B)
Requires: perl(Carp)
Requires: perl(Digest::MD5)
Requires: perl(Exporter)
Requires: perl(List::Util)
Requires: perl(MIME::Base64)
Requires: perl(Math::BigFloat)
Requires: perl(Math::BigInt)
Requires: perl(Moo) >= 2.002.004
Requires: perl(Scalar::Util)
Requires: perl(Sys::Hostname)
Requires: perl(Tie::IxHash)
Requires: perl(Time::HiRes)
Requires: perl(Time::Local)
Requires: perl(base)
Requires: perl(boolean) >= 0.450
Requires: perl(constant)
Requires: perl(if)
Requires: perl(mro)
Requires: perl(namespace::clean)
Requires: perl(overload)
Requires: perl >= 5.10.1
Requires: perl(re)
Requires: perl(strict)
Requires: perl(threads::shared)
Requires: perl(version)
Requires: perl(warnings)
Epoch: 10
Provides: perl(BSON) = 1.8.0
Provides: perl(BSON::Binary) = 1.8.0
Provides: perl(BSON::Bool) = 1.8.0
Provides: perl(BSON::Bytes) = 1.8.0
Provides: perl(BSON::Code) = 1.8.0
Provides: perl(BSON::DBPointer) = 1.8.0
Provides: perl(BSON::DBRef) = 1.8.0
Provides: perl(BSON::Decimal128) = 1.8.0
Provides: perl(BSON::Doc) = 1.8.0
Provides: perl(BSON::Double) = 1.8.0
Provides: perl(BSON::Int32) = 1.8.0
Provides: perl(BSON::Int64) = 1.8.0
Provides: perl(BSON::MaxKey) = 1.8.0
Provides: perl(BSON::MinKey) = 1.8.0
Provides: perl(BSON::OID) = 1.8.0
Provides: perl(BSON::ObjectId) = 1.8.0
Provides: perl(BSON::PP) = 1.8.0
Provides: perl(BSON::Raw) = 1.8.0
Provides: perl(BSON::Regex) = 1.8.0
Provides: perl(BSON::String) = 1.8.0
Provides: perl(BSON::Symbol) = 1.8.0
Provides: perl(BSON::Time) = 1.8.0
Provides: perl(BSON::Timestamp) = 1.8.0
Provides: perl(BSON::Types) = 1.8.0
%description
BSON serialization and deserialization

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/share/man/man3/BSON.3pm
/usr/share/man/man3/BSON::Binary.3pm
/usr/share/man/man3/BSON::Bool.3pm
/usr/share/man/man3/BSON::Bytes.3pm
/usr/share/man/man3/BSON::Code.3pm
/usr/share/man/man3/BSON::DBPointer.3pm
/usr/share/man/man3/BSON::DBRef.3pm
/usr/share/man/man3/BSON::Decimal128.3pm
/usr/share/man/man3/BSON::Doc.3pm
/usr/share/man/man3/BSON::Double.3pm
/usr/share/man/man3/BSON::Int32.3pm
/usr/share/man/man3/BSON::Int64.3pm
/usr/share/man/man3/BSON::MaxKey.3pm
/usr/share/man/man3/BSON::MinKey.3pm
/usr/share/man/man3/BSON::OID.3pm
/usr/share/man/man3/BSON::ObjectId.3pm
/usr/share/man/man3/BSON::PP.3pm
/usr/share/man/man3/BSON::Raw.3pm
/usr/share/man/man3/BSON::Regex.3pm
/usr/share/man/man3/BSON::String.3pm
/usr/share/man/man3/BSON::Symbol.3pm
/usr/share/man/man3/BSON::Time.3pm
/usr/share/man/man3/BSON::Timestamp.3pm
/usr/share/man/man3/BSON::Types.3pm
/usr/share/perl5/vendor_perl/BSON/Binary.pm
/usr/share/perl5/vendor_perl/BSON/Bool.pm
/usr/share/perl5/vendor_perl/BSON/Bytes.pm
/usr/share/perl5/vendor_perl/BSON/Code.pm
/usr/share/perl5/vendor_perl/BSON/DBPointer.pm
/usr/share/perl5/vendor_perl/BSON/DBRef.pm
/usr/share/perl5/vendor_perl/BSON/Decimal128.pm
/usr/share/perl5/vendor_perl/BSON/Doc.pm
/usr/share/perl5/vendor_perl/BSON/Double.pm
/usr/share/perl5/vendor_perl/BSON/Int32.pm
/usr/share/perl5/vendor_perl/BSON/Int64.pm
/usr/share/perl5/vendor_perl/BSON/MaxKey.pm
/usr/share/perl5/vendor_perl/BSON/MinKey.pm
/usr/share/perl5/vendor_perl/BSON/OID.pm
/usr/share/perl5/vendor_perl/BSON/ObjectId.pm
/usr/share/perl5/vendor_perl/BSON/PP.pm
/usr/share/perl5/vendor_perl/BSON/Raw.pm
/usr/share/perl5/vendor_perl/BSON/Regex.pm
/usr/share/perl5/vendor_perl/BSON/String.pm
/usr/share/perl5/vendor_perl/BSON/Symbol.pm
/usr/share/perl5/vendor_perl/BSON/Time.pm
/usr/share/perl5/vendor_perl/BSON/Timestamp.pm
/usr/share/perl5/vendor_perl/BSON/Types.pm
/usr/share/perl5/vendor_perl/BSON.pm

%changelog

