# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-CPAN-Changes
Version: 0.400.002
Release: 1
Summary: Read and write Changes files
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: perl_5
Vendor: Brian Cassidy <bricas@cpan.org>
URL: http://example.com/no-uri-given
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(Text::Wrap) >= 0.003
Requires: perl(version) >= 0.990.600
Epoch: 10
Provides: perl(CPAN::Changes) = 0.400.002
Provides: perl(CPAN::Changes::Group)
Provides: perl(CPAN::Changes::Release)
Provides: perl(Test::CPAN::Changes) = 0.400.002
%description
Read and write Changes files

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/bin/tidy_changelog
/usr/share/man/man1/tidy_changelog.1
/usr/share/man/man3/CPAN::Changes.3pm
/usr/share/man/man3/CPAN::Changes::Group.3pm
/usr/share/man/man3/CPAN::Changes::Release.3pm
/usr/share/man/man3/CPAN::Changes::Spec.3pm
/usr/share/man/man3/Test::CPAN::Changes.3pm
/usr/share/perl5/vendor_perl/CPAN/Changes/Group.pm
/usr/share/perl5/vendor_perl/CPAN/Changes/Release.pm
/usr/share/perl5/vendor_perl/CPAN/Changes/Spec.pod
/usr/share/perl5/vendor_perl/CPAN/Changes.pm
/usr/share/perl5/vendor_perl/Test/CPAN/Changes.pm

%changelog

