# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-CPAN-Meta
Version: 2.150.010
Release: 1
Summary: the distribution metadata for a CPAN dist
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: perl_5
Vendor: David Golden <dagolden@cpan.org>, Ricardo Signes <rjbs@cpan.org>, Adam Kennedy <adamk@cpan.org>
URL: https://github.com/Perl-Toolchain-Gang/CPAN-Meta
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(CPAN::Meta::Requirements) >= 2.121
Requires: perl(CPAN::Meta::YAML) >= 0.011
Requires: perl(Carp)
Requires: perl(Encode)
Requires: perl(Exporter)
Requires: perl(File::Spec) >= 0.800
Requires: perl(JSON::PP) >= 2.273.000
Requires: perl(Scalar::Util)
Requires: perl >= 5.8.1
Requires: perl(strict)
Requires: perl(version) >= 0.880
Requires: perl(warnings)
Epoch: 10
Provides: perl(CPAN::Meta) = 2.150.010
Provides: perl(CPAN::Meta::Converter) = 2.150.010
Provides: perl(CPAN::Meta::Feature) = 2.150.010
Provides: perl(CPAN::Meta::History) = 2.150.010
Provides: perl(CPAN::Meta::Merge) = 2.150.010
Provides: perl(CPAN::Meta::Prereqs) = 2.150.010
Provides: perl(CPAN::Meta::Spec) = 2.150.010
Provides: perl(CPAN::Meta::Validator) = 2.150.010
Provides: perl(Parse::CPAN::Meta) = 2.150.010
%description
the distribution metadata for a CPAN dist

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/share/man/man3/CPAN::Meta.3pm
/usr/share/man/man3/CPAN::Meta::Converter.3pm
/usr/share/man/man3/CPAN::Meta::Feature.3pm
/usr/share/man/man3/CPAN::Meta::History.3pm
/usr/share/man/man3/CPAN::Meta::History::Meta_1_0.3pm
/usr/share/man/man3/CPAN::Meta::History::Meta_1_1.3pm
/usr/share/man/man3/CPAN::Meta::History::Meta_1_2.3pm
/usr/share/man/man3/CPAN::Meta::History::Meta_1_3.3pm
/usr/share/man/man3/CPAN::Meta::History::Meta_1_4.3pm
/usr/share/man/man3/CPAN::Meta::Merge.3pm
/usr/share/man/man3/CPAN::Meta::Prereqs.3pm
/usr/share/man/man3/CPAN::Meta::Spec.3pm
/usr/share/man/man3/CPAN::Meta::Validator.3pm
/usr/share/man/man3/Parse::CPAN::Meta.3pm
/usr/share/perl5/vendor_perl/CPAN/Meta/Converter.pm
/usr/share/perl5/vendor_perl/CPAN/Meta/Feature.pm
/usr/share/perl5/vendor_perl/CPAN/Meta/History/Meta_1_0.pod
/usr/share/perl5/vendor_perl/CPAN/Meta/History/Meta_1_1.pod
/usr/share/perl5/vendor_perl/CPAN/Meta/History/Meta_1_2.pod
/usr/share/perl5/vendor_perl/CPAN/Meta/History/Meta_1_3.pod
/usr/share/perl5/vendor_perl/CPAN/Meta/History/Meta_1_4.pod
/usr/share/perl5/vendor_perl/CPAN/Meta/History.pm
/usr/share/perl5/vendor_perl/CPAN/Meta/Merge.pm
/usr/share/perl5/vendor_perl/CPAN/Meta/Prereqs.pm
/usr/share/perl5/vendor_perl/CPAN/Meta/Spec.pm
/usr/share/perl5/vendor_perl/CPAN/Meta/Validator.pm
/usr/share/perl5/vendor_perl/CPAN/Meta.pm
/usr/share/perl5/vendor_perl/Parse/CPAN/Meta.pm

%changelog

