# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-ExtUtils-CBuilder
Version: 0.280.230
Release: 1
Summary: Compile and link C code for Perl modules
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: perl_5
Vendor: Ken Williams <kwilliams@cpan.org>, The Perl 5 Porters
URL: http://search.cpan.org/dist/ExtUtils-CBuilder
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(Cwd)
Requires: perl(ExtUtils::MakeMaker) >= 6.300
Requires: perl(File::Basename)
Requires: perl(File::Spec) >= 3.130
Requires: perl(File::Temp)
Requires: perl(IO::File)
Requires: perl(IPC::Cmd)
Requires: perl(Perl::OSType) >= 1
Requires: perl(Text::ParseWords)
Epoch: 10
Provides: perl(ExtUtils::CBuilder) = 0.280.230
Provides: perl(ExtUtils::CBuilder::Base) = 0.280.230
Provides: perl(ExtUtils::CBuilder::Platform::Unix) = 0.280.230
Provides: perl(ExtUtils::CBuilder::Platform::VMS) = 0.280.230
Provides: perl(ExtUtils::CBuilder::Platform::Windows) = 0.280.230
Provides: perl(ExtUtils::CBuilder::Platform::Windows::BCC) = 0.280.230
Provides: perl(ExtUtils::CBuilder::Platform::Windows::GCC) = 0.280.230
Provides: perl(ExtUtils::CBuilder::Platform::Windows::MSVC) = 0.280.230
Provides: perl(ExtUtils::CBuilder::Platform::aix) = 0.280.230
Provides: perl(ExtUtils::CBuilder::Platform::android) = 0.280.230
Provides: perl(ExtUtils::CBuilder::Platform::cygwin) = 0.280.230
Provides: perl(ExtUtils::CBuilder::Platform::darwin) = 0.280.230
Provides: perl(ExtUtils::CBuilder::Platform::dec_osf) = 0.280.230
Provides: perl(ExtUtils::CBuilder::Platform::os2) = 0.280.230
%description
Compile and link C code for Perl modules

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/share/man/man3/ExtUtils::CBuilder.3pm
/usr/share/man/man3/ExtUtils::CBuilder::Platform::Windows.3pm
/usr/share/perl5/vendor_perl/ExtUtils/CBuilder/Base.pm
/usr/share/perl5/vendor_perl/ExtUtils/CBuilder/Platform/Unix.pm
/usr/share/perl5/vendor_perl/ExtUtils/CBuilder/Platform/VMS.pm
/usr/share/perl5/vendor_perl/ExtUtils/CBuilder/Platform/Windows/BCC.pm
/usr/share/perl5/vendor_perl/ExtUtils/CBuilder/Platform/Windows/GCC.pm
/usr/share/perl5/vendor_perl/ExtUtils/CBuilder/Platform/Windows/MSVC.pm
/usr/share/perl5/vendor_perl/ExtUtils/CBuilder/Platform/Windows.pm
/usr/share/perl5/vendor_perl/ExtUtils/CBuilder/Platform/aix.pm
/usr/share/perl5/vendor_perl/ExtUtils/CBuilder/Platform/android.pm
/usr/share/perl5/vendor_perl/ExtUtils/CBuilder/Platform/cygwin.pm
/usr/share/perl5/vendor_perl/ExtUtils/CBuilder/Platform/darwin.pm
/usr/share/perl5/vendor_perl/ExtUtils/CBuilder/Platform/dec_osf.pm
/usr/share/perl5/vendor_perl/ExtUtils/CBuilder/Platform/os2.pm
/usr/share/perl5/vendor_perl/ExtUtils/CBuilder.pm

%changelog

