# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-ExtUtils-MakeMaker
Version: 7.340
Release: 1
Summary: Create a module Makefile
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: perl_5
Vendor: Michael G Schwern <schwern@pobox.com>
URL: https://metacpan.org/release/ExtUtils-MakeMaker
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(Data::Dumper)
Requires: perl(Encode)
Requires: perl(File::Basename)
Requires: perl(File::Spec) >= 0.800
Requires: perl(Pod::Man)
Requires: perl >= 5.006
Epoch: 10
Provides: perl(ExtUtils::Command) = 7.340
Provides: perl(ExtUtils::Command::MM) = 7.340
Provides: perl(ExtUtils::Liblist) = 7.340
Provides: perl(ExtUtils::Liblist::Kid) = 7.340
Provides: perl(ExtUtils::MM) = 7.340
Provides: perl(ExtUtils::MM_AIX) = 7.340
Provides: perl(ExtUtils::MM_Any) = 7.340
Provides: perl(ExtUtils::MM_BeOS) = 7.340
Provides: perl(ExtUtils::MM_Cygwin) = 7.340
Provides: perl(ExtUtils::MM_DOS) = 7.340
Provides: perl(ExtUtils::MM_Darwin) = 7.340
Provides: perl(ExtUtils::MM_MacOS) = 7.340
Provides: perl(ExtUtils::MM_NW5) = 7.340
Provides: perl(ExtUtils::MM_OS2) = 7.340
Provides: perl(ExtUtils::MM_QNX) = 7.340
Provides: perl(ExtUtils::MM_UWIN) = 7.340
Provides: perl(ExtUtils::MM_Unix) = 7.340
Provides: perl(ExtUtils::MM_VMS) = 7.340
Provides: perl(ExtUtils::MM_VOS) = 7.340
Provides: perl(ExtUtils::MM_Win32) = 7.340
Provides: perl(ExtUtils::MM_Win95) = 7.340
Provides: perl(ExtUtils::MY) = 7.340
Provides: perl(ExtUtils::MakeMaker) = 7.340
Provides: perl(ExtUtils::MakeMaker::Config) = 7.340
Provides: perl(ExtUtils::MakeMaker::Locale) = 7.340
Provides: perl(ExtUtils::MakeMaker::_version)
Provides: perl(ExtUtils::MakeMaker::charstar)
Provides: perl(ExtUtils::MakeMaker::version) = 7.340
Provides: perl(ExtUtils::MakeMaker::version::regex) = 7.340
Provides: perl(ExtUtils::MakeMaker::version::vpp) = 7.340
Provides: perl(ExtUtils::Mkbootstrap) = 7.340
Provides: perl(ExtUtils::Mksymlists) = 7.340
Provides: perl(ExtUtils::testlib) = 7.340
Provides: perl(MM)
Provides: perl(MY)
Provides: perl(MY)
%description
Create a module Makefile

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/bin/instmodsh
/usr/share/man/man1/instmodsh.1
/usr/share/man/man3/ExtUtils::Command.3pm
/usr/share/man/man3/ExtUtils::Command::MM.3pm
/usr/share/man/man3/ExtUtils::Liblist.3pm
/usr/share/man/man3/ExtUtils::MM.3pm
/usr/share/man/man3/ExtUtils::MM_AIX.3pm
/usr/share/man/man3/ExtUtils::MM_Any.3pm
/usr/share/man/man3/ExtUtils::MM_BeOS.3pm
/usr/share/man/man3/ExtUtils::MM_Cygwin.3pm
/usr/share/man/man3/ExtUtils::MM_DOS.3pm
/usr/share/man/man3/ExtUtils::MM_Darwin.3pm
/usr/share/man/man3/ExtUtils::MM_MacOS.3pm
/usr/share/man/man3/ExtUtils::MM_NW5.3pm
/usr/share/man/man3/ExtUtils::MM_OS2.3pm
/usr/share/man/man3/ExtUtils::MM_QNX.3pm
/usr/share/man/man3/ExtUtils::MM_UWIN.3pm
/usr/share/man/man3/ExtUtils::MM_Unix.3pm
/usr/share/man/man3/ExtUtils::MM_VMS.3pm
/usr/share/man/man3/ExtUtils::MM_VOS.3pm
/usr/share/man/man3/ExtUtils::MM_Win32.3pm
/usr/share/man/man3/ExtUtils::MM_Win95.3pm
/usr/share/man/man3/ExtUtils::MY.3pm
/usr/share/man/man3/ExtUtils::MakeMaker.3pm
/usr/share/man/man3/ExtUtils::MakeMaker::Config.3pm
/usr/share/man/man3/ExtUtils::MakeMaker::FAQ.3pm
/usr/share/man/man3/ExtUtils::MakeMaker::Locale.3pm
/usr/share/man/man3/ExtUtils::MakeMaker::Tutorial.3pm
/usr/share/man/man3/ExtUtils::Mkbootstrap.3pm
/usr/share/man/man3/ExtUtils::Mksymlists.3pm
/usr/share/man/man3/ExtUtils::testlib.3pm
/usr/share/perl5/vendor_perl/ExtUtils/Command/MM.pm
/usr/share/perl5/vendor_perl/ExtUtils/Command.pm
/usr/share/perl5/vendor_perl/ExtUtils/Liblist/Kid.pm
/usr/share/perl5/vendor_perl/ExtUtils/Liblist.pm
/usr/share/perl5/vendor_perl/ExtUtils/MM.pm
/usr/share/perl5/vendor_perl/ExtUtils/MM_AIX.pm
/usr/share/perl5/vendor_perl/ExtUtils/MM_Any.pm
/usr/share/perl5/vendor_perl/ExtUtils/MM_BeOS.pm
/usr/share/perl5/vendor_perl/ExtUtils/MM_Cygwin.pm
/usr/share/perl5/vendor_perl/ExtUtils/MM_DOS.pm
/usr/share/perl5/vendor_perl/ExtUtils/MM_Darwin.pm
/usr/share/perl5/vendor_perl/ExtUtils/MM_MacOS.pm
/usr/share/perl5/vendor_perl/ExtUtils/MM_NW5.pm
/usr/share/perl5/vendor_perl/ExtUtils/MM_OS2.pm
/usr/share/perl5/vendor_perl/ExtUtils/MM_QNX.pm
/usr/share/perl5/vendor_perl/ExtUtils/MM_UWIN.pm
/usr/share/perl5/vendor_perl/ExtUtils/MM_Unix.pm
/usr/share/perl5/vendor_perl/ExtUtils/MM_VMS.pm
/usr/share/perl5/vendor_perl/ExtUtils/MM_VOS.pm
/usr/share/perl5/vendor_perl/ExtUtils/MM_Win32.pm
/usr/share/perl5/vendor_perl/ExtUtils/MM_Win95.pm
/usr/share/perl5/vendor_perl/ExtUtils/MY.pm
/usr/share/perl5/vendor_perl/ExtUtils/MakeMaker/Config.pm
/usr/share/perl5/vendor_perl/ExtUtils/MakeMaker/FAQ.pod
/usr/share/perl5/vendor_perl/ExtUtils/MakeMaker/Locale.pm
/usr/share/perl5/vendor_perl/ExtUtils/MakeMaker/Tutorial.pod
/usr/share/perl5/vendor_perl/ExtUtils/MakeMaker/version/regex.pm
/usr/share/perl5/vendor_perl/ExtUtils/MakeMaker/version/vpp.pm
/usr/share/perl5/vendor_perl/ExtUtils/MakeMaker/version.pm
/usr/share/perl5/vendor_perl/ExtUtils/MakeMaker.pm
/usr/share/perl5/vendor_perl/ExtUtils/Mkbootstrap.pm
/usr/share/perl5/vendor_perl/ExtUtils/Mksymlists.pm
/usr/share/perl5/vendor_perl/ExtUtils/testlib.pm

%changelog

