# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-File-HomeDir
Version: 1.004
Release: 1
Summary: Find your home and other directories on any platform
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: perl_5
Vendor: Adam Kennedy <adamk@cpan.org>
URL: https://metacpan.org/release/File-HomeDir
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(Carp)
Requires: perl(Cwd) >= 3.120
Requires: perl(File::Basename)
Requires: perl(File::Path) >= 2.010
Requires: perl(File::Spec) >= 3.120
Requires: perl(File::Temp) >= 0.190
Requires: perl(File::Which) >= 0.050
Requires: perl >= v5.8.3
Epoch: 10
Provides: perl(File::HomeDir) = 1.004
Provides: perl(File::HomeDir::Darwin) = 1.004
Provides: perl(File::HomeDir::Darwin::Carbon) = 1.004
Provides: perl(File::HomeDir::Darwin::Cocoa) = 1.004
Provides: perl(File::HomeDir::Driver) = 1.004
Provides: perl(File::HomeDir::FreeDesktop) = 1.004
Provides: perl(File::HomeDir::MacOS9) = 1.004
Provides: perl(File::HomeDir::Test) = 1.004
Provides: perl(File::HomeDir::Unix) = 1.004
Provides: perl(File::HomeDir::Windows) = 1.004
%description
Find your home and other directories on any platform

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/share/man/man3/File::HomeDir.3pm
/usr/share/man/man3/File::HomeDir::Darwin.3pm
/usr/share/man/man3/File::HomeDir::Darwin::Carbon.3pm
/usr/share/man/man3/File::HomeDir::Darwin::Cocoa.3pm
/usr/share/man/man3/File::HomeDir::Driver.3pm
/usr/share/man/man3/File::HomeDir::FreeDesktop.3pm
/usr/share/man/man3/File::HomeDir::MacOS9.3pm
/usr/share/man/man3/File::HomeDir::Test.3pm
/usr/share/man/man3/File::HomeDir::Unix.3pm
/usr/share/man/man3/File::HomeDir::Windows.3pm
/usr/share/perl5/vendor_perl/File/HomeDir/Darwin/Carbon.pm
/usr/share/perl5/vendor_perl/File/HomeDir/Darwin/Cocoa.pm
/usr/share/perl5/vendor_perl/File/HomeDir/Darwin.pm
/usr/share/perl5/vendor_perl/File/HomeDir/Driver.pm
/usr/share/perl5/vendor_perl/File/HomeDir/FreeDesktop.pm
/usr/share/perl5/vendor_perl/File/HomeDir/MacOS9.pm
/usr/share/perl5/vendor_perl/File/HomeDir/Test.pm
/usr/share/perl5/vendor_perl/File/HomeDir/Unix.pm
/usr/share/perl5/vendor_perl/File/HomeDir/Windows.pm
/usr/share/perl5/vendor_perl/File/HomeDir.pm

%changelog

