# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-HTML-Parser
Version: 3.720
Release: 1
Summary: HTML parser class
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: perl_5
Vendor: Gisle Aas <gisle@activestate.com>
URL: http://example.com/no-uri-given
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(HTML::Tagset) >= 3
Requires: perl(XSLoader)
Requires: perl >= 5.008
Epoch: 10
Provides: perl(HTML::Entities) = 3.690
Provides: perl(HTML::Filter) = 3.720
Provides: perl(HTML::HeadParser) = 3.710
Provides: perl(HTML::LinkExtor) = 3.690
Provides: perl(HTML::Parser) = 3.720
Provides: perl(HTML::PullParser) = 3.570
Provides: perl(HTML::TokeParser) = 3.690
%description
HTML parser class

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/lib64/perl5/vendor_perl/HTML/Entities.pm
/usr/lib64/perl5/vendor_perl/HTML/Filter.pm
/usr/lib64/perl5/vendor_perl/HTML/HeadParser.pm
/usr/lib64/perl5/vendor_perl/HTML/LinkExtor.pm
/usr/lib64/perl5/vendor_perl/HTML/Parser.pm
/usr/lib64/perl5/vendor_perl/HTML/PullParser.pm
/usr/lib64/perl5/vendor_perl/HTML/TokeParser.pm
/usr/lib64/perl5/vendor_perl/auto/HTML/Parser/Parser.bs
/usr/lib64/perl5/vendor_perl/auto/HTML/Parser/Parser.so
/usr/share/man/man3/HTML::Entities.3pm
/usr/share/man/man3/HTML::Filter.3pm
/usr/share/man/man3/HTML::HeadParser.3pm
/usr/share/man/man3/HTML::LinkExtor.3pm
/usr/share/man/man3/HTML::Parser.3pm
/usr/share/man/man3/HTML::PullParser.3pm
/usr/share/man/man3/HTML::TokeParser.3pm

%changelog

