# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-Inline-C
Version: 0.780
Release: 1
Summary: C Language Support for Inline
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: perl_5
Vendor: Ingy döt Net <ingy@cpan.org>
URL: https://github.com/ingydotnet/inline-c-pm
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(ExtUtils::MakeMaker) >= 7.000
Requires: perl(File::Spec) >= 0.800
Requires: perl(Inline) >= 0.790
Requires: perl(Parse::RecDescent) >= 1.967.009
Requires: perl(Pegex) >= 0.580
Requires: perl >= v5.10.0
Epoch: 10
Provides: perl(Inline::C) = 0.780
%description
C Language Support for Inline

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/share/man/man3/Inline::C.3pm
/usr/share/man/man3/Inline::C::Cookbook.3pm
/usr/share/man/man3/Inline::C::ParsePegex.3pm
/usr/share/man/man3/Inline::C::ParseRecDescent.3pm
/usr/share/man/man3/Inline::C::ParseRegExp.3pm
/usr/share/perl5/vendor_perl/Inline/C/Cookbook.pod
/usr/share/perl5/vendor_perl/Inline/C/ParsePegex.pod
/usr/share/perl5/vendor_perl/Inline/C/ParseRecDescent.pod
/usr/share/perl5/vendor_perl/Inline/C/ParseRegExp.pod
/usr/share/perl5/vendor_perl/Inline/C/Parser/Pegex/AST.pm
/usr/share/perl5/vendor_perl/Inline/C/Parser/Pegex/Grammar.pm
/usr/share/perl5/vendor_perl/Inline/C/Parser/Pegex.pm
/usr/share/perl5/vendor_perl/Inline/C/Parser/RecDescent.pm
/usr/share/perl5/vendor_perl/Inline/C/Parser/RegExp.pm
/usr/share/perl5/vendor_perl/Inline/C/Parser.pm
/usr/share/perl5/vendor_perl/Inline/C.pm
/usr/share/perl5/vendor_perl/Inline/C.pod
/usr/share/perl5/vendor_perl/auto/share/dist/Inline-C/inline-c.pgx

%changelog

