# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-Math-GSL
Version: 0.390
Release: 1
Summary: Interface to the GNU Scientific Library using SWIG
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: open_source
Vendor: Jonathan Leto <jonathan@leto.net>
URL: http://example.com/no-uri-given
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(Scalar::Util)
Requires: perl(parent)
Requires: perl >= v5.8.0
Requires: perl(version) >= 0.770
Epoch: 10
Provides: perl(Math::GSL) = 0.390
Provides: perl(Math::GSL::BLAS) = 0
Provides: perl(Math::GSL::BLASc) = 0
Provides: perl(Math::GSL::BSpline) = 0
Provides: perl(Math::GSL::BSpline::gsl_bspline_workspace) = 0
Provides: perl(Math::GSL::BSpline::gsl_function_fdf_struct) = 0
Provides: perl(Math::GSL::BSpline::gsl_function_struct) = 0
Provides: perl(Math::GSL::BSpline::gsl_function_vec_struct) = 0
Provides: perl(Math::GSL::BSplinec) = 0
Provides: perl(Math::GSL::CBLAS) = 0
Provides: perl(Math::GSL::CBLASc) = 0
Provides: perl(Math::GSL::CDF) = 0
Provides: perl(Math::GSL::CDFc) = 0
Provides: perl(Math::GSL::Chebyshev) = 0
Provides: perl(Math::GSL::Chebyshev::gsl_cheb_series_struct) = 0
Provides: perl(Math::GSL::Chebyshev::gsl_function_fdf_struct) = 0
Provides: perl(Math::GSL::Chebyshev::gsl_function_struct) = 0
Provides: perl(Math::GSL::Chebyshev::gsl_function_vec_struct) = 0
Provides: perl(Math::GSL::Chebyshevc) = 0
Provides: perl(Math::GSL::Combination) = 0
Provides: perl(Math::GSL::Combination::gsl_combination_struct) = 0
Provides: perl(Math::GSL::Combinationc) = 0
Provides: perl(Math::GSL::Complex) = 0
Provides: perl(Math::GSL::Complex::gsl_complex) = 0
Provides: perl(Math::GSL::Complex::gsl_complex_float) = 0
Provides: perl(Math::GSL::Complex::gsl_complex_long_double) = 0
Provides: perl(Math::GSL::Complexc) = 0
Provides: perl(Math::GSL::Const) = 0
Provides: perl(Math::GSL::Const::gsl_function_fdf_struct) = 0
Provides: perl(Math::GSL::Const::gsl_function_struct) = 0
Provides: perl(Math::GSL::Const::gsl_function_vec_struct) = 0
Provides: perl(Math::GSL::Constc) = 0
Provides: perl(Math::GSL::DHT) = 0
Provides: perl(Math::GSL::DHT::gsl_dht_struct) = 0
Provides: perl(Math::GSL::DHTc) = 0
Provides: perl(Math::GSL::Deriv) = 0
Provides: perl(Math::GSL::Deriv::gsl_function_fdf_struct) = 0
Provides: perl(Math::GSL::Deriv::gsl_function_struct) = 0
Provides: perl(Math::GSL::Deriv::gsl_function_vec_struct) = 0
Provides: perl(Math::GSL::Derivc) = 0
Provides: perl(Math::GSL::Diff) = 0
Provides: perl(Math::GSL::Diffc) = 0
Provides: perl(Math::GSL::Eigen) = 0
Provides: perl(Math::GSL::Eigen::gsl_complex) = 0
Provides: perl(Math::GSL::Eigen::gsl_complex_float) = 0
Provides: perl(Math::GSL::Eigen::gsl_complex_long_double) = 0
Provides: perl(Math::GSL::Eigen::gsl_eigen_francis_workspace) = 0
Provides: perl(Math::GSL::Eigen::gsl_eigen_gen_workspace) = 0
Provides: perl(Math::GSL::Eigen::gsl_eigen_genherm_workspace) = 0
Provides: perl(Math::GSL::Eigen::gsl_eigen_genhermv_workspace) = 0
Provides: perl(Math::GSL::Eigen::gsl_eigen_gensymm_workspace) = 0
Provides: perl(Math::GSL::Eigen::gsl_eigen_gensymmv_workspace) = 0
Provides: perl(Math::GSL::Eigen::gsl_eigen_genv_workspace) = 0
Provides: perl(Math::GSL::Eigen::gsl_eigen_herm_workspace) = 0
Provides: perl(Math::GSL::Eigen::gsl_eigen_hermv_workspace) = 0
Provides: perl(Math::GSL::Eigen::gsl_eigen_nonsymm_workspace) = 0
Provides: perl(Math::GSL::Eigen::gsl_eigen_nonsymmv_workspace) = 0
Provides: perl(Math::GSL::Eigen::gsl_eigen_symm_workspace) = 0
Provides: perl(Math::GSL::Eigen::gsl_eigen_symmv_workspace) = 0
Provides: perl(Math::GSL::Eigenc) = 0
Provides: perl(Math::GSL::Errno) = 0
Provides: perl(Math::GSL::Errnoc) = 0
Provides: perl(Math::GSL::FFT) = 0
Provides: perl(Math::GSL::FFT::gsl_complex) = 0
Provides: perl(Math::GSL::FFT::gsl_complex_float) = 0
Provides: perl(Math::GSL::FFT::gsl_complex_long_double) = 0
Provides: perl(Math::GSL::FFT::gsl_fft_complex_wavetable) = 0
Provides: perl(Math::GSL::FFT::gsl_fft_complex_workspace) = 0
Provides: perl(Math::GSL::FFT::gsl_fft_halfcomplex_wavetable) = 0
Provides: perl(Math::GSL::FFT::gsl_fft_real_wavetable) = 0
Provides: perl(Math::GSL::FFT::gsl_fft_real_workspace) = 0
Provides: perl(Math::GSL::FFT::gsl_function_fdf_struct) = 0
Provides: perl(Math::GSL::FFT::gsl_function_struct) = 0
Provides: perl(Math::GSL::FFT::gsl_function_vec_struct) = 0
Provides: perl(Math::GSL::FFTc) = 0
Provides: perl(Math::GSL::Fit) = 0
Provides: perl(Math::GSL::Fitc) = 0
Provides: perl(Math::GSL::Heapsort) = 0
Provides: perl(Math::GSL::Heapsort::gsl_permutation_struct) = 0
Provides: perl(Math::GSL::Heapsortc) = 0
Provides: perl(Math::GSL::Histogram) = 0
Provides: perl(Math::GSL::Histogram2D) = 0
Provides: perl(Math::GSL::Histogram2D::gsl_histogram2d) = 0
Provides: perl(Math::GSL::Histogram2D::gsl_histogram2d_pdf) = 0
Provides: perl(Math::GSL::Histogram2Dc) = 0
Provides: perl(Math::GSL::Histogram::gsl_histogram) = 0
Provides: perl(Math::GSL::Histogram::gsl_histogram_pdf) = 0
Provides: perl(Math::GSL::Histogramc) = 0
Provides: perl(Math::GSL::IEEEUtils) = 0
Provides: perl(Math::GSL::IEEEUtils::gsl_ieee_double_rep) = 0
Provides: perl(Math::GSL::IEEEUtils::gsl_ieee_float_rep) = 0
Provides: perl(Math::GSL::IEEEUtilsc) = 0
Provides: perl(Math::GSL::Integration) = 0
Provides: perl(Math::GSL::Integration::gsl_function_fdf_struct) = 0
Provides: perl(Math::GSL::Integration::gsl_function_struct) = 0
Provides: perl(Math::GSL::Integration::gsl_function_vec_struct) = 0
Provides: perl(Math::GSL::Integration::gsl_integration_cquad_ival) = 0
Provides: perl(Math::GSL::Integration::gsl_integration_cquad_workspace) = 0
Provides: perl(Math::GSL::Integration::gsl_integration_glfixed_table) = 0
Provides: perl(Math::GSL::Integration::gsl_integration_qawo_table) = 0
Provides: perl(Math::GSL::Integration::gsl_integration_qaws_table) = 0
Provides: perl(Math::GSL::Integration::gsl_integration_workspace) = 0
Provides: perl(Math::GSL::Integrationc) = 0
Provides: perl(Math::GSL::Interp) = 0
Provides: perl(Math::GSL::Interp::gsl_interp) = 0
Provides: perl(Math::GSL::Interp::gsl_interp_accel) = 0
Provides: perl(Math::GSL::Interpc) = 0
Provides: perl(Math::GSL::Linalg) = 0
Provides: perl(Math::GSL::Linalg::gsl_complex) = 0
Provides: perl(Math::GSL::Linalg::gsl_complex_float) = 0
Provides: perl(Math::GSL::Linalg::gsl_complex_long_double) = 0
Provides: perl(Math::GSL::Linalg::gsl_permutation_struct) = 0
Provides: perl(Math::GSL::Linalgc) = 0
Provides: perl(Math::GSL::Machine) = 0
Provides: perl(Math::GSL::Machinec) = 0
Provides: perl(Math::GSL::Matrix) = 0
Provides: perl(Math::GSL::Matrix::gsl_complex) = 0
Provides: perl(Math::GSL::Matrix::gsl_complex_float) = 0
Provides: perl(Math::GSL::Matrix::gsl_complex_long_double) = 0
Provides: perl(Math::GSL::Matrix::gsl_matrix) = 0
Provides: perl(Math::GSL::Matrix::gsl_matrix_char) = 0
Provides: perl(Math::GSL::Matrix::gsl_matrix_complex) = 0
Provides: perl(Math::GSL::Matrix::gsl_matrix_int) = 0
Provides: perl(Math::GSL::Matrix::gsl_vector) = 0
Provides: perl(Math::GSL::MatrixComplex) = 0
Provides: perl(Math::GSL::MatrixComplex::gsl_complex) = 0
Provides: perl(Math::GSL::MatrixComplex::gsl_complex_float) = 0
Provides: perl(Math::GSL::MatrixComplex::gsl_complex_long_double) = 0
Provides: perl(Math::GSL::MatrixComplex::gsl_matrix_complex) = 0
Provides: perl(Math::GSL::MatrixComplex::gsl_vector) = 0
Provides: perl(Math::GSL::MatrixComplexc) = 0
Provides: perl(Math::GSL::Matrixc) = 0
Provides: perl(Math::GSL::Min) = 0
Provides: perl(Math::GSL::Min::gsl_function_fdf_struct) = 0
Provides: perl(Math::GSL::Min::gsl_function_struct) = 0
Provides: perl(Math::GSL::Min::gsl_function_vec_struct) = 0
Provides: perl(Math::GSL::Min::gsl_min_fminimizer) = 0
Provides: perl(Math::GSL::Min::gsl_min_fminimizer_type) = 0
Provides: perl(Math::GSL::Minc) = 0
Provides: perl(Math::GSL::Monte) = 0
Provides: perl(Math::GSL::Monte::gsl_monte_function_struct) = 0
Provides: perl(Math::GSL::Monte::gsl_monte_miser_params) = 0
Provides: perl(Math::GSL::Monte::gsl_monte_miser_state) = 0
Provides: perl(Math::GSL::Monte::gsl_monte_plain_state) = 0
Provides: perl(Math::GSL::Monte::gsl_monte_vegas_params) = 0
Provides: perl(Math::GSL::Monte::gsl_monte_vegas_state) = 0
Provides: perl(Math::GSL::Montec) = 0
Provides: perl(Math::GSL::Multifit) = 0
Provides: perl(Math::GSL::Multifit::gsl_function_fdf_struct) = 0
Provides: perl(Math::GSL::Multifit::gsl_function_struct) = 0
Provides: perl(Math::GSL::Multifit::gsl_function_vec_struct) = 0
Provides: perl(Math::GSL::Multifit::gsl_multifit_fdfridge) = 0
Provides: perl(Math::GSL::Multifit::gsl_multifit_fdfsolver) = 0
Provides: perl(Math::GSL::Multifit::gsl_multifit_fdfsolver_type) = 0
Provides: perl(Math::GSL::Multifit::gsl_multifit_fsolver) = 0
Provides: perl(Math::GSL::Multifit::gsl_multifit_fsolver_type) = 0
Provides: perl(Math::GSL::Multifit::gsl_multifit_function_fdf_struct) = 0
Provides: perl(Math::GSL::Multifit::gsl_multifit_function_struct) = 0
Provides: perl(Math::GSL::Multifit::gsl_multifit_linear_workspace) = 0
Provides: perl(Math::GSL::Multifit::gsl_multifit_robust_stats) = 0
Provides: perl(Math::GSL::Multifit::gsl_multifit_robust_type) = 0
Provides: perl(Math::GSL::Multifit::gsl_multifit_robust_workspace) = 0
Provides: perl(Math::GSL::Multifit::gsl_permutation_struct) = 0
Provides: perl(Math::GSL::Multifitc) = 0
Provides: perl(Math::GSL::Multilarge) = 0
Provides: perl(Math::GSL::Multilarge::gsl_function_fdf_struct) = 0
Provides: perl(Math::GSL::Multilarge::gsl_function_struct) = 0
Provides: perl(Math::GSL::Multilarge::gsl_function_vec_struct) = 0
Provides: perl(Math::GSL::Multilarge::gsl_multifit_linear_workspace) = 0
Provides: perl(Math::GSL::Multilarge::gsl_multifit_robust_stats) = 0
Provides: perl(Math::GSL::Multilarge::gsl_multifit_robust_type) = 0
Provides: perl(Math::GSL::Multilarge::gsl_multifit_robust_workspace) = 0
Provides: perl(Math::GSL::Multilarge::gsl_multilarge_linear_type) = 0
Provides: perl(Math::GSL::Multilarge::gsl_multilarge_linear_workspace) = 0
Provides: perl(Math::GSL::Multilarge::gsl_permutation_struct) = 0
Provides: perl(Math::GSL::Multilargec) = 0
Provides: perl(Math::GSL::Multimin) = 0
Provides: perl(Math::GSL::Multimin::gsl_multimin_fdfminimizer) = 0
Provides: perl(Math::GSL::Multimin::gsl_multimin_fdfminimizer_type) = 0
Provides: perl(Math::GSL::Multimin::gsl_multimin_fminimizer) = 0
Provides: perl(Math::GSL::Multimin::gsl_multimin_fminimizer_type) = 0
Provides: perl(Math::GSL::Multimin::gsl_multimin_function_fdf_struct) = 0
Provides: perl(Math::GSL::Multimin::gsl_multimin_function_struct) = 0
Provides: perl(Math::GSL::Multiminc) = 0
Provides: perl(Math::GSL::Multiroots) = 0
Provides: perl(Math::GSL::Multiroots::gsl_multiroot_fdfsolver) = 0
Provides: perl(Math::GSL::Multiroots::gsl_multiroot_fdfsolver_type) = 0
Provides: perl(Math::GSL::Multiroots::gsl_multiroot_fsolver) = 0
Provides: perl(Math::GSL::Multiroots::gsl_multiroot_fsolver_type) = 0
Provides: perl(Math::GSL::Multiroots::gsl_multiroot_function_fdf_struct) = 0
Provides: perl(Math::GSL::Multiroots::gsl_multiroot_function_struct) = 0
Provides: perl(Math::GSL::Multirootsc) = 0
Provides: perl(Math::GSL::NTuple) = 0
Provides: perl(Math::GSL::NTuple::gsl_histogram) = 0
Provides: perl(Math::GSL::NTuple::gsl_histogram_pdf) = 0
Provides: perl(Math::GSL::NTuple::gsl_ntuple) = 0
Provides: perl(Math::GSL::NTuple::gsl_ntuple_select_fn) = 0
Provides: perl(Math::GSL::NTuple::gsl_ntuple_value_fn) = 0
Provides: perl(Math::GSL::NTuplec) = 0
Provides: perl(Math::GSL::ODEIV) = 0
Provides: perl(Math::GSL::ODEIV::gsl_odeiv_control) = 0
Provides: perl(Math::GSL::ODEIV::gsl_odeiv_control_type) = 0
Provides: perl(Math::GSL::ODEIV::gsl_odeiv_evolve) = 0
Provides: perl(Math::GSL::ODEIV::gsl_odeiv_step) = 0
Provides: perl(Math::GSL::ODEIV::gsl_odeiv_step_type) = 0
Provides: perl(Math::GSL::ODEIV::gsl_odeiv_system) = 0
Provides: perl(Math::GSL::ODEIVc) = 0
Provides: perl(Math::GSL::Permutation) = 0
Provides: perl(Math::GSL::Permutation::gsl_permutation_struct) = 0
Provides: perl(Math::GSL::Permutationc) = 0
Provides: perl(Math::GSL::Poly) = 0
Provides: perl(Math::GSL::Poly::gsl_complex) = 0
Provides: perl(Math::GSL::Poly::gsl_complex_float) = 0
Provides: perl(Math::GSL::Poly::gsl_complex_long_double) = 0
Provides: perl(Math::GSL::Poly::gsl_poly_complex_workspace) = 0
Provides: perl(Math::GSL::Polyc) = 0
Provides: perl(Math::GSL::PowInt) = 0
Provides: perl(Math::GSL::PowIntc) = 0
Provides: perl(Math::GSL::QRNG) = 0
Provides: perl(Math::GSL::QRNG::Halton) = 0
Provides: perl(Math::GSL::QRNG::Niederreiter2) = 0
Provides: perl(Math::GSL::QRNG::ReverseHalton) = 0
Provides: perl(Math::GSL::QRNG::Sobol) = 0
Provides: perl(Math::GSL::QRNG::gsl_qrng) = 0
Provides: perl(Math::GSL::QRNG::gsl_qrng_type) = 0
Provides: perl(Math::GSL::QRNGc) = 0
Provides: perl(Math::GSL::RNG) = 0
Provides: perl(Math::GSL::RNG::gsl_rng) = 0
Provides: perl(Math::GSL::RNG::gsl_rng_type) = 0
Provides: perl(Math::GSL::RNGc) = 0
Provides: perl(Math::GSL::Randist) = 0
Provides: perl(Math::GSL::Randist::gsl_ran_discrete_t) = 0
Provides: perl(Math::GSL::Randistc) = 0
Provides: perl(Math::GSL::Roots) = 0
Provides: perl(Math::GSL::Roots::gsl_root_fdfsolver) = 0
Provides: perl(Math::GSL::Roots::gsl_root_fdfsolver_type) = 0
Provides: perl(Math::GSL::Roots::gsl_root_fsolver) = 0
Provides: perl(Math::GSL::Roots::gsl_root_fsolver_type) = 0
Provides: perl(Math::GSL::Rootsc) = 0
Provides: perl(Math::GSL::SF) = 0
Provides: perl(Math::GSL::SF::gsl_sf_mathieu_workspace) = 0
Provides: perl(Math::GSL::SF::gsl_sf_result_e10_struct) = 0
Provides: perl(Math::GSL::SF::gsl_sf_result_struct) = 0
Provides: perl(Math::GSL::SFc) = 0
Provides: perl(Math::GSL::Siman) = 0
Provides: perl(Math::GSL::Siman::gsl_siman_params_t) = 0
Provides: perl(Math::GSL::Simanc) = 0
Provides: perl(Math::GSL::Sort) = 0
Provides: perl(Math::GSL::Sort::gsl_permutation_struct) = 0
Provides: perl(Math::GSL::Sortc) = 0
Provides: perl(Math::GSL::Spline) = 0
Provides: perl(Math::GSL::Spline::gsl_spline) = 0
Provides: perl(Math::GSL::Splinec) = 0
Provides: perl(Math::GSL::Statistics) = 0
Provides: perl(Math::GSL::Statisticsc) = 0
Provides: perl(Math::GSL::Sum) = 0
Provides: perl(Math::GSL::Sum::gsl_sum_levin_u_workspace) = 0
Provides: perl(Math::GSL::Sum::gsl_sum_levin_utrunc_workspace) = 0
Provides: perl(Math::GSL::Sumc) = 0
Provides: perl(Math::GSL::Sys) = 0
Provides: perl(Math::GSL::Sysc) = 0
Provides: perl(Math::GSL::Test) = 0
Provides: perl(Math::GSL::Vector) = 0
Provides: perl(Math::GSL::Vector::gsl_vector) = 0
Provides: perl(Math::GSL::Vector::gsl_vector_char) = 0
Provides: perl(Math::GSL::Vector::gsl_vector_complex) = 0
Provides: perl(Math::GSL::Vector::gsl_vector_int) = 0
Provides: perl(Math::GSL::VectorComplex) = 0
Provides: perl(Math::GSL::VectorComplex::gsl_complex) = 0
Provides: perl(Math::GSL::VectorComplex::gsl_complex_float) = 0
Provides: perl(Math::GSL::VectorComplex::gsl_complex_long_double) = 0
Provides: perl(Math::GSL::VectorComplex::gsl_vector) = 0
Provides: perl(Math::GSL::VectorComplex::gsl_vector_complex) = 0
Provides: perl(Math::GSL::VectorComplexc) = 0
Provides: perl(Math::GSL::Vectorc) = 0
Provides: perl(Math::GSL::Version) = 0
Provides: perl(Math::GSL::Versionc) = 0
Provides: perl(Math::GSL::Wavelet) = 0
Provides: perl(Math::GSL::Wavelet2D) = 0
Provides: perl(Math::GSL::Wavelet2Dc) = 0
Provides: perl(Math::GSL::Wavelet::gsl_wavelet) = 0
Provides: perl(Math::GSL::Wavelet::gsl_wavelet_type) = 0
Provides: perl(Math::GSL::Wavelet::gsl_wavelet_workspace) = 0
Provides: perl(Math::GSL::Waveletc) = 0
%description
Interface to the GNU Scientific Library using SWIG

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/local/lib64/perl5/Math/GSL/BLAS.pm
/usr/local/lib64/perl5/Math/GSL/BSpline.pm
/usr/local/lib64/perl5/Math/GSL/CBLAS.pm
/usr/local/lib64/perl5/Math/GSL/CDF.pm
/usr/local/lib64/perl5/Math/GSL/Chebyshev.pm
/usr/local/lib64/perl5/Math/GSL/Combination.pm
/usr/local/lib64/perl5/Math/GSL/Complex.pm
/usr/local/lib64/perl5/Math/GSL/Const.pm
/usr/local/lib64/perl5/Math/GSL/DHT.pm
/usr/local/lib64/perl5/Math/GSL/Deriv.pm
/usr/local/lib64/perl5/Math/GSL/Diff.pm
/usr/local/lib64/perl5/Math/GSL/Eigen.pm
/usr/local/lib64/perl5/Math/GSL/Errno.pm
/usr/local/lib64/perl5/Math/GSL/FFT.pm
/usr/local/lib64/perl5/Math/GSL/Fit.pm
/usr/local/lib64/perl5/Math/GSL/Heapsort.pm
/usr/local/lib64/perl5/Math/GSL/Histogram.pm
/usr/local/lib64/perl5/Math/GSL/Histogram2D.pm
/usr/local/lib64/perl5/Math/GSL/IEEEUtils.pm
/usr/local/lib64/perl5/Math/GSL/Integration.pm
/usr/local/lib64/perl5/Math/GSL/Interp.pm
/usr/local/lib64/perl5/Math/GSL/Linalg.pm
/usr/local/lib64/perl5/Math/GSL/Machine.pm
/usr/local/lib64/perl5/Math/GSL/Matrix.pm
/usr/local/lib64/perl5/Math/GSL/MatrixComplex.pm
/usr/local/lib64/perl5/Math/GSL/Min.pm
/usr/local/lib64/perl5/Math/GSL/Monte.pm
/usr/local/lib64/perl5/Math/GSL/Multifit.pm
/usr/local/lib64/perl5/Math/GSL/Multilarge.pm
/usr/local/lib64/perl5/Math/GSL/Multimin.pm
/usr/local/lib64/perl5/Math/GSL/Multiroots.pm
/usr/local/lib64/perl5/Math/GSL/NTuple.pm
/usr/local/lib64/perl5/Math/GSL/ODEIV.pm
/usr/local/lib64/perl5/Math/GSL/Permutation.pm
/usr/local/lib64/perl5/Math/GSL/Poly.pm
/usr/local/lib64/perl5/Math/GSL/PowInt.pm
/usr/local/lib64/perl5/Math/GSL/QRNG.pm
/usr/local/lib64/perl5/Math/GSL/RNG.pm
/usr/local/lib64/perl5/Math/GSL/Randist.pm
/usr/local/lib64/perl5/Math/GSL/Roots.pm
/usr/local/lib64/perl5/Math/GSL/SF.pm
/usr/local/lib64/perl5/Math/GSL/Siman.pm
/usr/local/lib64/perl5/Math/GSL/Sort.pm
/usr/local/lib64/perl5/Math/GSL/Spline.pm
/usr/local/lib64/perl5/Math/GSL/Statistics.pm
/usr/local/lib64/perl5/Math/GSL/Sum.pm
/usr/local/lib64/perl5/Math/GSL/Sys.pm
/usr/local/lib64/perl5/Math/GSL/Test.pm
/usr/local/lib64/perl5/Math/GSL/Vector.pm
/usr/local/lib64/perl5/Math/GSL/VectorComplex.pm
/usr/local/lib64/perl5/Math/GSL/Version.pm
/usr/local/lib64/perl5/Math/GSL/Wavelet.pm
/usr/local/lib64/perl5/Math/GSL/Wavelet2D.pm
/usr/local/lib64/perl5/Math/GSL.pm
/usr/local/lib64/perl5/auto/Math/GSL/BLAS/BLAS.so
/usr/local/lib64/perl5/auto/Math/GSL/BSpline/BSpline.so
/usr/local/lib64/perl5/auto/Math/GSL/CBLAS/CBLAS.so
/usr/local/lib64/perl5/auto/Math/GSL/CDF/CDF.so
/usr/local/lib64/perl5/auto/Math/GSL/Chebyshev/Chebyshev.so
/usr/local/lib64/perl5/auto/Math/GSL/Combination/Combination.so
/usr/local/lib64/perl5/auto/Math/GSL/Complex/Complex.so
/usr/local/lib64/perl5/auto/Math/GSL/Const/Const.so
/usr/local/lib64/perl5/auto/Math/GSL/DHT/DHT.so
/usr/local/lib64/perl5/auto/Math/GSL/Deriv/Deriv.so
/usr/local/lib64/perl5/auto/Math/GSL/Diff/Diff.so
/usr/local/lib64/perl5/auto/Math/GSL/Eigen/Eigen.so
/usr/local/lib64/perl5/auto/Math/GSL/Errno/Errno.so
/usr/local/lib64/perl5/auto/Math/GSL/FFT/FFT.so
/usr/local/lib64/perl5/auto/Math/GSL/Fit/Fit.so
/usr/local/lib64/perl5/auto/Math/GSL/Heapsort/Heapsort.so
/usr/local/lib64/perl5/auto/Math/GSL/Histogram/Histogram.so
/usr/local/lib64/perl5/auto/Math/GSL/Histogram2D/Histogram2D.so
/usr/local/lib64/perl5/auto/Math/GSL/IEEEUtils/IEEEUtils.so
/usr/local/lib64/perl5/auto/Math/GSL/Integration/Integration.so
/usr/local/lib64/perl5/auto/Math/GSL/Interp/Interp.so
/usr/local/lib64/perl5/auto/Math/GSL/Linalg/Linalg.so
/usr/local/lib64/perl5/auto/Math/GSL/Machine/Machine.so
/usr/local/lib64/perl5/auto/Math/GSL/Matrix/Matrix.so
/usr/local/lib64/perl5/auto/Math/GSL/MatrixComplex/MatrixComplex.so
/usr/local/lib64/perl5/auto/Math/GSL/Min/Min.so
/usr/local/lib64/perl5/auto/Math/GSL/Monte/Monte.so
/usr/local/lib64/perl5/auto/Math/GSL/Multimin/Multimin.so
/usr/local/lib64/perl5/auto/Math/GSL/Multiroots/Multiroots.so
/usr/local/lib64/perl5/auto/Math/GSL/NTuple/NTuple.so
/usr/local/lib64/perl5/auto/Math/GSL/ODEIV/ODEIV.so
/usr/local/lib64/perl5/auto/Math/GSL/Permutation/Permutation.so
/usr/local/lib64/perl5/auto/Math/GSL/Poly/Poly.so
/usr/local/lib64/perl5/auto/Math/GSL/PowInt/PowInt.so
/usr/local/lib64/perl5/auto/Math/GSL/QRNG/QRNG.so
/usr/local/lib64/perl5/auto/Math/GSL/RNG/RNG.so
/usr/local/lib64/perl5/auto/Math/GSL/Randist/Randist.so
/usr/local/lib64/perl5/auto/Math/GSL/Roots/Roots.so
/usr/local/lib64/perl5/auto/Math/GSL/SF/SF.so
/usr/local/lib64/perl5/auto/Math/GSL/Siman/Siman.so
/usr/local/lib64/perl5/auto/Math/GSL/Sort/Sort.so
/usr/local/lib64/perl5/auto/Math/GSL/Spline/Spline.so
/usr/local/lib64/perl5/auto/Math/GSL/Statistics/Statistics.so
/usr/local/lib64/perl5/auto/Math/GSL/Sum/Sum.so
/usr/local/lib64/perl5/auto/Math/GSL/Sys/Sys.so
/usr/local/lib64/perl5/auto/Math/GSL/Vector/Vector.so
/usr/local/lib64/perl5/auto/Math/GSL/VectorComplex/VectorComplex.so
/usr/local/lib64/perl5/auto/Math/GSL/Version/Version.so
/usr/local/lib64/perl5/auto/Math/GSL/Wavelet/Wavelet.so
/usr/local/lib64/perl5/auto/Math/GSL/Wavelet2D/Wavelet2D.so
/usr/local/share/man/man3/Math::GSL.3pm
/usr/local/share/man/man3/Math::GSL::BLAS.3pm
/usr/local/share/man/man3/Math::GSL::BSpline.3pm
/usr/local/share/man/man3/Math::GSL::CBLAS.3pm
/usr/local/share/man/man3/Math::GSL::CDF.3pm
/usr/local/share/man/man3/Math::GSL::Chebyshev.3pm
/usr/local/share/man/man3/Math::GSL::Combination.3pm
/usr/local/share/man/man3/Math::GSL::Complex.3pm
/usr/local/share/man/man3/Math::GSL::Const.3pm
/usr/local/share/man/man3/Math::GSL::DHT.3pm
/usr/local/share/man/man3/Math::GSL::Deriv.3pm
/usr/local/share/man/man3/Math::GSL::Diff.3pm
/usr/local/share/man/man3/Math::GSL::Eigen.3pm
/usr/local/share/man/man3/Math::GSL::Errno.3pm
/usr/local/share/man/man3/Math::GSL::FFT.3pm
/usr/local/share/man/man3/Math::GSL::Fit.3pm
/usr/local/share/man/man3/Math::GSL::Heapsort.3pm
/usr/local/share/man/man3/Math::GSL::Histogram.3pm
/usr/local/share/man/man3/Math::GSL::Histogram2D.3pm
/usr/local/share/man/man3/Math::GSL::IEEEUtils.3pm
/usr/local/share/man/man3/Math::GSL::Integration.3pm
/usr/local/share/man/man3/Math::GSL::Interp.3pm
/usr/local/share/man/man3/Math::GSL::Linalg.3pm
/usr/local/share/man/man3/Math::GSL::Machine.3pm
/usr/local/share/man/man3/Math::GSL::Matrix.3pm
/usr/local/share/man/man3/Math::GSL::MatrixComplex.3pm
/usr/local/share/man/man3/Math::GSL::Min.3pm
/usr/local/share/man/man3/Math::GSL::Monte.3pm
/usr/local/share/man/man3/Math::GSL::Multifit.3pm
/usr/local/share/man/man3/Math::GSL::Multilarge.3pm
/usr/local/share/man/man3/Math::GSL::Multimin.3pm
/usr/local/share/man/man3/Math::GSL::Multiroots.3pm
/usr/local/share/man/man3/Math::GSL::NTuple.3pm
/usr/local/share/man/man3/Math::GSL::ODEIV.3pm
/usr/local/share/man/man3/Math::GSL::Permutation.3pm
/usr/local/share/man/man3/Math::GSL::Poly.3pm
/usr/local/share/man/man3/Math::GSL::PowInt.3pm
/usr/local/share/man/man3/Math::GSL::QRNG.3pm
/usr/local/share/man/man3/Math::GSL::RNG.3pm
/usr/local/share/man/man3/Math::GSL::Randist.3pm
/usr/local/share/man/man3/Math::GSL::Roots.3pm
/usr/local/share/man/man3/Math::GSL::SF.3pm
/usr/local/share/man/man3/Math::GSL::Siman.3pm
/usr/local/share/man/man3/Math::GSL::Sort.3pm
/usr/local/share/man/man3/Math::GSL::Spline.3pm
/usr/local/share/man/man3/Math::GSL::Statistics.3pm
/usr/local/share/man/man3/Math::GSL::Sum.3pm
/usr/local/share/man/man3/Math::GSL::Sys.3pm
/usr/local/share/man/man3/Math::GSL::Test.3pm
/usr/local/share/man/man3/Math::GSL::Vector.3pm
/usr/local/share/man/man3/Math::GSL::VectorComplex.3pm
/usr/local/share/man/man3/Math::GSL::Wavelet.3pm
/usr/local/share/man/man3/Math::GSL::Wavelet2D.3pm

%changelog

