# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-Moo
Version: 2.003.004
Release: 1
Summary: Minimalist Object Orientation (with Moose compatibility)
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: perl_5
Vendor: mst - Matt S. Trout (cpan:MSTROUT) <mst@shadowcat.co.uk>
URL: http://example.com/no-uri-given
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(Class::Method::Modifiers) >= 1.100
Requires: perl(Devel::GlobalDestruction) >= 0.110
Requires: perl(Exporter) >= 5.570
Requires: perl(Module::Runtime) >= 0.014
Requires: perl(Role::Tiny) >= 2.000.004
Requires: perl(Scalar::Util)
Requires: perl(Sub::Defer) >= 2.003.001
Requires: perl(Sub::Quote) >= 2.003.001
Requires: perl >= 5.006
Epoch: 10
Provides: perl(Method::Generate::Accessor)
Provides: perl(Method::Generate::BuildAll)
Provides: perl(Method::Generate::Constructor)
Provides: perl(Method::Generate::DemolishAll)
Provides: perl(Moo) = 2.003.004
Provides: perl(Moo::HandleMoose)
Provides: perl(Moo::HandleMoose::FakeConstructor)
Provides: perl(Moo::HandleMoose::FakeMetaClass)
Provides: perl(Moo::HandleMoose::_TypeMap)
Provides: perl(Moo::Object)
Provides: perl(Moo::Role) = 2.003.004
Provides: perl(Moo::_Utils)
Provides: perl(Moo::_mro)
Provides: perl(Moo::_strictures)
Provides: perl(Moo::sification)
Provides: perl(oo)
%description
Minimalist Object Orientation (with Moose compatibility)

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/share/man/man3/Moo.3pm
/usr/share/man/man3/Moo::Role.3pm
/usr/share/man/man3/oo.3pm
/usr/share/perl5/vendor_perl/Method/Generate/Accessor.pm
/usr/share/perl5/vendor_perl/Method/Generate/BuildAll.pm
/usr/share/perl5/vendor_perl/Method/Generate/Constructor.pm
/usr/share/perl5/vendor_perl/Method/Generate/DemolishAll.pm
/usr/share/perl5/vendor_perl/Moo/HandleMoose/FakeMetaClass.pm
/usr/share/perl5/vendor_perl/Moo/HandleMoose/_TypeMap.pm
/usr/share/perl5/vendor_perl/Moo/HandleMoose.pm
/usr/share/perl5/vendor_perl/Moo/Object.pm
/usr/share/perl5/vendor_perl/Moo/Role.pm
/usr/share/perl5/vendor_perl/Moo/_Utils.pm
/usr/share/perl5/vendor_perl/Moo/_mro.pm
/usr/share/perl5/vendor_perl/Moo/_strictures.pm
/usr/share/perl5/vendor_perl/Moo/sification.pm
/usr/share/perl5/vendor_perl/Moo.pm
/usr/share/perl5/vendor_perl/oo.pm

%changelog

