# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-Net-SSLeay
Version: 1.850
Release: 1
Summary: Perl extension for using OpenSSL
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: perl
Vendor: Maintained by Mike McCauley and Florian Ragwitz since November 2005
URL: http://example.com/no-uri-given
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(MIME::Base64)
Requires: perl(Test::More) >= 0.600.100
Requires: perl >= 5.005
Epoch: 10
Provides: perl(Net::SSLeay) = 1.850
Provides: perl(Net::SSLeay::Handle) = 0.610
%description
Perl extension for using OpenSSL

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/lib64/perl5/vendor_perl/Net/SSLeay/Handle.pm
/usr/lib64/perl5/vendor_perl/Net/SSLeay.pm
/usr/lib64/perl5/vendor_perl/Net/SSLeay.pod
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/SSLeay.bs
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/SSLeay.so
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/autosplit.ix
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/debug_read.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/do_https.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/do_https2.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/do_https3.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/do_https4.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/do_httpx2.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/do_httpx3.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/do_httpx4.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/dump_peer_certificate.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/get_http.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/get_http3.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/get_http4.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/get_https.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/get_https3.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/get_https4.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/get_httpx.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/get_httpx3.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/get_httpx4.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/head_http.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/head_http3.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/head_http4.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/head_https.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/head_https3.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/head_https4.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/head_httpx.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/head_httpx3.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/head_httpx4.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/http_cat.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/https_cat.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/httpx_cat.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/initialize.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/make_form.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/make_headers.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/new_x_ctx.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/open_proxy_tcp_connection.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/open_tcp_connection.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/post_http.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/post_http3.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/post_http4.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/post_https.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/post_https3.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/post_https4.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/post_httpx.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/post_httpx3.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/post_httpx4.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/put_http.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/put_http3.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/put_http4.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/put_https.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/put_https3.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/put_https4.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/put_httpx.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/put_httpx3.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/put_httpx4.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/randomize.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/set_cert_and_key.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/set_proxy.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/set_server_cert_and_key.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/ssl_read_CRLF.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/ssl_read_all.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/ssl_read_until.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/ssl_write_CRLF.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/ssl_write_all.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/sslcat.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/tcp_read_CRLF.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/tcp_read_all.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/tcp_read_until.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/tcp_write_CRLF.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/tcp_write_all.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/tcpcat.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/tcpxcat.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/want_X509_lookup.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/want_nothing.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/want_read.al
/usr/lib64/perl5/vendor_perl/auto/Net/SSLeay/want_write.al
/usr/share/man/man3/Net::SSLeay.3pm
/usr/share/man/man3/Net::SSLeay::Handle.3pm

%changelog

