# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-PPI
Version: 1.236
Release: 1
Summary: Parse, Analyze and Manipulate Perl (without perl)
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: perl
Vendor: Adam Kennedy <adamk@cpan.org>
URL: https://github.com/adamkennedy/PPI
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(Clone) >= 0.300
Requires: perl(Digest::MD5) >= 2.350
Requires: perl(File::Spec) >= 3.270.100
Requires: perl(IO::String) >= 1.070
Requires: perl(List::MoreUtils) >= 0.160
Requires: perl(List::Util) >= 1.330
Requires: perl(Params::Util) >= 1.000
Requires: perl(Storable) >= 2.170
Requires: perl(Task::Weaken)
Requires: perl >= 5.6.0
Epoch: 10
Provides: perl(PPI) = 1.236
Provides: perl(PPI::Cache) = 1.236
Provides: perl(PPI::Document) = 1.236
Provides: perl(PPI::Document::File) = 1.236
Provides: perl(PPI::Document::Fragment) = 1.236
Provides: perl(PPI::Document::Normalized) = 1.236
Provides: perl(PPI::Dumper) = 1.236
Provides: perl(PPI::Element) = 1.236
Provides: perl(PPI::Exception) = 1.236
Provides: perl(PPI::Exception::ParserRejection) = 1.236
Provides: perl(PPI::Find) = 1.236
Provides: perl(PPI::Lexer) = 1.236
Provides: perl(PPI::Node) = 1.236
Provides: perl(PPI::Normal) = 1.236
Provides: perl(PPI::Normal::Standard) = 1.236
Provides: perl(PPI::Statement) = 1.236
Provides: perl(PPI::Statement::Break) = 1.236
Provides: perl(PPI::Statement::Compound) = 1.236
Provides: perl(PPI::Statement::Data) = 1.236
Provides: perl(PPI::Statement::End) = 1.236
Provides: perl(PPI::Statement::Expression) = 1.236
Provides: perl(PPI::Statement::Given) = 1.236
Provides: perl(PPI::Statement::Include) = 1.236
Provides: perl(PPI::Statement::Include::Perl6) = 1.236
Provides: perl(PPI::Statement::Null) = 1.236
Provides: perl(PPI::Statement::Package) = 1.236
Provides: perl(PPI::Statement::Scheduled) = 1.236
Provides: perl(PPI::Statement::Sub) = 1.236
Provides: perl(PPI::Statement::Unknown) = 1.236
Provides: perl(PPI::Statement::UnmatchedBrace) = 1.236
Provides: perl(PPI::Statement::Variable) = 1.236
Provides: perl(PPI::Statement::When) = 1.236
Provides: perl(PPI::Structure) = 1.236
Provides: perl(PPI::Structure::Block) = 1.236
Provides: perl(PPI::Structure::Condition) = 1.236
Provides: perl(PPI::Structure::Constructor) = 1.236
Provides: perl(PPI::Structure::For) = 1.236
Provides: perl(PPI::Structure::Given) = 1.236
Provides: perl(PPI::Structure::List) = 1.236
Provides: perl(PPI::Structure::Subscript) = 1.236
Provides: perl(PPI::Structure::Unknown) = 1.236
Provides: perl(PPI::Structure::When) = 1.236
Provides: perl(PPI::Token) = 1.236
Provides: perl(PPI::Token::ArrayIndex) = 1.236
Provides: perl(PPI::Token::Attribute) = 1.236
Provides: perl(PPI::Token::BOM) = 1.236
Provides: perl(PPI::Token::Cast) = 1.236
Provides: perl(PPI::Token::Comment) = 1.236
Provides: perl(PPI::Token::DashedWord) = 1.236
Provides: perl(PPI::Token::Data) = 1.236
Provides: perl(PPI::Token::End) = 1.236
Provides: perl(PPI::Token::HereDoc) = 1.236
Provides: perl(PPI::Token::Label) = 1.236
Provides: perl(PPI::Token::Magic) = 1.236
Provides: perl(PPI::Token::Number) = 1.236
Provides: perl(PPI::Token::Number::Binary) = 1.236
Provides: perl(PPI::Token::Number::Exp) = 1.236
Provides: perl(PPI::Token::Number::Float) = 1.236
Provides: perl(PPI::Token::Number::Hex) = 1.236
Provides: perl(PPI::Token::Number::Octal) = 1.236
Provides: perl(PPI::Token::Number::Version) = 1.236
Provides: perl(PPI::Token::Operator) = 1.236
Provides: perl(PPI::Token::Pod) = 1.236
Provides: perl(PPI::Token::Prototype) = 1.236
Provides: perl(PPI::Token::Quote) = 1.236
Provides: perl(PPI::Token::Quote::Double) = 1.236
Provides: perl(PPI::Token::Quote::Interpolate) = 1.236
Provides: perl(PPI::Token::Quote::Literal) = 1.236
Provides: perl(PPI::Token::Quote::Single) = 1.236
Provides: perl(PPI::Token::QuoteLike) = 1.236
Provides: perl(PPI::Token::QuoteLike::Backtick) = 1.236
Provides: perl(PPI::Token::QuoteLike::Command) = 1.236
Provides: perl(PPI::Token::QuoteLike::Readline) = 1.236
Provides: perl(PPI::Token::QuoteLike::Regexp) = 1.236
Provides: perl(PPI::Token::QuoteLike::Words) = 1.236
Provides: perl(PPI::Token::Regexp) = 1.236
Provides: perl(PPI::Token::Regexp::Match) = 1.236
Provides: perl(PPI::Token::Regexp::Substitute) = 1.236
Provides: perl(PPI::Token::Regexp::Transliterate) = 1.236
Provides: perl(PPI::Token::Separator) = 1.236
Provides: perl(PPI::Token::Structure) = 1.236
Provides: perl(PPI::Token::Symbol) = 1.236
Provides: perl(PPI::Token::Unknown) = 1.236
Provides: perl(PPI::Token::Whitespace) = 1.236
Provides: perl(PPI::Token::Word) = 1.236
Provides: perl(PPI::Token::_QuoteEngine) = 1.236
Provides: perl(PPI::Token::_QuoteEngine::Full) = 1.236
Provides: perl(PPI::Token::_QuoteEngine::Simple) = 1.236
Provides: perl(PPI::Tokenizer) = 1.236
Provides: perl(PPI::Transform) = 1.236
Provides: perl(PPI::Transform::UpdateCopyright) = 1.236
Provides: perl(PPI::Util) = 1.236
Provides: perl(PPI::XSAccessor) = 1.236
%description
Parse, Analyze and Manipulate Perl (without perl)

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/share/man/man3/PPI.3pm
/usr/share/man/man3/PPI::Cache.3pm
/usr/share/man/man3/PPI::Document.3pm
/usr/share/man/man3/PPI::Document::File.3pm
/usr/share/man/man3/PPI::Document::Fragment.3pm
/usr/share/man/man3/PPI::Document::Normalized.3pm
/usr/share/man/man3/PPI::Dumper.3pm
/usr/share/man/man3/PPI::Element.3pm
/usr/share/man/man3/PPI::Exception.3pm
/usr/share/man/man3/PPI::Find.3pm
/usr/share/man/man3/PPI::Lexer.3pm
/usr/share/man/man3/PPI::Node.3pm
/usr/share/man/man3/PPI::Normal.3pm
/usr/share/man/man3/PPI::Normal::Standard.3pm
/usr/share/man/man3/PPI::Statement.3pm
/usr/share/man/man3/PPI::Statement::Break.3pm
/usr/share/man/man3/PPI::Statement::Compound.3pm
/usr/share/man/man3/PPI::Statement::Data.3pm
/usr/share/man/man3/PPI::Statement::End.3pm
/usr/share/man/man3/PPI::Statement::Expression.3pm
/usr/share/man/man3/PPI::Statement::Given.3pm
/usr/share/man/man3/PPI::Statement::Include.3pm
/usr/share/man/man3/PPI::Statement::Include::Perl6.3pm
/usr/share/man/man3/PPI::Statement::Null.3pm
/usr/share/man/man3/PPI::Statement::Package.3pm
/usr/share/man/man3/PPI::Statement::Scheduled.3pm
/usr/share/man/man3/PPI::Statement::Sub.3pm
/usr/share/man/man3/PPI::Statement::Unknown.3pm
/usr/share/man/man3/PPI::Statement::UnmatchedBrace.3pm
/usr/share/man/man3/PPI::Statement::Variable.3pm
/usr/share/man/man3/PPI::Statement::When.3pm
/usr/share/man/man3/PPI::Structure.3pm
/usr/share/man/man3/PPI::Structure::Block.3pm
/usr/share/man/man3/PPI::Structure::Condition.3pm
/usr/share/man/man3/PPI::Structure::Constructor.3pm
/usr/share/man/man3/PPI::Structure::For.3pm
/usr/share/man/man3/PPI::Structure::Given.3pm
/usr/share/man/man3/PPI::Structure::List.3pm
/usr/share/man/man3/PPI::Structure::Subscript.3pm
/usr/share/man/man3/PPI::Structure::Unknown.3pm
/usr/share/man/man3/PPI::Structure::When.3pm
/usr/share/man/man3/PPI::Token.3pm
/usr/share/man/man3/PPI::Token::ArrayIndex.3pm
/usr/share/man/man3/PPI::Token::Attribute.3pm
/usr/share/man/man3/PPI::Token::BOM.3pm
/usr/share/man/man3/PPI::Token::Cast.3pm
/usr/share/man/man3/PPI::Token::Comment.3pm
/usr/share/man/man3/PPI::Token::DashedWord.3pm
/usr/share/man/man3/PPI::Token::Data.3pm
/usr/share/man/man3/PPI::Token::End.3pm
/usr/share/man/man3/PPI::Token::HereDoc.3pm
/usr/share/man/man3/PPI::Token::Label.3pm
/usr/share/man/man3/PPI::Token::Magic.3pm
/usr/share/man/man3/PPI::Token::Number.3pm
/usr/share/man/man3/PPI::Token::Number::Binary.3pm
/usr/share/man/man3/PPI::Token::Number::Exp.3pm
/usr/share/man/man3/PPI::Token::Number::Float.3pm
/usr/share/man/man3/PPI::Token::Number::Hex.3pm
/usr/share/man/man3/PPI::Token::Number::Octal.3pm
/usr/share/man/man3/PPI::Token::Number::Version.3pm
/usr/share/man/man3/PPI::Token::Operator.3pm
/usr/share/man/man3/PPI::Token::Pod.3pm
/usr/share/man/man3/PPI::Token::Prototype.3pm
/usr/share/man/man3/PPI::Token::Quote.3pm
/usr/share/man/man3/PPI::Token::Quote::Double.3pm
/usr/share/man/man3/PPI::Token::Quote::Interpolate.3pm
/usr/share/man/man3/PPI::Token::Quote::Literal.3pm
/usr/share/man/man3/PPI::Token::Quote::Single.3pm
/usr/share/man/man3/PPI::Token::QuoteLike.3pm
/usr/share/man/man3/PPI::Token::QuoteLike::Backtick.3pm
/usr/share/man/man3/PPI::Token::QuoteLike::Command.3pm
/usr/share/man/man3/PPI::Token::QuoteLike::Readline.3pm
/usr/share/man/man3/PPI::Token::QuoteLike::Regexp.3pm
/usr/share/man/man3/PPI::Token::QuoteLike::Words.3pm
/usr/share/man/man3/PPI::Token::Regexp.3pm
/usr/share/man/man3/PPI::Token::Regexp::Match.3pm
/usr/share/man/man3/PPI::Token::Regexp::Substitute.3pm
/usr/share/man/man3/PPI::Token::Regexp::Transliterate.3pm
/usr/share/man/man3/PPI::Token::Separator.3pm
/usr/share/man/man3/PPI::Token::Structure.3pm
/usr/share/man/man3/PPI::Token::Symbol.3pm
/usr/share/man/man3/PPI::Token::Unknown.3pm
/usr/share/man/man3/PPI::Token::Whitespace.3pm
/usr/share/man/man3/PPI::Token::Word.3pm
/usr/share/man/man3/PPI::Token::_QuoteEngine.3pm
/usr/share/man/man3/PPI::Token::_QuoteEngine::Full.3pm
/usr/share/man/man3/PPI::Token::_QuoteEngine::Simple.3pm
/usr/share/man/man3/PPI::Tokenizer.3pm
/usr/share/man/man3/PPI::Transform.3pm
/usr/share/man/man3/PPI::Transform::UpdateCopyright.3pm
/usr/share/perl5/vendor_perl/PPI/Cache.pm
/usr/share/perl5/vendor_perl/PPI/Document/File.pm
/usr/share/perl5/vendor_perl/PPI/Document/Fragment.pm
/usr/share/perl5/vendor_perl/PPI/Document/Normalized.pm
/usr/share/perl5/vendor_perl/PPI/Document.pm
/usr/share/perl5/vendor_perl/PPI/Dumper.pm
/usr/share/perl5/vendor_perl/PPI/Element.pm
/usr/share/perl5/vendor_perl/PPI/Exception/ParserRejection.pm
/usr/share/perl5/vendor_perl/PPI/Exception.pm
/usr/share/perl5/vendor_perl/PPI/Find.pm
/usr/share/perl5/vendor_perl/PPI/Lexer.pm
/usr/share/perl5/vendor_perl/PPI/Node.pm
/usr/share/perl5/vendor_perl/PPI/Normal/Standard.pm
/usr/share/perl5/vendor_perl/PPI/Normal.pm
/usr/share/perl5/vendor_perl/PPI/Statement/Break.pm
/usr/share/perl5/vendor_perl/PPI/Statement/Compound.pm
/usr/share/perl5/vendor_perl/PPI/Statement/Data.pm
/usr/share/perl5/vendor_perl/PPI/Statement/End.pm
/usr/share/perl5/vendor_perl/PPI/Statement/Expression.pm
/usr/share/perl5/vendor_perl/PPI/Statement/Given.pm
/usr/share/perl5/vendor_perl/PPI/Statement/Include/Perl6.pm
/usr/share/perl5/vendor_perl/PPI/Statement/Include.pm
/usr/share/perl5/vendor_perl/PPI/Statement/Null.pm
/usr/share/perl5/vendor_perl/PPI/Statement/Package.pm
/usr/share/perl5/vendor_perl/PPI/Statement/Scheduled.pm
/usr/share/perl5/vendor_perl/PPI/Statement/Sub.pm
/usr/share/perl5/vendor_perl/PPI/Statement/Unknown.pm
/usr/share/perl5/vendor_perl/PPI/Statement/UnmatchedBrace.pm
/usr/share/perl5/vendor_perl/PPI/Statement/Variable.pm
/usr/share/perl5/vendor_perl/PPI/Statement/When.pm
/usr/share/perl5/vendor_perl/PPI/Statement.pm
/usr/share/perl5/vendor_perl/PPI/Structure/Block.pm
/usr/share/perl5/vendor_perl/PPI/Structure/Condition.pm
/usr/share/perl5/vendor_perl/PPI/Structure/Constructor.pm
/usr/share/perl5/vendor_perl/PPI/Structure/For.pm
/usr/share/perl5/vendor_perl/PPI/Structure/Given.pm
/usr/share/perl5/vendor_perl/PPI/Structure/List.pm
/usr/share/perl5/vendor_perl/PPI/Structure/Subscript.pm
/usr/share/perl5/vendor_perl/PPI/Structure/Unknown.pm
/usr/share/perl5/vendor_perl/PPI/Structure/When.pm
/usr/share/perl5/vendor_perl/PPI/Structure.pm
/usr/share/perl5/vendor_perl/PPI/Token/ArrayIndex.pm
/usr/share/perl5/vendor_perl/PPI/Token/Attribute.pm
/usr/share/perl5/vendor_perl/PPI/Token/BOM.pm
/usr/share/perl5/vendor_perl/PPI/Token/Cast.pm
/usr/share/perl5/vendor_perl/PPI/Token/Comment.pm
/usr/share/perl5/vendor_perl/PPI/Token/DashedWord.pm
/usr/share/perl5/vendor_perl/PPI/Token/Data.pm
/usr/share/perl5/vendor_perl/PPI/Token/End.pm
/usr/share/perl5/vendor_perl/PPI/Token/HereDoc.pm
/usr/share/perl5/vendor_perl/PPI/Token/Label.pm
/usr/share/perl5/vendor_perl/PPI/Token/Magic.pm
/usr/share/perl5/vendor_perl/PPI/Token/Number/Binary.pm
/usr/share/perl5/vendor_perl/PPI/Token/Number/Exp.pm
/usr/share/perl5/vendor_perl/PPI/Token/Number/Float.pm
/usr/share/perl5/vendor_perl/PPI/Token/Number/Hex.pm
/usr/share/perl5/vendor_perl/PPI/Token/Number/Octal.pm
/usr/share/perl5/vendor_perl/PPI/Token/Number/Version.pm
/usr/share/perl5/vendor_perl/PPI/Token/Number.pm
/usr/share/perl5/vendor_perl/PPI/Token/Operator.pm
/usr/share/perl5/vendor_perl/PPI/Token/Pod.pm
/usr/share/perl5/vendor_perl/PPI/Token/Prototype.pm
/usr/share/perl5/vendor_perl/PPI/Token/Quote/Double.pm
/usr/share/perl5/vendor_perl/PPI/Token/Quote/Interpolate.pm
/usr/share/perl5/vendor_perl/PPI/Token/Quote/Literal.pm
/usr/share/perl5/vendor_perl/PPI/Token/Quote/Single.pm
/usr/share/perl5/vendor_perl/PPI/Token/Quote.pm
/usr/share/perl5/vendor_perl/PPI/Token/QuoteLike/Backtick.pm
/usr/share/perl5/vendor_perl/PPI/Token/QuoteLike/Command.pm
/usr/share/perl5/vendor_perl/PPI/Token/QuoteLike/Readline.pm
/usr/share/perl5/vendor_perl/PPI/Token/QuoteLike/Regexp.pm
/usr/share/perl5/vendor_perl/PPI/Token/QuoteLike/Words.pm
/usr/share/perl5/vendor_perl/PPI/Token/QuoteLike.pm
/usr/share/perl5/vendor_perl/PPI/Token/Regexp/Match.pm
/usr/share/perl5/vendor_perl/PPI/Token/Regexp/Substitute.pm
/usr/share/perl5/vendor_perl/PPI/Token/Regexp/Transliterate.pm
/usr/share/perl5/vendor_perl/PPI/Token/Regexp.pm
/usr/share/perl5/vendor_perl/PPI/Token/Separator.pm
/usr/share/perl5/vendor_perl/PPI/Token/Structure.pm
/usr/share/perl5/vendor_perl/PPI/Token/Symbol.pm
/usr/share/perl5/vendor_perl/PPI/Token/Unknown.pm
/usr/share/perl5/vendor_perl/PPI/Token/Whitespace.pm
/usr/share/perl5/vendor_perl/PPI/Token/Word.pm
/usr/share/perl5/vendor_perl/PPI/Token/_QuoteEngine/Full.pm
/usr/share/perl5/vendor_perl/PPI/Token/_QuoteEngine/Simple.pm
/usr/share/perl5/vendor_perl/PPI/Token/_QuoteEngine.pm
/usr/share/perl5/vendor_perl/PPI/Token.pm
/usr/share/perl5/vendor_perl/PPI/Tokenizer.pm
/usr/share/perl5/vendor_perl/PPI/Transform/UpdateCopyright.pm
/usr/share/perl5/vendor_perl/PPI/Transform.pm
/usr/share/perl5/vendor_perl/PPI/Util.pm
/usr/share/perl5/vendor_perl/PPI/XSAccessor.pm
/usr/share/perl5/vendor_perl/PPI.pm

%changelog

