# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-PathTools
Version: 3.750
Release: 1
Summary: Tools for working with directory and file names
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: perl_5
Vendor: Perl 5 Porters
URL: http://dev.perl.org/
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(Carp)
Requires: perl(File::Basename)
Requires: perl(Scalar::Util)
Requires: perl(Test::More) >= 0.880
Epoch: 10
Provides: perl(Cwd) = 3.750
Provides: perl(File::Spec) = 3.750
Provides: perl(File::Spec::AmigaOS) = 3.750
Provides: perl(File::Spec::Cygwin) = 3.750
Provides: perl(File::Spec::Epoc) = 3.750
Provides: perl(File::Spec::Functions) = 3.750
Provides: perl(File::Spec::Mac) = 3.750
Provides: perl(File::Spec::OS2) = 3.750
Provides: perl(File::Spec::Unix) = 3.750
Provides: perl(File::Spec::VMS) = 3.750
Provides: perl(File::Spec::Win32) = 3.750
%description
Tools for working with directory and file names

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/lib64/perl5/vendor_perl/Cwd.pm
/usr/lib64/perl5/vendor_perl/File/Spec/AmigaOS.pm
/usr/lib64/perl5/vendor_perl/File/Spec/Cygwin.pm
/usr/lib64/perl5/vendor_perl/File/Spec/Epoc.pm
/usr/lib64/perl5/vendor_perl/File/Spec/Functions.pm
/usr/lib64/perl5/vendor_perl/File/Spec/Mac.pm
/usr/lib64/perl5/vendor_perl/File/Spec/OS2.pm
/usr/lib64/perl5/vendor_perl/File/Spec/Unix.pm
/usr/lib64/perl5/vendor_perl/File/Spec/VMS.pm
/usr/lib64/perl5/vendor_perl/File/Spec/Win32.pm
/usr/lib64/perl5/vendor_perl/File/Spec.pm
/usr/lib64/perl5/vendor_perl/auto/Cwd/Cwd.bs
/usr/lib64/perl5/vendor_perl/auto/Cwd/Cwd.so
/usr/share/man/man3/Cwd.3pm
/usr/share/man/man3/File::Spec.3pm
/usr/share/man/man3/File::Spec::AmigaOS.3pm
/usr/share/man/man3/File::Spec::Cygwin.3pm
/usr/share/man/man3/File::Spec::Epoc.3pm
/usr/share/man/man3/File::Spec::Functions.3pm
/usr/share/man/man3/File::Spec::Mac.3pm
/usr/share/man/man3/File::Spec::OS2.3pm
/usr/share/man/man3/File::Spec::Unix.3pm
/usr/share/man/man3/File::Spec::VMS.3pm
/usr/share/man/man3/File::Spec::Win32.3pm

%changelog

