# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-Pegex
Version: 0.670
Release: 1
Summary: Acmeist PEG Parser Framework
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: perl_5
Vendor: Ingy döt Net <ingy@cpan.org>
URL: https://github.com/ingydotnet/pegex-pm
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(Scalar::Util)
Requires: perl >= v5.8.1
Epoch: 10
Provides: perl(Pegex) = 0.670
Provides: perl(Pegex::Base)
Provides: perl(Pegex::Bootstrap)
Provides: perl(Pegex::Compiler)
Provides: perl(Pegex::Constant)
Provides: perl(Pegex::Grammar)
Provides: perl(Pegex::Grammar::Atoms)
Provides: perl(Pegex::Input)
Provides: perl(Pegex::Module)
Provides: perl(Pegex::Optimizer)
Provides: perl(Pegex::Parser)
Provides: perl(Pegex::Parser::Indent)
Provides: perl(Pegex::Pegex::AST)
Provides: perl(Pegex::Pegex::Grammar)
Provides: perl(Pegex::Receiver)
Provides: perl(Pegex::Regex)
Provides: perl(Pegex::Tree)
Provides: perl(Pegex::Tree::Wrap)
%description
Acmeist PEG Parser Framework

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/share/man/man3/Pegex.3pm
/usr/share/man/man3/Pegex::API.3pm
/usr/share/man/man3/Pegex::Bootstrap.3pm
/usr/share/man/man3/Pegex::Compiler.3pm
/usr/share/man/man3/Pegex::Grammar.3pm
/usr/share/man/man3/Pegex::Grammar::Atoms.3pm
/usr/share/man/man3/Pegex::Input.3pm
/usr/share/man/man3/Pegex::Miscellany.3pm
/usr/share/man/man3/Pegex::Module.3pm
/usr/share/man/man3/Pegex::Overview.3pm
/usr/share/man/man3/Pegex::Parser.3pm
/usr/share/man/man3/Pegex::Pegex::Grammar.3pm
/usr/share/man/man3/Pegex::Receiver.3pm
/usr/share/man/man3/Pegex::Regex.3pm
/usr/share/man/man3/Pegex::Resources.3pm
/usr/share/man/man3/Pegex::Syntax.3pm
/usr/share/man/man3/Pegex::Tree.3pm
/usr/share/man/man3/Pegex::Tree::Wrap.3pm
/usr/share/man/man3/Pegex::Tutorial.3pm
/usr/share/man/man3/Pegex::Tutorial::Calculator.3pm
/usr/share/man/man3/Pegex::Tutorial::JSON.3pm
/usr/share/perl5/vendor_perl/Pegex/API.pod
/usr/share/perl5/vendor_perl/Pegex/Base.pm
/usr/share/perl5/vendor_perl/Pegex/Bootstrap.pm
/usr/share/perl5/vendor_perl/Pegex/Bootstrap.pod
/usr/share/perl5/vendor_perl/Pegex/Compiler.pm
/usr/share/perl5/vendor_perl/Pegex/Compiler.pod
/usr/share/perl5/vendor_perl/Pegex/Grammar/Atoms.pm
/usr/share/perl5/vendor_perl/Pegex/Grammar/Atoms.pod
/usr/share/perl5/vendor_perl/Pegex/Grammar.pm
/usr/share/perl5/vendor_perl/Pegex/Grammar.pod
/usr/share/perl5/vendor_perl/Pegex/Input.pm
/usr/share/perl5/vendor_perl/Pegex/Input.pod
/usr/share/perl5/vendor_perl/Pegex/Miscellany.pod
/usr/share/perl5/vendor_perl/Pegex/Module.pm
/usr/share/perl5/vendor_perl/Pegex/Module.pod
/usr/share/perl5/vendor_perl/Pegex/Optimizer.pm
/usr/share/perl5/vendor_perl/Pegex/Overview.pod
/usr/share/perl5/vendor_perl/Pegex/Parser/Indent.pm
/usr/share/perl5/vendor_perl/Pegex/Parser.pm
/usr/share/perl5/vendor_perl/Pegex/Parser.pod
/usr/share/perl5/vendor_perl/Pegex/Pegex/AST.pm
/usr/share/perl5/vendor_perl/Pegex/Pegex/Grammar.pm
/usr/share/perl5/vendor_perl/Pegex/Pegex/Grammar.pod
/usr/share/perl5/vendor_perl/Pegex/Receiver.pm
/usr/share/perl5/vendor_perl/Pegex/Receiver.pod
/usr/share/perl5/vendor_perl/Pegex/Regex.pm
/usr/share/perl5/vendor_perl/Pegex/Regex.pod
/usr/share/perl5/vendor_perl/Pegex/Resources.pod
/usr/share/perl5/vendor_perl/Pegex/Syntax.pod
/usr/share/perl5/vendor_perl/Pegex/Tree/Wrap.pm
/usr/share/perl5/vendor_perl/Pegex/Tree/Wrap.pod
/usr/share/perl5/vendor_perl/Pegex/Tree.pm
/usr/share/perl5/vendor_perl/Pegex/Tree.pod
/usr/share/perl5/vendor_perl/Pegex/Tutorial/Calculator.pod
/usr/share/perl5/vendor_perl/Pegex/Tutorial/JSON.pod
/usr/share/perl5/vendor_perl/Pegex/Tutorial.pod
/usr/share/perl5/vendor_perl/Pegex.pm
/usr/share/perl5/vendor_perl/Pegex.pod
/usr/share/perl5/vendor_perl/auto/share/dist/Pegex/pegex.pgx

%changelog

