# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-Perl-Critic
Version: 1.132
Release: 1
Summary: Critique Perl source code for best-practices.
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: perl_5
Vendor: Jeffrey Thalhammer <jeff@imaginative-software.com>
URL: http://perlcritic.com
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(B::Keywords) >= 1.050
Requires: perl(Carp)
Requires: perl(Config::Tiny) >= 2
Requires: perl(English)
Requires: perl(Exception::Class) >= 1.230
Requires: perl(Exporter) >= 5.630
Requires: perl(Fatal)
Requires: perl(File::Basename)
Requires: perl(File::Find)
Requires: perl(File::HomeDir)
Requires: perl(File::Path)
Requires: perl(File::Spec)
Requires: perl(File::Spec::Unix)
Requires: perl(File::Temp)
Requires: perl(File::Which)
Requires: perl(Getopt::Long)
Requires: perl(IO::String)
Requires: perl(IPC::Open2) >= 1
Requires: perl(List::MoreUtils) >= 0.190
Requires: perl(List::Util)
Requires: perl(Module::Pluggable) >= 3.100
Requires: perl(PPI) >= 1.224
Requires: perl(PPI::Document) >= 1.224
Requires: perl(PPI::Document::File) >= 1.224
Requires: perl(PPI::Node) >= 1.224
Requires: perl(PPI::Token::Quote::Single) >= 1.224
Requires: perl(PPI::Token::Whitespace) >= 1.224
Requires: perl(PPIx::QuoteLike)
Requires: perl(PPIx::Regexp) >= 0.027
Requires: perl(PPIx::Utilities::Node) >= 1.001
Requires: perl(PPIx::Utilities::Statement) >= 1.001
Requires: perl(Perl::Tidy)
Requires: perl(Pod::Parser)
Requires: perl(Pod::PlainText)
Requires: perl(Pod::Select)
Requires: perl(Pod::Spell) >= 1
Requires: perl(Pod::Usage)
Requires: perl(Readonly) >= 2
Requires: perl(Scalar::Util)
Requires: perl(String::Format) >= 1.130
Requires: perl(Task::Weaken)
Requires: perl(Term::ANSIColor) >= 2.020
Requires: perl(Test::Builder) >= 0.920
Requires: perl(Text::ParseWords) >= 3
Requires: perl(base)
Requires: perl(charnames)
Requires: perl(overload)
Requires: perl >= 5.6.1
Requires: perl(strict)
Requires: perl(version) >= 0.770
Requires: perl(warnings)
Epoch: 10
Provides: perl(Perl::Critic) = 1.132
Provides: perl(Perl::Critic::Annotation) = 1.132
Provides: perl(Perl::Critic::Command) = 1.132
Provides: perl(Perl::Critic::Config) = 1.132
Provides: perl(Perl::Critic::Document) = 1.132
Provides: perl(Perl::Critic::Exception) = 1.132
Provides: perl(Perl::Critic::Exception::AggregateConfiguration) = 1.132
Provides: perl(Perl::Critic::Exception::Configuration) = 1.132
Provides: perl(Perl::Critic::Exception::Configuration::Generic) = 1.132
Provides: perl(Perl::Critic::Exception::Configuration::NonExistentPolicy) = 1.132
Provides: perl(Perl::Critic::Exception::Configuration::Option) = 1.132
Provides: perl(Perl::Critic::Exception::Configuration::Option::Global) = 1.132
Provides: perl(Perl::Critic::Exception::Configuration::Option::Global::ExtraParameter) = 1.132
Provides: perl(Perl::Critic::Exception::Configuration::Option::Global::ParameterValue) = 1.132
Provides: perl(Perl::Critic::Exception::Configuration::Option::Policy) = 1.132
Provides: perl(Perl::Critic::Exception::Configuration::Option::Policy::ExtraParameter) = 1.132
Provides: perl(Perl::Critic::Exception::Configuration::Option::Policy::ParameterValue) = 1.132
Provides: perl(Perl::Critic::Exception::Fatal) = 1.132
Provides: perl(Perl::Critic::Exception::Fatal::Generic) = 1.132
Provides: perl(Perl::Critic::Exception::Fatal::Internal) = 1.132
Provides: perl(Perl::Critic::Exception::Fatal::PolicyDefinition) = 1.132
Provides: perl(Perl::Critic::Exception::IO) = 1.132
Provides: perl(Perl::Critic::Exception::Parse) = 1.132
Provides: perl(Perl::Critic::OptionsProcessor) = 1.132
Provides: perl(Perl::Critic::Policy) = 1.132
Provides: perl(Perl::Critic::Policy::BuiltinFunctions::ProhibitBooleanGrep) = 1.132
Provides: perl(Perl::Critic::Policy::BuiltinFunctions::ProhibitComplexMappings) = 1.132
Provides: perl(Perl::Critic::Policy::BuiltinFunctions::ProhibitLvalueSubstr) = 1.132
Provides: perl(Perl::Critic::Policy::BuiltinFunctions::ProhibitReverseSortBlock) = 1.132
Provides: perl(Perl::Critic::Policy::BuiltinFunctions::ProhibitSleepViaSelect) = 1.132
Provides: perl(Perl::Critic::Policy::BuiltinFunctions::ProhibitStringyEval) = 1.132
Provides: perl(Perl::Critic::Policy::BuiltinFunctions::ProhibitStringySplit) = 1.132
Provides: perl(Perl::Critic::Policy::BuiltinFunctions::ProhibitUniversalCan) = 1.132
Provides: perl(Perl::Critic::Policy::BuiltinFunctions::ProhibitUniversalIsa) = 1.132
Provides: perl(Perl::Critic::Policy::BuiltinFunctions::ProhibitUselessTopic) = 1.132
Provides: perl(Perl::Critic::Policy::BuiltinFunctions::ProhibitVoidGrep) = 1.132
Provides: perl(Perl::Critic::Policy::BuiltinFunctions::ProhibitVoidMap) = 1.132
Provides: perl(Perl::Critic::Policy::BuiltinFunctions::RequireBlockGrep) = 1.132
Provides: perl(Perl::Critic::Policy::BuiltinFunctions::RequireBlockMap) = 1.132
Provides: perl(Perl::Critic::Policy::BuiltinFunctions::RequireGlobFunction) = 1.132
Provides: perl(Perl::Critic::Policy::BuiltinFunctions::RequireSimpleSortBlock) = 1.132
Provides: perl(Perl::Critic::Policy::ClassHierarchies::ProhibitAutoloading) = 1.132
Provides: perl(Perl::Critic::Policy::ClassHierarchies::ProhibitExplicitISA) = 1.132
Provides: perl(Perl::Critic::Policy::ClassHierarchies::ProhibitOneArgBless) = 1.132
Provides: perl(Perl::Critic::Policy::CodeLayout::ProhibitHardTabs) = 1.132
Provides: perl(Perl::Critic::Policy::CodeLayout::ProhibitParensWithBuiltins) = 1.132
Provides: perl(Perl::Critic::Policy::CodeLayout::ProhibitQuotedWordLists) = 1.132
Provides: perl(Perl::Critic::Policy::CodeLayout::ProhibitTrailingWhitespace) = 1.132
Provides: perl(Perl::Critic::Policy::CodeLayout::RequireConsistentNewlines) = 1.132
Provides: perl(Perl::Critic::Policy::CodeLayout::RequireTidyCode) = 1.132
Provides: perl(Perl::Critic::Policy::CodeLayout::RequireTrailingCommas) = 1.132
Provides: perl(Perl::Critic::Policy::ControlStructures::ProhibitCStyleForLoops) = 1.132
Provides: perl(Perl::Critic::Policy::ControlStructures::ProhibitCascadingIfElse) = 1.132
Provides: perl(Perl::Critic::Policy::ControlStructures::ProhibitDeepNests) = 1.132
Provides: perl(Perl::Critic::Policy::ControlStructures::ProhibitLabelsWithSpecialBlockNames) = 1.132
Provides: perl(Perl::Critic::Policy::ControlStructures::ProhibitMutatingListFunctions) = 1.132
Provides: perl(Perl::Critic::Policy::ControlStructures::ProhibitNegativeExpressionsInUnlessAndUntilConditions) = 1.132
Provides: perl(Perl::Critic::Policy::ControlStructures::ProhibitPostfixControls) = 1.132
Provides: perl(Perl::Critic::Policy::ControlStructures::ProhibitUnlessBlocks) = 1.132
Provides: perl(Perl::Critic::Policy::ControlStructures::ProhibitUnreachableCode) = 1.132
Provides: perl(Perl::Critic::Policy::ControlStructures::ProhibitUntilBlocks) = 1.132
Provides: perl(Perl::Critic::Policy::ControlStructures::ProhibitYadaOperator) = 1.132
Provides: perl(Perl::Critic::Policy::Documentation::PodSpelling) = 1.132
Provides: perl(Perl::Critic::Policy::Documentation::RequirePackageMatchesPodName) = 1.132
Provides: perl(Perl::Critic::Policy::Documentation::RequirePodAtEnd) = 1.132
Provides: perl(Perl::Critic::Policy::Documentation::RequirePodLinksIncludeText) = 1.132
Provides: perl(Perl::Critic::Policy::Documentation::RequirePodSections) = 1.132
Provides: perl(Perl::Critic::Policy::ErrorHandling::RequireCarping) = 1.132
Provides: perl(Perl::Critic::Policy::ErrorHandling::RequireCheckingReturnValueOfEval) = 1.132
Provides: perl(Perl::Critic::Policy::InputOutput::ProhibitBacktickOperators) = 1.132
Provides: perl(Perl::Critic::Policy::InputOutput::ProhibitBarewordFileHandles) = 1.132
Provides: perl(Perl::Critic::Policy::InputOutput::ProhibitExplicitStdin) = 1.132
Provides: perl(Perl::Critic::Policy::InputOutput::ProhibitInteractiveTest) = 1.132
Provides: perl(Perl::Critic::Policy::InputOutput::ProhibitJoinedReadline) = 1.132
Provides: perl(Perl::Critic::Policy::InputOutput::ProhibitOneArgSelect) = 1.132
Provides: perl(Perl::Critic::Policy::InputOutput::ProhibitReadlineInForLoop) = 1.132
Provides: perl(Perl::Critic::Policy::InputOutput::ProhibitTwoArgOpen) = 1.132
Provides: perl(Perl::Critic::Policy::InputOutput::RequireBracedFileHandleWithPrint) = 1.132
Provides: perl(Perl::Critic::Policy::InputOutput::RequireBriefOpen) = 1.132
Provides: perl(Perl::Critic::Policy::InputOutput::RequireCheckedClose) = 1.132
Provides: perl(Perl::Critic::Policy::InputOutput::RequireCheckedOpen) = 1.132
Provides: perl(Perl::Critic::Policy::InputOutput::RequireCheckedSyscalls) = 1.132
Provides: perl(Perl::Critic::Policy::InputOutput::RequireEncodingWithUTF8Layer) = 1.132
Provides: perl(Perl::Critic::Policy::Miscellanea::ProhibitFormats) = 1.132
Provides: perl(Perl::Critic::Policy::Miscellanea::ProhibitTies) = 1.132
Provides: perl(Perl::Critic::Policy::Miscellanea::ProhibitUnrestrictedNoCritic) = 1.132
Provides: perl(Perl::Critic::Policy::Miscellanea::ProhibitUselessNoCritic) = 1.132
Provides: perl(Perl::Critic::Policy::Modules::ProhibitAutomaticExportation) = 1.132
Provides: perl(Perl::Critic::Policy::Modules::ProhibitConditionalUseStatements) = 1.132
Provides: perl(Perl::Critic::Policy::Modules::ProhibitEvilModules) = 1.132
Provides: perl(Perl::Critic::Policy::Modules::ProhibitExcessMainComplexity) = 1.132
Provides: perl(Perl::Critic::Policy::Modules::ProhibitMultiplePackages) = 1.132
Provides: perl(Perl::Critic::Policy::Modules::RequireBarewordIncludes) = 1.132
Provides: perl(Perl::Critic::Policy::Modules::RequireEndWithOne) = 1.132
Provides: perl(Perl::Critic::Policy::Modules::RequireExplicitPackage) = 1.132
Provides: perl(Perl::Critic::Policy::Modules::RequireFilenameMatchesPackage) = 1.132
Provides: perl(Perl::Critic::Policy::Modules::RequireNoMatchVarsWithUseEnglish) = 1.132
Provides: perl(Perl::Critic::Policy::Modules::RequireVersionVar) = 1.132
Provides: perl(Perl::Critic::Policy::NamingConventions::Capitalization) = 1.132
Provides: perl(Perl::Critic::Policy::NamingConventions::ProhibitAmbiguousNames) = 1.132
Provides: perl(Perl::Critic::Policy::Objects::ProhibitIndirectSyntax) = 1.132
Provides: perl(Perl::Critic::Policy::References::ProhibitDoubleSigils) = 1.132
Provides: perl(Perl::Critic::Policy::RegularExpressions::ProhibitCaptureWithoutTest) = 1.132
Provides: perl(Perl::Critic::Policy::RegularExpressions::ProhibitComplexRegexes) = 1.132
Provides: perl(Perl::Critic::Policy::RegularExpressions::ProhibitEnumeratedClasses) = 1.132
Provides: perl(Perl::Critic::Policy::RegularExpressions::ProhibitEscapedMetacharacters) = 1.132
Provides: perl(Perl::Critic::Policy::RegularExpressions::ProhibitFixedStringMatches) = 1.132
Provides: perl(Perl::Critic::Policy::RegularExpressions::ProhibitSingleCharAlternation) = 1.132
Provides: perl(Perl::Critic::Policy::RegularExpressions::ProhibitUnusedCapture) = 1.132
Provides: perl(Perl::Critic::Policy::RegularExpressions::ProhibitUnusualDelimiters) = 1.132
Provides: perl(Perl::Critic::Policy::RegularExpressions::ProhibitUselessTopic) = 1.132
Provides: perl(Perl::Critic::Policy::RegularExpressions::RequireBracesForMultiline) = 1.132
Provides: perl(Perl::Critic::Policy::RegularExpressions::RequireDotMatchAnything) = 1.132
Provides: perl(Perl::Critic::Policy::RegularExpressions::RequireExtendedFormatting) = 1.132
Provides: perl(Perl::Critic::Policy::RegularExpressions::RequireLineBoundaryMatching) = 1.132
Provides: perl(Perl::Critic::Policy::Subroutines::ProhibitAmpersandSigils) = 1.132
Provides: perl(Perl::Critic::Policy::Subroutines::ProhibitBuiltinHomonyms) = 1.132
Provides: perl(Perl::Critic::Policy::Subroutines::ProhibitExcessComplexity) = 1.132
Provides: perl(Perl::Critic::Policy::Subroutines::ProhibitExplicitReturnUndef) = 1.132
Provides: perl(Perl::Critic::Policy::Subroutines::ProhibitManyArgs) = 1.132
Provides: perl(Perl::Critic::Policy::Subroutines::ProhibitNestedSubs) = 1.132
Provides: perl(Perl::Critic::Policy::Subroutines::ProhibitReturnSort) = 1.132
Provides: perl(Perl::Critic::Policy::Subroutines::ProhibitSubroutinePrototypes) = 1.132
Provides: perl(Perl::Critic::Policy::Subroutines::ProhibitUnusedPrivateSubroutines) = 1.132
Provides: perl(Perl::Critic::Policy::Subroutines::ProtectPrivateSubs) = 1.132
Provides: perl(Perl::Critic::Policy::Subroutines::RequireArgUnpacking) = 1.132
Provides: perl(Perl::Critic::Policy::Subroutines::RequireFinalReturn) = 1.132
Provides: perl(Perl::Critic::Policy::TestingAndDebugging::ProhibitNoStrict) = 1.132
Provides: perl(Perl::Critic::Policy::TestingAndDebugging::ProhibitNoWarnings) = 1.132
Provides: perl(Perl::Critic::Policy::TestingAndDebugging::ProhibitProlongedStrictureOverride) = 1.132
Provides: perl(Perl::Critic::Policy::TestingAndDebugging::RequireTestLabels) = 1.132
Provides: perl(Perl::Critic::Policy::TestingAndDebugging::RequireUseStrict) = 1.132
Provides: perl(Perl::Critic::Policy::TestingAndDebugging::RequireUseWarnings) = 1.132
Provides: perl(Perl::Critic::Policy::ValuesAndExpressions::ProhibitCommaSeparatedStatements) = 1.132
Provides: perl(Perl::Critic::Policy::ValuesAndExpressions::ProhibitComplexVersion) = 1.132
Provides: perl(Perl::Critic::Policy::ValuesAndExpressions::ProhibitConstantPragma) = 1.132
Provides: perl(Perl::Critic::Policy::ValuesAndExpressions::ProhibitEmptyQuotes) = 1.132
Provides: perl(Perl::Critic::Policy::ValuesAndExpressions::ProhibitEscapedCharacters) = 1.132
Provides: perl(Perl::Critic::Policy::ValuesAndExpressions::ProhibitImplicitNewlines) = 1.132
Provides: perl(Perl::Critic::Policy::ValuesAndExpressions::ProhibitInterpolationOfLiterals) = 1.132
Provides: perl(Perl::Critic::Policy::ValuesAndExpressions::ProhibitLeadingZeros) = 1.132
Provides: perl(Perl::Critic::Policy::ValuesAndExpressions::ProhibitLongChainsOfMethodCalls) = 1.132
Provides: perl(Perl::Critic::Policy::ValuesAndExpressions::ProhibitMagicNumbers) = 1.132
Provides: perl(Perl::Critic::Policy::ValuesAndExpressions::ProhibitMismatchedOperators) = 1.132
Provides: perl(Perl::Critic::Policy::ValuesAndExpressions::ProhibitMixedBooleanOperators) = 1.132
Provides: perl(Perl::Critic::Policy::ValuesAndExpressions::ProhibitNoisyQuotes) = 1.132
Provides: perl(Perl::Critic::Policy::ValuesAndExpressions::ProhibitQuotesAsQuotelikeOperatorDelimiters) = 1.132
Provides: perl(Perl::Critic::Policy::ValuesAndExpressions::ProhibitSpecialLiteralHeredocTerminator) = 1.132
Provides: perl(Perl::Critic::Policy::ValuesAndExpressions::ProhibitVersionStrings) = 1.132
Provides: perl(Perl::Critic::Policy::ValuesAndExpressions::RequireConstantVersion) = 1.132
Provides: perl(Perl::Critic::Policy::ValuesAndExpressions::RequireInterpolationOfMetachars) = 1.132
Provides: perl(Perl::Critic::Policy::ValuesAndExpressions::RequireNumberSeparators) = 1.132
Provides: perl(Perl::Critic::Policy::ValuesAndExpressions::RequireQuotedHeredocTerminator) = 1.132
Provides: perl(Perl::Critic::Policy::ValuesAndExpressions::RequireUpperCaseHeredocTerminator) = 1.132
Provides: perl(Perl::Critic::Policy::Variables::ProhibitAugmentedAssignmentInDeclaration) = 1.132
Provides: perl(Perl::Critic::Policy::Variables::ProhibitConditionalDeclarations) = 1.132
Provides: perl(Perl::Critic::Policy::Variables::ProhibitEvilVariables) = 1.132
Provides: perl(Perl::Critic::Policy::Variables::ProhibitLocalVars) = 1.132
Provides: perl(Perl::Critic::Policy::Variables::ProhibitMatchVars) = 1.132
Provides: perl(Perl::Critic::Policy::Variables::ProhibitPackageVars) = 1.132
Provides: perl(Perl::Critic::Policy::Variables::ProhibitPerl4PackageNames) = 1.132
Provides: perl(Perl::Critic::Policy::Variables::ProhibitPunctuationVars) = 1.132
Provides: perl(Perl::Critic::Policy::Variables::ProhibitReusedNames) = 1.132
Provides: perl(Perl::Critic::Policy::Variables::ProhibitUnusedVariables) = 1.132
Provides: perl(Perl::Critic::Policy::Variables::ProtectPrivateVars) = 1.132
Provides: perl(Perl::Critic::Policy::Variables::RequireInitializationForLocalVars) = 1.132
Provides: perl(Perl::Critic::Policy::Variables::RequireLexicalLoopIterators) = 1.132
Provides: perl(Perl::Critic::Policy::Variables::RequireLocalizedPunctuationVars) = 1.132
Provides: perl(Perl::Critic::Policy::Variables::RequireNegativeIndices) = 1.132
Provides: perl(Perl::Critic::PolicyConfig) = 1.132
Provides: perl(Perl::Critic::PolicyFactory) = 1.132
Provides: perl(Perl::Critic::PolicyListing) = 1.132
Provides: perl(Perl::Critic::PolicyParameter) = 1.132
Provides: perl(Perl::Critic::PolicyParameter::Behavior) = 1.132
Provides: perl(Perl::Critic::PolicyParameter::Behavior::Boolean) = 1.132
Provides: perl(Perl::Critic::PolicyParameter::Behavior::Enumeration) = 1.132
Provides: perl(Perl::Critic::PolicyParameter::Behavior::Integer) = 1.132
Provides: perl(Perl::Critic::PolicyParameter::Behavior::String) = 1.132
Provides: perl(Perl::Critic::PolicyParameter::Behavior::StringList) = 1.132
Provides: perl(Perl::Critic::ProfilePrototype) = 1.132
Provides: perl(Perl::Critic::Statistics) = 1.132
Provides: perl(Perl::Critic::TestUtils) = 1.132
Provides: perl(Perl::Critic::Theme) = 1.132
Provides: perl(Perl::Critic::ThemeListing) = 1.132
Provides: perl(Perl::Critic::UserProfile) = 1.132
Provides: perl(Perl::Critic::Utils) = 1.132
Provides: perl(Perl::Critic::Utils::Constants) = 1.132
Provides: perl(Perl::Critic::Utils::DataConversion) = 1.132
Provides: perl(Perl::Critic::Utils::McCabe) = 1.132
Provides: perl(Perl::Critic::Utils::POD) = 1.132
Provides: perl(Perl::Critic::Utils::POD::ParseInteriorSequence) = 1.132
Provides: perl(Perl::Critic::Utils::PPI) = 1.132
Provides: perl(Perl::Critic::Utils::Perl) = 1.132
Provides: perl(Perl::Critic::Violation) = 1.132
Provides: perl(Test::Perl::Critic::Policy) = 1.132
%description
Critique Perl source code for best-practices.

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/local/bin/perlcritic
/usr/local/share/man/man1/perlcritic.1
/usr/local/share/man/man3/Perl::Critic.3pm
/usr/local/share/man/man3/Perl::Critic::Annotation.3pm
/usr/local/share/man/man3/Perl::Critic::CORE_DEVELOPER.3pm
/usr/local/share/man/man3/Perl::Critic::Command.3pm
/usr/local/share/man/man3/Perl::Critic::Config.3pm
/usr/local/share/man/man3/Perl::Critic::DEVELOPER.3pm
/usr/local/share/man/man3/Perl::Critic::Document.3pm
/usr/local/share/man/man3/Perl::Critic::Exception.3pm
/usr/local/share/man/man3/Perl::Critic::Exception::AggregateConfiguration.3pm
/usr/local/share/man/man3/Perl::Critic::Exception::Configuration.3pm
/usr/local/share/man/man3/Perl::Critic::Exception::Configuration::Generic.3pm
/usr/local/share/man/man3/Perl::Critic::Exception::Configuration::NonExistentPolicy.3pm
/usr/local/share/man/man3/Perl::Critic::Exception::Configuration::Option.3pm
/usr/local/share/man/man3/Perl::Critic::Exception::Configuration::Option::Global.3pm
/usr/local/share/man/man3/Perl::Critic::Exception::Configuration::Option::Global::ExtraParameter.3pm
/usr/local/share/man/man3/Perl::Critic::Exception::Configuration::Option::Global::ParameterValue.3pm
/usr/local/share/man/man3/Perl::Critic::Exception::Configuration::Option::Policy.3pm
/usr/local/share/man/man3/Perl::Critic::Exception::Configuration::Option::Policy::ExtraParameter.3pm
/usr/local/share/man/man3/Perl::Critic::Exception::Configuration::Option::Policy::ParameterValue.3pm
/usr/local/share/man/man3/Perl::Critic::Exception::Fatal.3pm
/usr/local/share/man/man3/Perl::Critic::Exception::Fatal::Generic.3pm
/usr/local/share/man/man3/Perl::Critic::Exception::Fatal::Internal.3pm
/usr/local/share/man/man3/Perl::Critic::Exception::Fatal::PolicyDefinition.3pm
/usr/local/share/man/man3/Perl::Critic::Exception::IO.3pm
/usr/local/share/man/man3/Perl::Critic::Exception::Parse.3pm
/usr/local/share/man/man3/Perl::Critic::OptionsProcessor.3pm
/usr/local/share/man/man3/Perl::Critic::Policy.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::BuiltinFunctions::ProhibitBooleanGrep.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::BuiltinFunctions::ProhibitComplexMappings.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::BuiltinFunctions::ProhibitLvalueSubstr.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::BuiltinFunctions::ProhibitReverseSortBlock.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::BuiltinFunctions::ProhibitSleepViaSelect.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::BuiltinFunctions::ProhibitStringyEval.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::BuiltinFunctions::ProhibitStringySplit.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::BuiltinFunctions::ProhibitUniversalCan.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::BuiltinFunctions::ProhibitUniversalIsa.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::BuiltinFunctions::ProhibitUselessTopic.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::BuiltinFunctions::ProhibitVoidGrep.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::BuiltinFunctions::ProhibitVoidMap.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::BuiltinFunctions::RequireBlockGrep.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::BuiltinFunctions::RequireBlockMap.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::BuiltinFunctions::RequireGlobFunction.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::BuiltinFunctions::RequireSimpleSortBlock.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::ClassHierarchies::ProhibitAutoloading.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::ClassHierarchies::ProhibitExplicitISA.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::ClassHierarchies::ProhibitOneArgBless.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::CodeLayout::ProhibitHardTabs.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::CodeLayout::ProhibitParensWithBuiltins.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::CodeLayout::ProhibitQuotedWordLists.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::CodeLayout::ProhibitTrailingWhitespace.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::CodeLayout::RequireConsistentNewlines.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::CodeLayout::RequireTidyCode.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::CodeLayout::RequireTrailingCommas.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::ControlStructures::ProhibitCStyleForLoops.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::ControlStructures::ProhibitCascadingIfElse.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::ControlStructures::ProhibitDeepNests.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::ControlStructures::ProhibitLabelsWithSpecialBlockNames.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::ControlStructures::ProhibitMutatingListFunctions.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::ControlStructures::ProhibitNegativeExpressionsInUnlessAndUntilConditions.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::ControlStructures::ProhibitPostfixControls.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::ControlStructures::ProhibitUnlessBlocks.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::ControlStructures::ProhibitUnreachableCode.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::ControlStructures::ProhibitUntilBlocks.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::ControlStructures::ProhibitYadaOperator.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Documentation::PodSpelling.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Documentation::RequirePackageMatchesPodName.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Documentation::RequirePodAtEnd.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Documentation::RequirePodLinksIncludeText.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Documentation::RequirePodSections.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::ErrorHandling::RequireCarping.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::ErrorHandling::RequireCheckingReturnValueOfEval.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::InputOutput::ProhibitBacktickOperators.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::InputOutput::ProhibitBarewordFileHandles.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::InputOutput::ProhibitExplicitStdin.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::InputOutput::ProhibitInteractiveTest.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::InputOutput::ProhibitJoinedReadline.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::InputOutput::ProhibitOneArgSelect.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::InputOutput::ProhibitReadlineInForLoop.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::InputOutput::ProhibitTwoArgOpen.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::InputOutput::RequireBracedFileHandleWithPrint.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::InputOutput::RequireBriefOpen.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::InputOutput::RequireCheckedClose.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::InputOutput::RequireCheckedOpen.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::InputOutput::RequireCheckedSyscalls.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::InputOutput::RequireEncodingWithUTF8Layer.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Miscellanea::ProhibitFormats.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Miscellanea::ProhibitTies.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Miscellanea::ProhibitUnrestrictedNoCritic.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Miscellanea::ProhibitUselessNoCritic.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Modules::ProhibitAutomaticExportation.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Modules::ProhibitConditionalUseStatements.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Modules::ProhibitEvilModules.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Modules::ProhibitExcessMainComplexity.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Modules::ProhibitMultiplePackages.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Modules::RequireBarewordIncludes.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Modules::RequireEndWithOne.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Modules::RequireExplicitPackage.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Modules::RequireFilenameMatchesPackage.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Modules::RequireNoMatchVarsWithUseEnglish.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Modules::RequireVersionVar.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::NamingConventions::Capitalization.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::NamingConventions::ProhibitAmbiguousNames.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Objects::ProhibitIndirectSyntax.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::References::ProhibitDoubleSigils.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::RegularExpressions::ProhibitCaptureWithoutTest.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::RegularExpressions::ProhibitComplexRegexes.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::RegularExpressions::ProhibitEnumeratedClasses.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::RegularExpressions::ProhibitEscapedMetacharacters.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::RegularExpressions::ProhibitFixedStringMatches.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::RegularExpressions::ProhibitSingleCharAlternation.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::RegularExpressions::ProhibitUnusedCapture.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::RegularExpressions::ProhibitUnusualDelimiters.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::RegularExpressions::ProhibitUselessTopic.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::RegularExpressions::RequireBracesForMultiline.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::RegularExpressions::RequireDotMatchAnything.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::RegularExpressions::RequireExtendedFormatting.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::RegularExpressions::RequireLineBoundaryMatching.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Subroutines::ProhibitAmpersandSigils.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Subroutines::ProhibitBuiltinHomonyms.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Subroutines::ProhibitExcessComplexity.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Subroutines::ProhibitExplicitReturnUndef.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Subroutines::ProhibitManyArgs.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Subroutines::ProhibitNestedSubs.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Subroutines::ProhibitReturnSort.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Subroutines::ProhibitSubroutinePrototypes.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Subroutines::ProhibitUnusedPrivateSubroutines.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Subroutines::ProtectPrivateSubs.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Subroutines::RequireArgUnpacking.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Subroutines::RequireFinalReturn.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::TestingAndDebugging::ProhibitNoStrict.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::TestingAndDebugging::ProhibitNoWarnings.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::TestingAndDebugging::ProhibitProlongedStrictureOverride.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::TestingAndDebugging::RequireTestLabels.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::TestingAndDebugging::RequireUseStrict.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::TestingAndDebugging::RequireUseWarnings.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::ValuesAndExpressions::ProhibitCommaSeparatedStatements.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::ValuesAndExpressions::ProhibitComplexVersion.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::ValuesAndExpressions::ProhibitConstantPragma.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::ValuesAndExpressions::ProhibitEmptyQuotes.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::ValuesAndExpressions::ProhibitEscapedCharacters.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::ValuesAndExpressions::ProhibitImplicitNewlines.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::ValuesAndExpressions::ProhibitInterpolationOfLiterals.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::ValuesAndExpressions::ProhibitLeadingZeros.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::ValuesAndExpressions::ProhibitLongChainsOfMethodCalls.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::ValuesAndExpressions::ProhibitMagicNumbers.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::ValuesAndExpressions::ProhibitMismatchedOperators.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::ValuesAndExpressions::ProhibitMixedBooleanOperators.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::ValuesAndExpressions::ProhibitNoisyQuotes.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::ValuesAndExpressions::ProhibitQuotesAsQuotelikeOperatorDelimiters.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::ValuesAndExpressions::ProhibitSpecialLiteralHeredocTerminator.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::ValuesAndExpressions::ProhibitVersionStrings.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::ValuesAndExpressions::RequireConstantVersion.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::ValuesAndExpressions::RequireInterpolationOfMetachars.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::ValuesAndExpressions::RequireNumberSeparators.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::ValuesAndExpressions::RequireQuotedHeredocTerminator.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::ValuesAndExpressions::RequireUpperCaseHeredocTerminator.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Variables::ProhibitAugmentedAssignmentInDeclaration.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Variables::ProhibitConditionalDeclarations.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Variables::ProhibitEvilVariables.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Variables::ProhibitLocalVars.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Variables::ProhibitMatchVars.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Variables::ProhibitPackageVars.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Variables::ProhibitPerl4PackageNames.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Variables::ProhibitPunctuationVars.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Variables::ProhibitReusedNames.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Variables::ProhibitUnusedVariables.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Variables::ProtectPrivateVars.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Variables::RequireInitializationForLocalVars.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Variables::RequireLexicalLoopIterators.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Variables::RequireLocalizedPunctuationVars.3pm
/usr/local/share/man/man3/Perl::Critic::Policy::Variables::RequireNegativeIndices.3pm
/usr/local/share/man/man3/Perl::Critic::PolicyConfig.3pm
/usr/local/share/man/man3/Perl::Critic::PolicyFactory.3pm
/usr/local/share/man/man3/Perl::Critic::PolicyListing.3pm
/usr/local/share/man/man3/Perl::Critic::PolicyParameter.3pm
/usr/local/share/man/man3/Perl::Critic::PolicyParameter::Behavior.3pm
/usr/local/share/man/man3/Perl::Critic::PolicyParameter::Behavior::Boolean.3pm
/usr/local/share/man/man3/Perl::Critic::PolicyParameter::Behavior::Enumeration.3pm
/usr/local/share/man/man3/Perl::Critic::PolicyParameter::Behavior::Integer.3pm
/usr/local/share/man/man3/Perl::Critic::PolicyParameter::Behavior::String.3pm
/usr/local/share/man/man3/Perl::Critic::PolicyParameter::Behavior::StringList.3pm
/usr/local/share/man/man3/Perl::Critic::PolicySummary.3pm
/usr/local/share/man/man3/Perl::Critic::ProfilePrototype.3pm
/usr/local/share/man/man3/Perl::Critic::Statistics.3pm
/usr/local/share/man/man3/Perl::Critic::TestUtils.3pm
/usr/local/share/man/man3/Perl::Critic::Theme.3pm
/usr/local/share/man/man3/Perl::Critic::ThemeListing.3pm
/usr/local/share/man/man3/Perl::Critic::UserProfile.3pm
/usr/local/share/man/man3/Perl::Critic::Utils.3pm
/usr/local/share/man/man3/Perl::Critic::Utils::Constants.3pm
/usr/local/share/man/man3/Perl::Critic::Utils::DataConversion.3pm
/usr/local/share/man/man3/Perl::Critic::Utils::McCabe.3pm
/usr/local/share/man/man3/Perl::Critic::Utils::POD.3pm
/usr/local/share/man/man3/Perl::Critic::Utils::POD::ParseInteriorSequence.3pm
/usr/local/share/man/man3/Perl::Critic::Utils::PPI.3pm
/usr/local/share/man/man3/Perl::Critic::Utils::Perl.3pm
/usr/local/share/man/man3/Perl::Critic::Violation.3pm
/usr/local/share/man/man3/Test::Perl::Critic::Policy.3pm
/usr/local/share/perl5/Perl/Critic/Annotation.pm
/usr/local/share/perl5/Perl/Critic/CORE_DEVELOPER.pod
/usr/local/share/perl5/Perl/Critic/Command.pm
/usr/local/share/perl5/Perl/Critic/Config.pm
/usr/local/share/perl5/Perl/Critic/DEVELOPER.pod
/usr/local/share/perl5/Perl/Critic/Document.pm
/usr/local/share/perl5/Perl/Critic/Exception/AggregateConfiguration.pm
/usr/local/share/perl5/Perl/Critic/Exception/Configuration/Generic.pm
/usr/local/share/perl5/Perl/Critic/Exception/Configuration/NonExistentPolicy.pm
/usr/local/share/perl5/Perl/Critic/Exception/Configuration/Option/Global/ExtraParameter.pm
/usr/local/share/perl5/Perl/Critic/Exception/Configuration/Option/Global/ParameterValue.pm
/usr/local/share/perl5/Perl/Critic/Exception/Configuration/Option/Global.pm
/usr/local/share/perl5/Perl/Critic/Exception/Configuration/Option/Policy/ExtraParameter.pm
/usr/local/share/perl5/Perl/Critic/Exception/Configuration/Option/Policy/ParameterValue.pm
/usr/local/share/perl5/Perl/Critic/Exception/Configuration/Option/Policy.pm
/usr/local/share/perl5/Perl/Critic/Exception/Configuration/Option.pm
/usr/local/share/perl5/Perl/Critic/Exception/Configuration.pm
/usr/local/share/perl5/Perl/Critic/Exception/Fatal/Generic.pm
/usr/local/share/perl5/Perl/Critic/Exception/Fatal/Internal.pm
/usr/local/share/perl5/Perl/Critic/Exception/Fatal/PolicyDefinition.pm
/usr/local/share/perl5/Perl/Critic/Exception/Fatal.pm
/usr/local/share/perl5/Perl/Critic/Exception/IO.pm
/usr/local/share/perl5/Perl/Critic/Exception/Parse.pm
/usr/local/share/perl5/Perl/Critic/Exception.pm
/usr/local/share/perl5/Perl/Critic/OptionsProcessor.pm
/usr/local/share/perl5/Perl/Critic/Policy/BuiltinFunctions/ProhibitBooleanGrep.pm
/usr/local/share/perl5/Perl/Critic/Policy/BuiltinFunctions/ProhibitComplexMappings.pm
/usr/local/share/perl5/Perl/Critic/Policy/BuiltinFunctions/ProhibitLvalueSubstr.pm
/usr/local/share/perl5/Perl/Critic/Policy/BuiltinFunctions/ProhibitReverseSortBlock.pm
/usr/local/share/perl5/Perl/Critic/Policy/BuiltinFunctions/ProhibitSleepViaSelect.pm
/usr/local/share/perl5/Perl/Critic/Policy/BuiltinFunctions/ProhibitStringyEval.pm
/usr/local/share/perl5/Perl/Critic/Policy/BuiltinFunctions/ProhibitStringySplit.pm
/usr/local/share/perl5/Perl/Critic/Policy/BuiltinFunctions/ProhibitUniversalCan.pm
/usr/local/share/perl5/Perl/Critic/Policy/BuiltinFunctions/ProhibitUniversalIsa.pm
/usr/local/share/perl5/Perl/Critic/Policy/BuiltinFunctions/ProhibitUselessTopic.pm
/usr/local/share/perl5/Perl/Critic/Policy/BuiltinFunctions/ProhibitVoidGrep.pm
/usr/local/share/perl5/Perl/Critic/Policy/BuiltinFunctions/ProhibitVoidMap.pm
/usr/local/share/perl5/Perl/Critic/Policy/BuiltinFunctions/RequireBlockGrep.pm
/usr/local/share/perl5/Perl/Critic/Policy/BuiltinFunctions/RequireBlockMap.pm
/usr/local/share/perl5/Perl/Critic/Policy/BuiltinFunctions/RequireGlobFunction.pm
/usr/local/share/perl5/Perl/Critic/Policy/BuiltinFunctions/RequireSimpleSortBlock.pm
/usr/local/share/perl5/Perl/Critic/Policy/ClassHierarchies/ProhibitAutoloading.pm
/usr/local/share/perl5/Perl/Critic/Policy/ClassHierarchies/ProhibitExplicitISA.pm
/usr/local/share/perl5/Perl/Critic/Policy/ClassHierarchies/ProhibitOneArgBless.pm
/usr/local/share/perl5/Perl/Critic/Policy/CodeLayout/ProhibitHardTabs.pm
/usr/local/share/perl5/Perl/Critic/Policy/CodeLayout/ProhibitParensWithBuiltins.pm
/usr/local/share/perl5/Perl/Critic/Policy/CodeLayout/ProhibitQuotedWordLists.pm
/usr/local/share/perl5/Perl/Critic/Policy/CodeLayout/ProhibitTrailingWhitespace.pm
/usr/local/share/perl5/Perl/Critic/Policy/CodeLayout/RequireConsistentNewlines.pm
/usr/local/share/perl5/Perl/Critic/Policy/CodeLayout/RequireTidyCode.pm
/usr/local/share/perl5/Perl/Critic/Policy/CodeLayout/RequireTrailingCommas.pm
/usr/local/share/perl5/Perl/Critic/Policy/ControlStructures/ProhibitCStyleForLoops.pm
/usr/local/share/perl5/Perl/Critic/Policy/ControlStructures/ProhibitCascadingIfElse.pm
/usr/local/share/perl5/Perl/Critic/Policy/ControlStructures/ProhibitDeepNests.pm
/usr/local/share/perl5/Perl/Critic/Policy/ControlStructures/ProhibitLabelsWithSpecialBlockNames.pm
/usr/local/share/perl5/Perl/Critic/Policy/ControlStructures/ProhibitMutatingListFunctions.pm
/usr/local/share/perl5/Perl/Critic/Policy/ControlStructures/ProhibitNegativeExpressionsInUnlessAndUntilConditions.pm
/usr/local/share/perl5/Perl/Critic/Policy/ControlStructures/ProhibitPostfixControls.pm
/usr/local/share/perl5/Perl/Critic/Policy/ControlStructures/ProhibitUnlessBlocks.pm
/usr/local/share/perl5/Perl/Critic/Policy/ControlStructures/ProhibitUnreachableCode.pm
/usr/local/share/perl5/Perl/Critic/Policy/ControlStructures/ProhibitUntilBlocks.pm
/usr/local/share/perl5/Perl/Critic/Policy/ControlStructures/ProhibitYadaOperator.pm
/usr/local/share/perl5/Perl/Critic/Policy/Documentation/PodSpelling.pm
/usr/local/share/perl5/Perl/Critic/Policy/Documentation/RequirePackageMatchesPodName.pm
/usr/local/share/perl5/Perl/Critic/Policy/Documentation/RequirePodAtEnd.pm
/usr/local/share/perl5/Perl/Critic/Policy/Documentation/RequirePodLinksIncludeText.pm
/usr/local/share/perl5/Perl/Critic/Policy/Documentation/RequirePodSections.pm
/usr/local/share/perl5/Perl/Critic/Policy/ErrorHandling/RequireCarping.pm
/usr/local/share/perl5/Perl/Critic/Policy/ErrorHandling/RequireCheckingReturnValueOfEval.pm
/usr/local/share/perl5/Perl/Critic/Policy/InputOutput/ProhibitBacktickOperators.pm
/usr/local/share/perl5/Perl/Critic/Policy/InputOutput/ProhibitBarewordFileHandles.pm
/usr/local/share/perl5/Perl/Critic/Policy/InputOutput/ProhibitExplicitStdin.pm
/usr/local/share/perl5/Perl/Critic/Policy/InputOutput/ProhibitInteractiveTest.pm
/usr/local/share/perl5/Perl/Critic/Policy/InputOutput/ProhibitJoinedReadline.pm
/usr/local/share/perl5/Perl/Critic/Policy/InputOutput/ProhibitOneArgSelect.pm
/usr/local/share/perl5/Perl/Critic/Policy/InputOutput/ProhibitReadlineInForLoop.pm
/usr/local/share/perl5/Perl/Critic/Policy/InputOutput/ProhibitTwoArgOpen.pm
/usr/local/share/perl5/Perl/Critic/Policy/InputOutput/RequireBracedFileHandleWithPrint.pm
/usr/local/share/perl5/Perl/Critic/Policy/InputOutput/RequireBriefOpen.pm
/usr/local/share/perl5/Perl/Critic/Policy/InputOutput/RequireCheckedClose.pm
/usr/local/share/perl5/Perl/Critic/Policy/InputOutput/RequireCheckedOpen.pm
/usr/local/share/perl5/Perl/Critic/Policy/InputOutput/RequireCheckedSyscalls.pm
/usr/local/share/perl5/Perl/Critic/Policy/InputOutput/RequireEncodingWithUTF8Layer.pm
/usr/local/share/perl5/Perl/Critic/Policy/Miscellanea/ProhibitFormats.pm
/usr/local/share/perl5/Perl/Critic/Policy/Miscellanea/ProhibitTies.pm
/usr/local/share/perl5/Perl/Critic/Policy/Miscellanea/ProhibitUnrestrictedNoCritic.pm
/usr/local/share/perl5/Perl/Critic/Policy/Miscellanea/ProhibitUselessNoCritic.pm
/usr/local/share/perl5/Perl/Critic/Policy/Modules/ProhibitAutomaticExportation.pm
/usr/local/share/perl5/Perl/Critic/Policy/Modules/ProhibitConditionalUseStatements.pm
/usr/local/share/perl5/Perl/Critic/Policy/Modules/ProhibitEvilModules.pm
/usr/local/share/perl5/Perl/Critic/Policy/Modules/ProhibitExcessMainComplexity.pm
/usr/local/share/perl5/Perl/Critic/Policy/Modules/ProhibitMultiplePackages.pm
/usr/local/share/perl5/Perl/Critic/Policy/Modules/RequireBarewordIncludes.pm
/usr/local/share/perl5/Perl/Critic/Policy/Modules/RequireEndWithOne.pm
/usr/local/share/perl5/Perl/Critic/Policy/Modules/RequireExplicitPackage.pm
/usr/local/share/perl5/Perl/Critic/Policy/Modules/RequireFilenameMatchesPackage.pm
/usr/local/share/perl5/Perl/Critic/Policy/Modules/RequireNoMatchVarsWithUseEnglish.pm
/usr/local/share/perl5/Perl/Critic/Policy/Modules/RequireVersionVar.pm
/usr/local/share/perl5/Perl/Critic/Policy/NamingConventions/Capitalization.pm
/usr/local/share/perl5/Perl/Critic/Policy/NamingConventions/ProhibitAmbiguousNames.pm
/usr/local/share/perl5/Perl/Critic/Policy/Objects/ProhibitIndirectSyntax.pm
/usr/local/share/perl5/Perl/Critic/Policy/References/ProhibitDoubleSigils.pm
/usr/local/share/perl5/Perl/Critic/Policy/RegularExpressions/ProhibitCaptureWithoutTest.pm
/usr/local/share/perl5/Perl/Critic/Policy/RegularExpressions/ProhibitComplexRegexes.pm
/usr/local/share/perl5/Perl/Critic/Policy/RegularExpressions/ProhibitEnumeratedClasses.pm
/usr/local/share/perl5/Perl/Critic/Policy/RegularExpressions/ProhibitEscapedMetacharacters.pm
/usr/local/share/perl5/Perl/Critic/Policy/RegularExpressions/ProhibitFixedStringMatches.pm
/usr/local/share/perl5/Perl/Critic/Policy/RegularExpressions/ProhibitSingleCharAlternation.pm
/usr/local/share/perl5/Perl/Critic/Policy/RegularExpressions/ProhibitUnusedCapture.pm
/usr/local/share/perl5/Perl/Critic/Policy/RegularExpressions/ProhibitUnusualDelimiters.pm
/usr/local/share/perl5/Perl/Critic/Policy/RegularExpressions/ProhibitUselessTopic.pm
/usr/local/share/perl5/Perl/Critic/Policy/RegularExpressions/RequireBracesForMultiline.pm
/usr/local/share/perl5/Perl/Critic/Policy/RegularExpressions/RequireDotMatchAnything.pm
/usr/local/share/perl5/Perl/Critic/Policy/RegularExpressions/RequireExtendedFormatting.pm
/usr/local/share/perl5/Perl/Critic/Policy/RegularExpressions/RequireLineBoundaryMatching.pm
/usr/local/share/perl5/Perl/Critic/Policy/Subroutines/ProhibitAmpersandSigils.pm
/usr/local/share/perl5/Perl/Critic/Policy/Subroutines/ProhibitBuiltinHomonyms.pm
/usr/local/share/perl5/Perl/Critic/Policy/Subroutines/ProhibitExcessComplexity.pm
/usr/local/share/perl5/Perl/Critic/Policy/Subroutines/ProhibitExplicitReturnUndef.pm
/usr/local/share/perl5/Perl/Critic/Policy/Subroutines/ProhibitManyArgs.pm
/usr/local/share/perl5/Perl/Critic/Policy/Subroutines/ProhibitNestedSubs.pm
/usr/local/share/perl5/Perl/Critic/Policy/Subroutines/ProhibitReturnSort.pm
/usr/local/share/perl5/Perl/Critic/Policy/Subroutines/ProhibitSubroutinePrototypes.pm
/usr/local/share/perl5/Perl/Critic/Policy/Subroutines/ProhibitUnusedPrivateSubroutines.pm
/usr/local/share/perl5/Perl/Critic/Policy/Subroutines/ProtectPrivateSubs.pm
/usr/local/share/perl5/Perl/Critic/Policy/Subroutines/RequireArgUnpacking.pm
/usr/local/share/perl5/Perl/Critic/Policy/Subroutines/RequireFinalReturn.pm
/usr/local/share/perl5/Perl/Critic/Policy/TestingAndDebugging/ProhibitNoStrict.pm
/usr/local/share/perl5/Perl/Critic/Policy/TestingAndDebugging/ProhibitNoWarnings.pm
/usr/local/share/perl5/Perl/Critic/Policy/TestingAndDebugging/ProhibitProlongedStrictureOverride.pm
/usr/local/share/perl5/Perl/Critic/Policy/TestingAndDebugging/RequireTestLabels.pm
/usr/local/share/perl5/Perl/Critic/Policy/TestingAndDebugging/RequireUseStrict.pm
/usr/local/share/perl5/Perl/Critic/Policy/TestingAndDebugging/RequireUseWarnings.pm
/usr/local/share/perl5/Perl/Critic/Policy/ValuesAndExpressions/ProhibitCommaSeparatedStatements.pm
/usr/local/share/perl5/Perl/Critic/Policy/ValuesAndExpressions/ProhibitComplexVersion.pm
/usr/local/share/perl5/Perl/Critic/Policy/ValuesAndExpressions/ProhibitConstantPragma.pm
/usr/local/share/perl5/Perl/Critic/Policy/ValuesAndExpressions/ProhibitEmptyQuotes.pm
/usr/local/share/perl5/Perl/Critic/Policy/ValuesAndExpressions/ProhibitEscapedCharacters.pm
/usr/local/share/perl5/Perl/Critic/Policy/ValuesAndExpressions/ProhibitImplicitNewlines.pm
/usr/local/share/perl5/Perl/Critic/Policy/ValuesAndExpressions/ProhibitInterpolationOfLiterals.pm
/usr/local/share/perl5/Perl/Critic/Policy/ValuesAndExpressions/ProhibitLeadingZeros.pm
/usr/local/share/perl5/Perl/Critic/Policy/ValuesAndExpressions/ProhibitLongChainsOfMethodCalls.pm
/usr/local/share/perl5/Perl/Critic/Policy/ValuesAndExpressions/ProhibitMagicNumbers.pm
/usr/local/share/perl5/Perl/Critic/Policy/ValuesAndExpressions/ProhibitMismatchedOperators.pm
/usr/local/share/perl5/Perl/Critic/Policy/ValuesAndExpressions/ProhibitMixedBooleanOperators.pm
/usr/local/share/perl5/Perl/Critic/Policy/ValuesAndExpressions/ProhibitNoisyQuotes.pm
/usr/local/share/perl5/Perl/Critic/Policy/ValuesAndExpressions/ProhibitQuotesAsQuotelikeOperatorDelimiters.pm
/usr/local/share/perl5/Perl/Critic/Policy/ValuesAndExpressions/ProhibitSpecialLiteralHeredocTerminator.pm
/usr/local/share/perl5/Perl/Critic/Policy/ValuesAndExpressions/ProhibitVersionStrings.pm
/usr/local/share/perl5/Perl/Critic/Policy/ValuesAndExpressions/RequireConstantVersion.pm
/usr/local/share/perl5/Perl/Critic/Policy/ValuesAndExpressions/RequireInterpolationOfMetachars.pm
/usr/local/share/perl5/Perl/Critic/Policy/ValuesAndExpressions/RequireNumberSeparators.pm
/usr/local/share/perl5/Perl/Critic/Policy/ValuesAndExpressions/RequireQuotedHeredocTerminator.pm
/usr/local/share/perl5/Perl/Critic/Policy/ValuesAndExpressions/RequireUpperCaseHeredocTerminator.pm
/usr/local/share/perl5/Perl/Critic/Policy/Variables/ProhibitAugmentedAssignmentInDeclaration.pm
/usr/local/share/perl5/Perl/Critic/Policy/Variables/ProhibitConditionalDeclarations.pm
/usr/local/share/perl5/Perl/Critic/Policy/Variables/ProhibitEvilVariables.pm
/usr/local/share/perl5/Perl/Critic/Policy/Variables/ProhibitLocalVars.pm
/usr/local/share/perl5/Perl/Critic/Policy/Variables/ProhibitMatchVars.pm
/usr/local/share/perl5/Perl/Critic/Policy/Variables/ProhibitPackageVars.pm
/usr/local/share/perl5/Perl/Critic/Policy/Variables/ProhibitPerl4PackageNames.pm
/usr/local/share/perl5/Perl/Critic/Policy/Variables/ProhibitPunctuationVars.pm
/usr/local/share/perl5/Perl/Critic/Policy/Variables/ProhibitReusedNames.pm
/usr/local/share/perl5/Perl/Critic/Policy/Variables/ProhibitUnusedVariables.pm
/usr/local/share/perl5/Perl/Critic/Policy/Variables/ProtectPrivateVars.pm
/usr/local/share/perl5/Perl/Critic/Policy/Variables/RequireInitializationForLocalVars.pm
/usr/local/share/perl5/Perl/Critic/Policy/Variables/RequireLexicalLoopIterators.pm
/usr/local/share/perl5/Perl/Critic/Policy/Variables/RequireLocalizedPunctuationVars.pm
/usr/local/share/perl5/Perl/Critic/Policy/Variables/RequireNegativeIndices.pm
/usr/local/share/perl5/Perl/Critic/Policy.pm
/usr/local/share/perl5/Perl/Critic/PolicyConfig.pm
/usr/local/share/perl5/Perl/Critic/PolicyFactory.pm
/usr/local/share/perl5/Perl/Critic/PolicyListing.pm
/usr/local/share/perl5/Perl/Critic/PolicyParameter/Behavior/Boolean.pm
/usr/local/share/perl5/Perl/Critic/PolicyParameter/Behavior/Enumeration.pm
/usr/local/share/perl5/Perl/Critic/PolicyParameter/Behavior/Integer.pm
/usr/local/share/perl5/Perl/Critic/PolicyParameter/Behavior/String.pm
/usr/local/share/perl5/Perl/Critic/PolicyParameter/Behavior/StringList.pm
/usr/local/share/perl5/Perl/Critic/PolicyParameter/Behavior.pm
/usr/local/share/perl5/Perl/Critic/PolicyParameter.pm
/usr/local/share/perl5/Perl/Critic/PolicySummary.pod
/usr/local/share/perl5/Perl/Critic/ProfilePrototype.pm
/usr/local/share/perl5/Perl/Critic/Statistics.pm
/usr/local/share/perl5/Perl/Critic/TestUtils.pm
/usr/local/share/perl5/Perl/Critic/Theme.pm
/usr/local/share/perl5/Perl/Critic/ThemeListing.pm
/usr/local/share/perl5/Perl/Critic/UserProfile.pm
/usr/local/share/perl5/Perl/Critic/Utils/Constants.pm
/usr/local/share/perl5/Perl/Critic/Utils/DataConversion.pm
/usr/local/share/perl5/Perl/Critic/Utils/McCabe.pm
/usr/local/share/perl5/Perl/Critic/Utils/POD/ParseInteriorSequence.pm
/usr/local/share/perl5/Perl/Critic/Utils/POD.pm
/usr/local/share/perl5/Perl/Critic/Utils/PPI.pm
/usr/local/share/perl5/Perl/Critic/Utils/Perl.pm
/usr/local/share/perl5/Perl/Critic/Utils.pm
/usr/local/share/perl5/Perl/Critic/Violation.pm
/usr/local/share/perl5/Perl/Critic.pm
/usr/local/share/perl5/Test/Perl/Critic/Policy.pm

%changelog

