# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-Pod-Simple
Version: 3.350
Release: 1
Summary: framework for parsing Pod
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: perl_5
Vendor: Allison Randal <allison@perl.org>
URL: http://search.cpan.org/dist/Pod-Simple/
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(Carp)
Requires: perl(Config)
Requires: perl(Cwd)
Requires: perl(File::Basename)
Requires: perl(File::Find)
Requires: perl(File::Spec)
Requires: perl(Pod::Escapes) >= 1.040
Requires: perl(Symbol)
Requires: perl(Test) >= 1.250
Requires: perl(Test::More)
Requires: perl(Text::Wrap) >= 98.112.902
Requires: perl(integer)
Requires: perl(overload)
Requires: perl(strict)
Epoch: 10
Provides: perl(Pod::Simple) = 3.350
Provides: perl(Pod::Simple::BlackBox) = 3.350
Provides: perl(Pod::Simple::Checker) = 3.350
Provides: perl(Pod::Simple::Debug) = 3.350
Provides: perl(Pod::Simple::DumpAsText) = 3.350
Provides: perl(Pod::Simple::DumpAsXML) = 3.350
Provides: perl(Pod::Simple::HTML) = 3.350
Provides: perl(Pod::Simple::HTMLBatch) = 3.350
Provides: perl(Pod::Simple::HTMLLegacy) = 5.010
Provides: perl(Pod::Simple::LinkSection) = 3.350
Provides: perl(Pod::Simple::Methody) = 3.350
Provides: perl(Pod::Simple::Progress) = 3.350
Provides: perl(Pod::Simple::PullParser) = 3.350
Provides: perl(Pod::Simple::PullParserEndToken) = 3.350
Provides: perl(Pod::Simple::PullParserStartToken) = 3.350
Provides: perl(Pod::Simple::PullParserTextToken) = 3.350
Provides: perl(Pod::Simple::PullParserToken) = 3.350
Provides: perl(Pod::Simple::RTF) = 3.350
Provides: perl(Pod::Simple::Search) = 3.350
Provides: perl(Pod::Simple::SimpleTree) = 3.350
Provides: perl(Pod::Simple::Text) = 3.350
Provides: perl(Pod::Simple::TextContent) = 3.350
Provides: perl(Pod::Simple::TiedOutFH) = 3.350
Provides: perl(Pod::Simple::Transcode) = 3.350
Provides: perl(Pod::Simple::TranscodeDumb) = 3.350
Provides: perl(Pod::Simple::TranscodeSmart) = 3.350
Provides: perl(Pod::Simple::XHTML) = 3.350
Provides: perl(Pod::Simple::XMLOutStream) = 3.350
%description
framework for parsing Pod

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/share/man/man3/Pod::Simple.3pm
/usr/share/man/man3/Pod::Simple::Checker.3pm
/usr/share/man/man3/Pod::Simple::Debug.3pm
/usr/share/man/man3/Pod::Simple::DumpAsText.3pm
/usr/share/man/man3/Pod::Simple::DumpAsXML.3pm
/usr/share/man/man3/Pod::Simple::HTML.3pm
/usr/share/man/man3/Pod::Simple::HTMLBatch.3pm
/usr/share/man/man3/Pod::Simple::LinkSection.3pm
/usr/share/man/man3/Pod::Simple::Methody.3pm
/usr/share/man/man3/Pod::Simple::PullParser.3pm
/usr/share/man/man3/Pod::Simple::PullParserEndToken.3pm
/usr/share/man/man3/Pod::Simple::PullParserStartToken.3pm
/usr/share/man/man3/Pod::Simple::PullParserTextToken.3pm
/usr/share/man/man3/Pod::Simple::PullParserToken.3pm
/usr/share/man/man3/Pod::Simple::RTF.3pm
/usr/share/man/man3/Pod::Simple::Search.3pm
/usr/share/man/man3/Pod::Simple::SimpleTree.3pm
/usr/share/man/man3/Pod::Simple::Subclassing.3pm
/usr/share/man/man3/Pod::Simple::Text.3pm
/usr/share/man/man3/Pod::Simple::TextContent.3pm
/usr/share/man/man3/Pod::Simple::XHTML.3pm
/usr/share/man/man3/Pod::Simple::XMLOutStream.3pm
/usr/share/perl5/vendor_perl/Pod/Simple/BlackBox.pm
/usr/share/perl5/vendor_perl/Pod/Simple/Checker.pm
/usr/share/perl5/vendor_perl/Pod/Simple/Debug.pm
/usr/share/perl5/vendor_perl/Pod/Simple/DumpAsText.pm
/usr/share/perl5/vendor_perl/Pod/Simple/DumpAsXML.pm
/usr/share/perl5/vendor_perl/Pod/Simple/HTML.pm
/usr/share/perl5/vendor_perl/Pod/Simple/HTMLBatch.pm
/usr/share/perl5/vendor_perl/Pod/Simple/HTMLLegacy.pm
/usr/share/perl5/vendor_perl/Pod/Simple/LinkSection.pm
/usr/share/perl5/vendor_perl/Pod/Simple/Methody.pm
/usr/share/perl5/vendor_perl/Pod/Simple/Progress.pm
/usr/share/perl5/vendor_perl/Pod/Simple/PullParser.pm
/usr/share/perl5/vendor_perl/Pod/Simple/PullParserEndToken.pm
/usr/share/perl5/vendor_perl/Pod/Simple/PullParserStartToken.pm
/usr/share/perl5/vendor_perl/Pod/Simple/PullParserTextToken.pm
/usr/share/perl5/vendor_perl/Pod/Simple/PullParserToken.pm
/usr/share/perl5/vendor_perl/Pod/Simple/RTF.pm
/usr/share/perl5/vendor_perl/Pod/Simple/Search.pm
/usr/share/perl5/vendor_perl/Pod/Simple/SimpleTree.pm
/usr/share/perl5/vendor_perl/Pod/Simple/Subclassing.pod
/usr/share/perl5/vendor_perl/Pod/Simple/Text.pm
/usr/share/perl5/vendor_perl/Pod/Simple/TextContent.pm
/usr/share/perl5/vendor_perl/Pod/Simple/TiedOutFH.pm
/usr/share/perl5/vendor_perl/Pod/Simple/Transcode.pm
/usr/share/perl5/vendor_perl/Pod/Simple/TranscodeDumb.pm
/usr/share/perl5/vendor_perl/Pod/Simple/TranscodeSmart.pm
/usr/share/perl5/vendor_perl/Pod/Simple/XHTML.pm
/usr/share/perl5/vendor_perl/Pod/Simple/XMLOutStream.pm
/usr/share/perl5/vendor_perl/Pod/Simple.pm
/usr/share/perl5/vendor_perl/Pod/Simple.pod

%changelog

