# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-Pod-Spell
Version: 1.200
Release: 1
Summary: a formatter for spellchecking Pod
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: artistic_2
Vendor: Sean M. Burke <sburke@cpan.org>, Caleb Cushing <xenoterracide@gmail.com>
URL: https://github.com/perl-pod/Pod-Spell
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(Carp)
Requires: perl(Class::Tiny)
Requires: perl(File::ShareDir)
Requires: perl(Lingua::EN::Inflect)
Requires: perl(POSIX)
Requires: perl(Path::Tiny)
Requires: perl(Pod::Escapes)
Requires: perl(Pod::Parser)
Requires: perl(Text::Wrap)
Requires: perl(constant)
Requires: perl(locale)
Requires: perl(parent)
Requires: perl >= 5.008
Requires: perl(strict)
Requires: perl(warnings)
Epoch: 10
Provides: perl(Pod::Spell) = 1.200
Provides: perl(Pod::Wordlist) = 1.200
%description
a formatter for spellchecking Pod

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/bin/podspell
/usr/share/man/man1/podspell.1
/usr/share/man/man3/Pod::Spell.3pm
/usr/share/man/man3/Pod::Wordlist.3pm
/usr/share/perl5/vendor_perl/Pod/Spell.pm
/usr/share/perl5/vendor_perl/Pod/Wordlist.pm
/usr/share/perl5/vendor_perl/auto/share/dist/Pod-Spell/wordlist

%changelog

