# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-Test-Simple
Version: 1.302.140
Release: 1
Summary: Basic utilities for writing tests.
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: perl_5
Vendor: Chad Granum <exodist@cpan.org>
URL: http://example.com/no-uri-given
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(File::Spec)
Requires: perl(File::Temp)
Requires: perl(Scalar::Util) >= 1.130
Requires: perl(Storable)
Requires: perl >= 5.6.2
Requires: perl(utf8)
Epoch: 10
Provides: perl(Test2) = 1.302.140
Provides: perl(Test2::API) = 1.302.140
Provides: perl(Test2::API::Breakage) = 1.302.140
Provides: perl(Test2::API::Context) = 1.302.140
Provides: perl(Test2::API::Instance) = 1.302.140
Provides: perl(Test2::API::Stack) = 1.302.140
Provides: perl(Test2::Event) = 1.302.140
Provides: perl(Test2::Event::Bail) = 1.302.140
Provides: perl(Test2::Event::Diag) = 1.302.140
Provides: perl(Test2::Event::Encoding) = 1.302.140
Provides: perl(Test2::Event::Exception) = 1.302.140
Provides: perl(Test2::Event::Fail) = 1.302.140
Provides: perl(Test2::Event::Generic) = 1.302.140
Provides: perl(Test2::Event::Note) = 1.302.140
Provides: perl(Test2::Event::Ok) = 1.302.140
Provides: perl(Test2::Event::Pass) = 1.302.140
Provides: perl(Test2::Event::Plan) = 1.302.140
Provides: perl(Test2::Event::Skip) = 1.302.140
Provides: perl(Test2::Event::Subtest) = 1.302.140
Provides: perl(Test2::Event::TAP::Version) = 1.302.140
Provides: perl(Test2::Event::V2) = 1.302.140
Provides: perl(Test2::Event::Waiting) = 1.302.140
Provides: perl(Test2::EventFacet) = 1.302.140
Provides: perl(Test2::EventFacet::About) = 1.302.140
Provides: perl(Test2::EventFacet::Amnesty) = 1.302.140
Provides: perl(Test2::EventFacet::Assert) = 1.302.140
Provides: perl(Test2::EventFacet::Control) = 1.302.140
Provides: perl(Test2::EventFacet::Error) = 1.302.140
Provides: perl(Test2::EventFacet::Hub) = 1.302.140
Provides: perl(Test2::EventFacet::Info) = 1.302.140
Provides: perl(Test2::EventFacet::Meta) = 1.302.140
Provides: perl(Test2::EventFacet::Parent) = 1.302.140
Provides: perl(Test2::EventFacet::Plan) = 1.302.140
Provides: perl(Test2::EventFacet::Render) = 1.302.140
Provides: perl(Test2::EventFacet::Trace) = 1.302.140
Provides: perl(Test2::Formatter) = 1.302.140
Provides: perl(Test2::Formatter::TAP) = 1.302.140
Provides: perl(Test2::Hub) = 1.302.140
Provides: perl(Test2::Hub::Interceptor) = 1.302.140
Provides: perl(Test2::Hub::Interceptor::Terminator) = 1.302.140
Provides: perl(Test2::Hub::Subtest) = 1.302.140
Provides: perl(Test2::IPC) = 1.302.140
Provides: perl(Test2::IPC::Driver) = 1.302.140
Provides: perl(Test2::IPC::Driver::Files) = 1.302.140
Provides: perl(Test2::Tools::Tiny) = 1.302.140
Provides: perl(Test2::Util) = 1.302.140
Provides: perl(Test2::Util::ExternalMeta) = 1.302.140
Provides: perl(Test2::Util::Facets2Legacy) = 1.302.140
Provides: perl(Test2::Util::HashBase) = 1.302.140
Provides: perl(Test2::Util::Trace) = 1.302.140
Provides: perl(Test::Builder) = 1.302.140
Provides: perl(Test::Builder::Formatter) = 1.302.140
Provides: perl(Test::Builder::IO::Scalar) = 2.114
Provides: perl(Test::Builder::Module) = 1.302.140
Provides: perl(Test::Builder::Tester) = 1.302.140
Provides: perl(Test::Builder::Tester::Color) = 1.302.140
Provides: perl(Test::Builder::Tester::Tie)
Provides: perl(Test::Builder::TodoDiag) = 1.302.140
Provides: perl(Test::More) = 1.302.140
Provides: perl(Test::Simple) = 1.302.140
Provides: perl(Test::Tester) = 1.302.140
Provides: perl(Test::Tester::Capture) = 1.302.140
Provides: perl(Test::Tester::CaptureRunner) = 1.302.140
Provides: perl(Test::Tester::Delegate) = 1.302.140
Provides: perl(Test::use::ok) = 1.302.140
Provides: perl(ok) = 1.302.140
%description
Basic utilities for writing tests.

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/share/man/man3/Test2.3pm
/usr/share/man/man3/Test2::API.3pm
/usr/share/man/man3/Test2::API::Breakage.3pm
/usr/share/man/man3/Test2::API::Context.3pm
/usr/share/man/man3/Test2::API::Instance.3pm
/usr/share/man/man3/Test2::API::Stack.3pm
/usr/share/man/man3/Test2::Event.3pm
/usr/share/man/man3/Test2::Event::Bail.3pm
/usr/share/man/man3/Test2::Event::Diag.3pm
/usr/share/man/man3/Test2::Event::Encoding.3pm
/usr/share/man/man3/Test2::Event::Exception.3pm
/usr/share/man/man3/Test2::Event::Fail.3pm
/usr/share/man/man3/Test2::Event::Generic.3pm
/usr/share/man/man3/Test2::Event::Note.3pm
/usr/share/man/man3/Test2::Event::Ok.3pm
/usr/share/man/man3/Test2::Event::Pass.3pm
/usr/share/man/man3/Test2::Event::Plan.3pm
/usr/share/man/man3/Test2::Event::Skip.3pm
/usr/share/man/man3/Test2::Event::Subtest.3pm
/usr/share/man/man3/Test2::Event::TAP::Version.3pm
/usr/share/man/man3/Test2::Event::V2.3pm
/usr/share/man/man3/Test2::Event::Waiting.3pm
/usr/share/man/man3/Test2::EventFacet.3pm
/usr/share/man/man3/Test2::EventFacet::About.3pm
/usr/share/man/man3/Test2::EventFacet::Amnesty.3pm
/usr/share/man/man3/Test2::EventFacet::Assert.3pm
/usr/share/man/man3/Test2::EventFacet::Control.3pm
/usr/share/man/man3/Test2::EventFacet::Error.3pm
/usr/share/man/man3/Test2::EventFacet::Hub.3pm
/usr/share/man/man3/Test2::EventFacet::Info.3pm
/usr/share/man/man3/Test2::EventFacet::Meta.3pm
/usr/share/man/man3/Test2::EventFacet::Parent.3pm
/usr/share/man/man3/Test2::EventFacet::Plan.3pm
/usr/share/man/man3/Test2::EventFacet::Render.3pm
/usr/share/man/man3/Test2::EventFacet::Trace.3pm
/usr/share/man/man3/Test2::Formatter.3pm
/usr/share/man/man3/Test2::Formatter::TAP.3pm
/usr/share/man/man3/Test2::Hub.3pm
/usr/share/man/man3/Test2::Hub::Interceptor.3pm
/usr/share/man/man3/Test2::Hub::Interceptor::Terminator.3pm
/usr/share/man/man3/Test2::Hub::Subtest.3pm
/usr/share/man/man3/Test2::IPC.3pm
/usr/share/man/man3/Test2::IPC::Driver.3pm
/usr/share/man/man3/Test2::IPC::Driver::Files.3pm
/usr/share/man/man3/Test2::Tools::Tiny.3pm
/usr/share/man/man3/Test2::Transition.3pm
/usr/share/man/man3/Test2::Util.3pm
/usr/share/man/man3/Test2::Util::ExternalMeta.3pm
/usr/share/man/man3/Test2::Util::Facets2Legacy.3pm
/usr/share/man/man3/Test2::Util::HashBase.3pm
/usr/share/man/man3/Test2::Util::Trace.3pm
/usr/share/man/man3/Test::Builder.3pm
/usr/share/man/man3/Test::Builder::Formatter.3pm
/usr/share/man/man3/Test::Builder::IO::Scalar.3pm
/usr/share/man/man3/Test::Builder::Module.3pm
/usr/share/man/man3/Test::Builder::Tester.3pm
/usr/share/man/man3/Test::Builder::Tester::Color.3pm
/usr/share/man/man3/Test::Builder::TodoDiag.3pm
/usr/share/man/man3/Test::More.3pm
/usr/share/man/man3/Test::Simple.3pm
/usr/share/man/man3/Test::Tester.3pm
/usr/share/man/man3/Test::Tester::Capture.3pm
/usr/share/man/man3/Test::Tester::CaptureRunner.3pm
/usr/share/man/man3/Test::Tutorial.3pm
/usr/share/man/man3/Test::use::ok.3pm
/usr/share/man/man3/ok.3pm
/usr/share/perl5/vendor_perl/Test/Builder/Formatter.pm
/usr/share/perl5/vendor_perl/Test/Builder/IO/Scalar.pm
/usr/share/perl5/vendor_perl/Test/Builder/Module.pm
/usr/share/perl5/vendor_perl/Test/Builder/Tester/Color.pm
/usr/share/perl5/vendor_perl/Test/Builder/Tester.pm
/usr/share/perl5/vendor_perl/Test/Builder/TodoDiag.pm
/usr/share/perl5/vendor_perl/Test/Builder.pm
/usr/share/perl5/vendor_perl/Test/More.pm
/usr/share/perl5/vendor_perl/Test/Simple.pm
/usr/share/perl5/vendor_perl/Test/Tester/Capture.pm
/usr/share/perl5/vendor_perl/Test/Tester/CaptureRunner.pm
/usr/share/perl5/vendor_perl/Test/Tester/Delegate.pm
/usr/share/perl5/vendor_perl/Test/Tester.pm
/usr/share/perl5/vendor_perl/Test/Tutorial.pod
/usr/share/perl5/vendor_perl/Test/use/ok.pm
/usr/share/perl5/vendor_perl/Test2/API/Breakage.pm
/usr/share/perl5/vendor_perl/Test2/API/Context.pm
/usr/share/perl5/vendor_perl/Test2/API/Instance.pm
/usr/share/perl5/vendor_perl/Test2/API/Stack.pm
/usr/share/perl5/vendor_perl/Test2/API.pm
/usr/share/perl5/vendor_perl/Test2/Event/Bail.pm
/usr/share/perl5/vendor_perl/Test2/Event/Diag.pm
/usr/share/perl5/vendor_perl/Test2/Event/Encoding.pm
/usr/share/perl5/vendor_perl/Test2/Event/Exception.pm
/usr/share/perl5/vendor_perl/Test2/Event/Fail.pm
/usr/share/perl5/vendor_perl/Test2/Event/Generic.pm
/usr/share/perl5/vendor_perl/Test2/Event/Note.pm
/usr/share/perl5/vendor_perl/Test2/Event/Ok.pm
/usr/share/perl5/vendor_perl/Test2/Event/Pass.pm
/usr/share/perl5/vendor_perl/Test2/Event/Plan.pm
/usr/share/perl5/vendor_perl/Test2/Event/Skip.pm
/usr/share/perl5/vendor_perl/Test2/Event/Subtest.pm
/usr/share/perl5/vendor_perl/Test2/Event/TAP/Version.pm
/usr/share/perl5/vendor_perl/Test2/Event/V2.pm
/usr/share/perl5/vendor_perl/Test2/Event/Waiting.pm
/usr/share/perl5/vendor_perl/Test2/Event.pm
/usr/share/perl5/vendor_perl/Test2/EventFacet/About.pm
/usr/share/perl5/vendor_perl/Test2/EventFacet/Amnesty.pm
/usr/share/perl5/vendor_perl/Test2/EventFacet/Assert.pm
/usr/share/perl5/vendor_perl/Test2/EventFacet/Control.pm
/usr/share/perl5/vendor_perl/Test2/EventFacet/Error.pm
/usr/share/perl5/vendor_perl/Test2/EventFacet/Hub.pm
/usr/share/perl5/vendor_perl/Test2/EventFacet/Info.pm
/usr/share/perl5/vendor_perl/Test2/EventFacet/Meta.pm
/usr/share/perl5/vendor_perl/Test2/EventFacet/Parent.pm
/usr/share/perl5/vendor_perl/Test2/EventFacet/Plan.pm
/usr/share/perl5/vendor_perl/Test2/EventFacet/Render.pm
/usr/share/perl5/vendor_perl/Test2/EventFacet/Trace.pm
/usr/share/perl5/vendor_perl/Test2/EventFacet.pm
/usr/share/perl5/vendor_perl/Test2/Formatter/TAP.pm
/usr/share/perl5/vendor_perl/Test2/Formatter.pm
/usr/share/perl5/vendor_perl/Test2/Hub/Interceptor/Terminator.pm
/usr/share/perl5/vendor_perl/Test2/Hub/Interceptor.pm
/usr/share/perl5/vendor_perl/Test2/Hub/Subtest.pm
/usr/share/perl5/vendor_perl/Test2/Hub.pm
/usr/share/perl5/vendor_perl/Test2/IPC/Driver/Files.pm
/usr/share/perl5/vendor_perl/Test2/IPC/Driver.pm
/usr/share/perl5/vendor_perl/Test2/IPC.pm
/usr/share/perl5/vendor_perl/Test2/Tools/Tiny.pm
/usr/share/perl5/vendor_perl/Test2/Transition.pod
/usr/share/perl5/vendor_perl/Test2/Util/ExternalMeta.pm
/usr/share/perl5/vendor_perl/Test2/Util/Facets2Legacy.pm
/usr/share/perl5/vendor_perl/Test2/Util/HashBase.pm
/usr/share/perl5/vendor_perl/Test2/Util/Trace.pm
/usr/share/perl5/vendor_perl/Test2/Util.pm
/usr/share/perl5/vendor_perl/Test2.pm
/usr/share/perl5/vendor_perl/ok.pm

%changelog

