# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-URI
Version: 1.740
Release: 1
Summary: Uniform Resource Identifiers (absolute and relative)
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: perl_5
Vendor: Gisle Aas <gisle@activestate.com>
URL: https://github.com/libwww-perl/URI
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(Carp)
Requires: perl(Cwd)
Requires: perl(Data::Dumper)
Requires: perl(Encode)
Requires: perl(Exporter) >= 5.570
Requires: perl(MIME::Base64) >= 2
Requires: perl(Net::Domain)
Requires: perl(Scalar::Util)
Requires: perl(constant)
Requires: perl(integer)
Requires: perl(overload)
Requires: perl(parent)
Requires: perl >= 5.8.1
Requires: perl(strict)
Requires: perl(utf8)
Requires: perl(warnings)
Epoch: 10
Provides: perl(URI) = 1.740
Provides: perl(URI::Escape) = 3.310
Provides: perl(URI::Heuristic) = 4.200
Provides: perl(URI::IRI) = 1.740
Provides: perl(URI::QueryParam) = 1.740
Provides: perl(URI::Split) = 1.740
Provides: perl(URI::URL) = 5.040
Provides: perl(URI::WithBase) = 2.200
Provides: perl(URI::data) = 1.740
Provides: perl(URI::file) = 4.210
Provides: perl(URI::file::Base) = 1.740
Provides: perl(URI::file::FAT) = 1.740
Provides: perl(URI::file::Mac) = 1.740
Provides: perl(URI::file::OS2) = 1.740
Provides: perl(URI::file::QNX) = 1.740
Provides: perl(URI::file::Unix) = 1.740
Provides: perl(URI::file::Win32) = 1.740
Provides: perl(URI::ftp) = 1.740
Provides: perl(URI::gopher) = 1.740
Provides: perl(URI::http) = 1.740
Provides: perl(URI::https) = 1.740
Provides: perl(URI::ldap) = 1.740
Provides: perl(URI::ldapi) = 1.740
Provides: perl(URI::ldaps) = 1.740
Provides: perl(URI::mailto) = 1.740
Provides: perl(URI::mms) = 1.740
Provides: perl(URI::news) = 1.740
Provides: perl(URI::nntp) = 1.740
Provides: perl(URI::pop) = 1.740
Provides: perl(URI::rlogin) = 1.740
Provides: perl(URI::rsync) = 1.740
Provides: perl(URI::rtsp) = 1.740
Provides: perl(URI::rtspu) = 1.740
Provides: perl(URI::sftp) = 1.740
Provides: perl(URI::sip) = 1.740
Provides: perl(URI::sips) = 1.740
Provides: perl(URI::snews) = 1.740
Provides: perl(URI::ssh) = 1.740
Provides: perl(URI::telnet) = 1.740
Provides: perl(URI::tn3270) = 1.740
Provides: perl(URI::urn) = 1.740
Provides: perl(URI::urn::isbn) = 1.740
Provides: perl(URI::urn::oid) = 1.740
%description
Uniform Resource Identifiers (absolute and relative)

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/share/man/man3/URI.3pm
/usr/share/man/man3/URI::Escape.3pm
/usr/share/man/man3/URI::Heuristic.3pm
/usr/share/man/man3/URI::QueryParam.3pm
/usr/share/man/man3/URI::Split.3pm
/usr/share/man/man3/URI::URL.3pm
/usr/share/man/man3/URI::WithBase.3pm
/usr/share/man/man3/URI::_punycode.3pm
/usr/share/man/man3/URI::data.3pm
/usr/share/man/man3/URI::file.3pm
/usr/share/man/man3/URI::ldap.3pm
/usr/share/perl5/vendor_perl/URI/Escape.pm
/usr/share/perl5/vendor_perl/URI/Heuristic.pm
/usr/share/perl5/vendor_perl/URI/IRI.pm
/usr/share/perl5/vendor_perl/URI/QueryParam.pm
/usr/share/perl5/vendor_perl/URI/Split.pm
/usr/share/perl5/vendor_perl/URI/URL.pm
/usr/share/perl5/vendor_perl/URI/WithBase.pm
/usr/share/perl5/vendor_perl/URI/_foreign.pm
/usr/share/perl5/vendor_perl/URI/_generic.pm
/usr/share/perl5/vendor_perl/URI/_idna.pm
/usr/share/perl5/vendor_perl/URI/_ldap.pm
/usr/share/perl5/vendor_perl/URI/_login.pm
/usr/share/perl5/vendor_perl/URI/_punycode.pm
/usr/share/perl5/vendor_perl/URI/_query.pm
/usr/share/perl5/vendor_perl/URI/_segment.pm
/usr/share/perl5/vendor_perl/URI/_server.pm
/usr/share/perl5/vendor_perl/URI/_userpass.pm
/usr/share/perl5/vendor_perl/URI/data.pm
/usr/share/perl5/vendor_perl/URI/file/Base.pm
/usr/share/perl5/vendor_perl/URI/file/FAT.pm
/usr/share/perl5/vendor_perl/URI/file/Mac.pm
/usr/share/perl5/vendor_perl/URI/file/OS2.pm
/usr/share/perl5/vendor_perl/URI/file/QNX.pm
/usr/share/perl5/vendor_perl/URI/file/Unix.pm
/usr/share/perl5/vendor_perl/URI/file/Win32.pm
/usr/share/perl5/vendor_perl/URI/file.pm
/usr/share/perl5/vendor_perl/URI/ftp.pm
/usr/share/perl5/vendor_perl/URI/gopher.pm
/usr/share/perl5/vendor_perl/URI/http.pm
/usr/share/perl5/vendor_perl/URI/https.pm
/usr/share/perl5/vendor_perl/URI/ldap.pm
/usr/share/perl5/vendor_perl/URI/ldapi.pm
/usr/share/perl5/vendor_perl/URI/ldaps.pm
/usr/share/perl5/vendor_perl/URI/mailto.pm
/usr/share/perl5/vendor_perl/URI/mms.pm
/usr/share/perl5/vendor_perl/URI/news.pm
/usr/share/perl5/vendor_perl/URI/nntp.pm
/usr/share/perl5/vendor_perl/URI/pop.pm
/usr/share/perl5/vendor_perl/URI/rlogin.pm
/usr/share/perl5/vendor_perl/URI/rsync.pm
/usr/share/perl5/vendor_perl/URI/rtsp.pm
/usr/share/perl5/vendor_perl/URI/rtspu.pm
/usr/share/perl5/vendor_perl/URI/sftp.pm
/usr/share/perl5/vendor_perl/URI/sip.pm
/usr/share/perl5/vendor_perl/URI/sips.pm
/usr/share/perl5/vendor_perl/URI/snews.pm
/usr/share/perl5/vendor_perl/URI/ssh.pm
/usr/share/perl5/vendor_perl/URI/telnet.pm
/usr/share/perl5/vendor_perl/URI/tn3270.pm
/usr/share/perl5/vendor_perl/URI/urn/isbn.pm
/usr/share/perl5/vendor_perl/URI/urn/oid.pm
/usr/share/perl5/vendor_perl/URI/urn.pm
/usr/share/perl5/vendor_perl/URI.pm

%changelog

