# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-libnet
Version: 3.110
Release: 1
Summary: Collection of network protocol modules
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: perl_5
Vendor: Graham Barr <gbarr@pobox.com>, Steve Hay <shay@cpan.org>
URL: http://example.com/no-uri-given
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(Carp)
Requires: perl(Errno)
Requires: perl(Exporter)
Requires: perl(Fcntl)
Requires: perl(File::Basename)
Requires: perl(FileHandle)
Requires: perl(IO::Select)
Requires: perl(IO::Socket) >= 1.050
Requires: perl(POSIX)
Requires: perl(Socket) >= 2.016
Requires: perl(Symbol)
Requires: perl(Time::Local)
Requires: perl(constant)
Requires: perl >= 5.8.1
Requires: perl(strict)
Requires: perl(utf8)
Requires: perl(vars)
Epoch: 10
Provides: perl(Net::Cmd) = 3.110
Provides: perl(Net::Config) = 3.110
Provides: perl(Net::Domain) = 3.110
Provides: perl(Net::FTP) = 3.110
Provides: perl(Net::FTP::A) = 3.110
Provides: perl(Net::FTP::E) = 3.110
Provides: perl(Net::FTP::I) = 3.110
Provides: perl(Net::FTP::L) = 3.110
Provides: perl(Net::FTP::_SSL_SingleSessionCache)
Provides: perl(Net::FTP::dataconn) = 3.110
Provides: perl(Net::NNTP) = 3.110
Provides: perl(Net::NNTP::_SSL)
Provides: perl(Net::Netrc) = 3.110
Provides: perl(Net::POP3) = 3.110
Provides: perl(Net::POP3::_SSL)
Provides: perl(Net::SMTP) = 3.110
Provides: perl(Net::SMTP::_SSL)
Provides: perl(Net::Time) = 3.110
%description
Collection of network protocol modules

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/share/man/man3/Net::Cmd.3pm
/usr/share/man/man3/Net::Config.3pm
/usr/share/man/man3/Net::Domain.3pm
/usr/share/man/man3/Net::FTP.3pm
/usr/share/man/man3/Net::FTP::dataconn.3pm
/usr/share/man/man3/Net::NNTP.3pm
/usr/share/man/man3/Net::Netrc.3pm
/usr/share/man/man3/Net::POP3.3pm
/usr/share/man/man3/Net::SMTP.3pm
/usr/share/man/man3/Net::Time.3pm
/usr/share/man/man3/Net::libnetFAQ.3pm
/usr/share/perl5/vendor_perl/Net/Cmd.pm
/usr/share/perl5/vendor_perl/Net/Config.pm
/usr/share/perl5/vendor_perl/Net/Domain.pm
/usr/share/perl5/vendor_perl/Net/FTP/A.pm
/usr/share/perl5/vendor_perl/Net/FTP/E.pm
/usr/share/perl5/vendor_perl/Net/FTP/I.pm
/usr/share/perl5/vendor_perl/Net/FTP/L.pm
/usr/share/perl5/vendor_perl/Net/FTP/dataconn.pm
/usr/share/perl5/vendor_perl/Net/FTP.pm
/usr/share/perl5/vendor_perl/Net/NNTP.pm
/usr/share/perl5/vendor_perl/Net/Netrc.pm
/usr/share/perl5/vendor_perl/Net/POP3.pm
/usr/share/perl5/vendor_perl/Net/SMTP.pm
/usr/share/perl5/vendor_perl/Net/Time.pm
/usr/share/perl5/vendor_perl/Net/libnet.cfg
/usr/share/perl5/vendor_perl/Net/libnetFAQ.pod

%changelog

