# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-version
Version: 0.992.400
Release: 1
Summary: Structured version objects
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: perl_5
Vendor: John Peacock <jpeacock@cpan.org>
URL: http://example.com/no-uri-given
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl >= 5.6.2
Epoch: 10
Provides: perl(version) = 0.992.400
Provides: perl(version::regex) = 0.992.400
Provides: perl(version::vpp) = 0.992.400
Provides: perl(version::vxs) = 0.992.400
%description
Structured version objects

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/lib64/perl5/vendor_perl/auto/version/vxs/vxs.bs
/usr/lib64/perl5/vendor_perl/auto/version/vxs/vxs.so
/usr/lib64/perl5/vendor_perl/version/Internals.pod
/usr/lib64/perl5/vendor_perl/version/regex.pm
/usr/lib64/perl5/vendor_perl/version/vpp.pm
/usr/lib64/perl5/vendor_perl/version/vxs.pm
/usr/lib64/perl5/vendor_perl/version.pm
/usr/lib64/perl5/vendor_perl/version.pod
/usr/share/man/man3/version.3pm
/usr/share/man/man3/version::Internals.3pm

%changelog

