# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-Alien-Base-ModuleBuild
Version: 1.050
Release: 1
Summary: A Module::Build subclass for building Alien:: modules and their libraries
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: perl_5
Vendor: Graham Ollis <plicease@cpan.org>, Joel A. Berger <joel.a.berger@gmail.com>
URL: http://example.com/no-uri-given
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(Alien::Base::PkgConfig) >= 1.200
Requires: perl(Archive::Extract)
Requires: perl(Capture::Tiny) >= 0.170
Requires: perl(File::chdir) >= 0.100.500
Requires: perl(HTTP::Tiny) >= 0.044
Requires: perl(JSON::PP)
Requires: perl(List::Util) >= 1.450
Requires: perl(Module::Build) >= 0.400.400
Requires: perl(Path::Tiny) >= 0.077
Requires: perl(Shell::Config::Generate)
Requires: perl(Shell::Guess)
Requires: perl(Sort::Versions)
Requires: perl(Text::ParseWords) >= 3.260
Requires: perl(URI)
Requires: perl(parent)
Requires: perl >= v5.8.1
Epoch: 10
Provides: perl(Alien::Base::ModuleBuild) = 1.050
Provides: perl(Alien::Base::ModuleBuild::Cabinet) = 1.050
Provides: perl(Alien::Base::ModuleBuild::File) = 1.050
Provides: perl(Alien::Base::ModuleBuild::Repository) = 1.050
Provides: perl(Alien::Base::ModuleBuild::Repository::FTP) = 1.050
Provides: perl(Alien::Base::ModuleBuild::Repository::HTTP) = 1.050
Provides: perl(Alien::Base::ModuleBuild::Repository::Local) = 1.050
Provides: perl(Alien::Base::ModuleBuild::Utils) = 1.050
%description
A Module::Build subclass for building Alien:: modules and their libraries

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/local/share/man/man3/Alien::Base::ModuleBuild.3pm
/usr/local/share/man/man3/Alien::Base::ModuleBuild::API.3pm
/usr/local/share/man/man3/Alien::Base::ModuleBuild::Authoring.3pm
/usr/local/share/man/man3/Alien::Base::ModuleBuild::FAQ.3pm
/usr/local/share/perl5/Alien/Base/ModuleBuild/API.pod
/usr/local/share/perl5/Alien/Base/ModuleBuild/Authoring.pod
/usr/local/share/perl5/Alien/Base/ModuleBuild/Cabinet.pm
/usr/local/share/perl5/Alien/Base/ModuleBuild/FAQ.pod
/usr/local/share/perl5/Alien/Base/ModuleBuild/File.pm
/usr/local/share/perl5/Alien/Base/ModuleBuild/Repository/FTP.pm
/usr/local/share/perl5/Alien/Base/ModuleBuild/Repository/HTTP.pm
/usr/local/share/perl5/Alien/Base/ModuleBuild/Repository/Local.pm
/usr/local/share/perl5/Alien/Base/ModuleBuild/Repository.pm
/usr/local/share/perl5/Alien/Base/ModuleBuild/Utils.pm
/usr/local/share/perl5/Alien/Base/ModuleBuild.pm

%changelog

