# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-Alien-PCRE2
Version: 0.015.000
Release: 1
Summary: Find Or Download/Build/Install libpcre2 In PCRE2
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: perl_5
Vendor: Will Braswell <wbraswell@cpan.org>
URL: http://www.pcre.org
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(Alien::Build) >= 0.250
Requires: perl(Test2::Suite) >= 0.000.072
Epoch: 10
Provides: perl(Alien::PCRE2) = 0.015.000
%description
Find Or Download/Build/Install libpcre2 In PCRE2

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/lib64/perl5/vendor_perl/Alien/PCRE2/Install/Files.pm
/usr/lib64/perl5/vendor_perl/Alien/PCRE2.pm
/usr/lib64/perl5/vendor_perl/auto/Alien/PCRE2/PCRE2.txt
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/_alien/alien.json
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/_alien/alienfile
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/bin/pcre2-config
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/bin/pcre2grep
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/bin/pcre2test
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/include/pcre2.h
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/include/pcre2posix.h
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/lib/libpcre2-16.a
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/lib/libpcre2-16.la
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/lib/libpcre2-32.a
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/lib/libpcre2-32.la
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/lib/libpcre2-8.a
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/lib/libpcre2-8.la
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/lib/libpcre2-posix.a
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/lib/libpcre2-posix.la
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/lib/pkgconfig/libpcre2-16.pc
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/lib/pkgconfig/libpcre2-32.pc
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/lib/pkgconfig/libpcre2-8.pc
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/lib/pkgconfig/libpcre2-posix.pc
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/AUTHORS
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/COPYING
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/ChangeLog
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/LICENCE
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/NEWS
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/README
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/NON-AUTOTOOLS-BUILD.txt
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/README.txt
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/index.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2-config.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_callout_enumerate.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_code_copy.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_code_copy_with_tables.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_code_free.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_compile.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_compile_context_copy.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_compile_context_create.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_compile_context_free.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_config.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_convert_context_copy.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_convert_context_create.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_convert_context_free.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_converted_pattern_free.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_dfa_match.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_general_context_copy.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_general_context_create.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_general_context_free.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_get_error_message.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_get_mark.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_get_ovector_count.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_get_ovector_pointer.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_get_startchar.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_jit_compile.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_jit_free_unused_memory.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_jit_match.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_jit_stack_assign.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_jit_stack_create.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_jit_stack_free.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_maketables.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_match.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_match_context_copy.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_match_context_create.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_match_context_free.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_match_data_create.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_match_data_create_from_pattern.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_match_data_free.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_pattern_convert.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_pattern_info.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_serialize_decode.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_serialize_encode.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_serialize_free.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_serialize_get_number_of_codes.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_set_bsr.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_set_callout.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_set_character_tables.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_set_compile_extra_options.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_set_compile_recursion_guard.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_set_depth_limit.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_set_glob_escape.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_set_glob_separator.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_set_heap_limit.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_set_match_limit.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_set_max_pattern_length.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_set_newline.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_set_offset_limit.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_set_parens_nest_limit.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_set_recursion_limit.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_set_recursion_memory_management.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_substitute.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_substring_copy_byname.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_substring_copy_bynumber.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_substring_free.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_substring_get_byname.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_substring_get_bynumber.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_substring_length_byname.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_substring_length_bynumber.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_substring_list_free.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_substring_list_get.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_substring_nametable_scan.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2_substring_number_from_name.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2api.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2build.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2callout.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2compat.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2convert.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2demo.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2grep.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2jit.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2limits.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2matching.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2partial.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2pattern.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2perform.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2posix.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2sample.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2serialize.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2syntax.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2test.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/html/pcre2unicode.html
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/pcre2-config.txt
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/pcre2.txt
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/pcre2grep.txt
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/doc/pcre2/pcre2test.txt
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man1/pcre2-config.1
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man1/pcre2grep.1
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man1/pcre2test.1
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_callout_enumerate.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_code_copy.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_code_copy_with_tables.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_code_free.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_compile.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_compile_context_copy.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_compile_context_create.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_compile_context_free.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_config.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_convert_context_copy.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_convert_context_create.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_convert_context_free.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_converted_pattern_free.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_dfa_match.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_general_context_copy.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_general_context_create.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_general_context_free.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_get_error_message.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_get_mark.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_get_ovector_count.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_get_ovector_pointer.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_get_startchar.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_jit_compile.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_jit_free_unused_memory.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_jit_match.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_jit_stack_assign.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_jit_stack_create.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_jit_stack_free.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_maketables.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_match.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_match_context_copy.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_match_context_create.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_match_context_free.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_match_data_create.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_match_data_create_from_pattern.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_match_data_free.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_pattern_convert.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_pattern_info.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_serialize_decode.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_serialize_encode.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_serialize_free.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_serialize_get_number_of_codes.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_set_bsr.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_set_callout.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_set_character_tables.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_set_compile_extra_options.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_set_compile_recursion_guard.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_set_depth_limit.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_set_glob_escape.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_set_glob_separator.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_set_heap_limit.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_set_match_limit.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_set_max_pattern_length.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_set_newline.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_set_offset_limit.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_set_parens_nest_limit.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_set_recursion_limit.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_set_recursion_memory_management.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_substitute.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_substring_copy_byname.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_substring_copy_bynumber.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_substring_free.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_substring_get_byname.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_substring_get_bynumber.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_substring_length_byname.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_substring_length_bynumber.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_substring_list_free.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_substring_list_get.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_substring_nametable_scan.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2_substring_number_from_name.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2api.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2build.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2callout.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2compat.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2convert.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2demo.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2jit.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2limits.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2matching.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2partial.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2pattern.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2perform.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2posix.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2sample.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2serialize.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2syntax.3
/usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-PCRE2/share/man/man3/pcre2unicode.3
/usr/share/man/man3/Alien::PCRE2.3pm

%changelog

