# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-Alien-astyle
Version: 0.010.000
Release: 1
Summary: Find or build astyle, the Artistic Style code formatter
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: perl
Vendor: William N. Braswell, Jr. <wbraswell@cpan.org>
URL: https://metacpan.org/pod/Alien::astyle
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(Alien::Base) >= 0.020
Requires: perl(File::ShareDir) >= 1.030
Epoch: 10
Provides: perl(Alien::astyle) = 0.010.000
%description
Find or build astyle, the Artistic Style code formatter

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/local/share/man/man3/Alien::astyle.3pm
/usr/local/share/man/man3/Alien::astyle::ConfigData.3pm
/usr/local/share/perl5/Alien/astyle/ConfigData.pm
/usr/local/share/perl5/Alien/astyle/Install/Files.pm
/usr/local/share/perl5/Alien/astyle.pm
/usr/local/share/perl5/auto/share/dist/Alien-astyle/README

%changelog

