# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-Authen-SCRAM
Version: 0.011
Release: 1
Summary: Salted Challenge Response Authentication Mechanism (RFC 5802)
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: apache_2_0
Vendor: David Golden <dagolden@cpan.org>
URL: https://github.com/dagolden/Authen-SCRAM
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(Authen::SASL::SASLprep) >= 1.100
Requires: perl(Carp)
Requires: perl(Crypt::URandom)
Requires: perl(Encode)
Requires: perl(MIME::Base64)
Requires: perl(Moo) >= 1.001.000
Requires: perl(Moo::Role) >= 1.001.000
Requires: perl(PBKDF2::Tiny) >= 0.003
Requires: perl(Try::Tiny)
Requires: perl(Types::Standard)
Requires: perl(namespace::clean)
Requires: perl >= 5.8.1
Requires: perl(strict)
Requires: perl(warnings)
Epoch: 10
Provides: perl(Authen::SCRAM) = 0.011
Provides: perl(Authen::SCRAM::Client) = 0.011
Provides: perl(Authen::SCRAM::Role::Common) = 0.011
Provides: perl(Authen::SCRAM::Server) = 0.011
%description
Salted Challenge Response Authentication Mechanism (RFC 5802)

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/share/man/man3/Authen::SCRAM.3pm
/usr/share/man/man3/Authen::SCRAM::Client.3pm
/usr/share/man/man3/Authen::SCRAM::Role::Common.3pm
/usr/share/man/man3/Authen::SCRAM::Server.3pm
/usr/share/perl5/vendor_perl/Authen/SCRAM/Client.pm
/usr/share/perl5/vendor_perl/Authen/SCRAM/Role/Common.pm
/usr/share/perl5/vendor_perl/Authen/SCRAM/Server.pm
/usr/share/perl5/vendor_perl/Authen/SCRAM.pm

%changelog

