# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-Encode
Version: 2.980
Release: 1
Summary: character encodings in Perl
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: perl_5
Vendor: Dan Kogai <dankogai@dan.co.jp>
URL: http://example.com/no-uri-given
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(Exporter) >= 5.570
Requires: perl(Storable)
Requires: perl(parent) >= 0.221
Epoch: 10
Provides: perl(Encode) = 2.980
Provides: perl(Encode::Alias) = 2.240
Provides: perl(Encode::Byte) = 2.040
Provides: perl(Encode::CJKConstants) = 2.020
Provides: perl(Encode::CN) = 2.030
Provides: perl(Encode::CN::HZ) = 2.100
Provides: perl(Encode::Config) = 2.050
Provides: perl(Encode::EBCDIC) = 2.020
Provides: perl(Encode::Encoder) = 2.030
Provides: perl(Encode::Encoding) = 2.080
Provides: perl(Encode::GSM0338) = 2.070
Provides: perl(Encode::Guess) = 2.070
Provides: perl(Encode::Internal)
Provides: perl(Encode::JP) = 2.040
Provides: perl(Encode::JP::H2Z) = 2.020
Provides: perl(Encode::JP::JIS7) = 2.080
Provides: perl(Encode::KR) = 2.030
Provides: perl(Encode::KR::2022_KR) = 2.040
Provides: perl(Encode::MIME::Header) = 2.280
Provides: perl(Encode::MIME::Header::ISO_2022_JP) = 1.090
Provides: perl(Encode::MIME::Name) = 1.030
Provides: perl(Encode::Symbol) = 2.020
Provides: perl(Encode::TW) = 2.030
Provides: perl(Encode::UTF_EBCDIC)
Provides: perl(Encode::Unicode) = 2.170
Provides: perl(Encode::Unicode::UTF7) = 2.100
Provides: perl(Encode::XS)
Provides: perl(Encode::utf8)
Provides: perl(encoding) = 2.220
%description
character encodings in Perl

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/bin/enc2xs
/usr/bin/encguess
/usr/bin/piconv
/usr/lib64/perl5/vendor_perl/Encode/Alias.pm
/usr/lib64/perl5/vendor_perl/Encode/Byte.pm
/usr/lib64/perl5/vendor_perl/Encode/CJKConstants.pm
/usr/lib64/perl5/vendor_perl/Encode/CN/HZ.pm
/usr/lib64/perl5/vendor_perl/Encode/CN.pm
/usr/lib64/perl5/vendor_perl/Encode/Changes.e2x
/usr/lib64/perl5/vendor_perl/Encode/Config.pm
/usr/lib64/perl5/vendor_perl/Encode/ConfigLocal_PM.e2x
/usr/lib64/perl5/vendor_perl/Encode/EBCDIC.pm
/usr/lib64/perl5/vendor_perl/Encode/Encoder.pm
/usr/lib64/perl5/vendor_perl/Encode/Encoding.pm
/usr/lib64/perl5/vendor_perl/Encode/GSM0338.pm
/usr/lib64/perl5/vendor_perl/Encode/Guess.pm
/usr/lib64/perl5/vendor_perl/Encode/JP/H2Z.pm
/usr/lib64/perl5/vendor_perl/Encode/JP/JIS7.pm
/usr/lib64/perl5/vendor_perl/Encode/JP.pm
/usr/lib64/perl5/vendor_perl/Encode/KR/2022_KR.pm
/usr/lib64/perl5/vendor_perl/Encode/KR.pm
/usr/lib64/perl5/vendor_perl/Encode/MIME/Header/ISO_2022_JP.pm
/usr/lib64/perl5/vendor_perl/Encode/MIME/Header.pm
/usr/lib64/perl5/vendor_perl/Encode/MIME/Name.pm
/usr/lib64/perl5/vendor_perl/Encode/Makefile_PL.e2x
/usr/lib64/perl5/vendor_perl/Encode/PerlIO.pod
/usr/lib64/perl5/vendor_perl/Encode/README.e2x
/usr/lib64/perl5/vendor_perl/Encode/Supported.pod
/usr/lib64/perl5/vendor_perl/Encode/Symbol.pm
/usr/lib64/perl5/vendor_perl/Encode/TW.pm
/usr/lib64/perl5/vendor_perl/Encode/Unicode/UTF7.pm
/usr/lib64/perl5/vendor_perl/Encode/Unicode.pm
/usr/lib64/perl5/vendor_perl/Encode/_PM.e2x
/usr/lib64/perl5/vendor_perl/Encode/_T.e2x
/usr/lib64/perl5/vendor_perl/Encode/encode.h
/usr/lib64/perl5/vendor_perl/Encode.pm
/usr/lib64/perl5/vendor_perl/auto/Encode/Byte/Byte.bs
/usr/lib64/perl5/vendor_perl/auto/Encode/Byte/Byte.so
/usr/lib64/perl5/vendor_perl/auto/Encode/CN/CN.bs
/usr/lib64/perl5/vendor_perl/auto/Encode/CN/CN.so
/usr/lib64/perl5/vendor_perl/auto/Encode/EBCDIC/EBCDIC.bs
/usr/lib64/perl5/vendor_perl/auto/Encode/EBCDIC/EBCDIC.so
/usr/lib64/perl5/vendor_perl/auto/Encode/Encode.bs
/usr/lib64/perl5/vendor_perl/auto/Encode/Encode.so
/usr/lib64/perl5/vendor_perl/auto/Encode/JP/JP.bs
/usr/lib64/perl5/vendor_perl/auto/Encode/JP/JP.so
/usr/lib64/perl5/vendor_perl/auto/Encode/KR/KR.bs
/usr/lib64/perl5/vendor_perl/auto/Encode/KR/KR.so
/usr/lib64/perl5/vendor_perl/auto/Encode/Symbol/Symbol.bs
/usr/lib64/perl5/vendor_perl/auto/Encode/Symbol/Symbol.so
/usr/lib64/perl5/vendor_perl/auto/Encode/TW/TW.bs
/usr/lib64/perl5/vendor_perl/auto/Encode/TW/TW.so
/usr/lib64/perl5/vendor_perl/auto/Encode/Unicode/Unicode.bs
/usr/lib64/perl5/vendor_perl/auto/Encode/Unicode/Unicode.so
/usr/lib64/perl5/vendor_perl/encoding.pm
/usr/share/man/man1/enc2xs.1
/usr/share/man/man1/encguess.1
/usr/share/man/man1/piconv.1
/usr/share/man/man3/Encode.3pm
/usr/share/man/man3/Encode::Alias.3pm
/usr/share/man/man3/Encode::CJKConstants.3pm
/usr/share/man/man3/Encode::CN::HZ.3pm
/usr/share/man/man3/Encode::Config.3pm
/usr/share/man/man3/Encode::Encoder.3pm
/usr/share/man/man3/Encode::Encoding.3pm
/usr/share/man/man3/Encode::GSM0338.3pm
/usr/share/man/man3/Encode::Guess.3pm
/usr/share/man/man3/Encode::JP::H2Z.3pm
/usr/share/man/man3/Encode::JP::JIS7.3pm
/usr/share/man/man3/Encode::KR::2022_KR.3pm
/usr/share/man/man3/Encode::MIME::Header.3pm
/usr/share/man/man3/Encode::MIME::Name.3pm
/usr/share/man/man3/Encode::PerlIO.3pm
/usr/share/man/man3/Encode::Supported.3pm
/usr/share/man/man3/Encode::Unicode::UTF7.3pm
/usr/share/man/man3/encoding.3pm

%changelog

