# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-ExtUtils-ParseXS
Version: 3.350
Release: 1
Summary: converts Perl XS code into C code
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: unknown
Vendor: Ken Williams <ken@mathforum.org>
URL: http://example.com/no-uri-given
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(Carp)
Requires: perl(Cwd)
Requires: perl(DynaLoader)
Requires: perl(Exporter) >= 5.570
Requires: perl(ExtUtils::CBuilder)
Requires: perl(ExtUtils::MakeMaker) >= 6.460
Requires: perl(File::Basename)
Requires: perl(File::Spec)
Requires: perl(Symbol)
Requires: perl(Test::More) >= 0.470
Epoch: 10
Provides: perl(ExtUtils::ParseXS) = 3.350
Provides: perl(ExtUtils::ParseXS::Constants) = 3.350
Provides: perl(ExtUtils::ParseXS::CountLines) = 3.350
Provides: perl(ExtUtils::ParseXS::Eval) = 3.350
Provides: perl(ExtUtils::ParseXS::Utilities) = 3.350
Provides: perl(ExtUtils::Typemaps) = 3.350
Provides: perl(ExtUtils::Typemaps::Cmd) = 3.350
Provides: perl(ExtUtils::Typemaps::InputMap) = 3.350
Provides: perl(ExtUtils::Typemaps::OutputMap) = 3.350
Provides: perl(ExtUtils::Typemaps::Type) = 3.350
%description
converts Perl XS code into C code

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/bin/xsubpp
/usr/share/man/man1/xsubpp.1
/usr/share/man/man3/ExtUtils::ParseXS.3pm
/usr/share/man/man3/ExtUtils::ParseXS::Constants.3pm
/usr/share/man/man3/ExtUtils::ParseXS::Eval.3pm
/usr/share/man/man3/ExtUtils::ParseXS::Utilities.3pm
/usr/share/man/man3/ExtUtils::Typemaps.3pm
/usr/share/man/man3/ExtUtils::Typemaps::Cmd.3pm
/usr/share/man/man3/ExtUtils::Typemaps::InputMap.3pm
/usr/share/man/man3/ExtUtils::Typemaps::OutputMap.3pm
/usr/share/man/man3/ExtUtils::Typemaps::Type.3pm
/usr/share/perl5/vendor_perl/ExtUtils/ParseXS/Constants.pm
/usr/share/perl5/vendor_perl/ExtUtils/ParseXS/CountLines.pm
/usr/share/perl5/vendor_perl/ExtUtils/ParseXS/Eval.pm
/usr/share/perl5/vendor_perl/ExtUtils/ParseXS/Utilities.pm
/usr/share/perl5/vendor_perl/ExtUtils/ParseXS.pm
/usr/share/perl5/vendor_perl/ExtUtils/ParseXS.pod
/usr/share/perl5/vendor_perl/ExtUtils/Typemaps/Cmd.pm
/usr/share/perl5/vendor_perl/ExtUtils/Typemaps/InputMap.pm
/usr/share/perl5/vendor_perl/ExtUtils/Typemaps/OutputMap.pm
/usr/share/perl5/vendor_perl/ExtUtils/Typemaps/Type.pm
/usr/share/perl5/vendor_perl/ExtUtils/Typemaps.pm
/usr/share/perl5/vendor_perl/ExtUtils/xsubpp

%changelog

