# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-Filter
Version: 1.590
Release: 1
Summary: Source Filters
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: perl_5
Vendor: Paul Marquess <pmqs@cpan.org>
URL: http://example.com/no-uri-given
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Epoch: 10
Provides: perl(Filter::Util::Call) = 1.590
Provides: perl(Filter::Util::Exec) = 1.590
Provides: perl(Filter::cpp) = 1.590
Provides: perl(Filter::decrypt) = 1.590
Provides: perl(Filter::exec) = 1.590
Provides: perl(Filter::m4) = 1.590
Provides: perl(Filter::sh) = 1.590
Provides: perl(Filter::tee) = 1.590
%description
Source Filters

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/lib64/perl5/vendor_perl/Filter/Util/Call.pm
/usr/lib64/perl5/vendor_perl/Filter/Util/Exec.pm
/usr/lib64/perl5/vendor_perl/Filter/Util/perlfilter.pod
/usr/lib64/perl5/vendor_perl/Filter/cpp.pm
/usr/lib64/perl5/vendor_perl/Filter/decrypt.pm
/usr/lib64/perl5/vendor_perl/Filter/exec.pm
/usr/lib64/perl5/vendor_perl/Filter/m4.pm
/usr/lib64/perl5/vendor_perl/Filter/sh.pm
/usr/lib64/perl5/vendor_perl/Filter/tee.pm
/usr/lib64/perl5/vendor_perl/auto/Filter/Util/Call/Call.bs
/usr/lib64/perl5/vendor_perl/auto/Filter/Util/Call/Call.so
/usr/lib64/perl5/vendor_perl/auto/Filter/Util/Exec/Exec.bs
/usr/lib64/perl5/vendor_perl/auto/Filter/Util/Exec/Exec.so
/usr/lib64/perl5/vendor_perl/auto/Filter/decrypt/decrypt.bs
/usr/lib64/perl5/vendor_perl/auto/Filter/decrypt/decrypt.so
/usr/lib64/perl5/vendor_perl/auto/Filter/tee/tee.bs
/usr/lib64/perl5/vendor_perl/auto/Filter/tee/tee.so
/usr/share/man/man3/Filter::Util::Call.3pm
/usr/share/man/man3/Filter::Util::Exec.3pm
/usr/share/man/man3/Filter::Util::perlfilter.3pm
/usr/share/man/man3/Filter::cpp.3pm
/usr/share/man/man3/Filter::decrypt.3pm
/usr/share/man/man3/Filter::exec.3pm
/usr/share/man/man3/Filter::m4.3pm
/usr/share/man/man3/Filter::sh.3pm
/usr/share/man/man3/Filter::tee.3pm

%changelog

