# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-IO-Compress
Version: 2.081
Release: 1
Summary: IO Interface to compressed data files/buffers
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: perl_5
Vendor: Paul Marquess <pmqs@cpan.org>
URL: unknown
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(Compress::Raw::Bzip2) >= 2.081
Requires: perl(Compress::Raw::Zlib) >= 2.081
Requires: perl(Scalar::Util)
Epoch: 10
Provides: perl(Compress::Zlib) = 2.081
Provides: perl(File::GlobMapper) = 1.001
Provides: perl(IO::Compress::Adapter::Bzip2) = 2.081
Provides: perl(IO::Compress::Adapter::Deflate) = 2.081
Provides: perl(IO::Compress::Adapter::Identity) = 2.081
Provides: perl(IO::Compress::Base) = 2.081
Provides: perl(IO::Compress::Base::Common) = 2.081
Provides: perl(IO::Compress::Bzip2) = 2.081
Provides: perl(IO::Compress::Deflate) = 2.081
Provides: perl(IO::Compress::Gzip) = 2.081
Provides: perl(IO::Compress::Gzip::Constants) = 2.081
Provides: perl(IO::Compress::RawDeflate) = 2.081
Provides: perl(IO::Compress::Zip) = 2.081
Provides: perl(IO::Compress::Zip::Constants) = 2.081
Provides: perl(IO::Compress::Zlib::Constants) = 2.081
Provides: perl(IO::Compress::Zlib::Extra) = 2.081
Provides: perl(IO::Uncompress::Adapter::Bunzip2) = 2.081
Provides: perl(IO::Uncompress::Adapter::Identity) = 2.081
Provides: perl(IO::Uncompress::Adapter::Inflate) = 2.081
Provides: perl(IO::Uncompress::AnyInflate) = 2.081
Provides: perl(IO::Uncompress::AnyUncompress) = 2.081
Provides: perl(IO::Uncompress::Base) = 2.081
Provides: perl(IO::Uncompress::Bunzip2) = 2.081
Provides: perl(IO::Uncompress::Gunzip) = 2.081
Provides: perl(IO::Uncompress::Inflate) = 2.081
Provides: perl(IO::Uncompress::RawInflate) = 2.081
Provides: perl(IO::Uncompress::Unzip) = 2.081
Provides: perl(U64)
Provides: perl(Zlib::OldDeflate)
Provides: perl(Zlib::OldInflate)
%description
IO Interface to compressed data files/buffers

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/bin/zipdetails
/usr/share/man/man1/zipdetails.1
/usr/share/man/man3/Compress::Zlib.3pm
/usr/share/man/man3/File::GlobMapper.3pm
/usr/share/man/man3/IO::Compress::Base.3pm
/usr/share/man/man3/IO::Compress::Bzip2.3pm
/usr/share/man/man3/IO::Compress::Deflate.3pm
/usr/share/man/man3/IO::Compress::FAQ.3pm
/usr/share/man/man3/IO::Compress::Gzip.3pm
/usr/share/man/man3/IO::Compress::RawDeflate.3pm
/usr/share/man/man3/IO::Compress::Zip.3pm
/usr/share/man/man3/IO::Uncompress::AnyInflate.3pm
/usr/share/man/man3/IO::Uncompress::AnyUncompress.3pm
/usr/share/man/man3/IO::Uncompress::Base.3pm
/usr/share/man/man3/IO::Uncompress::Bunzip2.3pm
/usr/share/man/man3/IO::Uncompress::Gunzip.3pm
/usr/share/man/man3/IO::Uncompress::Inflate.3pm
/usr/share/man/man3/IO::Uncompress::RawInflate.3pm
/usr/share/man/man3/IO::Uncompress::Unzip.3pm
/usr/share/perl5/vendor_perl/Compress/Zlib.pm
/usr/share/perl5/vendor_perl/File/GlobMapper.pm
/usr/share/perl5/vendor_perl/IO/Compress/Adapter/Bzip2.pm
/usr/share/perl5/vendor_perl/IO/Compress/Adapter/Deflate.pm
/usr/share/perl5/vendor_perl/IO/Compress/Adapter/Identity.pm
/usr/share/perl5/vendor_perl/IO/Compress/Base/Common.pm
/usr/share/perl5/vendor_perl/IO/Compress/Base.pm
/usr/share/perl5/vendor_perl/IO/Compress/Bzip2.pm
/usr/share/perl5/vendor_perl/IO/Compress/Deflate.pm
/usr/share/perl5/vendor_perl/IO/Compress/FAQ.pod
/usr/share/perl5/vendor_perl/IO/Compress/Gzip/Constants.pm
/usr/share/perl5/vendor_perl/IO/Compress/Gzip.pm
/usr/share/perl5/vendor_perl/IO/Compress/RawDeflate.pm
/usr/share/perl5/vendor_perl/IO/Compress/Zip/Constants.pm
/usr/share/perl5/vendor_perl/IO/Compress/Zip.pm
/usr/share/perl5/vendor_perl/IO/Compress/Zlib/Constants.pm
/usr/share/perl5/vendor_perl/IO/Compress/Zlib/Extra.pm
/usr/share/perl5/vendor_perl/IO/Uncompress/Adapter/Bunzip2.pm
/usr/share/perl5/vendor_perl/IO/Uncompress/Adapter/Identity.pm
/usr/share/perl5/vendor_perl/IO/Uncompress/Adapter/Inflate.pm
/usr/share/perl5/vendor_perl/IO/Uncompress/AnyInflate.pm
/usr/share/perl5/vendor_perl/IO/Uncompress/AnyUncompress.pm
/usr/share/perl5/vendor_perl/IO/Uncompress/Base.pm
/usr/share/perl5/vendor_perl/IO/Uncompress/Bunzip2.pm
/usr/share/perl5/vendor_perl/IO/Uncompress/Gunzip.pm
/usr/share/perl5/vendor_perl/IO/Uncompress/Inflate.pm
/usr/share/perl5/vendor_perl/IO/Uncompress/RawInflate.pm
/usr/share/perl5/vendor_perl/IO/Uncompress/Unzip.pm

%changelog

