# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-IO
Version: 1.390
Release: 1
Summary: Perl core IO modules
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: perl_5
Vendor: Graham Barr <gbarr@cpan.org>
URL: unknown
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(File::Temp) >= 0.150
Requires: perl(Test::More)
Epoch: 10
Provides: perl(IO) = 1.390
Provides: perl(IO::Dir) = 1.390
Provides: perl(IO::File) = 1.390
Provides: perl(IO::Handle) = 1.390
Provides: perl(IO::Pipe) = 1.390
Provides: perl(IO::Pipe::End)
Provides: perl(IO::Poll) = 1.390
Provides: perl(IO::Seekable) = 1.390
Provides: perl(IO::Select) = 1.390
Provides: perl(IO::Socket) = 1.390
Provides: perl(IO::Socket::INET) = 1.390
Provides: perl(IO::Socket::UNIX) = 1.390
%description
Perl core IO modules

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/lib64/perl5/vendor_perl/IO/Dir.pm
/usr/lib64/perl5/vendor_perl/IO/File.pm
/usr/lib64/perl5/vendor_perl/IO/Handle.pm
/usr/lib64/perl5/vendor_perl/IO/Pipe.pm
/usr/lib64/perl5/vendor_perl/IO/Poll.pm
/usr/lib64/perl5/vendor_perl/IO/Seekable.pm
/usr/lib64/perl5/vendor_perl/IO/Select.pm
/usr/lib64/perl5/vendor_perl/IO/Socket/INET.pm
/usr/lib64/perl5/vendor_perl/IO/Socket/UNIX.pm
/usr/lib64/perl5/vendor_perl/IO/Socket.pm
/usr/lib64/perl5/vendor_perl/IO.pm
/usr/lib64/perl5/vendor_perl/auto/IO/IO.bs
/usr/lib64/perl5/vendor_perl/auto/IO/IO.so
/usr/share/man/man3/IO.3pm
/usr/share/man/man3/IO::Dir.3pm
/usr/share/man/man3/IO::File.3pm
/usr/share/man/man3/IO::Handle.3pm
/usr/share/man/man3/IO::Pipe.3pm
/usr/share/man/man3/IO::Poll.3pm
/usr/share/man/man3/IO::Seekable.3pm
/usr/share/man/man3/IO::Select.3pm
/usr/share/man/man3/IO::Socket.3pm
/usr/share/man/man3/IO::Socket::INET.3pm
/usr/share/man/man3/IO::Socket::UNIX.3pm

%changelog

