# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-Inline
Version: 0.800
Release: 1
Summary: Write Perl Subroutines in Other Programming Languages
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: perl_5
Vendor: Ingy döt Net <ingy@cpan.org>
URL: https://github.com/ingydotnet/inline-pm
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(Digest::MD5)
Requires: perl(File::Spec) >= 0.800
Requires: perl >= v5.8.1
Epoch: 10
Provides: perl(Foo::Tester) = 0.020
Provides: perl(Inline) = 0.800
Provides: perl(Inline::Foo) = 0.800
Provides: perl(Inline::MakeMaker) = 0.800
Provides: perl(Inline::denter)
%description
Write Perl Subroutines in Other Programming Languages

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/share/man/man3/Inline.3pm
/usr/share/man/man3/Inline::API.3pm
/usr/share/man/man3/Inline::FAQ.3pm
/usr/share/man/man3/Inline::Support.3pm
/usr/share/perl5/vendor_perl/Inline/API.pod
/usr/share/perl5/vendor_perl/Inline/FAQ.pod
/usr/share/perl5/vendor_perl/Inline/Foo.pm
/usr/share/perl5/vendor_perl/Inline/MakeMaker/Changes
/usr/share/perl5/vendor_perl/Inline/MakeMaker.pm
/usr/share/perl5/vendor_perl/Inline/Support.pod
/usr/share/perl5/vendor_perl/Inline/denter.pm
/usr/share/perl5/vendor_perl/Inline.pm
/usr/share/perl5/vendor_perl/Inline.pod

%changelog

