# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-Module-Build
Version: 0.422.400
Release: 1
Summary: Build and install Perl modules
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: perl_5
Vendor: Ken Williams <kwilliams@cpan.org>, Module-Build mailing list at <module-build@perl.org>.
URL: http://example.com/no-uri-given
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(CPAN::Meta) >= 2.142.060
Requires: perl(Cwd)
Requires: perl(Data::Dumper)
Requires: perl(ExtUtils::CBuilder) >= 0.270
Requires: perl(ExtUtils::Install)
Requires: perl(ExtUtils::Manifest)
Requires: perl(ExtUtils::Mkbootstrap)
Requires: perl(ExtUtils::ParseXS) >= 2.210
Requires: perl(File::Basename)
Requires: perl(File::Compare)
Requires: perl(File::Copy)
Requires: perl(File::Find)
Requires: perl(File::Path)
Requires: perl(File::Spec) >= 0.820
Requires: perl(Getopt::Long)
Requires: perl(Module::Metadata) >= 1.000.002
Requires: perl(Perl::OSType) >= 1
Requires: perl(Pod::Man) >= 2.170
Requires: perl(TAP::Harness) >= 3.290
Requires: perl(Text::Abbrev)
Requires: perl(Text::ParseWords)
Requires: perl >= 5.6.1
Requires: perl(version) >= 0.870
Epoch: 10
Provides: perl(Module::Build) = 0.422.400
Provides: perl(Module::Build::Base) = 0.422.400
Provides: perl(Module::Build::Compat) = 0.422.400
Provides: perl(Module::Build::Config) = 0.422.400
Provides: perl(Module::Build::Cookbook) = 0.422.400
Provides: perl(Module::Build::Dumper) = 0.422.400
Provides: perl(Module::Build::Notes) = 0.422.400
Provides: perl(Module::Build::PPMMaker) = 0.422.400
Provides: perl(Module::Build::Platform::Default) = 0.422.400
Provides: perl(Module::Build::Platform::MacOS) = 0.422.400
Provides: perl(Module::Build::Platform::Unix) = 0.422.400
Provides: perl(Module::Build::Platform::VMS) = 0.422.400
Provides: perl(Module::Build::Platform::VOS) = 0.422.400
Provides: perl(Module::Build::Platform::Windows) = 0.422.400
Provides: perl(Module::Build::Platform::aix) = 0.422.400
Provides: perl(Module::Build::Platform::cygwin) = 0.422.400
Provides: perl(Module::Build::Platform::darwin) = 0.422.400
Provides: perl(Module::Build::Platform::os2) = 0.422.400
Provides: perl(Module::Build::PodParser) = 0.422.400
%description
Build and install Perl modules

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/local/bin/config_data
/usr/local/share/man/man1/config_data.1
/usr/local/share/man/man3/Module::Build.3pm
/usr/local/share/man/man3/Module::Build::API.3pm
/usr/local/share/man/man3/Module::Build::Authoring.3pm
/usr/local/share/man/man3/Module::Build::Base.3pm
/usr/local/share/man/man3/Module::Build::Bundling.3pm
/usr/local/share/man/man3/Module::Build::Compat.3pm
/usr/local/share/man/man3/Module::Build::ConfigData.3pm
/usr/local/share/man/man3/Module::Build::Cookbook.3pm
/usr/local/share/man/man3/Module::Build::Notes.3pm
/usr/local/share/man/man3/Module::Build::PPMMaker.3pm
/usr/local/share/man/man3/Module::Build::Platform::Default.3pm
/usr/local/share/man/man3/Module::Build::Platform::MacOS.3pm
/usr/local/share/man/man3/Module::Build::Platform::Unix.3pm
/usr/local/share/man/man3/Module::Build::Platform::VMS.3pm
/usr/local/share/man/man3/Module::Build::Platform::VOS.3pm
/usr/local/share/man/man3/Module::Build::Platform::Windows.3pm
/usr/local/share/man/man3/Module::Build::Platform::aix.3pm
/usr/local/share/man/man3/Module::Build::Platform::cygwin.3pm
/usr/local/share/man/man3/Module::Build::Platform::darwin.3pm
/usr/local/share/man/man3/Module::Build::Platform::os2.3pm
/usr/local/share/perl5/Module/Build/API.pod
/usr/local/share/perl5/Module/Build/Authoring.pod
/usr/local/share/perl5/Module/Build/Base.pm
/usr/local/share/perl5/Module/Build/Bundling.pod
/usr/local/share/perl5/Module/Build/Compat.pm
/usr/local/share/perl5/Module/Build/Config.pm
/usr/local/share/perl5/Module/Build/ConfigData.pm
/usr/local/share/perl5/Module/Build/Cookbook.pm
/usr/local/share/perl5/Module/Build/Dumper.pm
/usr/local/share/perl5/Module/Build/Notes.pm
/usr/local/share/perl5/Module/Build/PPMMaker.pm
/usr/local/share/perl5/Module/Build/Platform/Default.pm
/usr/local/share/perl5/Module/Build/Platform/MacOS.pm
/usr/local/share/perl5/Module/Build/Platform/Unix.pm
/usr/local/share/perl5/Module/Build/Platform/VMS.pm
/usr/local/share/perl5/Module/Build/Platform/VOS.pm
/usr/local/share/perl5/Module/Build/Platform/Windows.pm
/usr/local/share/perl5/Module/Build/Platform/aix.pm
/usr/local/share/perl5/Module/Build/Platform/cygwin.pm
/usr/local/share/perl5/Module/Build/Platform/darwin.pm
/usr/local/share/perl5/Module/Build/Platform/os2.pm
/usr/local/share/perl5/Module/Build/PodParser.pm
/usr/local/share/perl5/Module/Build.pm

%changelog

