# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-MongoDB
Version: 2.0.1
Release: 1
Summary: Official MongoDB Driver for Perl
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: apache_2_0
Vendor: David Golden <david@mongodb.com>, Rassi <rassi@mongodb.com>, Mike Friedman <friedo@friedo.com>, Kristina Chodorow <k.chodorow@gmail.com>, Florian Ragwitz <rafl@debian.org>
URL: https://github.com/mongodb/mongo-perl-driver
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(Authen::SASL::SASLprep)
Requires: perl(Authen::SCRAM::Client) >= 0.011
Requires: perl(BSON) >= 1.006.006
Requires: perl(BSON::Bytes)
Requires: perl(BSON::Code)
Requires: perl(BSON::DBRef)
Requires: perl(BSON::OID)
Requires: perl(BSON::Raw)
Requires: perl(BSON::Regex)
Requires: perl(BSON::Time)
Requires: perl(BSON::Timestamp)
Requires: perl(BSON::Types)
Requires: perl(Carp)
Requires: perl(Compress::Zlib)
Requires: perl(Digest::MD5)
Requires: perl(Encode)
Requires: perl(Exporter) >= 5.570
Requires: perl(IO::Socket)
Requires: perl(List::Util)
Requires: perl(MIME::Base64)
Requires: perl(Math::BigInt)
Requires: perl(Moo) >= 2
Requires: perl(Moo::Role)
Requires: perl(Net::DNS)
Requires: perl(Safe::Isa) >= 1.000.007
Requires: perl(Scalar::Util)
Requires: perl(Socket)
Requires: perl(Sub::Defer)
Requires: perl(Sub::Quote)
Requires: perl(Tie::IxHash)
Requires: perl(Time::HiRes)
Requires: perl(Try::Tiny)
Requires: perl(Type::Library)
Requires: perl(Type::Utils)
Requires: perl(Types::Standard)
Requires: perl(UUID::URandom)
Requires: perl(boolean) >= 0.250
Requires: perl(bytes)
Requires: perl(constant)
Requires: perl(if)
Requires: perl(namespace::clean)
Requires: perl(overload)
Requires: perl >= 5.10.1
Requires: perl(re)
Requires: perl(strict)
Requires: perl(version)
Requires: perl(warnings)
Epoch: 10
Requires: pkgconfig
Requires: libbson
Requires: libbson-devel
Requires: mongo-c-driver-libs
Requires: mongo-c-driver
Requires: mongo-c-driver-devel
Requires: mongo-cxx-driver-libs
Requires: mongo-cxx-driver
Requires: mongo-cxx-driver-devel
Provides: perl(MongoDB) = 2.0.1
Provides: perl(MongoDB::AuthError) = 2.0.1
Provides: perl(MongoDB::BSON::Binary) = 2.0.1
Provides: perl(MongoDB::BSON::Regexp) = 2.0.1
Provides: perl(MongoDB::BulkWrite) = 2.0.1
Provides: perl(MongoDB::BulkWriteResult) = 2.0.1
Provides: perl(MongoDB::BulkWriteView) = 2.0.1
Provides: perl(MongoDB::ChangeStream) = 2.0.1
Provides: perl(MongoDB::ClientSession) = 2.0.1
Provides: perl(MongoDB::Code) = 2.0.1
Provides: perl(MongoDB::Collection) = 2.0.1
Provides: perl(MongoDB::CommandResult) = 2.0.1
Provides: perl(MongoDB::ConfigurationError) = 2.0.1
Provides: perl(MongoDB::ConnectionError) = 2.0.1
Provides: perl(MongoDB::Cursor) = 2.0.1
Provides: perl(MongoDB::CursorNotFoundError) = 2.0.1
Provides: perl(MongoDB::DBRef) = 2.0.1
Provides: perl(MongoDB::Database) = 2.0.1
Provides: perl(MongoDB::DatabaseError) = 2.0.1
Provides: perl(MongoDB::DecodingError) = 2.0.1
Provides: perl(MongoDB::DeleteResult) = 2.0.1
Provides: perl(MongoDB::DocumentError) = 2.0.1
Provides: perl(MongoDB::DuplicateKeyError) = 2.0.1
Provides: perl(MongoDB::Error) = 2.0.1
Provides: perl(MongoDB::ExecutionTimeout) = 2.0.1
Provides: perl(MongoDB::GridFSBucket) = 2.0.1
Provides: perl(MongoDB::GridFSBucket::DownloadStream) = 2.0.1
Provides: perl(MongoDB::GridFSBucket::UploadStream) = 2.0.1
Provides: perl(MongoDB::GridFSError) = 2.0.1
Provides: perl(MongoDB::HandshakeError) = 2.0.1
Provides: perl(MongoDB::IndexView) = 2.0.1
Provides: perl(MongoDB::InsertManyResult) = 2.0.1
Provides: perl(MongoDB::InsertOneResult) = 2.0.1
Provides: perl(MongoDB::InternalError) = 2.0.1
Provides: perl(MongoDB::InvalidOperationError) = 2.0.1
Provides: perl(MongoDB::MongoClient) = 2.0.1
Provides: perl(MongoDB::NetworkError) = 2.0.1
Provides: perl(MongoDB::NetworkTimeout) = 2.0.1
Provides: perl(MongoDB::NotMasterError) = 2.0.1
Provides: perl(MongoDB::OID) = 2.0.1
Provides: perl(MongoDB::ProtocolError) = 2.0.1
Provides: perl(MongoDB::QueryResult) = 2.0.1
Provides: perl(MongoDB::QueryResult::Filtered) = 2.0.1
Provides: perl(MongoDB::ReadConcern) = 2.0.1
Provides: perl(MongoDB::ReadPreference) = 2.0.1
Provides: perl(MongoDB::SelectionError) = 2.0.1
Provides: perl(MongoDB::TimeoutError) = 2.0.1
Provides: perl(MongoDB::Timestamp) = 2.0.1
Provides: perl(MongoDB::UnacknowledgedResult) = 2.0.1
Provides: perl(MongoDB::UpdateResult) = 2.0.1
Provides: perl(MongoDB::UsageError) = 2.0.1
Provides: perl(MongoDB::WriteConcern) = 2.0.1
Provides: perl(MongoDB::WriteConcernError) = 2.0.1
Provides: perl(MongoDB::WriteError) = 2.0.1
%description
Official MongoDB Driver for Perl

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/share/man/man3/MongoDB.3pm
/usr/share/man/man3/MongoDB::BSON::Binary.3pm
/usr/share/man/man3/MongoDB::BSON::Regexp.3pm
/usr/share/man/man3/MongoDB::BulkWrite.3pm
/usr/share/man/man3/MongoDB::BulkWriteResult.3pm
/usr/share/man/man3/MongoDB::BulkWriteView.3pm
/usr/share/man/man3/MongoDB::ChangeStream.3pm
/usr/share/man/man3/MongoDB::ClientSession.3pm
/usr/share/man/man3/MongoDB::Code.3pm
/usr/share/man/man3/MongoDB::Collection.3pm
/usr/share/man/man3/MongoDB::CommandResult.3pm
/usr/share/man/man3/MongoDB::Cursor.3pm
/usr/share/man/man3/MongoDB::DBRef.3pm
/usr/share/man/man3/MongoDB::DataTypes.3pm
/usr/share/man/man3/MongoDB::Database.3pm
/usr/share/man/man3/MongoDB::DeleteResult.3pm
/usr/share/man/man3/MongoDB::Error.3pm
/usr/share/man/man3/MongoDB::Examples.3pm
/usr/share/man/man3/MongoDB::GridFSBucket.3pm
/usr/share/man/man3/MongoDB::GridFSBucket::DownloadStream.3pm
/usr/share/man/man3/MongoDB::GridFSBucket::UploadStream.3pm
/usr/share/man/man3/MongoDB::IndexView.3pm
/usr/share/man/man3/MongoDB::InsertManyResult.3pm
/usr/share/man/man3/MongoDB::InsertOneResult.3pm
/usr/share/man/man3/MongoDB::MongoClient.3pm
/usr/share/man/man3/MongoDB::Monitoring.3pm
/usr/share/man/man3/MongoDB::OID.3pm
/usr/share/man/man3/MongoDB::QueryResult.3pm
/usr/share/man/man3/MongoDB::QueryResult::Filtered.3pm
/usr/share/man/man3/MongoDB::ReadConcern.3pm
/usr/share/man/man3/MongoDB::ReadPreference.3pm
/usr/share/man/man3/MongoDB::Timestamp.3pm
/usr/share/man/man3/MongoDB::Tutorial.3pm
/usr/share/man/man3/MongoDB::UnacknowledgedResult.3pm
/usr/share/man/man3/MongoDB::UpdateResult.3pm
/usr/share/man/man3/MongoDB::Upgrading.3pm
/usr/share/man/man3/MongoDB::Upgrading::v1.3pm
/usr/share/man/man3/MongoDB::WriteConcern.3pm
/usr/share/perl5/vendor_perl/MongoDB/BSON/Binary.pm
/usr/share/perl5/vendor_perl/MongoDB/BSON/Regexp.pm
/usr/share/perl5/vendor_perl/MongoDB/BulkWrite.pm
/usr/share/perl5/vendor_perl/MongoDB/BulkWriteResult.pm
/usr/share/perl5/vendor_perl/MongoDB/BulkWriteView.pm
/usr/share/perl5/vendor_perl/MongoDB/ChangeStream.pm
/usr/share/perl5/vendor_perl/MongoDB/ClientSession.pm
/usr/share/perl5/vendor_perl/MongoDB/Code.pm
/usr/share/perl5/vendor_perl/MongoDB/Collection.pm
/usr/share/perl5/vendor_perl/MongoDB/CommandResult.pm
/usr/share/perl5/vendor_perl/MongoDB/Cursor.pm
/usr/share/perl5/vendor_perl/MongoDB/DBRef.pm
/usr/share/perl5/vendor_perl/MongoDB/DataTypes.pod
/usr/share/perl5/vendor_perl/MongoDB/Database.pm
/usr/share/perl5/vendor_perl/MongoDB/DeleteResult.pm
/usr/share/perl5/vendor_perl/MongoDB/Error.pm
/usr/share/perl5/vendor_perl/MongoDB/Examples.pod
/usr/share/perl5/vendor_perl/MongoDB/GridFSBucket/DownloadStream.pm
/usr/share/perl5/vendor_perl/MongoDB/GridFSBucket/UploadStream.pm
/usr/share/perl5/vendor_perl/MongoDB/GridFSBucket.pm
/usr/share/perl5/vendor_perl/MongoDB/IndexView.pm
/usr/share/perl5/vendor_perl/MongoDB/InsertManyResult.pm
/usr/share/perl5/vendor_perl/MongoDB/InsertOneResult.pm
/usr/share/perl5/vendor_perl/MongoDB/MongoClient.pm
/usr/share/perl5/vendor_perl/MongoDB/Monitoring.pod
/usr/share/perl5/vendor_perl/MongoDB/OID.pm
/usr/share/perl5/vendor_perl/MongoDB/Op/_Aggregate.pm
/usr/share/perl5/vendor_perl/MongoDB/Op/_BatchInsert.pm
/usr/share/perl5/vendor_perl/MongoDB/Op/_BulkWrite.pm
/usr/share/perl5/vendor_perl/MongoDB/Op/_ChangeStream.pm
/usr/share/perl5/vendor_perl/MongoDB/Op/_Command.pm
/usr/share/perl5/vendor_perl/MongoDB/Op/_Count.pm
/usr/share/perl5/vendor_perl/MongoDB/Op/_CreateIndexes.pm
/usr/share/perl5/vendor_perl/MongoDB/Op/_Delete.pm
/usr/share/perl5/vendor_perl/MongoDB/Op/_Distinct.pm
/usr/share/perl5/vendor_perl/MongoDB/Op/_DropCollection.pm
/usr/share/perl5/vendor_perl/MongoDB/Op/_DropDatabase.pm
/usr/share/perl5/vendor_perl/MongoDB/Op/_DropIndexes.pm
/usr/share/perl5/vendor_perl/MongoDB/Op/_Explain.pm
/usr/share/perl5/vendor_perl/MongoDB/Op/_FSyncUnlock.pm
/usr/share/perl5/vendor_perl/MongoDB/Op/_FindAndDelete.pm
/usr/share/perl5/vendor_perl/MongoDB/Op/_FindAndUpdate.pm
/usr/share/perl5/vendor_perl/MongoDB/Op/_GetMore.pm
/usr/share/perl5/vendor_perl/MongoDB/Op/_InsertOne.pm
/usr/share/perl5/vendor_perl/MongoDB/Op/_KillCursors.pm
/usr/share/perl5/vendor_perl/MongoDB/Op/_ListCollections.pm
/usr/share/perl5/vendor_perl/MongoDB/Op/_ListIndexes.pm
/usr/share/perl5/vendor_perl/MongoDB/Op/_ParallelScan.pm
/usr/share/perl5/vendor_perl/MongoDB/Op/_Query.pm
/usr/share/perl5/vendor_perl/MongoDB/Op/_RenameCollection.pm
/usr/share/perl5/vendor_perl/MongoDB/Op/_Update.pm
/usr/share/perl5/vendor_perl/MongoDB/QueryResult/Filtered.pm
/usr/share/perl5/vendor_perl/MongoDB/QueryResult.pm
/usr/share/perl5/vendor_perl/MongoDB/ReadConcern.pm
/usr/share/perl5/vendor_perl/MongoDB/ReadPreference.pm
/usr/share/perl5/vendor_perl/MongoDB/Role/_BypassValidation.pm
/usr/share/perl5/vendor_perl/MongoDB/Role/_CollectionOp.pm
/usr/share/perl5/vendor_perl/MongoDB/Role/_CommandCursorOp.pm
/usr/share/perl5/vendor_perl/MongoDB/Role/_CommandMonitoring.pm
/usr/share/perl5/vendor_perl/MongoDB/Role/_CursorAPI.pm
/usr/share/perl5/vendor_perl/MongoDB/Role/_DatabaseErrorThrower.pm
/usr/share/perl5/vendor_perl/MongoDB/Role/_DatabaseOp.pm
/usr/share/perl5/vendor_perl/MongoDB/Role/_DeprecationWarner.pm
/usr/share/perl5/vendor_perl/MongoDB/Role/_InsertPreEncoder.pm
/usr/share/perl5/vendor_perl/MongoDB/Role/_OpReplyParser.pm
/usr/share/perl5/vendor_perl/MongoDB/Role/_PrivateConstructor.pm
/usr/share/perl5/vendor_perl/MongoDB/Role/_ReadOp.pm
/usr/share/perl5/vendor_perl/MongoDB/Role/_ReadPrefModifier.pm
/usr/share/perl5/vendor_perl/MongoDB/Role/_SessionSupport.pm
/usr/share/perl5/vendor_perl/MongoDB/Role/_SingleBatchDocWrite.pm
/usr/share/perl5/vendor_perl/MongoDB/Role/_UpdatePreEncoder.pm
/usr/share/perl5/vendor_perl/MongoDB/Role/_WriteOp.pm
/usr/share/perl5/vendor_perl/MongoDB/Role/_WriteResult.pm
/usr/share/perl5/vendor_perl/MongoDB/Timestamp.pm
/usr/share/perl5/vendor_perl/MongoDB/Tutorial.pod
/usr/share/perl5/vendor_perl/MongoDB/UnacknowledgedResult.pm
/usr/share/perl5/vendor_perl/MongoDB/UpdateResult.pm
/usr/share/perl5/vendor_perl/MongoDB/Upgrading/v1.pod
/usr/share/perl5/vendor_perl/MongoDB/Upgrading.pod
/usr/share/perl5/vendor_perl/MongoDB/WriteConcern.pm
/usr/share/perl5/vendor_perl/MongoDB/_Constants.pm
/usr/share/perl5/vendor_perl/MongoDB/_Credential.pm
/usr/share/perl5/vendor_perl/MongoDB/_Dispatcher.pm
/usr/share/perl5/vendor_perl/MongoDB/_Link.pm
/usr/share/perl5/vendor_perl/MongoDB/_Platform.pm
/usr/share/perl5/vendor_perl/MongoDB/_Protocol.pm
/usr/share/perl5/vendor_perl/MongoDB/_Server.pm
/usr/share/perl5/vendor_perl/MongoDB/_ServerSession.pm
/usr/share/perl5/vendor_perl/MongoDB/_SessionPool.pm
/usr/share/perl5/vendor_perl/MongoDB/_Topology.pm
/usr/share/perl5/vendor_perl/MongoDB/_TransactionOptions.pm
/usr/share/perl5/vendor_perl/MongoDB/_Types.pm
/usr/share/perl5/vendor_perl/MongoDB/_URI.pm
/usr/share/perl5/vendor_perl/MongoDB.pm

%changelog

