# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-Net-DNS
Version: 1.180
Release: 1
Summary: Perl Interface to the Domain Name System
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: mit
Vendor: Dick Franks, Olaf Kolkman, Michael Fuhr
URL: unknown
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(Digest::HMAC) >= 1.030
Requires: perl(Digest::MD5) >= 2.130
Requires: perl(Digest::SHA) >= 5.230
Requires: perl(File::Spec) >= 0.860
Requires: perl(IO::File) >= 1.080
Requires: perl(IO::Select) >= 1.140
Requires: perl(IO::Socket::IP) >= 0.380
Requires: perl(MIME::Base64) >= 2.110
Requires: perl(PerlIO) >= 1.05
Requires: perl(Scalar::Util) >= 1.250
Requires: perl(Test::More) >= 0.520
Requires: perl(Time::Local) >= 1.190
Requires: perl >= 5.006
Epoch: 10
Provides: perl(Net::DNS) = 1.180
Provides: perl(Net::DNS::Domain) = 1698
Provides: perl(Net::DNS::DomainName) = 1605
Provides: perl(Net::DNS::DomainName1035)
Provides: perl(Net::DNS::DomainName2535)
Provides: perl(Net::DNS::Header) = 1709
Provides: perl(Net::DNS::Mailbox) = 1605
Provides: perl(Net::DNS::Mailbox1035)
Provides: perl(Net::DNS::Mailbox2535)
Provides: perl(Net::DNS::Nameserver) = 1692
Provides: perl(Net::DNS::Packet) = 1714
Provides: perl(Net::DNS::Parameters) = 1714
Provides: perl(Net::DNS::Question) = 1714
Provides: perl(Net::DNS::RR) = 1714
Provides: perl(Net::DNS::RR::A) = 1597
Provides: perl(Net::DNS::RR::AAAA) = 1597
Provides: perl(Net::DNS::RR::AFSDB) = 1597
Provides: perl(Net::DNS::RR::APL) = 1597
Provides: perl(Net::DNS::RR::APL::Item)
Provides: perl(Net::DNS::RR::CAA) = 1597
Provides: perl(Net::DNS::RR::CDNSKEY) = 1586
Provides: perl(Net::DNS::RR::CDS) = 1586
Provides: perl(Net::DNS::RR::CERT) = 1597
Provides: perl(Net::DNS::RR::CNAME) = 1597
Provides: perl(Net::DNS::RR::CSYNC) = 1597
Provides: perl(Net::DNS::RR::DHCID) = 1597
Provides: perl(Net::DNS::RR::DLV) = 1528
Provides: perl(Net::DNS::RR::DNAME) = 1597
Provides: perl(Net::DNS::RR::DNSKEY) = 1597
Provides: perl(Net::DNS::RR::DS) = 1597
Provides: perl(Net::DNS::RR::EUI48) = 1597
Provides: perl(Net::DNS::RR::EUI64) = 1597
Provides: perl(Net::DNS::RR::GPOS) = 1528
Provides: perl(Net::DNS::RR::HINFO) = 1597
Provides: perl(Net::DNS::RR::HIP) = 1597
Provides: perl(Net::DNS::RR::IPSECKEY) = 1597
Provides: perl(Net::DNS::RR::ISDN) = 1597
Provides: perl(Net::DNS::RR::KEY) = 1528
Provides: perl(Net::DNS::RR::KX) = 1597
Provides: perl(Net::DNS::RR::L32) = 1597
Provides: perl(Net::DNS::RR::L64) = 1597
Provides: perl(Net::DNS::RR::LOC) = 1597
Provides: perl(Net::DNS::RR::LP) = 1597
Provides: perl(Net::DNS::RR::MB) = 1528
Provides: perl(Net::DNS::RR::MG) = 1528
Provides: perl(Net::DNS::RR::MINFO) = 1597
Provides: perl(Net::DNS::RR::MR) = 1528
Provides: perl(Net::DNS::RR::MX) = 1597
Provides: perl(Net::DNS::RR::NAPTR) = 1597
Provides: perl(Net::DNS::RR::NID) = 1597
Provides: perl(Net::DNS::RR::NS) = 1597
Provides: perl(Net::DNS::RR::NSEC) = 1696
Provides: perl(Net::DNS::RR::NSEC3) = 1694
Provides: perl(Net::DNS::RR::NSEC3PARAM) = 1597
Provides: perl(Net::DNS::RR::NULL) = 1528
Provides: perl(Net::DNS::RR::OPENPGPKEY) = 1597
Provides: perl(Net::DNS::RR::OPT) = 1605
Provides: perl(Net::DNS::RR::OPT::CHAIN)
Provides: perl(Net::DNS::RR::OPT::CLIENT_SUBNET)
Provides: perl(Net::DNS::RR::OPT::COOKIE)
Provides: perl(Net::DNS::RR::OPT::DAU)
Provides: perl(Net::DNS::RR::OPT::DHU)
Provides: perl(Net::DNS::RR::OPT::EXPIRE)
Provides: perl(Net::DNS::RR::OPT::KEY_TAG)
Provides: perl(Net::DNS::RR::OPT::N3U)
Provides: perl(Net::DNS::RR::OPT::PADDING)
Provides: perl(Net::DNS::RR::OPT::TCP_KEEPALIVE)
Provides: perl(Net::DNS::RR::PTR) = 1597
Provides: perl(Net::DNS::RR::PX) = 1597
Provides: perl(Net::DNS::RR::RP) = 1597
Provides: perl(Net::DNS::RR::RRSIG) = 1709
Provides: perl(Net::DNS::RR::RT) = 1597
Provides: perl(Net::DNS::RR::SIG) = 1709
Provides: perl(Net::DNS::RR::SMIMEA) = 1597
Provides: perl(Net::DNS::RR::SOA) = 1597
Provides: perl(Net::DNS::RR::SPF) = 1593
Provides: perl(Net::DNS::RR::SRV) = 1597
Provides: perl(Net::DNS::RR::SSHFP) = 1597
Provides: perl(Net::DNS::RR::TKEY) = 1528
Provides: perl(Net::DNS::RR::TLSA) = 1597
Provides: perl(Net::DNS::RR::TSIG) = 1597
Provides: perl(Net::DNS::RR::TXT) = 1597
Provides: perl(Net::DNS::RR::URI) = 1597
Provides: perl(Net::DNS::RR::X25) = 1597
Provides: perl(Net::DNS::Resolver) = 1714
Provides: perl(Net::DNS::Resolver::Base) = 1709
Provides: perl(Net::DNS::Resolver::MSWin32) = 1568
Provides: perl(Net::DNS::Resolver::Recurse) = 1709
Provides: perl(Net::DNS::Resolver::UNIX) = 1573
Provides: perl(Net::DNS::Resolver::android) = 1568
Provides: perl(Net::DNS::Resolver::cygwin) = 1568
Provides: perl(Net::DNS::Resolver::os2) = 1568
Provides: perl(Net::DNS::Resolver::os390) = 1579
Provides: perl(Net::DNS::Text) = 1698
Provides: perl(Net::DNS::Update) = 1714
Provides: perl(Net::DNS::ZoneFile) = 1709
Provides: perl(Net::DNS::ZoneFile::Generator)
Provides: perl(Net::DNS::ZoneFile::Text)
%description
Perl Interface to the Domain Name System

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/share/man/man3/Net::DNS.3pm
/usr/share/man/man3/Net::DNS::Domain.3pm
/usr/share/man/man3/Net::DNS::DomainName.3pm
/usr/share/man/man3/Net::DNS::FAQ.3pm
/usr/share/man/man3/Net::DNS::Header.3pm
/usr/share/man/man3/Net::DNS::Mailbox.3pm
/usr/share/man/man3/Net::DNS::Nameserver.3pm
/usr/share/man/man3/Net::DNS::Packet.3pm
/usr/share/man/man3/Net::DNS::Parameters.3pm
/usr/share/man/man3/Net::DNS::Question.3pm
/usr/share/man/man3/Net::DNS::RR.3pm
/usr/share/man/man3/Net::DNS::RR::A.3pm
/usr/share/man/man3/Net::DNS::RR::AAAA.3pm
/usr/share/man/man3/Net::DNS::RR::AFSDB.3pm
/usr/share/man/man3/Net::DNS::RR::APL.3pm
/usr/share/man/man3/Net::DNS::RR::CAA.3pm
/usr/share/man/man3/Net::DNS::RR::CDNSKEY.3pm
/usr/share/man/man3/Net::DNS::RR::CDS.3pm
/usr/share/man/man3/Net::DNS::RR::CERT.3pm
/usr/share/man/man3/Net::DNS::RR::CNAME.3pm
/usr/share/man/man3/Net::DNS::RR::CSYNC.3pm
/usr/share/man/man3/Net::DNS::RR::DHCID.3pm
/usr/share/man/man3/Net::DNS::RR::DLV.3pm
/usr/share/man/man3/Net::DNS::RR::DNAME.3pm
/usr/share/man/man3/Net::DNS::RR::DNSKEY.3pm
/usr/share/man/man3/Net::DNS::RR::DS.3pm
/usr/share/man/man3/Net::DNS::RR::EUI48.3pm
/usr/share/man/man3/Net::DNS::RR::EUI64.3pm
/usr/share/man/man3/Net::DNS::RR::GPOS.3pm
/usr/share/man/man3/Net::DNS::RR::HINFO.3pm
/usr/share/man/man3/Net::DNS::RR::HIP.3pm
/usr/share/man/man3/Net::DNS::RR::IPSECKEY.3pm
/usr/share/man/man3/Net::DNS::RR::ISDN.3pm
/usr/share/man/man3/Net::DNS::RR::KEY.3pm
/usr/share/man/man3/Net::DNS::RR::KX.3pm
/usr/share/man/man3/Net::DNS::RR::L32.3pm
/usr/share/man/man3/Net::DNS::RR::L64.3pm
/usr/share/man/man3/Net::DNS::RR::LOC.3pm
/usr/share/man/man3/Net::DNS::RR::LP.3pm
/usr/share/man/man3/Net::DNS::RR::MB.3pm
/usr/share/man/man3/Net::DNS::RR::MG.3pm
/usr/share/man/man3/Net::DNS::RR::MINFO.3pm
/usr/share/man/man3/Net::DNS::RR::MR.3pm
/usr/share/man/man3/Net::DNS::RR::MX.3pm
/usr/share/man/man3/Net::DNS::RR::NAPTR.3pm
/usr/share/man/man3/Net::DNS::RR::NID.3pm
/usr/share/man/man3/Net::DNS::RR::NS.3pm
/usr/share/man/man3/Net::DNS::RR::NSEC.3pm
/usr/share/man/man3/Net::DNS::RR::NSEC3.3pm
/usr/share/man/man3/Net::DNS::RR::NSEC3PARAM.3pm
/usr/share/man/man3/Net::DNS::RR::NULL.3pm
/usr/share/man/man3/Net::DNS::RR::OPENPGPKEY.3pm
/usr/share/man/man3/Net::DNS::RR::OPT.3pm
/usr/share/man/man3/Net::DNS::RR::PTR.3pm
/usr/share/man/man3/Net::DNS::RR::PX.3pm
/usr/share/man/man3/Net::DNS::RR::RP.3pm
/usr/share/man/man3/Net::DNS::RR::RRSIG.3pm
/usr/share/man/man3/Net::DNS::RR::RT.3pm
/usr/share/man/man3/Net::DNS::RR::SIG.3pm
/usr/share/man/man3/Net::DNS::RR::SMIMEA.3pm
/usr/share/man/man3/Net::DNS::RR::SOA.3pm
/usr/share/man/man3/Net::DNS::RR::SPF.3pm
/usr/share/man/man3/Net::DNS::RR::SRV.3pm
/usr/share/man/man3/Net::DNS::RR::SSHFP.3pm
/usr/share/man/man3/Net::DNS::RR::TKEY.3pm
/usr/share/man/man3/Net::DNS::RR::TLSA.3pm
/usr/share/man/man3/Net::DNS::RR::TSIG.3pm
/usr/share/man/man3/Net::DNS::RR::TXT.3pm
/usr/share/man/man3/Net::DNS::RR::URI.3pm
/usr/share/man/man3/Net::DNS::RR::X25.3pm
/usr/share/man/man3/Net::DNS::Resolver.3pm
/usr/share/man/man3/Net::DNS::Resolver::Base.3pm
/usr/share/man/man3/Net::DNS::Resolver::MSWin32.3pm
/usr/share/man/man3/Net::DNS::Resolver::Recurse.3pm
/usr/share/man/man3/Net::DNS::Resolver::UNIX.3pm
/usr/share/man/man3/Net::DNS::Resolver::android.3pm
/usr/share/man/man3/Net::DNS::Resolver::cygwin.3pm
/usr/share/man/man3/Net::DNS::Resolver::os2.3pm
/usr/share/man/man3/Net::DNS::Resolver::os390.3pm
/usr/share/man/man3/Net::DNS::Text.3pm
/usr/share/man/man3/Net::DNS::Update.3pm
/usr/share/man/man3/Net::DNS::ZoneFile.3pm
/usr/share/perl5/vendor_perl/Net/DNS/Domain.pm
/usr/share/perl5/vendor_perl/Net/DNS/DomainName.pm
/usr/share/perl5/vendor_perl/Net/DNS/FAQ.pod
/usr/share/perl5/vendor_perl/Net/DNS/Header.pm
/usr/share/perl5/vendor_perl/Net/DNS/Mailbox.pm
/usr/share/perl5/vendor_perl/Net/DNS/Nameserver.pm
/usr/share/perl5/vendor_perl/Net/DNS/Packet.pm
/usr/share/perl5/vendor_perl/Net/DNS/Parameters.pm
/usr/share/perl5/vendor_perl/Net/DNS/Question.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/A.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/AAAA.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/AFSDB.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/APL.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/CAA.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/CDNSKEY.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/CDS.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/CERT.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/CNAME.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/CSYNC.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/DHCID.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/DLV.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/DNAME.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/DNSKEY.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/DS.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/EUI48.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/EUI64.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/GPOS.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/HINFO.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/HIP.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/IPSECKEY.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/ISDN.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/KEY.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/KX.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/L32.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/L64.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/LOC.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/LP.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/MB.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/MG.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/MINFO.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/MR.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/MX.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/NAPTR.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/NID.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/NS.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/NSEC.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/NSEC3.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/NSEC3PARAM.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/NULL.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/OPENPGPKEY.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/OPT.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/PTR.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/PX.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/RP.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/RRSIG.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/RT.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/SIG.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/SMIMEA.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/SOA.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/SPF.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/SRV.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/SSHFP.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/TKEY.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/TLSA.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/TSIG.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/TXT.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/URI.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR/X25.pm
/usr/share/perl5/vendor_perl/Net/DNS/RR.pm
/usr/share/perl5/vendor_perl/Net/DNS/Resolver/Base.pm
/usr/share/perl5/vendor_perl/Net/DNS/Resolver/MSWin32.pm
/usr/share/perl5/vendor_perl/Net/DNS/Resolver/Recurse.pm
/usr/share/perl5/vendor_perl/Net/DNS/Resolver/UNIX.pm
/usr/share/perl5/vendor_perl/Net/DNS/Resolver/android.pm
/usr/share/perl5/vendor_perl/Net/DNS/Resolver/cygwin.pm
/usr/share/perl5/vendor_perl/Net/DNS/Resolver/os2.pm
/usr/share/perl5/vendor_perl/Net/DNS/Resolver/os390.pm
/usr/share/perl5/vendor_perl/Net/DNS/Resolver.pm
/usr/share/perl5/vendor_perl/Net/DNS/Text.pm
/usr/share/perl5/vendor_perl/Net/DNS/Update.pm
/usr/share/perl5/vendor_perl/Net/DNS/ZoneFile.pm
/usr/share/perl5/vendor_perl/Net/DNS.pm

%changelog

