# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-PPIx-QuoteLike
Version: 0.006
Release: 1
Summary: Parse Perl string literals and string-literal-like things.
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: perl_5
Vendor: Thomas R. Wyant, III F<wyant at cpan dot org>
URL: http://example.com/no-uri-given
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(Carp)
Requires: perl(Encode)
Requires: perl(Exporter)
Requires: perl(List::Util)
Requires: perl(PPI::Document) >= 1.117
Requires: perl(PPI::Dumper) >= 1.117
Requires: perl(Scalar::Util)
Requires: perl(base)
Requires: perl(constant)
Requires: perl >= 5.006
Requires: perl(strict)
Requires: perl(warnings)
Epoch: 10
Provides: perl(PPIx::QuoteLike) = 0.006
Provides: perl(PPIx::QuoteLike::Constant) = 0.006
Provides: perl(PPIx::QuoteLike::Dumper) = 0.006
Provides: perl(PPIx::QuoteLike::Token) = 0.006
Provides: perl(PPIx::QuoteLike::Token::Control) = 0.006
Provides: perl(PPIx::QuoteLike::Token::Delimiter) = 0.006
Provides: perl(PPIx::QuoteLike::Token::Interpolation) = 0.006
Provides: perl(PPIx::QuoteLike::Token::String) = 0.006
Provides: perl(PPIx::QuoteLike::Token::Structure) = 0.006
Provides: perl(PPIx::QuoteLike::Token::Unknown) = 0.006
Provides: perl(PPIx::QuoteLike::Token::Whitespace) = 0.006
Provides: perl(PPIx::QuoteLike::Utils) = 0.006
%description
Parse Perl string literals and string-literal-like things.

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/local/share/man/man3/PPIx::QuoteLike.3pm
/usr/local/share/man/man3/PPIx::QuoteLike::Constant.3pm
/usr/local/share/man/man3/PPIx::QuoteLike::Dumper.3pm
/usr/local/share/man/man3/PPIx::QuoteLike::Token.3pm
/usr/local/share/man/man3/PPIx::QuoteLike::Token::Control.3pm
/usr/local/share/man/man3/PPIx::QuoteLike::Token::Delimiter.3pm
/usr/local/share/man/man3/PPIx::QuoteLike::Token::Interpolation.3pm
/usr/local/share/man/man3/PPIx::QuoteLike::Token::String.3pm
/usr/local/share/man/man3/PPIx::QuoteLike::Token::Structure.3pm
/usr/local/share/man/man3/PPIx::QuoteLike::Token::Unknown.3pm
/usr/local/share/man/man3/PPIx::QuoteLike::Token::Whitespace.3pm
/usr/local/share/man/man3/PPIx::QuoteLike::Utils.3pm
/usr/local/share/perl5/PPIx/QuoteLike/Constant.pm
/usr/local/share/perl5/PPIx/QuoteLike/Dumper.pm
/usr/local/share/perl5/PPIx/QuoteLike/Token/Control.pm
/usr/local/share/perl5/PPIx/QuoteLike/Token/Delimiter.pm
/usr/local/share/perl5/PPIx/QuoteLike/Token/Interpolation.pm
/usr/local/share/perl5/PPIx/QuoteLike/Token/String.pm
/usr/local/share/perl5/PPIx/QuoteLike/Token/Structure.pm
/usr/local/share/perl5/PPIx/QuoteLike/Token/Unknown.pm
/usr/local/share/perl5/PPIx/QuoteLike/Token/Whitespace.pm
/usr/local/share/perl5/PPIx/QuoteLike/Token.pm
/usr/local/share/perl5/PPIx/QuoteLike/Utils.pm
/usr/local/share/perl5/PPIx/QuoteLike.pm

%changelog

