# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-PPIx-Regexp
Version: 0.062
Release: 1
Summary: Parse regular expressions
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: perl_5
Vendor: Thomas R. Wyant, III F<wyant at cpan dot org>
URL: http://example.com/no-uri-given
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(Carp)
Requires: perl(Exporter)
Requires: perl(List::MoreUtils)
Requires: perl(List::Util)
Requires: perl(PPI::Document) >= 1.117
Requires: perl(Scalar::Util)
Requires: perl(Task::Weaken)
Requires: perl(base)
Requires: perl(constant)
Requires: perl >= 5.006
Requires: perl(strict)
Requires: perl(warnings)
Epoch: 10
Provides: perl(PPIx::Regexp) = 0.062
Provides: perl(PPIx::Regexp::Constant) = 0.062
Provides: perl(PPIx::Regexp::Dumper) = 0.062
Provides: perl(PPIx::Regexp::Element) = 0.062
Provides: perl(PPIx::Regexp::Lexer) = 0.062
Provides: perl(PPIx::Regexp::Node) = 0.062
Provides: perl(PPIx::Regexp::Node::Range) = 0.062
Provides: perl(PPIx::Regexp::Node::Unknown) = 0.062
Provides: perl(PPIx::Regexp::StringTokenizer) = 0.062
Provides: perl(PPIx::Regexp::Structure) = 0.062
Provides: perl(PPIx::Regexp::Structure::Assertion) = 0.062
Provides: perl(PPIx::Regexp::Structure::BranchReset) = 0.062
Provides: perl(PPIx::Regexp::Structure::Capture) = 0.062
Provides: perl(PPIx::Regexp::Structure::CharClass) = 0.062
Provides: perl(PPIx::Regexp::Structure::Code) = 0.062
Provides: perl(PPIx::Regexp::Structure::Main) = 0.062
Provides: perl(PPIx::Regexp::Structure::Modifier) = 0.062
Provides: perl(PPIx::Regexp::Structure::NamedCapture) = 0.062
Provides: perl(PPIx::Regexp::Structure::Quantifier) = 0.062
Provides: perl(PPIx::Regexp::Structure::RegexSet) = 0.062
Provides: perl(PPIx::Regexp::Structure::Regexp) = 0.062
Provides: perl(PPIx::Regexp::Structure::Replacement) = 0.062
Provides: perl(PPIx::Regexp::Structure::Subexpression) = 0.062
Provides: perl(PPIx::Regexp::Structure::Switch) = 0.062
Provides: perl(PPIx::Regexp::Structure::Unknown) = 0.062
Provides: perl(PPIx::Regexp::Support) = 0.062
Provides: perl(PPIx::Regexp::Token) = 0.062
Provides: perl(PPIx::Regexp::Token::Assertion) = 0.062
Provides: perl(PPIx::Regexp::Token::Backreference) = 0.062
Provides: perl(PPIx::Regexp::Token::Backtrack) = 0.062
Provides: perl(PPIx::Regexp::Token::CharClass) = 0.062
Provides: perl(PPIx::Regexp::Token::CharClass::POSIX) = 0.062
Provides: perl(PPIx::Regexp::Token::CharClass::POSIX::Unknown) = 0.062
Provides: perl(PPIx::Regexp::Token::CharClass::Simple) = 0.062
Provides: perl(PPIx::Regexp::Token::Code) = 0.062
Provides: perl(PPIx::Regexp::Token::Comment) = 0.062
Provides: perl(PPIx::Regexp::Token::Condition) = 0.062
Provides: perl(PPIx::Regexp::Token::Control) = 0.062
Provides: perl(PPIx::Regexp::Token::Delimiter) = 0.062
Provides: perl(PPIx::Regexp::Token::Greediness) = 0.062
Provides: perl(PPIx::Regexp::Token::GroupType) = 0.062
Provides: perl(PPIx::Regexp::Token::GroupType::Assertion) = 0.062
Provides: perl(PPIx::Regexp::Token::GroupType::BranchReset) = 0.062
Provides: perl(PPIx::Regexp::Token::GroupType::Code) = 0.062
Provides: perl(PPIx::Regexp::Token::GroupType::Modifier) = 0.062
Provides: perl(PPIx::Regexp::Token::GroupType::NamedCapture) = 0.062
Provides: perl(PPIx::Regexp::Token::GroupType::Subexpression) = 0.062
Provides: perl(PPIx::Regexp::Token::GroupType::Switch) = 0.062
Provides: perl(PPIx::Regexp::Token::Interpolation) = 0.062
Provides: perl(PPIx::Regexp::Token::Literal) = 0.062
Provides: perl(PPIx::Regexp::Token::Modifier) = 0.062
Provides: perl(PPIx::Regexp::Token::NoOp) = 0.062
Provides: perl(PPIx::Regexp::Token::Operator) = 0.062
Provides: perl(PPIx::Regexp::Token::Quantifier) = 0.062
Provides: perl(PPIx::Regexp::Token::Recursion) = 0.062
Provides: perl(PPIx::Regexp::Token::Reference) = 0.062
Provides: perl(PPIx::Regexp::Token::Structure) = 0.062
Provides: perl(PPIx::Regexp::Token::Unknown) = 0.062
Provides: perl(PPIx::Regexp::Token::Unmatched) = 0.062
Provides: perl(PPIx::Regexp::Token::Whitespace) = 0.062
Provides: perl(PPIx::Regexp::Tokenizer) = 0.062
Provides: perl(PPIx::Regexp::Util) = 0.062
%description
Parse regular expressions

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/local/share/man/man3/PPIx::Regexp.3pm
/usr/local/share/man/man3/PPIx::Regexp::Constant.3pm
/usr/local/share/man/man3/PPIx::Regexp::Dumper.3pm
/usr/local/share/man/man3/PPIx::Regexp::Element.3pm
/usr/local/share/man/man3/PPIx::Regexp::Lexer.3pm
/usr/local/share/man/man3/PPIx::Regexp::Node.3pm
/usr/local/share/man/man3/PPIx::Regexp::Node::Range.3pm
/usr/local/share/man/man3/PPIx::Regexp::Node::Unknown.3pm
/usr/local/share/man/man3/PPIx::Regexp::StringTokenizer.3pm
/usr/local/share/man/man3/PPIx::Regexp::Structure.3pm
/usr/local/share/man/man3/PPIx::Regexp::Structure::Assertion.3pm
/usr/local/share/man/man3/PPIx::Regexp::Structure::Atomic_Script_Run.3pm
/usr/local/share/man/man3/PPIx::Regexp::Structure::BranchReset.3pm
/usr/local/share/man/man3/PPIx::Regexp::Structure::Capture.3pm
/usr/local/share/man/man3/PPIx::Regexp::Structure::CharClass.3pm
/usr/local/share/man/man3/PPIx::Regexp::Structure::Code.3pm
/usr/local/share/man/man3/PPIx::Regexp::Structure::Main.3pm
/usr/local/share/man/man3/PPIx::Regexp::Structure::Modifier.3pm
/usr/local/share/man/man3/PPIx::Regexp::Structure::NamedCapture.3pm
/usr/local/share/man/man3/PPIx::Regexp::Structure::Quantifier.3pm
/usr/local/share/man/man3/PPIx::Regexp::Structure::RegexSet.3pm
/usr/local/share/man/man3/PPIx::Regexp::Structure::Regexp.3pm
/usr/local/share/man/man3/PPIx::Regexp::Structure::Replacement.3pm
/usr/local/share/man/man3/PPIx::Regexp::Structure::Script_Run.3pm
/usr/local/share/man/man3/PPIx::Regexp::Structure::Subexpression.3pm
/usr/local/share/man/man3/PPIx::Regexp::Structure::Switch.3pm
/usr/local/share/man/man3/PPIx::Regexp::Structure::Unknown.3pm
/usr/local/share/man/man3/PPIx::Regexp::Support.3pm
/usr/local/share/man/man3/PPIx::Regexp::Token.3pm
/usr/local/share/man/man3/PPIx::Regexp::Token::Assertion.3pm
/usr/local/share/man/man3/PPIx::Regexp::Token::Backreference.3pm
/usr/local/share/man/man3/PPIx::Regexp::Token::Backtrack.3pm
/usr/local/share/man/man3/PPIx::Regexp::Token::CharClass.3pm
/usr/local/share/man/man3/PPIx::Regexp::Token::CharClass::POSIX.3pm
/usr/local/share/man/man3/PPIx::Regexp::Token::CharClass::POSIX::Unknown.3pm
/usr/local/share/man/man3/PPIx::Regexp::Token::CharClass::Simple.3pm
/usr/local/share/man/man3/PPIx::Regexp::Token::Code.3pm
/usr/local/share/man/man3/PPIx::Regexp::Token::Comment.3pm
/usr/local/share/man/man3/PPIx::Regexp::Token::Condition.3pm
/usr/local/share/man/man3/PPIx::Regexp::Token::Control.3pm
/usr/local/share/man/man3/PPIx::Regexp::Token::Delimiter.3pm
/usr/local/share/man/man3/PPIx::Regexp::Token::Greediness.3pm
/usr/local/share/man/man3/PPIx::Regexp::Token::GroupType.3pm
/usr/local/share/man/man3/PPIx::Regexp::Token::GroupType::Assertion.3pm
/usr/local/share/man/man3/PPIx::Regexp::Token::GroupType::Atomic_Script_Run.3pm
/usr/local/share/man/man3/PPIx::Regexp::Token::GroupType::BranchReset.3pm
/usr/local/share/man/man3/PPIx::Regexp::Token::GroupType::Code.3pm
/usr/local/share/man/man3/PPIx::Regexp::Token::GroupType::Modifier.3pm
/usr/local/share/man/man3/PPIx::Regexp::Token::GroupType::NamedCapture.3pm
/usr/local/share/man/man3/PPIx::Regexp::Token::GroupType::Script_Run.3pm
/usr/local/share/man/man3/PPIx::Regexp::Token::GroupType::Subexpression.3pm
/usr/local/share/man/man3/PPIx::Regexp::Token::GroupType::Switch.3pm
/usr/local/share/man/man3/PPIx::Regexp::Token::Interpolation.3pm
/usr/local/share/man/man3/PPIx::Regexp::Token::Literal.3pm
/usr/local/share/man/man3/PPIx::Regexp::Token::Modifier.3pm
/usr/local/share/man/man3/PPIx::Regexp::Token::NoOp.3pm
/usr/local/share/man/man3/PPIx::Regexp::Token::Operator.3pm
/usr/local/share/man/man3/PPIx::Regexp::Token::Quantifier.3pm
/usr/local/share/man/man3/PPIx::Regexp::Token::Recursion.3pm
/usr/local/share/man/man3/PPIx::Regexp::Token::Reference.3pm
/usr/local/share/man/man3/PPIx::Regexp::Token::Structure.3pm
/usr/local/share/man/man3/PPIx::Regexp::Token::Unknown.3pm
/usr/local/share/man/man3/PPIx::Regexp::Token::Unmatched.3pm
/usr/local/share/man/man3/PPIx::Regexp::Token::Whitespace.3pm
/usr/local/share/man/man3/PPIx::Regexp::Tokenizer.3pm
/usr/local/share/man/man3/PPIx::Regexp::Util.3pm
/usr/local/share/perl5/PPIx/Regexp/Constant.pm
/usr/local/share/perl5/PPIx/Regexp/Dumper.pm
/usr/local/share/perl5/PPIx/Regexp/Element.pm
/usr/local/share/perl5/PPIx/Regexp/Lexer.pm
/usr/local/share/perl5/PPIx/Regexp/Node/Range.pm
/usr/local/share/perl5/PPIx/Regexp/Node/Unknown.pm
/usr/local/share/perl5/PPIx/Regexp/Node.pm
/usr/local/share/perl5/PPIx/Regexp/StringTokenizer.pm
/usr/local/share/perl5/PPIx/Regexp/Structure/Assertion.pm
/usr/local/share/perl5/PPIx/Regexp/Structure/Atomic_Script_Run.pm
/usr/local/share/perl5/PPIx/Regexp/Structure/BranchReset.pm
/usr/local/share/perl5/PPIx/Regexp/Structure/Capture.pm
/usr/local/share/perl5/PPIx/Regexp/Structure/CharClass.pm
/usr/local/share/perl5/PPIx/Regexp/Structure/Code.pm
/usr/local/share/perl5/PPIx/Regexp/Structure/Main.pm
/usr/local/share/perl5/PPIx/Regexp/Structure/Modifier.pm
/usr/local/share/perl5/PPIx/Regexp/Structure/NamedCapture.pm
/usr/local/share/perl5/PPIx/Regexp/Structure/Quantifier.pm
/usr/local/share/perl5/PPIx/Regexp/Structure/RegexSet.pm
/usr/local/share/perl5/PPIx/Regexp/Structure/Regexp.pm
/usr/local/share/perl5/PPIx/Regexp/Structure/Replacement.pm
/usr/local/share/perl5/PPIx/Regexp/Structure/Script_Run.pm
/usr/local/share/perl5/PPIx/Regexp/Structure/Subexpression.pm
/usr/local/share/perl5/PPIx/Regexp/Structure/Switch.pm
/usr/local/share/perl5/PPIx/Regexp/Structure/Unknown.pm
/usr/local/share/perl5/PPIx/Regexp/Structure.pm
/usr/local/share/perl5/PPIx/Regexp/Support.pm
/usr/local/share/perl5/PPIx/Regexp/Token/Assertion.pm
/usr/local/share/perl5/PPIx/Regexp/Token/Backreference.pm
/usr/local/share/perl5/PPIx/Regexp/Token/Backtrack.pm
/usr/local/share/perl5/PPIx/Regexp/Token/CharClass/POSIX/Unknown.pm
/usr/local/share/perl5/PPIx/Regexp/Token/CharClass/POSIX.pm
/usr/local/share/perl5/PPIx/Regexp/Token/CharClass/Simple.pm
/usr/local/share/perl5/PPIx/Regexp/Token/CharClass.pm
/usr/local/share/perl5/PPIx/Regexp/Token/Code.pm
/usr/local/share/perl5/PPIx/Regexp/Token/Comment.pm
/usr/local/share/perl5/PPIx/Regexp/Token/Condition.pm
/usr/local/share/perl5/PPIx/Regexp/Token/Control.pm
/usr/local/share/perl5/PPIx/Regexp/Token/Delimiter.pm
/usr/local/share/perl5/PPIx/Regexp/Token/Greediness.pm
/usr/local/share/perl5/PPIx/Regexp/Token/GroupType/Assertion.pm
/usr/local/share/perl5/PPIx/Regexp/Token/GroupType/Atomic_Script_Run.pm
/usr/local/share/perl5/PPIx/Regexp/Token/GroupType/BranchReset.pm
/usr/local/share/perl5/PPIx/Regexp/Token/GroupType/Code.pm
/usr/local/share/perl5/PPIx/Regexp/Token/GroupType/Modifier.pm
/usr/local/share/perl5/PPIx/Regexp/Token/GroupType/NamedCapture.pm
/usr/local/share/perl5/PPIx/Regexp/Token/GroupType/Script_Run.pm
/usr/local/share/perl5/PPIx/Regexp/Token/GroupType/Subexpression.pm
/usr/local/share/perl5/PPIx/Regexp/Token/GroupType/Switch.pm
/usr/local/share/perl5/PPIx/Regexp/Token/GroupType.pm
/usr/local/share/perl5/PPIx/Regexp/Token/Interpolation.pm
/usr/local/share/perl5/PPIx/Regexp/Token/Literal.pm
/usr/local/share/perl5/PPIx/Regexp/Token/Modifier.pm
/usr/local/share/perl5/PPIx/Regexp/Token/NoOp.pm
/usr/local/share/perl5/PPIx/Regexp/Token/Operator.pm
/usr/local/share/perl5/PPIx/Regexp/Token/Quantifier.pm
/usr/local/share/perl5/PPIx/Regexp/Token/Recursion.pm
/usr/local/share/perl5/PPIx/Regexp/Token/Reference.pm
/usr/local/share/perl5/PPIx/Regexp/Token/Structure.pm
/usr/local/share/perl5/PPIx/Regexp/Token/Unknown.pm
/usr/local/share/perl5/PPIx/Regexp/Token/Unmatched.pm
/usr/local/share/perl5/PPIx/Regexp/Token/Whitespace.pm
/usr/local/share/perl5/PPIx/Regexp/Token.pm
/usr/local/share/perl5/PPIx/Regexp/Tokenizer.pm
/usr/local/share/perl5/PPIx/Regexp/Util.pm
/usr/local/share/perl5/PPIx/Regexp.pm

%changelog

