# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-Parse-Eyapp
Version: 1.210
Release: 1
Summary: unknown
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: unknown
Vendor: Will Braswell <wbraswell_cpan@NOSPAM.nym.hush.com> (Remove "NOSPAM".)
URL: unknown
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(Data::Dumper) >= 1.000
Requires: perl(List::Util) >= 1.000
Requires: perl(Parse::Yapp) >= 1.200
Requires: perl(Pod::Usage) >= 1.000
Epoch: 10
Provides: perl(Parse::Eyapp) = 1.210
Provides: perl(Parse::Eyapp::Base)
Provides: perl(Parse::Eyapp::Cleaner)
Provides: perl(Parse::Eyapp::Driver) = 1.210
Provides: perl(Parse::Eyapp::Grammar)
Provides: perl(Parse::Eyapp::Lalr)
Provides: perl(Parse::Eyapp::Node)
Provides: perl(Parse::Eyapp::Node::Match)
Provides: perl(Parse::Eyapp::Options)
Provides: perl(Parse::Eyapp::Output)
Provides: perl(Parse::Eyapp::Parse)
Provides: perl(Parse::Eyapp::Scope)
Provides: perl(Parse::Eyapp::TokenGen)
Provides: perl(Parse::Eyapp::Treeregexp)
Provides: perl(Parse::Eyapp::Treeregparser) = 0
Provides: perl(Parse::Eyapp::Unify)
Provides: perl(Parse::Eyapp::YATW) = 0
Provides: perl(Parse::Eyapp::_TreeregexpSupport)
%description
unknown

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/bin/eyapp
/usr/bin/treereg
/usr/share/man/man1/eyapp.1
/usr/share/man/man1/treereg.1
/usr/share/man/man3/Parse::Eyapp::TokenGen.3pm
/usr/share/man/man3/Parse::Eyapp::languageintro.3pm
/usr/share/perl5/vendor_perl/Parse/Eyapp/Base.pm
/usr/share/perl5/vendor_perl/Parse/Eyapp/Cleaner.pm
/usr/share/perl5/vendor_perl/Parse/Eyapp/Driver.pm
/usr/share/perl5/vendor_perl/Parse/Eyapp/Grammar.pm
/usr/share/perl5/vendor_perl/Parse/Eyapp/Lalr.pm
/usr/share/perl5/vendor_perl/Parse/Eyapp/Makefile
/usr/share/perl5/vendor_perl/Parse/Eyapp/Node.pm
/usr/share/perl5/vendor_perl/Parse/Eyapp/Options.pm
/usr/share/perl5/vendor_perl/Parse/Eyapp/Output.pm
/usr/share/perl5/vendor_perl/Parse/Eyapp/Parse.pm
/usr/share/perl5/vendor_perl/Parse/Eyapp/Parse.yp
/usr/share/perl5/vendor_perl/Parse/Eyapp/Scope.pm
/usr/share/perl5/vendor_perl/Parse/Eyapp/TokenGen.pm
/usr/share/perl5/vendor_perl/Parse/Eyapp/TokenGen.pod
/usr/share/perl5/vendor_perl/Parse/Eyapp/Treeregexp.output
/usr/share/perl5/vendor_perl/Parse/Eyapp/Treeregexp.pm
/usr/share/perl5/vendor_perl/Parse/Eyapp/Treeregexp.yp
/usr/share/perl5/vendor_perl/Parse/Eyapp/Unify.pm
/usr/share/perl5/vendor_perl/Parse/Eyapp/YATW.pm
/usr/share/perl5/vendor_perl/Parse/Eyapp/_TreeregexpSupport.pm
/usr/share/perl5/vendor_perl/Parse/Eyapp/eyapp
/usr/share/perl5/vendor_perl/Parse/Eyapp/languageintro.pod
/usr/share/perl5/vendor_perl/Parse/Eyapp.pm
/usr/share/perl5/vendor_perl/Parse/filter.pl
/usr/share/perl5/vendor_perl/Parse/local.preamble.pl
/usr/share/perl5/vendor_perl/Parse/make_eyapp_c_tests.pl

%changelog

