# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-Pod-Parser
Version: 1.630
Release: 1
Summary: Modules for parsing/translating POD format documents
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: unknown
Vendor: Brad Appleton <bradapp@enteract.com>, Marek Rouchal <marekr@cpan.org>
URL: unknown
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(Cwd)
Requires: perl(File::Basename)
Requires: perl(Test::More) >= 0.600
Epoch: 10
Provides: perl(Pod::Cache)
Provides: perl(Pod::Cache::Item)
Provides: perl(Pod::Find) = 1.630
Provides: perl(Pod::Hyperlink)
Provides: perl(Pod::InputObjects) = 1.630
Provides: perl(Pod::InputSource)
Provides: perl(Pod::InteriorSequence)
Provides: perl(Pod::List)
Provides: perl(Pod::Paragraph)
Provides: perl(Pod::ParseTree)
Provides: perl(Pod::ParseUtils) = 1.630
Provides: perl(Pod::Parser) = 1.630
Provides: perl(Pod::PlainText) = 2.070
Provides: perl(Pod::Select) = 1.630
%description
Modules for parsing/translating POD format documents

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/bin/podselect
/usr/share/man/man1/podselect.1
/usr/share/man/man3/Pod::Find.3pm
/usr/share/man/man3/Pod::InputObjects.3pm
/usr/share/man/man3/Pod::ParseUtils.3pm
/usr/share/man/man3/Pod::Parser.3pm
/usr/share/man/man3/Pod::PlainText.3pm
/usr/share/man/man3/Pod::Select.3pm
/usr/share/perl5/vendor_perl/Pod/Find.pm
/usr/share/perl5/vendor_perl/Pod/InputObjects.pm
/usr/share/perl5/vendor_perl/Pod/ParseUtils.pm
/usr/share/perl5/vendor_perl/Pod/Parser.pm
/usr/share/perl5/vendor_perl/Pod/PlainText.pm
/usr/share/perl5/vendor_perl/Pod/Select.pm

%changelog

