# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-Pod-PseudoPod
Version: 0.180
Release: 1
Summary: A framework for parsing PseudoPod
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: perl_5
Vendor: Allison Randal (allison@perl.org)
URL: http://example.com/no-uri-given
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(HTML::Entities)
Requires: perl(Pod::Simple) >= 3.020
Requires: perl(Text::Wrap) >= 98.112.902
Epoch: 10
Provides: perl(Pod::PseudoPod) = 0.180
Provides: perl(Pod::PseudoPod::Checker) = 0.180
Provides: perl(Pod::PseudoPod::DocBook) = 0.180
Provides: perl(Pod::PseudoPod::HTML) = 0.180
Provides: perl(Pod::PseudoPod::Index) = 0.180
Provides: perl(Pod::PseudoPod::Text) = 0.180
%description
A framework for parsing PseudoPod

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/local/bin/ppod2docbook
/usr/local/bin/ppod2html
/usr/local/bin/ppod2txt
/usr/local/bin/ppodchecker
/usr/local/share/man/man3/Pod::PseudoPod.3pm
/usr/local/share/man/man3/Pod::PseudoPod::Checker.3pm
/usr/local/share/man/man3/Pod::PseudoPod::DocBook.3pm
/usr/local/share/man/man3/Pod::PseudoPod::HTML.3pm
/usr/local/share/man/man3/Pod::PseudoPod::Index.3pm
/usr/local/share/man/man3/Pod::PseudoPod::Text.3pm
/usr/local/share/man/man3/Pod::PseudoPod::Tutorial.3pm
/usr/local/share/perl5/Pod/PseudoPod/Checker.pm
/usr/local/share/perl5/Pod/PseudoPod/DocBook.pm
/usr/local/share/perl5/Pod/PseudoPod/HTML.pm
/usr/local/share/perl5/Pod/PseudoPod/Index.pm
/usr/local/share/perl5/Pod/PseudoPod/Text.pm
/usr/local/share/perl5/Pod/PseudoPod/Tutorial.pod
/usr/local/share/perl5/Pod/PseudoPod.pm

%changelog

