# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-Test-Harness
Version: 3.420
Release: 1
Summary: unknown
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: perl_5
Vendor: unknown
URL: http://testanything.org/
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Epoch: 10
Provides: perl(App::Prove) = 3.420
Provides: perl(App::Prove::State) = 3.420
Provides: perl(App::Prove::State::Result) = 3.420
Provides: perl(App::Prove::State::Result::Test) = 3.420
Provides: perl(TAP::Base) = 3.420
Provides: perl(TAP::Formatter::Base) = 3.420
Provides: perl(TAP::Formatter::Color) = 3.420
Provides: perl(TAP::Formatter::Console) = 3.420
Provides: perl(TAP::Formatter::Console::ParallelSession) = 3.420
Provides: perl(TAP::Formatter::Console::Session) = 3.420
Provides: perl(TAP::Formatter::File) = 3.420
Provides: perl(TAP::Formatter::File::Session) = 3.420
Provides: perl(TAP::Formatter::Session) = 3.420
Provides: perl(TAP::Harness) = 3.420
Provides: perl(TAP::Harness::Env) = 3.420
Provides: perl(TAP::Object) = 3.420
Provides: perl(TAP::Parser) = 3.420
Provides: perl(TAP::Parser::Aggregator) = 3.420
Provides: perl(TAP::Parser::Grammar) = 3.420
Provides: perl(TAP::Parser::Iterator) = 3.420
Provides: perl(TAP::Parser::Iterator::Array) = 3.420
Provides: perl(TAP::Parser::Iterator::Process) = 3.420
Provides: perl(TAP::Parser::Iterator::Stream) = 3.420
Provides: perl(TAP::Parser::IteratorFactory) = 3.420
Provides: perl(TAP::Parser::Multiplexer) = 3.420
Provides: perl(TAP::Parser::Result) = 3.420
Provides: perl(TAP::Parser::Result::Bailout) = 3.420
Provides: perl(TAP::Parser::Result::Comment) = 3.420
Provides: perl(TAP::Parser::Result::Plan) = 3.420
Provides: perl(TAP::Parser::Result::Pragma) = 3.420
Provides: perl(TAP::Parser::Result::Test) = 3.420
Provides: perl(TAP::Parser::Result::Unknown) = 3.420
Provides: perl(TAP::Parser::Result::Version) = 3.420
Provides: perl(TAP::Parser::Result::YAML) = 3.420
Provides: perl(TAP::Parser::ResultFactory) = 3.420
Provides: perl(TAP::Parser::Scheduler) = 3.420
Provides: perl(TAP::Parser::Scheduler::Job) = 3.420
Provides: perl(TAP::Parser::Scheduler::Spinner) = 3.420
Provides: perl(TAP::Parser::Source) = 3.420
Provides: perl(TAP::Parser::SourceHandler) = 3.420
Provides: perl(TAP::Parser::SourceHandler::Executable) = 3.420
Provides: perl(TAP::Parser::SourceHandler::File) = 3.420
Provides: perl(TAP::Parser::SourceHandler::Handle) = 3.420
Provides: perl(TAP::Parser::SourceHandler::Perl) = 3.420
Provides: perl(TAP::Parser::SourceHandler::RawTAP) = 3.420
Provides: perl(TAP::Parser::YAMLish::Reader) = 3.420
Provides: perl(TAP::Parser::YAMLish::Writer) = 3.420
Provides: perl(Test::Harness) = 3.420
%description
unknown

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/bin/prove
/usr/share/man/man1/prove.1
/usr/share/man/man3/App::Prove.3pm
/usr/share/man/man3/App::Prove::State.3pm
/usr/share/man/man3/App::Prove::State::Result.3pm
/usr/share/man/man3/App::Prove::State::Result::Test.3pm
/usr/share/man/man3/TAP::Base.3pm
/usr/share/man/man3/TAP::Formatter::Base.3pm
/usr/share/man/man3/TAP::Formatter::Color.3pm
/usr/share/man/man3/TAP::Formatter::Console.3pm
/usr/share/man/man3/TAP::Formatter::Console::ParallelSession.3pm
/usr/share/man/man3/TAP::Formatter::Console::Session.3pm
/usr/share/man/man3/TAP::Formatter::File.3pm
/usr/share/man/man3/TAP::Formatter::File::Session.3pm
/usr/share/man/man3/TAP::Formatter::Session.3pm
/usr/share/man/man3/TAP::Harness.3pm
/usr/share/man/man3/TAP::Harness::Beyond.3pm
/usr/share/man/man3/TAP::Harness::Env.3pm
/usr/share/man/man3/TAP::Object.3pm
/usr/share/man/man3/TAP::Parser.3pm
/usr/share/man/man3/TAP::Parser::Aggregator.3pm
/usr/share/man/man3/TAP::Parser::Grammar.3pm
/usr/share/man/man3/TAP::Parser::Iterator.3pm
/usr/share/man/man3/TAP::Parser::Iterator::Array.3pm
/usr/share/man/man3/TAP::Parser::Iterator::Process.3pm
/usr/share/man/man3/TAP::Parser::Iterator::Stream.3pm
/usr/share/man/man3/TAP::Parser::IteratorFactory.3pm
/usr/share/man/man3/TAP::Parser::Multiplexer.3pm
/usr/share/man/man3/TAP::Parser::Result.3pm
/usr/share/man/man3/TAP::Parser::Result::Bailout.3pm
/usr/share/man/man3/TAP::Parser::Result::Comment.3pm
/usr/share/man/man3/TAP::Parser::Result::Plan.3pm
/usr/share/man/man3/TAP::Parser::Result::Pragma.3pm
/usr/share/man/man3/TAP::Parser::Result::Test.3pm
/usr/share/man/man3/TAP::Parser::Result::Unknown.3pm
/usr/share/man/man3/TAP::Parser::Result::Version.3pm
/usr/share/man/man3/TAP::Parser::Result::YAML.3pm
/usr/share/man/man3/TAP::Parser::ResultFactory.3pm
/usr/share/man/man3/TAP::Parser::Scheduler.3pm
/usr/share/man/man3/TAP::Parser::Scheduler::Job.3pm
/usr/share/man/man3/TAP::Parser::Scheduler::Spinner.3pm
/usr/share/man/man3/TAP::Parser::Source.3pm
/usr/share/man/man3/TAP::Parser::SourceHandler.3pm
/usr/share/man/man3/TAP::Parser::SourceHandler::Executable.3pm
/usr/share/man/man3/TAP::Parser::SourceHandler::File.3pm
/usr/share/man/man3/TAP::Parser::SourceHandler::Handle.3pm
/usr/share/man/man3/TAP::Parser::SourceHandler::Perl.3pm
/usr/share/man/man3/TAP::Parser::SourceHandler::RawTAP.3pm
/usr/share/man/man3/TAP::Parser::YAMLish::Reader.3pm
/usr/share/man/man3/TAP::Parser::YAMLish::Writer.3pm
/usr/share/man/man3/Test::HACKING.3pm
/usr/share/man/man3/Test::Harness.3pm
/usr/share/perl5/vendor_perl/App/Prove/State/Result/Test.pm
/usr/share/perl5/vendor_perl/App/Prove/State/Result.pm
/usr/share/perl5/vendor_perl/App/Prove/State.pm
/usr/share/perl5/vendor_perl/App/Prove.pm
/usr/share/perl5/vendor_perl/TAP/Base.pm
/usr/share/perl5/vendor_perl/TAP/Formatter/Base.pm
/usr/share/perl5/vendor_perl/TAP/Formatter/Color.pm
/usr/share/perl5/vendor_perl/TAP/Formatter/Console/ParallelSession.pm
/usr/share/perl5/vendor_perl/TAP/Formatter/Console/Session.pm
/usr/share/perl5/vendor_perl/TAP/Formatter/Console.pm
/usr/share/perl5/vendor_perl/TAP/Formatter/File/Session.pm
/usr/share/perl5/vendor_perl/TAP/Formatter/File.pm
/usr/share/perl5/vendor_perl/TAP/Formatter/Session.pm
/usr/share/perl5/vendor_perl/TAP/Harness/Beyond.pod
/usr/share/perl5/vendor_perl/TAP/Harness/Env.pm
/usr/share/perl5/vendor_perl/TAP/Harness.pm
/usr/share/perl5/vendor_perl/TAP/Object.pm
/usr/share/perl5/vendor_perl/TAP/Parser/Aggregator.pm
/usr/share/perl5/vendor_perl/TAP/Parser/Grammar.pm
/usr/share/perl5/vendor_perl/TAP/Parser/Iterator/Array.pm
/usr/share/perl5/vendor_perl/TAP/Parser/Iterator/Process.pm
/usr/share/perl5/vendor_perl/TAP/Parser/Iterator/Stream.pm
/usr/share/perl5/vendor_perl/TAP/Parser/Iterator.pm
/usr/share/perl5/vendor_perl/TAP/Parser/IteratorFactory.pm
/usr/share/perl5/vendor_perl/TAP/Parser/Multiplexer.pm
/usr/share/perl5/vendor_perl/TAP/Parser/Result/Bailout.pm
/usr/share/perl5/vendor_perl/TAP/Parser/Result/Comment.pm
/usr/share/perl5/vendor_perl/TAP/Parser/Result/Plan.pm
/usr/share/perl5/vendor_perl/TAP/Parser/Result/Pragma.pm
/usr/share/perl5/vendor_perl/TAP/Parser/Result/Test.pm
/usr/share/perl5/vendor_perl/TAP/Parser/Result/Unknown.pm
/usr/share/perl5/vendor_perl/TAP/Parser/Result/Version.pm
/usr/share/perl5/vendor_perl/TAP/Parser/Result/YAML.pm
/usr/share/perl5/vendor_perl/TAP/Parser/Result.pm
/usr/share/perl5/vendor_perl/TAP/Parser/ResultFactory.pm
/usr/share/perl5/vendor_perl/TAP/Parser/Scheduler/Job.pm
/usr/share/perl5/vendor_perl/TAP/Parser/Scheduler/Spinner.pm
/usr/share/perl5/vendor_perl/TAP/Parser/Scheduler.pm
/usr/share/perl5/vendor_perl/TAP/Parser/Source.pm
/usr/share/perl5/vendor_perl/TAP/Parser/SourceHandler/Executable.pm
/usr/share/perl5/vendor_perl/TAP/Parser/SourceHandler/File.pm
/usr/share/perl5/vendor_perl/TAP/Parser/SourceHandler/Handle.pm
/usr/share/perl5/vendor_perl/TAP/Parser/SourceHandler/Perl.pm
/usr/share/perl5/vendor_perl/TAP/Parser/SourceHandler/RawTAP.pm
/usr/share/perl5/vendor_perl/TAP/Parser/SourceHandler.pm
/usr/share/perl5/vendor_perl/TAP/Parser/YAMLish/Reader.pm
/usr/share/perl5/vendor_perl/TAP/Parser/YAMLish/Writer.pm
/usr/share/perl5/vendor_perl/TAP/Parser.pm
/usr/share/perl5/vendor_perl/Test/HACKING.pod
/usr/share/perl5/vendor_perl/Test/Harness.pm

%changelog

