# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-Test2-Suite
Version: 0.000.115
Release: 1
Summary: Distribution with a rich set of tools built upon the Test2 framework.
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: perl_5
Vendor: Chad Granum <exodist@cpan.org>
URL: http://example.com/no-uri-given
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(B)
Requires: perl(Carp)
Requires: perl(Data::Dumper)
Requires: perl(Exporter)
Requires: perl(Importer) >= 0.024
Requires: perl(Module::Pluggable) >= 2.700
Requires: perl(Scalar::Util)
Requires: perl(Scope::Guard)
Requires: perl(Sub::Info) >= 0.002
Requires: perl(Term::Table) >= 0.002
Requires: perl(Test2::API) >= 1.302.136
Requires: perl(Time::HiRes)
Requires: perl(overload)
Requires: perl >= 5.8.1
Requires: perl(utf8)
Epoch: 10
Provides: perl(Test2::AsyncSubtest) = 0.000.115
Provides: perl(Test2::AsyncSubtest::Event::Attach) = 0.000.115
Provides: perl(Test2::AsyncSubtest::Event::Detach) = 0.000.115
Provides: perl(Test2::AsyncSubtest::Formatter) = 0.000.115
Provides: perl(Test2::AsyncSubtest::Hub) = 0.000.115
Provides: perl(Test2::Bundle) = 0.000.115
Provides: perl(Test2::Bundle::Extended) = 0.000.115
Provides: perl(Test2::Bundle::More) = 0.000.115
Provides: perl(Test2::Bundle::Simple) = 0.000.115
Provides: perl(Test2::Compare) = 0.000.115
Provides: perl(Test2::Compare::Array) = 0.000.115
Provides: perl(Test2::Compare::Bag) = 0.000.115
Provides: perl(Test2::Compare::Base) = 0.000.115
Provides: perl(Test2::Compare::Bool) = 0.000.115
Provides: perl(Test2::Compare::Custom) = 0.000.115
Provides: perl(Test2::Compare::DeepRef) = 0.000.115
Provides: perl(Test2::Compare::Delta) = 0.000.115
Provides: perl(Test2::Compare::Event) = 0.000.115
Provides: perl(Test2::Compare::EventMeta) = 0.000.115
Provides: perl(Test2::Compare::Float) = 0.000.115
Provides: perl(Test2::Compare::Hash) = 0.000.115
Provides: perl(Test2::Compare::Meta) = 0.000.115
Provides: perl(Test2::Compare::Negatable) = 0.000.115
Provides: perl(Test2::Compare::Number) = 0.000.115
Provides: perl(Test2::Compare::Object) = 0.000.115
Provides: perl(Test2::Compare::OrderedSubset) = 0.000.115
Provides: perl(Test2::Compare::Pattern) = 0.000.115
Provides: perl(Test2::Compare::Ref) = 0.000.115
Provides: perl(Test2::Compare::Regex) = 0.000.115
Provides: perl(Test2::Compare::Scalar) = 0.000.115
Provides: perl(Test2::Compare::Set) = 0.000.115
Provides: perl(Test2::Compare::String) = 0.000.115
Provides: perl(Test2::Compare::Undef) = 0.000.115
Provides: perl(Test2::Compare::Wildcard) = 0.000.115
Provides: perl(Test2::Event::Times) = 0.000.115
Provides: perl(Test2::Manual) = 0.000.115
Provides: perl(Test2::Manual::Anatomy) = 0.000.115
Provides: perl(Test2::Manual::Anatomy::API) = 0.000.115
Provides: perl(Test2::Manual::Anatomy::Context) = 0.000.115
Provides: perl(Test2::Manual::Anatomy::EndToEnd) = 0.000.115
Provides: perl(Test2::Manual::Anatomy::Event) = 0.000.115
Provides: perl(Test2::Manual::Anatomy::Hubs) = 0.000.115
Provides: perl(Test2::Manual::Anatomy::IPC) = 0.000.115
Provides: perl(Test2::Manual::Anatomy::Utilities) = 0.000.115
Provides: perl(Test2::Manual::Contributing) = 0.000.115
Provides: perl(Test2::Manual::Testing) = 0.000.115
Provides: perl(Test2::Manual::Testing::Introduction) = 0.000.115
Provides: perl(Test2::Manual::Testing::Migrating) = 0.000.115
Provides: perl(Test2::Manual::Testing::Planning) = 0.000.115
Provides: perl(Test2::Manual::Testing::Todo) = 0.000.115
Provides: perl(Test2::Manual::Tooling) = 0.000.115
Provides: perl(Test2::Manual::Tooling::FirstTool) = 0.000.115
Provides: perl(Test2::Manual::Tooling::Formatter) = 0.000.115
Provides: perl(Test2::Manual::Tooling::Nesting) = 0.000.115
Provides: perl(Test2::Manual::Tooling::Plugin::TestExit) = 0.000.115
Provides: perl(Test2::Manual::Tooling::Plugin::TestingDone) = 0.000.115
Provides: perl(Test2::Manual::Tooling::Plugin::ToolCompletes) = 0.000.115
Provides: perl(Test2::Manual::Tooling::Plugin::ToolStarts) = 0.000.115
Provides: perl(Test2::Manual::Tooling::Subtest) = 0.000.115
Provides: perl(Test2::Manual::Tooling::TestBuilder) = 0.000.115
Provides: perl(Test2::Manual::Tooling::Testing) = 0.000.115
Provides: perl(Test2::Mock) = 0.000.115
Provides: perl(Test2::Plugin) = 0.000.115
Provides: perl(Test2::Plugin::BailOnFail) = 0.000.115
Provides: perl(Test2::Plugin::DieOnFail) = 0.000.115
Provides: perl(Test2::Plugin::ExitSummary) = 0.000.115
Provides: perl(Test2::Plugin::SRand) = 0.000.115
Provides: perl(Test2::Plugin::Times) = 0.000.115
Provides: perl(Test2::Plugin::UTF8) = 0.000.115
Provides: perl(Test2::Require) = 0.000.115
Provides: perl(Test2::Require::AuthorTesting) = 0.000.115
Provides: perl(Test2::Require::EnvVar) = 0.000.115
Provides: perl(Test2::Require::Fork) = 0.000.115
Provides: perl(Test2::Require::Module) = 0.000.115
Provides: perl(Test2::Require::Perl) = 0.000.115
Provides: perl(Test2::Require::RealFork) = 0.000.115
Provides: perl(Test2::Require::Threads) = 0.000.115
Provides: perl(Test2::Suite) = 0.000.115
Provides: perl(Test2::Todo) = 0.000.115
Provides: perl(Test2::Tools) = 0.000.115
Provides: perl(Test2::Tools::AsyncSubtest) = 0.000.115
Provides: perl(Test2::Tools::Basic) = 0.000.115
Provides: perl(Test2::Tools::Class) = 0.000.115
Provides: perl(Test2::Tools::ClassicCompare) = 0.000.115
Provides: perl(Test2::Tools::Compare) = 0.000.115
Provides: perl(Test2::Tools::Defer) = 0.000.115
Provides: perl(Test2::Tools::Encoding) = 0.000.115
Provides: perl(Test2::Tools::Event) = 0.000.115
Provides: perl(Test2::Tools::Exception) = 0.000.115
Provides: perl(Test2::Tools::Exports) = 0.000.115
Provides: perl(Test2::Tools::GenTemp) = 0.000.115
Provides: perl(Test2::Tools::Grab) = 0.000.115
Provides: perl(Test2::Tools::Mock) = 0.000.115
Provides: perl(Test2::Tools::Ref) = 0.000.115
Provides: perl(Test2::Tools::Spec) = 0.000.115
Provides: perl(Test2::Tools::Subtest) = 0.000.115
Provides: perl(Test2::Tools::Target) = 0.000.115
Provides: perl(Test2::Tools::Tester) = 0.000.115
Provides: perl(Test2::Tools::Warnings) = 0.000.115
Provides: perl(Test2::Util::Grabber) = 0.000.115
Provides: perl(Test2::Util::Ref) = 0.000.115
Provides: perl(Test2::Util::Stash) = 0.000.115
Provides: perl(Test2::Util::Sub) = 0.000.115
Provides: perl(Test2::Util::Table) = 0.000.115
Provides: perl(Test2::Util::Table::Cell) = 0.000.115
Provides: perl(Test2::Util::Table::LineBreak) = 0.000.115
Provides: perl(Test2::Util::Term) = 0.000.115
Provides: perl(Test2::Util::Times) = 0.000.115
Provides: perl(Test2::V0) = 0.000.115
Provides: perl(Test2::Workflow) = 0.000.115
Provides: perl(Test2::Workflow::BlockBase) = 0.000.115
Provides: perl(Test2::Workflow::Build) = 0.000.115
Provides: perl(Test2::Workflow::Runner) = 0.000.115
Provides: perl(Test2::Workflow::Task) = 0.000.115
Provides: perl(Test2::Workflow::Task::Action) = 0.000.115
Provides: perl(Test2::Workflow::Task::Group) = 0.000.115
%description
Distribution with a rich set of tools built upon the Test2 framework.

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/share/man/man3/Test2::AsyncSubtest.3pm
/usr/share/man/man3/Test2::AsyncSubtest::Event::Attach.3pm
/usr/share/man/man3/Test2::AsyncSubtest::Event::Detach.3pm
/usr/share/man/man3/Test2::AsyncSubtest::Hub.3pm
/usr/share/man/man3/Test2::Bundle.3pm
/usr/share/man/man3/Test2::Bundle::Extended.3pm
/usr/share/man/man3/Test2::Bundle::More.3pm
/usr/share/man/man3/Test2::Bundle::Simple.3pm
/usr/share/man/man3/Test2::Compare.3pm
/usr/share/man/man3/Test2::Compare::Array.3pm
/usr/share/man/man3/Test2::Compare::Bag.3pm
/usr/share/man/man3/Test2::Compare::Base.3pm
/usr/share/man/man3/Test2::Compare::Bool.3pm
/usr/share/man/man3/Test2::Compare::Custom.3pm
/usr/share/man/man3/Test2::Compare::DeepRef.3pm
/usr/share/man/man3/Test2::Compare::Delta.3pm
/usr/share/man/man3/Test2::Compare::Event.3pm
/usr/share/man/man3/Test2::Compare::EventMeta.3pm
/usr/share/man/man3/Test2::Compare::Float.3pm
/usr/share/man/man3/Test2::Compare::Hash.3pm
/usr/share/man/man3/Test2::Compare::Meta.3pm
/usr/share/man/man3/Test2::Compare::Negatable.3pm
/usr/share/man/man3/Test2::Compare::Number.3pm
/usr/share/man/man3/Test2::Compare::Object.3pm
/usr/share/man/man3/Test2::Compare::OrderedSubset.3pm
/usr/share/man/man3/Test2::Compare::Pattern.3pm
/usr/share/man/man3/Test2::Compare::Ref.3pm
/usr/share/man/man3/Test2::Compare::Regex.3pm
/usr/share/man/man3/Test2::Compare::Scalar.3pm
/usr/share/man/man3/Test2::Compare::Set.3pm
/usr/share/man/man3/Test2::Compare::String.3pm
/usr/share/man/man3/Test2::Compare::Undef.3pm
/usr/share/man/man3/Test2::Compare::Wildcard.3pm
/usr/share/man/man3/Test2::Manual.3pm
/usr/share/man/man3/Test2::Manual::Anatomy.3pm
/usr/share/man/man3/Test2::Manual::Anatomy::API.3pm
/usr/share/man/man3/Test2::Manual::Anatomy::Context.3pm
/usr/share/man/man3/Test2::Manual::Anatomy::EndToEnd.3pm
/usr/share/man/man3/Test2::Manual::Anatomy::Event.3pm
/usr/share/man/man3/Test2::Manual::Anatomy::Hubs.3pm
/usr/share/man/man3/Test2::Manual::Anatomy::IPC.3pm
/usr/share/man/man3/Test2::Manual::Anatomy::Utilities.3pm
/usr/share/man/man3/Test2::Manual::Concurrency.3pm
/usr/share/man/man3/Test2::Manual::Contributing.3pm
/usr/share/man/man3/Test2::Manual::Testing.3pm
/usr/share/man/man3/Test2::Manual::Testing::Introduction.3pm
/usr/share/man/man3/Test2::Manual::Testing::Migrating.3pm
/usr/share/man/man3/Test2::Manual::Testing::Planning.3pm
/usr/share/man/man3/Test2::Manual::Testing::Todo.3pm
/usr/share/man/man3/Test2::Manual::Tooling.3pm
/usr/share/man/man3/Test2::Manual::Tooling::FirstTool.3pm
/usr/share/man/man3/Test2::Manual::Tooling::Formatter.3pm
/usr/share/man/man3/Test2::Manual::Tooling::Nesting.3pm
/usr/share/man/man3/Test2::Manual::Tooling::Plugin::TestExit.3pm
/usr/share/man/man3/Test2::Manual::Tooling::Plugin::TestingDone.3pm
/usr/share/man/man3/Test2::Manual::Tooling::Plugin::ToolCompletes.3pm
/usr/share/man/man3/Test2::Manual::Tooling::Plugin::ToolStarts.3pm
/usr/share/man/man3/Test2::Manual::Tooling::Subtest.3pm
/usr/share/man/man3/Test2::Manual::Tooling::TestBuilder.3pm
/usr/share/man/man3/Test2::Manual::Tooling::Testing.3pm
/usr/share/man/man3/Test2::Mock.3pm
/usr/share/man/man3/Test2::Plugin.3pm
/usr/share/man/man3/Test2::Plugin::BailOnFail.3pm
/usr/share/man/man3/Test2::Plugin::DieOnFail.3pm
/usr/share/man/man3/Test2::Plugin::ExitSummary.3pm
/usr/share/man/man3/Test2::Plugin::SRand.3pm
/usr/share/man/man3/Test2::Plugin::Times.3pm
/usr/share/man/man3/Test2::Plugin::UTF8.3pm
/usr/share/man/man3/Test2::Require.3pm
/usr/share/man/man3/Test2::Require::AuthorTesting.3pm
/usr/share/man/man3/Test2::Require::EnvVar.3pm
/usr/share/man/man3/Test2::Require::Fork.3pm
/usr/share/man/man3/Test2::Require::Module.3pm
/usr/share/man/man3/Test2::Require::Perl.3pm
/usr/share/man/man3/Test2::Require::RealFork.3pm
/usr/share/man/man3/Test2::Require::Threads.3pm
/usr/share/man/man3/Test2::Suite.3pm
/usr/share/man/man3/Test2::Todo.3pm
/usr/share/man/man3/Test2::Tools.3pm
/usr/share/man/man3/Test2::Tools::AsyncSubtest.3pm
/usr/share/man/man3/Test2::Tools::Basic.3pm
/usr/share/man/man3/Test2::Tools::Class.3pm
/usr/share/man/man3/Test2::Tools::ClassicCompare.3pm
/usr/share/man/man3/Test2::Tools::Compare.3pm
/usr/share/man/man3/Test2::Tools::Defer.3pm
/usr/share/man/man3/Test2::Tools::Encoding.3pm
/usr/share/man/man3/Test2::Tools::Event.3pm
/usr/share/man/man3/Test2::Tools::Exception.3pm
/usr/share/man/man3/Test2::Tools::Exports.3pm
/usr/share/man/man3/Test2::Tools::GenTemp.3pm
/usr/share/man/man3/Test2::Tools::Grab.3pm
/usr/share/man/man3/Test2::Tools::Mock.3pm
/usr/share/man/man3/Test2::Tools::Ref.3pm
/usr/share/man/man3/Test2::Tools::Spec.3pm
/usr/share/man/man3/Test2::Tools::Subtest.3pm
/usr/share/man/man3/Test2::Tools::Target.3pm
/usr/share/man/man3/Test2::Tools::Tester.3pm
/usr/share/man/man3/Test2::Tools::Warnings.3pm
/usr/share/man/man3/Test2::Util::Grabber.3pm
/usr/share/man/man3/Test2::Util::Ref.3pm
/usr/share/man/man3/Test2::Util::Stash.3pm
/usr/share/man/man3/Test2::Util::Sub.3pm
/usr/share/man/man3/Test2::Util::Table.3pm
/usr/share/man/man3/Test2::Util::Table::LineBreak.3pm
/usr/share/man/man3/Test2::Util::Times.3pm
/usr/share/man/man3/Test2::V0.3pm
/usr/share/man/man3/Test2::Workflow.3pm
/usr/share/man/man3/Test2::Workflow::BlockBase.3pm
/usr/share/man/man3/Test2::Workflow::Build.3pm
/usr/share/man/man3/Test2::Workflow::Runner.3pm
/usr/share/man/man3/Test2::Workflow::Task.3pm
/usr/share/man/man3/Test2::Workflow::Task::Action.3pm
/usr/share/man/man3/Test2::Workflow::Task::Group.3pm
/usr/share/perl5/vendor_perl/Test2/AsyncSubtest/Event/Attach.pm
/usr/share/perl5/vendor_perl/Test2/AsyncSubtest/Event/Detach.pm
/usr/share/perl5/vendor_perl/Test2/AsyncSubtest/Formatter.pm
/usr/share/perl5/vendor_perl/Test2/AsyncSubtest/Hub.pm
/usr/share/perl5/vendor_perl/Test2/AsyncSubtest.pm
/usr/share/perl5/vendor_perl/Test2/Bundle/Extended.pm
/usr/share/perl5/vendor_perl/Test2/Bundle/More.pm
/usr/share/perl5/vendor_perl/Test2/Bundle/Simple.pm
/usr/share/perl5/vendor_perl/Test2/Bundle.pm
/usr/share/perl5/vendor_perl/Test2/Compare/Array.pm
/usr/share/perl5/vendor_perl/Test2/Compare/Bag.pm
/usr/share/perl5/vendor_perl/Test2/Compare/Base.pm
/usr/share/perl5/vendor_perl/Test2/Compare/Bool.pm
/usr/share/perl5/vendor_perl/Test2/Compare/Custom.pm
/usr/share/perl5/vendor_perl/Test2/Compare/DeepRef.pm
/usr/share/perl5/vendor_perl/Test2/Compare/Delta.pm
/usr/share/perl5/vendor_perl/Test2/Compare/Event.pm
/usr/share/perl5/vendor_perl/Test2/Compare/EventMeta.pm
/usr/share/perl5/vendor_perl/Test2/Compare/Float.pm
/usr/share/perl5/vendor_perl/Test2/Compare/Hash.pm
/usr/share/perl5/vendor_perl/Test2/Compare/Meta.pm
/usr/share/perl5/vendor_perl/Test2/Compare/Negatable.pm
/usr/share/perl5/vendor_perl/Test2/Compare/Number.pm
/usr/share/perl5/vendor_perl/Test2/Compare/Object.pm
/usr/share/perl5/vendor_perl/Test2/Compare/OrderedSubset.pm
/usr/share/perl5/vendor_perl/Test2/Compare/Pattern.pm
/usr/share/perl5/vendor_perl/Test2/Compare/Ref.pm
/usr/share/perl5/vendor_perl/Test2/Compare/Regex.pm
/usr/share/perl5/vendor_perl/Test2/Compare/Scalar.pm
/usr/share/perl5/vendor_perl/Test2/Compare/Set.pm
/usr/share/perl5/vendor_perl/Test2/Compare/String.pm
/usr/share/perl5/vendor_perl/Test2/Compare/Undef.pm
/usr/share/perl5/vendor_perl/Test2/Compare/Wildcard.pm
/usr/share/perl5/vendor_perl/Test2/Compare.pm
/usr/share/perl5/vendor_perl/Test2/Event/Times.pm
/usr/share/perl5/vendor_perl/Test2/Manual/Anatomy/API.pm
/usr/share/perl5/vendor_perl/Test2/Manual/Anatomy/Context.pm
/usr/share/perl5/vendor_perl/Test2/Manual/Anatomy/EndToEnd.pm
/usr/share/perl5/vendor_perl/Test2/Manual/Anatomy/Event.pm
/usr/share/perl5/vendor_perl/Test2/Manual/Anatomy/Hubs.pm
/usr/share/perl5/vendor_perl/Test2/Manual/Anatomy/IPC.pm
/usr/share/perl5/vendor_perl/Test2/Manual/Anatomy/Utilities.pm
/usr/share/perl5/vendor_perl/Test2/Manual/Anatomy.pm
/usr/share/perl5/vendor_perl/Test2/Manual/Concurrency.pm
/usr/share/perl5/vendor_perl/Test2/Manual/Contributing.pm
/usr/share/perl5/vendor_perl/Test2/Manual/Testing/Introduction.pm
/usr/share/perl5/vendor_perl/Test2/Manual/Testing/Migrating.pm
/usr/share/perl5/vendor_perl/Test2/Manual/Testing/Planning.pm
/usr/share/perl5/vendor_perl/Test2/Manual/Testing/Todo.pm
/usr/share/perl5/vendor_perl/Test2/Manual/Testing.pm
/usr/share/perl5/vendor_perl/Test2/Manual/Tooling/FirstTool.pm
/usr/share/perl5/vendor_perl/Test2/Manual/Tooling/Formatter.pm
/usr/share/perl5/vendor_perl/Test2/Manual/Tooling/Nesting.pm
/usr/share/perl5/vendor_perl/Test2/Manual/Tooling/Plugin/TestExit.pm
/usr/share/perl5/vendor_perl/Test2/Manual/Tooling/Plugin/TestingDone.pm
/usr/share/perl5/vendor_perl/Test2/Manual/Tooling/Plugin/ToolCompletes.pm
/usr/share/perl5/vendor_perl/Test2/Manual/Tooling/Plugin/ToolStarts.pm
/usr/share/perl5/vendor_perl/Test2/Manual/Tooling/Subtest.pm
/usr/share/perl5/vendor_perl/Test2/Manual/Tooling/TestBuilder.pm
/usr/share/perl5/vendor_perl/Test2/Manual/Tooling/Testing.pm
/usr/share/perl5/vendor_perl/Test2/Manual/Tooling.pm
/usr/share/perl5/vendor_perl/Test2/Manual.pm
/usr/share/perl5/vendor_perl/Test2/Mock.pm
/usr/share/perl5/vendor_perl/Test2/Plugin/BailOnFail.pm
/usr/share/perl5/vendor_perl/Test2/Plugin/DieOnFail.pm
/usr/share/perl5/vendor_perl/Test2/Plugin/ExitSummary.pm
/usr/share/perl5/vendor_perl/Test2/Plugin/SRand.pm
/usr/share/perl5/vendor_perl/Test2/Plugin/Times.pm
/usr/share/perl5/vendor_perl/Test2/Plugin/UTF8.pm
/usr/share/perl5/vendor_perl/Test2/Plugin.pm
/usr/share/perl5/vendor_perl/Test2/Require/AuthorTesting.pm
/usr/share/perl5/vendor_perl/Test2/Require/EnvVar.pm
/usr/share/perl5/vendor_perl/Test2/Require/Fork.pm
/usr/share/perl5/vendor_perl/Test2/Require/Module.pm
/usr/share/perl5/vendor_perl/Test2/Require/Perl.pm
/usr/share/perl5/vendor_perl/Test2/Require/RealFork.pm
/usr/share/perl5/vendor_perl/Test2/Require/Threads.pm
/usr/share/perl5/vendor_perl/Test2/Require.pm
/usr/share/perl5/vendor_perl/Test2/Suite.pm
/usr/share/perl5/vendor_perl/Test2/Todo.pm
/usr/share/perl5/vendor_perl/Test2/Tools/AsyncSubtest.pm
/usr/share/perl5/vendor_perl/Test2/Tools/Basic.pm
/usr/share/perl5/vendor_perl/Test2/Tools/Class.pm
/usr/share/perl5/vendor_perl/Test2/Tools/ClassicCompare.pm
/usr/share/perl5/vendor_perl/Test2/Tools/Compare.pm
/usr/share/perl5/vendor_perl/Test2/Tools/Defer.pm
/usr/share/perl5/vendor_perl/Test2/Tools/Encoding.pm
/usr/share/perl5/vendor_perl/Test2/Tools/Event.pm
/usr/share/perl5/vendor_perl/Test2/Tools/Exception.pm
/usr/share/perl5/vendor_perl/Test2/Tools/Exports.pm
/usr/share/perl5/vendor_perl/Test2/Tools/GenTemp.pm
/usr/share/perl5/vendor_perl/Test2/Tools/Grab.pm
/usr/share/perl5/vendor_perl/Test2/Tools/Mock.pm
/usr/share/perl5/vendor_perl/Test2/Tools/Ref.pm
/usr/share/perl5/vendor_perl/Test2/Tools/Spec.pm
/usr/share/perl5/vendor_perl/Test2/Tools/Subtest.pm
/usr/share/perl5/vendor_perl/Test2/Tools/Target.pm
/usr/share/perl5/vendor_perl/Test2/Tools/Tester.pm
/usr/share/perl5/vendor_perl/Test2/Tools/Warnings.pm
/usr/share/perl5/vendor_perl/Test2/Tools.pm
/usr/share/perl5/vendor_perl/Test2/Util/Grabber.pm
/usr/share/perl5/vendor_perl/Test2/Util/Ref.pm
/usr/share/perl5/vendor_perl/Test2/Util/Stash.pm
/usr/share/perl5/vendor_perl/Test2/Util/Sub.pm
/usr/share/perl5/vendor_perl/Test2/Util/Table/Cell.pm
/usr/share/perl5/vendor_perl/Test2/Util/Table/LineBreak.pm
/usr/share/perl5/vendor_perl/Test2/Util/Table.pm
/usr/share/perl5/vendor_perl/Test2/Util/Term.pm
/usr/share/perl5/vendor_perl/Test2/Util/Times.pm
/usr/share/perl5/vendor_perl/Test2/V0.pm
/usr/share/perl5/vendor_perl/Test2/Workflow/BlockBase.pm
/usr/share/perl5/vendor_perl/Test2/Workflow/Build.pm
/usr/share/perl5/vendor_perl/Test2/Workflow/Runner.pm
/usr/share/perl5/vendor_perl/Test2/Workflow/Task/Action.pm
/usr/share/perl5/vendor_perl/Test2/Workflow/Task/Group.pm
/usr/share/perl5/vendor_perl/Test2/Workflow/Task.pm
/usr/share/perl5/vendor_perl/Test2/Workflow.pm

%changelog

