# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-TimeDate
Version: 2.300
Release: 1
Summary: unknown
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: perl_5
Vendor: Graham Barr <gbarr@pobox.com>
URL: http://example.com/no-uri-given
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Epoch: 10
Provides: perl(Date::Format) = 2.240
Provides: perl(Date::Format::Generic)
Provides: perl(Date::Language) = 1.100
Provides: perl(Date::Language::Afar) = 0.990
Provides: perl(Date::Language::Amharic) = 1.000
Provides: perl(Date::Language::Austrian) = 1.010
Provides: perl(Date::Language::Brazilian) = 1.010
Provides: perl(Date::Language::Bulgarian) = 1.010
Provides: perl(Date::Language::Chinese) = 1.000
Provides: perl(Date::Language::Chinese_GB) = 1.010
Provides: perl(Date::Language::Czech) = 1.010
Provides: perl(Date::Language::Danish) = 1.010
Provides: perl(Date::Language::Dutch) = 1.020
Provides: perl(Date::Language::English) = 1.010
Provides: perl(Date::Language::Finnish) = 1.010
Provides: perl(Date::Language::French) = 1.040
Provides: perl(Date::Language::Gedeo) = 0.990
Provides: perl(Date::Language::German) = 1.020
Provides: perl(Date::Language::Greek) = 1.000
Provides: perl(Date::Language::Hungarian) = 1.010
Provides: perl(Date::Language::Icelandic) = 1.010
Provides: perl(Date::Language::Italian) = 1.010
Provides: perl(Date::Language::Norwegian) = 1.010
Provides: perl(Date::Language::Oromo) = 0.990
Provides: perl(Date::Language::Romanian) = 1.010
Provides: perl(Date::Language::Russian) = 1.010
Provides: perl(Date::Language::Russian_cp1251) = 1.010
Provides: perl(Date::Language::Russian_koi8r) = 1.010
Provides: perl(Date::Language::Sidama) = 0.990
Provides: perl(Date::Language::Somali) = 0.990
Provides: perl(Date::Language::Spanish) = 1.000
Provides: perl(Date::Language::Swedish) = 1.010
Provides: perl(Date::Language::Tigrinya) = 1.000
Provides: perl(Date::Language::TigrinyaEritrean) = 1.000
Provides: perl(Date::Language::TigrinyaEthiopian) = 1.000
Provides: perl(Date::Language::Turkish) = 1.000
Provides: perl(Date::Parse) = 2.300
Provides: perl(Time::Zone) = 2.240
%description
unknown

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/share/man/man3/Date::Format.3pm
/usr/share/man/man3/Date::Language.3pm
/usr/share/man/man3/Date::Language::Bulgarian.3pm
/usr/share/man/man3/Date::Language::Hungarian.3pm
/usr/share/man/man3/Date::Parse.3pm
/usr/share/man/man3/Time::Zone.3pm
/usr/share/perl5/vendor_perl/Date/Format.pm
/usr/share/perl5/vendor_perl/Date/Language/Afar.pm
/usr/share/perl5/vendor_perl/Date/Language/Amharic.pm
/usr/share/perl5/vendor_perl/Date/Language/Austrian.pm
/usr/share/perl5/vendor_perl/Date/Language/Brazilian.pm
/usr/share/perl5/vendor_perl/Date/Language/Bulgarian.pm
/usr/share/perl5/vendor_perl/Date/Language/Chinese.pm
/usr/share/perl5/vendor_perl/Date/Language/Chinese_GB.pm
/usr/share/perl5/vendor_perl/Date/Language/Czech.pm
/usr/share/perl5/vendor_perl/Date/Language/Danish.pm
/usr/share/perl5/vendor_perl/Date/Language/Dutch.pm
/usr/share/perl5/vendor_perl/Date/Language/English.pm
/usr/share/perl5/vendor_perl/Date/Language/Finnish.pm
/usr/share/perl5/vendor_perl/Date/Language/French.pm
/usr/share/perl5/vendor_perl/Date/Language/Gedeo.pm
/usr/share/perl5/vendor_perl/Date/Language/German.pm
/usr/share/perl5/vendor_perl/Date/Language/Greek.pm
/usr/share/perl5/vendor_perl/Date/Language/Hungarian.pm
/usr/share/perl5/vendor_perl/Date/Language/Icelandic.pm
/usr/share/perl5/vendor_perl/Date/Language/Italian.pm
/usr/share/perl5/vendor_perl/Date/Language/Norwegian.pm
/usr/share/perl5/vendor_perl/Date/Language/Oromo.pm
/usr/share/perl5/vendor_perl/Date/Language/Romanian.pm
/usr/share/perl5/vendor_perl/Date/Language/Russian.pm
/usr/share/perl5/vendor_perl/Date/Language/Russian_cp1251.pm
/usr/share/perl5/vendor_perl/Date/Language/Russian_koi8r.pm
/usr/share/perl5/vendor_perl/Date/Language/Sidama.pm
/usr/share/perl5/vendor_perl/Date/Language/Somali.pm
/usr/share/perl5/vendor_perl/Date/Language/Spanish.pm
/usr/share/perl5/vendor_perl/Date/Language/Swedish.pm
/usr/share/perl5/vendor_perl/Date/Language/Tigrinya.pm
/usr/share/perl5/vendor_perl/Date/Language/TigrinyaEritrean.pm
/usr/share/perl5/vendor_perl/Date/Language/TigrinyaEthiopian.pm
/usr/share/perl5/vendor_perl/Date/Language/Turkish.pm
/usr/share/perl5/vendor_perl/Date/Language.pm
/usr/share/perl5/vendor_perl/Date/Parse.pm
/usr/share/perl5/vendor_perl/Time/Zone.pm

%changelog

