# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-Type-Tiny
Version: 1.004.002
Release: 1
Summary: tiny, yet Moo(se)-compatible type constraint
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: perl_5
Vendor: Toby Inkster (TOBYINK) <tobyink@cpan.org>
URL: https://metacpan.org/release/Type-Tiny
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(Exporter::Tiny) >= 0.026
Requires: perl >= 5.6.1
Epoch: 10
Provides: perl(Devel::TypeTiny::Perl56Compat) = 1.004.002
Provides: perl(Devel::TypeTiny::Perl58Compat) = 1.004.002
Provides: perl(Error::TypeTiny) = 1.004.002
Provides: perl(Error::TypeTiny::Assertion) = 1.004.002
Provides: perl(Error::TypeTiny::Compilation) = 1.004.002
Provides: perl(Error::TypeTiny::WrongNumberOfParameters) = 1.004.002
Provides: perl(Eval::TypeTiny) = 1.004.002
Provides: perl(Reply::Plugin::TypeTiny) = 1.004.002
Provides: perl(Test::TypeTiny) = 1.004.002
Provides: perl(Type::Coercion) = 1.004.002
Provides: perl(Type::Coercion::FromMoose) = 1.004.002
Provides: perl(Type::Coercion::Union) = 1.004.002
Provides: perl(Type::Library) = 1.004.002
Provides: perl(Type::Params) = 1.004.002
Provides: perl(Type::Parser) = 1.004.002
Provides: perl(Type::Registry) = 1.004.002
Provides: perl(Type::Tiny) = 1.004.002
Provides: perl(Type::Tiny::Class) = 1.004.002
Provides: perl(Type::Tiny::Duck) = 1.004.002
Provides: perl(Type::Tiny::Enum) = 1.004.002
Provides: perl(Type::Tiny::Intersection) = 1.004.002
Provides: perl(Type::Tiny::Role) = 1.004.002
Provides: perl(Type::Tiny::Union) = 1.004.002
Provides: perl(Type::Utils) = 1.004.002
Provides: perl(Types::Common::Numeric) = 1.004.002
Provides: perl(Types::Common::String) = 1.004.002
Provides: perl(Types::Standard) = 1.004.002
Provides: perl(Types::Standard::ArrayRef) = 1.004.002
Provides: perl(Types::Standard::CycleTuple) = 1.004.002
Provides: perl(Types::Standard::Dict) = 1.004.002
Provides: perl(Types::Standard::HashRef) = 1.004.002
Provides: perl(Types::Standard::Map) = 1.004.002
Provides: perl(Types::Standard::ScalarRef) = 1.004.002
Provides: perl(Types::Standard::StrMatch) = 1.004.002
Provides: perl(Types::Standard::Tied) = 1.004.002
Provides: perl(Types::Standard::Tuple) = 1.004.002
Provides: perl(Types::TypeTiny) = 1.004.002
%description
tiny, yet Moo(se)-compatible type constraint

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/share/man/man3/Devel::TypeTiny::Perl56Compat.3pm
/usr/share/man/man3/Devel::TypeTiny::Perl58Compat.3pm
/usr/share/man/man3/Error::TypeTiny.3pm
/usr/share/man/man3/Error::TypeTiny::Assertion.3pm
/usr/share/man/man3/Error::TypeTiny::Compilation.3pm
/usr/share/man/man3/Error::TypeTiny::WrongNumberOfParameters.3pm
/usr/share/man/man3/Eval::TypeTiny.3pm
/usr/share/man/man3/Reply::Plugin::TypeTiny.3pm
/usr/share/man/man3/Test::TypeTiny.3pm
/usr/share/man/man3/Type::CONTRIBUTING.3pm
/usr/share/man/man3/Type::Coercion.3pm
/usr/share/man/man3/Type::Coercion::FromMoose.3pm
/usr/share/man/man3/Type::Coercion::Union.3pm
/usr/share/man/man3/Type::Library.3pm
/usr/share/man/man3/Type::Params.3pm
/usr/share/man/man3/Type::Parser.3pm
/usr/share/man/man3/Type::Registry.3pm
/usr/share/man/man3/Type::Tiny.3pm
/usr/share/man/man3/Type::Tiny::Class.3pm
/usr/share/man/man3/Type::Tiny::Duck.3pm
/usr/share/man/man3/Type::Tiny::Enum.3pm
/usr/share/man/man3/Type::Tiny::Intersection.3pm
/usr/share/man/man3/Type::Tiny::Manual.3pm
/usr/share/man/man3/Type::Tiny::Manual::Coercions.3pm
/usr/share/man/man3/Type::Tiny::Manual::Libraries.3pm
/usr/share/man/man3/Type::Tiny::Manual::Optimization.3pm
/usr/share/man/man3/Type::Tiny::Manual::Params.3pm
/usr/share/man/man3/Type::Tiny::Manual::Policies.3pm
/usr/share/man/man3/Type::Tiny::Manual::UsingWithMoo.3pm
/usr/share/man/man3/Type::Tiny::Manual::UsingWithMoose.3pm
/usr/share/man/man3/Type::Tiny::Manual::UsingWithMouse.3pm
/usr/share/man/man3/Type::Tiny::Manual::UsingWithOther.3pm
/usr/share/man/man3/Type::Tiny::Role.3pm
/usr/share/man/man3/Type::Tiny::Union.3pm
/usr/share/man/man3/Type::Tiny::_HalfOp.3pm
/usr/share/man/man3/Type::Utils.3pm
/usr/share/man/man3/Types::Common::Numeric.3pm
/usr/share/man/man3/Types::Common::String.3pm
/usr/share/man/man3/Types::Standard.3pm
/usr/share/man/man3/Types::Standard::ArrayRef.3pm
/usr/share/man/man3/Types::Standard::CycleTuple.3pm
/usr/share/man/man3/Types::Standard::Dict.3pm
/usr/share/man/man3/Types::Standard::HashRef.3pm
/usr/share/man/man3/Types::Standard::Map.3pm
/usr/share/man/man3/Types::Standard::ScalarRef.3pm
/usr/share/man/man3/Types::Standard::StrMatch.3pm
/usr/share/man/man3/Types::Standard::Tied.3pm
/usr/share/man/man3/Types::Standard::Tuple.3pm
/usr/share/man/man3/Types::TypeTiny.3pm
/usr/share/perl5/vendor_perl/Devel/TypeTiny/Perl56Compat.pm
/usr/share/perl5/vendor_perl/Devel/TypeTiny/Perl58Compat.pm
/usr/share/perl5/vendor_perl/Error/TypeTiny/Assertion.pm
/usr/share/perl5/vendor_perl/Error/TypeTiny/Compilation.pm
/usr/share/perl5/vendor_perl/Error/TypeTiny/WrongNumberOfParameters.pm
/usr/share/perl5/vendor_perl/Error/TypeTiny.pm
/usr/share/perl5/vendor_perl/Eval/TypeTiny.pm
/usr/share/perl5/vendor_perl/Reply/Plugin/TypeTiny.pm
/usr/share/perl5/vendor_perl/Test/TypeTiny.pm
/usr/share/perl5/vendor_perl/Type/CONTRIBUTING.pod
/usr/share/perl5/vendor_perl/Type/Coercion/FromMoose.pm
/usr/share/perl5/vendor_perl/Type/Coercion/Union.pm
/usr/share/perl5/vendor_perl/Type/Coercion.pm
/usr/share/perl5/vendor_perl/Type/Library.pm
/usr/share/perl5/vendor_perl/Type/Params.pm
/usr/share/perl5/vendor_perl/Type/Parser.pm
/usr/share/perl5/vendor_perl/Type/Registry.pm
/usr/share/perl5/vendor_perl/Type/Tiny/Class.pm
/usr/share/perl5/vendor_perl/Type/Tiny/Duck.pm
/usr/share/perl5/vendor_perl/Type/Tiny/Enum.pm
/usr/share/perl5/vendor_perl/Type/Tiny/Intersection.pm
/usr/share/perl5/vendor_perl/Type/Tiny/Manual/Coercions.pod
/usr/share/perl5/vendor_perl/Type/Tiny/Manual/Libraries.pod
/usr/share/perl5/vendor_perl/Type/Tiny/Manual/Optimization.pod
/usr/share/perl5/vendor_perl/Type/Tiny/Manual/Params.pod
/usr/share/perl5/vendor_perl/Type/Tiny/Manual/Policies.pod
/usr/share/perl5/vendor_perl/Type/Tiny/Manual/UsingWithMoo.pod
/usr/share/perl5/vendor_perl/Type/Tiny/Manual/UsingWithMoose.pod
/usr/share/perl5/vendor_perl/Type/Tiny/Manual/UsingWithMouse.pod
/usr/share/perl5/vendor_perl/Type/Tiny/Manual/UsingWithOther.pod
/usr/share/perl5/vendor_perl/Type/Tiny/Manual.pod
/usr/share/perl5/vendor_perl/Type/Tiny/Role.pm
/usr/share/perl5/vendor_perl/Type/Tiny/Union.pm
/usr/share/perl5/vendor_perl/Type/Tiny/_HalfOp.pm
/usr/share/perl5/vendor_perl/Type/Tiny.pm
/usr/share/perl5/vendor_perl/Type/Utils.pm
/usr/share/perl5/vendor_perl/Types/Common/Numeric.pm
/usr/share/perl5/vendor_perl/Types/Common/String.pm
/usr/share/perl5/vendor_perl/Types/Standard/ArrayRef.pm
/usr/share/perl5/vendor_perl/Types/Standard/CycleTuple.pm
/usr/share/perl5/vendor_perl/Types/Standard/Dict.pm
/usr/share/perl5/vendor_perl/Types/Standard/HashRef.pm
/usr/share/perl5/vendor_perl/Types/Standard/Map.pm
/usr/share/perl5/vendor_perl/Types/Standard/ScalarRef.pm
/usr/share/perl5/vendor_perl/Types/Standard/StrMatch.pm
/usr/share/perl5/vendor_perl/Types/Standard/Tied.pm
/usr/share/perl5/vendor_perl/Types/Standard/Tuple.pm
/usr/share/perl5/vendor_perl/Types/Standard.pm
/usr/share/perl5/vendor_perl/Types/TypeTiny.pm

%changelog

