# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-Unicode-Stringprep
Version: 1.105
Release: 1
Summary: Preparation of Internationalized Strings (RFC 3454)
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: perl_5
Vendor: Claus FÃ¤rber <CFAERBER@cpan.org>
URL: http://example.com/no-uri-given
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(Unicode::Normalize) >= 1
Requires: perl >= 5.8.3
Epoch: 10
Provides: perl(Unicode::Stringprep) = 1.105
Provides: perl(Unicode::Stringprep::BiDi) = 1.100
Provides: perl(Unicode::Stringprep::Mapping) = 1.100
Provides: perl(Unicode::Stringprep::Prohibited) = 1.100
Provides: perl(Unicode::Stringprep::Unassigned) = 1.100
Provides: perl(Unicode::Stringprep::_Common) = 1.100
%description
Preparation of Internationalized Strings (RFC 3454)

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/local/share/man/man3/Unicode::Stringprep.3pm
/usr/local/share/man/man3/Unicode::Stringprep::BiDi.3pm
/usr/local/share/man/man3/Unicode::Stringprep::Mapping.3pm
/usr/local/share/man/man3/Unicode::Stringprep::Prohibited.3pm
/usr/local/share/man/man3/Unicode::Stringprep::Unassigned.3pm
/usr/local/share/man/man3/Unicode::Stringprep::_Common.3pm
/usr/local/share/perl5/Unicode/Stringprep/BiDi.pm
/usr/local/share/perl5/Unicode/Stringprep/Mapping.pm
/usr/local/share/perl5/Unicode/Stringprep/Prohibited.pm
/usr/local/share/perl5/Unicode/Stringprep/Unassigned.pm
/usr/local/share/perl5/Unicode/Stringprep/_Common.pm
/usr/local/share/perl5/Unicode/Stringprep.pm

%changelog

