# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-autodie
Version: 2.290
Release: 1
Summary: Replace functions with ones that succeed or die with lexical scope
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: perl_5
Vendor: Paul Fenwick <pjf@cpan.org>
URL: http://example.com/no-uri-given
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(B)
Requires: perl(Carp)
Requires: perl(Exporter) >= 5.570
Requires: perl(Fcntl)
Requires: perl(POSIX)
Requires: perl(Scalar::Util)
Requires: perl(Tie::RefHash)
Requires: perl(constant)
Requires: perl(overload)
Requires: perl(parent)
Requires: perl >= 5.8.4
Requires: perl(strict)
Requires: perl(warnings)
Epoch: 10
Provides: perl(Fatal) = 2.290
Provides: perl(autodie) = 2.290
Provides: perl(autodie::Scope::Guard) = 2.290
Provides: perl(autodie::Scope::GuardStack) = 2.290
Provides: perl(autodie::Util) = 2.290
Provides: perl(autodie::exception) = 2.290
Provides: perl(autodie::exception::system) = 2.290
Provides: perl(autodie::hints) = 2.290
Provides: perl(autodie::skip) = 2.290
%description
Replace functions with ones that succeed or die with lexical scope

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/share/man/man3/Fatal.3pm
/usr/share/man/man3/autodie.3pm
/usr/share/man/man3/autodie::Scope::Guard.3pm
/usr/share/man/man3/autodie::Scope::GuardStack.3pm
/usr/share/man/man3/autodie::Util.3pm
/usr/share/man/man3/autodie::exception.3pm
/usr/share/man/man3/autodie::exception::system.3pm
/usr/share/man/man3/autodie::hints.3pm
/usr/share/man/man3/autodie::skip.3pm
/usr/share/perl5/vendor_perl/Fatal.pm
/usr/share/perl5/vendor_perl/autodie/Scope/Guard.pm
/usr/share/perl5/vendor_perl/autodie/Scope/GuardStack.pm
/usr/share/perl5/vendor_perl/autodie/Util.pm
/usr/share/perl5/vendor_perl/autodie/exception/system.pm
/usr/share/perl5/vendor_perl/autodie/exception.pm
/usr/share/perl5/vendor_perl/autodie/hints.pm
/usr/share/perl5/vendor_perl/autodie/skip.pm
/usr/share/perl5/vendor_perl/autodie.pm

%changelog

