# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-podlators
Version: 4.110
Release: 1
Summary: Convert POD data to various other formats
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: perl_5
Vendor: Russ Allbery <rra@cpan.org>
URL: https://www.eyrie.org/~eagle/software/podlators/
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(Encode)
Requires: perl(Pod::Simple) >= 3.060
Requires: perl >= 5.006
Epoch: 10
Provides: perl(Pod::Man) = 4.110
Provides: perl(Pod::ParseLink) = 4.110
Provides: perl(Pod::Text) = 4.110
Provides: perl(Pod::Text::Color) = 4.110
Provides: perl(Pod::Text::Overstrike) = 4.110
Provides: perl(Pod::Text::Termcap) = 4.110
%description
Convert POD data to various other formats

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/bin/pod2man
/usr/bin/pod2text
/usr/share/man/man1/perlpodstyle.1
/usr/share/man/man1/pod2man.1
/usr/share/man/man1/pod2text.1
/usr/share/man/man3/Pod::Man.3pm
/usr/share/man/man3/Pod::ParseLink.3pm
/usr/share/man/man3/Pod::Text.3pm
/usr/share/man/man3/Pod::Text::Color.3pm
/usr/share/man/man3/Pod::Text::Overstrike.3pm
/usr/share/man/man3/Pod::Text::Termcap.3pm
/usr/share/perl5/vendor_perl/Pod/Man.pm
/usr/share/perl5/vendor_perl/Pod/ParseLink.pm
/usr/share/perl5/vendor_perl/Pod/Text/Color.pm
/usr/share/perl5/vendor_perl/Pod/Text/Overstrike.pm
/usr/share/perl5/vendor_perl/Pod/Text/Termcap.pm
/usr/share/perl5/vendor_perl/Pod/Text.pm

%changelog

