# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-RPerl
Version: 4.001.000
Release: 1
Summary: Restricted Perl, The Optimizing Perl 5 Compiler
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: perl_5
Vendor: Will Braswell <wbraswell@cpan.org>
URL: http://www.rperl.org
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(Alien::Base::ModuleBuild) >= 1.020
Requires: perl(Alien::GMP) >= 1.080
Requires: perl(Alien::GSL) >= 1.010
Requires: perl(Alien::JPCRE2) >= 0.012
Requires: perl(Alien::PCRE2) >= 0.015
Requires: perl(Alien::astyle) >= 0.009
Requires: perl(App::Pod2CpanHtml) >= 0.040
Requires: perl(CPAN::Meta) >= 2.150.005
Requires: perl(Date::Format) >= 2.240
Requires: perl(ExtUtils::MakeMaker) >= 7.040
Requires: perl(File::Which) >= 1.210
Requires: perl(Filter::Simple) >= 0.910
Requires: perl(IO::Socket::SSL) >= 2.043
Requires: perl(IPC::Run3) >= 0.048
Requires: perl(Inline) >= 0.800
Requires: perl(Inline::C) >= 0.760
Requires: perl(Inline::CPP) >= 0.740
Requires: perl(Inline::Filters) >= 0.190
Requires: perl(List::MoreUtils) >= 0.330
Requires: perl(Math::BigInt::GMP) >= 1.460
Requires: perl(Math::GSL) >= 0.390
Requires: perl(Module::Refresh) >= 0.170
Requires: perl(Module::ScanDeps) >= 1.190
Requires: perl(MongoDB) >= 1.8.0
Requires: perl(PadWalker) >= 2.100
Requires: perl(Parse::Eyapp) >= 1.210
Requires: perl(Perl::Critic) >= 1.121
Requires: perl(Perl::Tidy) >= 20140711
Requires: perl(Pod::PseudoPod) >= 0.180
Requires: perl(Test2::Suite) >= 0.000.069
Requires: perl(Test::CPAN::Changes) >= 0.400.002
Requires: perl(Test::Exception) >= 0.430
Requires: perl(Test::Number::Delta) >= 1.060
Requires: perl(Text::ASCIITable) >= 0.200
Requires: perl(Time::HiRes) >= 1.972.600
Requires: perl >= 5.10.
Epoch: 10
Requires: perl-core
Requires: perl-libs
Requires: perl-devel
Provides: perl(Class_01_Bad_00) = 0.001
Provides: perl(Class_01_Bad_01) = 0.001
Provides: perl(Class_01_Good) = 0.001
Provides: perl(Foo::Tester::RPerl) = 0.001
Provides: perl(Inline::RPerl) = 0.003
Provides: perl(MyClass01LowRPerl) = 0.001
Provides: perl(MyClass01LowRPerlOld) = 0.001
Provides: perl(MyClass03MediumRPerl) = 0.001
Provides: perl(MyClass04MediumRMoo) = 0.001
Provides: perl(MyClass05MediumMoo) = 0.001
Provides: perl(MySubclass01LowRPerlOld) = 0.001
Provides: perl(MySubclass02LowRPerlNew) = 0.001
Provides: perl(MySubclass03MediumRPerl) = 0.001
Provides: perl(MySubclass04MediumRMoo) = 0.001
Provides: perl(MySubclass05MediumMoo) = 0.001
Provides: perl(RPerl) = 4.001.000
Provides: perl(RPerl) = 4.001.000
Provides: perl(RPerl) = 4.001.000
Provides: perl(RPerl) = 4.001.000
Provides: perl(RPerl::AfterSubclass)
Provides: perl(RPerl::AfterSubclass)
Provides: perl(RPerl::Algorithm) = 0.011
Provides: perl(RPerl::Algorithm::Inefficient) = 0.012
Provides: perl(RPerl::Algorithm::Sort) = 0.011
Provides: perl(RPerl::Algorithm::Sort::Bubble) = 0.010
Provides: perl(RPerl::Algorithm::Sort::Merge) = 0.001
Provides: perl(RPerl::Algorithm::Sort::Quick) = 0.001
Provides: perl(RPerl::Class) = 0.001
Provides: perl(RPerl::CodeBlock) = 0.005
Provides: perl(RPerl::CodeBlock::Subroutine) = 0.025
Provides: perl(RPerl::CodeBlock::Subroutine::Arguments) = 0.007
Provides: perl(RPerl::CodeBlock::Subroutine::Method) = 0.009
Provides: perl(RPerl::CodeBlock::Subroutine::Method::Arguments) = 0.006
Provides: perl(RPerl::CodeReference)
Provides: perl(RPerl::CompileUnit) = 0.000.012
Provides: perl(RPerl::CompileUnit::Constant) = 0.005
Provides: perl(RPerl::CompileUnit::Critic) = 0.001
Provides: perl(RPerl::CompileUnit::Include) = 0.007
Provides: perl(RPerl::CompileUnit::Module) = 0.004
Provides: perl(RPerl::CompileUnit::Module::Class) = 0.054
Provides: perl(RPerl::CompileUnit::Module::Class::Generator) = 0.018
Provides: perl(RPerl::CompileUnit::Module::Class::Template) = 0.001
Provides: perl(RPerl::CompileUnit::Module::Class::TemplateAdditional) = 0.001
Provides: perl(RPerl::CompileUnit::Module::Class::TemplateAdditional) = 0.001
Provides: perl(RPerl::CompileUnit::Module::Header) = 0.006
Provides: perl(RPerl::CompileUnit::Module::Package) = 0.002
Provides: perl(RPerl::CompileUnit::Module::Package::Template) = 0.001
Provides: perl(RPerl::CompileUnit::Program) = 0.007
Provides: perl(RPerl::Compiler) = 0.038
Provides: perl(RPerl::Config) = 0.011
Provides: perl(RPerl::DataStructure) = 0.002
Provides: perl(RPerl::DataStructure::Array) = 0.009
Provides: perl(RPerl::DataStructure::Array::ListElement) = 0.002.001
Provides: perl(RPerl::DataStructure::Array::ListElements) = 0.004
Provides: perl(RPerl::DataStructure::Array::Reference) = 0.005
Provides: perl(RPerl::DataStructure::Array::SubTypes) = 0.017
Provides: perl(RPerl::DataStructure::Array::SubTypes1D) = 0.021
Provides: perl(RPerl::DataStructure::Array::SubTypes2D) = 0.017
Provides: perl(RPerl::DataStructure::Array::SubTypes3D) = 0.017
Provides: perl(RPerl::DataStructure::Array_cpp) = 0.005
Provides: perl(RPerl::DataStructure::CodeReference) = 0.001
Provides: perl(RPerl::DataStructure::GSLMatrix) = 0.001
Provides: perl(RPerl::DataStructure::GSLMatrix_cpp) = 0.002
Provides: perl(RPerl::DataStructure::Graph) = 0.001
Provides: perl(RPerl::DataStructure::Graph::Tree) = 0.001
Provides: perl(RPerl::DataStructure::Graph::Tree::Binary) = 0.001
Provides: perl(RPerl::DataStructure::Graph::Tree::Binary::Node) = 0.001
Provides: perl(RPerl::DataStructure::Graph::Tree::Binary::NodeReference)
Provides: perl(RPerl::DataStructure::Graph::Tree::BinaryReference)
Provides: perl(RPerl::DataStructure::Graph::TreeReference)
Provides: perl(RPerl::DataStructure::Hash) = 0.009
Provides: perl(RPerl::DataStructure::Hash::Entry) = 0.003.600
Provides: perl(RPerl::DataStructure::Hash::Properties) = 0.001.100
Provides: perl(RPerl::DataStructure::Hash::Reference) = 0.004
Provides: perl(RPerl::DataStructure::Hash::SubTypes) = 0.016
Provides: perl(RPerl::DataStructure::Hash::SubTypes1D) = 0.017
Provides: perl(RPerl::DataStructure::Hash::SubTypes2D) = 0.022
Provides: perl(RPerl::DataStructure::Hash::SubTypes3D) = 0.002
Provides: perl(RPerl::DataStructure::Hash_cpp) = 0.005
Provides: perl(RPerl::DataStructure::LinkedList) = 0.001
Provides: perl(RPerl::DataStructure::LinkedList::Node) = 0.001.100
Provides: perl(RPerl::DataStructure::LinkedList::NodeReference)
Provides: perl(RPerl::DataStructure::LinkedListReference)
Provides: perl(RPerl::DataStructure::MongoDBBSON) = 0.001
Provides: perl(RPerl::DataStructure::SSENumberPair) = 0.002
Provides: perl(RPerl::DataType) = 0.002
Provides: perl(RPerl::DataType::Boolean) = 0.009
Provides: perl(RPerl::DataType::Boolean_cpp) = 0.001
Provides: perl(RPerl::DataType::Character) = 0.010
Provides: perl(RPerl::DataType::Character_cpp) = 0.002
Provides: perl(RPerl::DataType::FileHandle) = 0.004
Provides: perl(RPerl::DataType::GMPInteger) = 0.004
Provides: perl(RPerl::DataType::GMPInteger_cpp) = 0.002
Provides: perl(RPerl::DataType::Integer) = 0.012
Provides: perl(RPerl::DataType::Integer_cpp) = 0.002
Provides: perl(RPerl::DataType::Modifier) = 0.001.010
Provides: perl(RPerl::DataType::Modifier::Reference) = 0.002
Provides: perl(RPerl::DataType::Number) = 0.013
Provides: perl(RPerl::DataType::Number_cpp) = 0.002
Provides: perl(RPerl::DataType::Scalar) = 0.003
Provides: perl(RPerl::DataType::String) = 0.014
Provides: perl(RPerl::DataType::String_cpp) = 0.002
Provides: perl(RPerl::DataType::TypeInner) = 0.003
Provides: perl(RPerl::DataType::Unknown) = 0.002
Provides: perl(RPerl::DataType::UnsignedInteger) = 0.007
Provides: perl(RPerl::DataType::UnsignedInteger_cpp) = 0.002
Provides: perl(RPerl::DataType::UnsignedInteger_cpp) = 0.002
Provides: perl(RPerl::DataType::Void) = 0.002
Provides: perl(RPerl::Exporter) = 0.009
Provides: perl(RPerl::Generator) = 0.007
Provides: perl(RPerl::Grammar) = 0.019
Provides: perl(RPerl::GrammarRule) = 0.000.002
Provides: perl(RPerl::HelperFunctions_cpp) = 0.007
Provides: perl(RPerl::Inline) = 0.017
Provides: perl(RPerl::InputOutput::FilehandleIn) = 0.001
Provides: perl(RPerl::InputOutput::Stdin) = 0.001
Provides: perl(RPerl::InputOutput::Stdin) = 0.001
Provides: perl(RPerl::Learning) = 0.190
Provides: perl(RPerl::NonGenerator) = 0.001.100
Provides: perl(RPerl::Object) = 0.003
Provides: perl(RPerl::Operation) = 0.000.010
Provides: perl(RPerl::Operation::Expression) = 0.002.010
Provides: perl(RPerl::Operation::Expression::ConstantCall) = 0.003.100
Provides: perl(RPerl::Operation::Expression::Operator) = 0.002
Provides: perl(RPerl::Operation::Expression::Operator::Arithmetic) = 0.001
Provides: perl(RPerl::Operation::Expression::Operator::Arithmetic::AddSubtract) = 0.002.100
Provides: perl(RPerl::Operation::Expression::Operator::Arithmetic::MultiplyDivideModulo) = 0.002
Provides: perl(RPerl::Operation::Expression::Operator::Arithmetic::Negative) = 0.002
Provides: perl(RPerl::Operation::Expression::Operator::Arithmetic::Power) = 0.002
Provides: perl(RPerl::Operation::Expression::Operator::Bitwise) = 0.001
Provides: perl(RPerl::Operation::Expression::Operator::Bitwise::And) = 0.001
Provides: perl(RPerl::Operation::Expression::Operator::Bitwise::Negation) = 0.003
Provides: perl(RPerl::Operation::Expression::Operator::Bitwise::OrXor) = 0.001
Provides: perl(RPerl::Operation::Expression::Operator::Bitwise::Shift) = 0.001
Provides: perl(RPerl::Operation::Expression::Operator::Close) = 0.001
Provides: perl(RPerl::Operation::Expression::Operator::Compare) = 0.001
Provides: perl(RPerl::Operation::Expression::Operator::Compare::EqualNotEqual) = 0.003
Provides: perl(RPerl::Operation::Expression::Operator::Compare::LessThanGreaterThan) = 0.002
Provides: perl(RPerl::Operation::Expression::Operator::GMPFunctions) = 0.004
Provides: perl(RPerl::Operation::Expression::Operator::GSLFunctions) = 0.001
Provides: perl(RPerl::Operation::Expression::Operator::IncrementDecrement) = 0.002
Provides: perl(RPerl::Operation::Expression::Operator::List) = 0.001
Provides: perl(RPerl::Operation::Expression::Operator::List::Range) = 0.001
Provides: perl(RPerl::Operation::Expression::Operator::Logical) = 0.001
Provides: perl(RPerl::Operation::Expression::Operator::Logical::And) = 0.002
Provides: perl(RPerl::Operation::Expression::Operator::Logical::Negation) = 0.003
Provides: perl(RPerl::Operation::Expression::Operator::Logical::OrXor) = 0.002
Provides: perl(RPerl::Operation::Expression::Operator::MongoDBFunctions) = 0.002
Provides: perl(RPerl::Operation::Expression::Operator::Named) = 0.001.500
Provides: perl(RPerl::Operation::Expression::Operator::Named::AbsoluteValue) = 0.003.100
Provides: perl(RPerl::Operation::Expression::Operator::Named::Atan2) = 0.001
Provides: perl(RPerl::Operation::Expression::Operator::Named::Chomp) = 0.002
Provides: perl(RPerl::Operation::Expression::Operator::Named::Exp) = 0.001
Provides: perl(RPerl::Operation::Expression::Operator::Named::Join) = 0.003
Provides: perl(RPerl::Operation::Expression::Operator::Named::Keys) = 0.002
Provides: perl(RPerl::Operation::Expression::Operator::Named::Pop) = 0.002.100
Provides: perl(RPerl::Operation::Expression::Operator::Named::Push) = 0.002.100
Provides: perl(RPerl::Operation::Expression::Operator::Named::Reverse) = 0.002
Provides: perl(RPerl::Operation::Expression::Operator::Named::Shift) = 0.002
Provides: perl(RPerl::Operation::Expression::Operator::Named::Sort) = 0.001
Provides: perl(RPerl::Operation::Expression::Operator::Named::Split) = 0.002
Provides: perl(RPerl::Operation::Expression::Operator::Named::Unshift) = 0.002.100
Provides: perl(RPerl::Operation::Expression::Operator::Named::Values) = 0.002
Provides: perl(RPerl::Operation::Expression::Operator::Named::Wait) = 0.001
Provides: perl(RPerl::Operation::Expression::Operator::NamedUnary) = 0.002.500
Provides: perl(RPerl::Operation::Expression::Operator::NamedUnary::ChangeDirectory) = 0.002
Provides: perl(RPerl::Operation::Expression::Operator::NamedUnary::Cosine) = 0.003.500
Provides: perl(RPerl::Operation::Expression::Operator::NamedUnary::Defined) = 0.002
Provides: perl(RPerl::Operation::Expression::Operator::NamedUnary::Exists) = 0.002
Provides: perl(RPerl::Operation::Expression::Operator::NamedUnary::FileExists) = 0.002
Provides: perl(RPerl::Operation::Expression::Operator::NamedUnary::FileReadable) = 0.002
Provides: perl(RPerl::Operation::Expression::Operator::NamedUnary::FileRegular) = 0.002
Provides: perl(RPerl::Operation::Expression::Operator::NamedUnary::FileText) = 0.002
Provides: perl(RPerl::Operation::Expression::Operator::NamedUnary::Length) = 0.003
Provides: perl(RPerl::Operation::Expression::Operator::NamedUnary::Log) = 0.001
Provides: perl(RPerl::Operation::Expression::Operator::NamedUnary::Random) = 0.002
Provides: perl(RPerl::Operation::Expression::Operator::NamedUnary::Scalar) = 0.003.100
Provides: perl(RPerl::Operation::Expression::Operator::NamedUnary::Sine) = 0.003.500
Provides: perl(RPerl::Operation::Expression::Operator::NamedUnary::SquareRoot) = 0.001
Provides: perl(RPerl::Operation::Expression::Operator::Open) = 0.001
Provides: perl(RPerl::Operation::Expression::Operator::Print) = 0.001
Provides: perl(RPerl::Operation::Expression::Operator::RegularExpression) = 0.013
Provides: perl(RPerl::Operation::Expression::Operator::SSEIntrinsics) = 0.001
Provides: perl(RPerl::Operation::Expression::Operator::String) = 0.001
Provides: perl(RPerl::Operation::Expression::Operator::String::Concatenate) = 0.002.100
Provides: perl(RPerl::Operation::Expression::Operator::String::Repeat) = 0.001
Provides: perl(RPerl::Operation::Expression::Operator::Ternary) = 0.001
Provides: perl(RPerl::Operation::Expression::SubExpression) = 0.001.100
Provides: perl(RPerl::Operation::Expression::SubExpression::ArrayDereference) = 0.002.200
Provides: perl(RPerl::Operation::Expression::SubExpression::HashDereference) = 0.002
Provides: perl(RPerl::Operation::Expression::SubExpression::Literal) = 0.002.100
Provides: perl(RPerl::Operation::Expression::SubExpression::Literal::Number) = 0.002
Provides: perl(RPerl::Operation::Expression::SubExpression::Literal::String) = 0.006
Provides: perl(RPerl::Operation::Expression::SubExpression::Literal::Undefined) = 0.001
Provides: perl(RPerl::Operation::Expression::SubExpression::Parenthesis) = 0.002
Provides: perl(RPerl::Operation::Expression::SubExpression::Variable) = 0.011
Provides: perl(RPerl::Operation::Expression::SubExpression::Variable::Retrieval) = 0.005
Provides: perl(RPerl::Operation::Expression::SubroutineCall) = 0.004
Provides: perl(RPerl::Operation::Expression::SubroutineCall::MethodCall) = 0.003
Provides: perl(RPerl::Operation::Expression::SubroutineCall::MethodCall::ConstructorCall) = 0.005
Provides: perl(RPerl::Operation::Statement) = 0.004
Provides: perl(RPerl::Operation::Statement::Conditional) = 0.002.100
Provides: perl(RPerl::Operation::Statement::Loop) = 0.002.010
Provides: perl(RPerl::Operation::Statement::Loop::For) = 0.008
Provides: perl(RPerl::Operation::Statement::Loop::ForEach) = 0.003
Provides: perl(RPerl::Operation::Statement::Loop::While) = 0.003
Provides: perl(RPerl::Operation::Statement::OperatorVoid) = 0.002
Provides: perl(RPerl::Operation::Statement::OperatorVoid::LoopControl) = 0.002
Provides: perl(RPerl::Operation::Statement::OperatorVoid::Named) = 0.002
Provides: perl(RPerl::Operation::Statement::OperatorVoid::Named::Croak) = 0.002.010
Provides: perl(RPerl::Operation::Statement::OperatorVoid::Named::Die) = 0.003
Provides: perl(RPerl::Operation::Statement::OperatorVoid::Named::Exit) = 0.002.010
Provides: perl(RPerl::Operation::Statement::OperatorVoid::Named::Return) = 0.002.010
Provides: perl(RPerl::Operation::Statement::OperatorVoid::Print) = 0.004
Provides: perl(RPerl::Operation::Statement::VariableDeclaration) = 0.013
Provides: perl(RPerl::Operation::Statement::VariableModification) = 0.003
Provides: perl(RPerl::Parser) = 0.010
Provides: perl(RPerl::Support) = 0.001
Provides: perl(RPerl::Support::MongoDB) = 0.001
Provides: perl(RPerl::Test) = 0.004
Provides: perl(SOMETYPE)
%description
Restricted Perl, The Optimizing Perl 5 Compiler

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/bin/rperl
/usr/share/man/man1/rperl.1
/usr/share/man/man3/RPerl.3pm
/usr/share/man/man3/RPerl::Learning.3pm
/usr/share/man/man3/RPerl::Test::Pod::program_00_good.3pm
/usr/share/man/man3/RPerl::Test::Pod::program_10_good.3pm
/usr/share/perl5/vendor_perl/Inline/RPerl.pm
/usr/share/perl5/vendor_perl/MyClass_Good.cpp.CPPOPS_CPPTYPES
/usr/share/perl5/vendor_perl/MyClass_Good.h.CPPOPS_CPPTYPES
/usr/share/perl5/vendor_perl/MyClass_Good.pm
/usr/share/perl5/vendor_perl/MyClass_Good.pmc.CPPOPS_DUALTYPES
/usr/share/perl5/vendor_perl/RPerl/AfterSubclass.pm
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Combinatorics/BinPacking.pm
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Combinatorics/BinomialNChooseK.pm
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Combinatorics/Knapsack.pm
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Graph/MapColoring.pm
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Graph/Search/AStar.pm
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Graph/Search/Dijkstra.pm
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Graph/TravellingSalesman.pm
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Graph/Tree/Search/BreadthFirst.pm
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Graph/Tree/Search/DepthFirst.pm
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Graph/Tree/Search/NearestNeighbor.pm
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Graph/Tree/Search/Range.pm
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Inefficient.cpp.CPPOPS_CPPTYPES
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Inefficient.cpp.CPPOPS_DUALTYPES
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Inefficient.cpp.CPPOPS_DUALTYPES.comments.old
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Inefficient.cpp.CPPOPS_PERLTYPES
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Inefficient.h.CPPOPS_CPPTYPES
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Inefficient.h.CPPOPS_DUALTYPES
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Inefficient.h.CPPOPS_DUALTYPES.comments.old
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Inefficient.h.CPPOPS_PERLTYPES
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Inefficient.pm
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Inefficient.pmc.CPPOPS_DUALTYPES
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Sort/Binary.pm
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Sort/Bubble.cpp.CPPOPS_CPPTYPES
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Sort/Bubble.cpp.CPPOPS_DUALTYPES
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Sort/Bubble.cpp.CPPOPS_DUALTYPES.comments.old
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Sort/Bubble.cpp.CPPOPS_DUALTYPES.debug.old
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Sort/Bubble.cpp.CPPOPS_PERLTYPES
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Sort/Bubble.h.CPPOPS_CPPTYPES
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Sort/Bubble.h.CPPOPS_DUALTYPES
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Sort/Bubble.h.CPPOPS_DUALTYPES.comments.old
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Sort/Bubble.h.CPPOPS_PERLTYPES
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Sort/Bubble.pm
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Sort/Bubble.pm.comments
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Sort/Bubble.pmc.CPPOPS_DUALTYPES
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Sort/Bubble.pmc.CPPOPS_DUALTYPES.OLD
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Sort/Heap.pm
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Sort/Merge.pm
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Sort/Quick.pm
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Sort/Radix.pm
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Sort/Selection.pm
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Sort.cpp.CPPOPS_CPPTYPES
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Sort.cpp.CPPOPS_DUALTYPES
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Sort.cpp.CPPOPS_DUALTYPES.comments.old
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Sort.cpp.CPPOPS_PERLTYPES
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Sort.h.CPPOPS_CPPTYPES
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Sort.h.CPPOPS_DUALTYPES
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Sort.h.CPPOPS_DUALTYPES.comments.old
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Sort.h.CPPOPS_PERLTYPES
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Sort.pm
/usr/share/perl5/vendor_perl/RPerl/Algorithm/Sort.pmc.CPPOPS_DUALTYPES
/usr/share/perl5/vendor_perl/RPerl/Algorithm.cpp.CPPOPS_CPPTYPES
/usr/share/perl5/vendor_perl/RPerl/Algorithm.cpp.CPPOPS_DUALTYPES
/usr/share/perl5/vendor_perl/RPerl/Algorithm.cpp.CPPOPS_DUALTYPES.comments.old
/usr/share/perl5/vendor_perl/RPerl/Algorithm.cpp.CPPOPS_PERLTYPES
/usr/share/perl5/vendor_perl/RPerl/Algorithm.h.CPPOPS_CPPTYPES
/usr/share/perl5/vendor_perl/RPerl/Algorithm.h.CPPOPS_DUALTYPES
/usr/share/perl5/vendor_perl/RPerl/Algorithm.h.CPPOPS_DUALTYPES.comments.old
/usr/share/perl5/vendor_perl/RPerl/Algorithm.h.CPPOPS_PERLTYPES
/usr/share/perl5/vendor_perl/RPerl/Algorithm.pm
/usr/share/perl5/vendor_perl/RPerl/Algorithm.pmc.CPPOPS_DUALTYPES
/usr/share/perl5/vendor_perl/RPerl/Class.pm
/usr/share/perl5/vendor_perl/RPerl/CodeBlock/Subroutine/Arguments.pm
/usr/share/perl5/vendor_perl/RPerl/CodeBlock/Subroutine/Method/Arguments.pm
/usr/share/perl5/vendor_perl/RPerl/CodeBlock/Subroutine/Method.pm
/usr/share/perl5/vendor_perl/RPerl/CodeBlock/Subroutine.pm
/usr/share/perl5/vendor_perl/RPerl/CodeBlock.pm
/usr/share/perl5/vendor_perl/RPerl/CompileUnit/Constant.pm
/usr/share/perl5/vendor_perl/RPerl/CompileUnit/Critic.pm
/usr/share/perl5/vendor_perl/RPerl/CompileUnit/Include.pm
/usr/share/perl5/vendor_perl/RPerl/CompileUnit/Module/Class/Generator.pm
/usr/share/perl5/vendor_perl/RPerl/CompileUnit/Module/Class/Template.pm
/usr/share/perl5/vendor_perl/RPerl/CompileUnit/Module/Class.cpp
/usr/share/perl5/vendor_perl/RPerl/CompileUnit/Module/Class.h
/usr/share/perl5/vendor_perl/RPerl/CompileUnit/Module/Class.pm
/usr/share/perl5/vendor_perl/RPerl/CompileUnit/Module/Header.pm
/usr/share/perl5/vendor_perl/RPerl/CompileUnit/Module/Package/Template.pm
/usr/share/perl5/vendor_perl/RPerl/CompileUnit/Module/Package.pm
/usr/share/perl5/vendor_perl/RPerl/CompileUnit/Module.pm
/usr/share/perl5/vendor_perl/RPerl/CompileUnit/Module.pmc.CPPOPS_DUALTYPES_TEMPLATE
/usr/share/perl5/vendor_perl/RPerl/CompileUnit/Module.pmc.CPPOPS_DUALTYPES_TEMPLATE_MONOLITH
/usr/share/perl5/vendor_perl/RPerl/CompileUnit/Module.pmc.CPPOPS_DUALTYPES_TEMPLATE_MONOLITH_SECONDARY
/usr/share/perl5/vendor_perl/RPerl/CompileUnit/Program.pm
/usr/share/perl5/vendor_perl/RPerl/CompileUnit.pm
/usr/share/perl5/vendor_perl/RPerl/Compiler.pm
/usr/share/perl5/vendor_perl/RPerl/Config.pm
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Array/ListElement.pm
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Array/ListElements.pm
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Array/Reference.pm
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Array/SubTypes.cpp
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Array/SubTypes.h
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Array/SubTypes.pm
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Array/SubTypes1D.cpp
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Array/SubTypes1D.h
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Array/SubTypes1D.pm
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Array/SubTypes2D.cpp
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Array/SubTypes2D.h
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Array/SubTypes2D.pm
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Array/SubTypes3D.cpp
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Array/SubTypes3D.h
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Array/SubTypes3D.pm
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Array.cpp
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Array.h
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Array.pm
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Array_cpp.pm
/usr/share/perl5/vendor_perl/RPerl/DataStructure/CodeReference.pm
/usr/share/perl5/vendor_perl/RPerl/DataStructure/GSLMatrix.cpp
/usr/share/perl5/vendor_perl/RPerl/DataStructure/GSLMatrix.h
/usr/share/perl5/vendor_perl/RPerl/DataStructure/GSLMatrix.pm
/usr/share/perl5/vendor_perl/RPerl/DataStructure/GSLMatrix_cpp.pm
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Graph/AdjacencyList.pm
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Graph/Matrix.pm
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Graph/ObjectPointer.pm
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Graph/Tree/Binary/AVL.pm
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Graph/Tree/Binary/Node.pm
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Graph/Tree/Binary/RedBlack.pm
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Graph/Tree/Binary/Splay.pm
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Graph/Tree/Binary.pm
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Graph/Tree/KD.pm
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Graph/Tree/NAry.pm
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Graph/Tree/Suffix.pm
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Graph/Tree/Trie.pm
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Graph/Tree.pm
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Graph.pm
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Hash/Entry.pm
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Hash/Properties.pm
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Hash/Reference.pm
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Hash/SubTypes.cpp
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Hash/SubTypes.h
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Hash/SubTypes.pm
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Hash/SubTypes1D.cpp
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Hash/SubTypes1D.h
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Hash/SubTypes1D.pm
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Hash/SubTypes2D.cpp
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Hash/SubTypes2D.h
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Hash/SubTypes2D.pm
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Hash/SubTypes3D.cpp
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Hash/SubTypes3D.h
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Hash/SubTypes3D.pm
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Hash.cpp
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Hash.h
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Hash.pm
/usr/share/perl5/vendor_perl/RPerl/DataStructure/Hash_cpp.pm
/usr/share/perl5/vendor_perl/RPerl/DataStructure/LinkedList/Node.pm
/usr/share/perl5/vendor_perl/RPerl/DataStructure/LinkedList.pm
/usr/share/perl5/vendor_perl/RPerl/DataStructure/MongoDBBSON.h
/usr/share/perl5/vendor_perl/RPerl/DataStructure/MongoDBBSON.pm
/usr/share/perl5/vendor_perl/RPerl/DataStructure/MongoDBBSONStandAlone.h
/usr/share/perl5/vendor_perl/RPerl/DataStructure/SSENumberPair.pm
/usr/share/perl5/vendor_perl/RPerl/DataStructure.pm
/usr/share/perl5/vendor_perl/RPerl/DataType/Boolean.cpp
/usr/share/perl5/vendor_perl/RPerl/DataType/Boolean.h
/usr/share/perl5/vendor_perl/RPerl/DataType/Boolean.pm
/usr/share/perl5/vendor_perl/RPerl/DataType/Boolean_cpp.pm
/usr/share/perl5/vendor_perl/RPerl/DataType/Character.cpp
/usr/share/perl5/vendor_perl/RPerl/DataType/Character.h
/usr/share/perl5/vendor_perl/RPerl/DataType/Character.pm
/usr/share/perl5/vendor_perl/RPerl/DataType/Character_cpp.pm
/usr/share/perl5/vendor_perl/RPerl/DataType/DISABLED/UnsignedInteger.cpp
/usr/share/perl5/vendor_perl/RPerl/DataType/DISABLED/UnsignedInteger.h
/usr/share/perl5/vendor_perl/RPerl/DataType/DISABLED/UnsignedInteger_cpp.pm
/usr/share/perl5/vendor_perl/RPerl/DataType/FileHandle.pm
/usr/share/perl5/vendor_perl/RPerl/DataType/GMPInteger.cpp
/usr/share/perl5/vendor_perl/RPerl/DataType/GMPInteger.h
/usr/share/perl5/vendor_perl/RPerl/DataType/GMPInteger.pm
/usr/share/perl5/vendor_perl/RPerl/DataType/GMPInteger_cpp.pm
/usr/share/perl5/vendor_perl/RPerl/DataType/Integer.cpp
/usr/share/perl5/vendor_perl/RPerl/DataType/Integer.h
/usr/share/perl5/vendor_perl/RPerl/DataType/Integer.pm
/usr/share/perl5/vendor_perl/RPerl/DataType/Integer_cpp.pm
/usr/share/perl5/vendor_perl/RPerl/DataType/Modifier/Reference.pm
/usr/share/perl5/vendor_perl/RPerl/DataType/Modifier.pm
/usr/share/perl5/vendor_perl/RPerl/DataType/Number.cpp
/usr/share/perl5/vendor_perl/RPerl/DataType/Number.h
/usr/share/perl5/vendor_perl/RPerl/DataType/Number.pm
/usr/share/perl5/vendor_perl/RPerl/DataType/Number_cpp.pm
/usr/share/perl5/vendor_perl/RPerl/DataType/Scalar.pm
/usr/share/perl5/vendor_perl/RPerl/DataType/String.cpp
/usr/share/perl5/vendor_perl/RPerl/DataType/String.h
/usr/share/perl5/vendor_perl/RPerl/DataType/String.pm
/usr/share/perl5/vendor_perl/RPerl/DataType/String_cpp.pm
/usr/share/perl5/vendor_perl/RPerl/DataType/TypeInner.pm
/usr/share/perl5/vendor_perl/RPerl/DataType/Unknown.pm
/usr/share/perl5/vendor_perl/RPerl/DataType/UnsignedInteger.cpp
/usr/share/perl5/vendor_perl/RPerl/DataType/UnsignedInteger.h
/usr/share/perl5/vendor_perl/RPerl/DataType/UnsignedInteger.pm
/usr/share/perl5/vendor_perl/RPerl/DataType/UnsignedInteger_cpp.pm
/usr/share/perl5/vendor_perl/RPerl/DataType/Void.pm
/usr/share/perl5/vendor_perl/RPerl/DataType.pm
/usr/share/perl5/vendor_perl/RPerl/Exporter.pm
/usr/share/perl5/vendor_perl/RPerl/Generator.pm
/usr/share/perl5/vendor_perl/RPerl/Grammar.eyp
/usr/share/perl5/vendor_perl/RPerl/Grammar.output
/usr/share/perl5/vendor_perl/RPerl/Grammar.pm
/usr/share/perl5/vendor_perl/RPerl/GrammarMedium.eyp
/usr/share/perl5/vendor_perl/RPerl/GrammarRule.pm
/usr/share/perl5/vendor_perl/RPerl/HelperFunctions.cpp
/usr/share/perl5/vendor_perl/RPerl/HelperFunctions.h
/usr/share/perl5/vendor_perl/RPerl/HelperFunctions_cpp.pm
/usr/share/perl5/vendor_perl/RPerl/Inline.pm
/usr/share/perl5/vendor_perl/RPerl/InputOutput/FilehandleIn.pm
/usr/share/perl5/vendor_perl/RPerl/InputOutput/Stdin.pm
/usr/share/perl5/vendor_perl/RPerl/InputOutput.pm
/usr/share/perl5/vendor_perl/RPerl/Learning/Chapter1/exercise_1-hello_world.cpp.CPPOPS_CPPTYPES
/usr/share/perl5/vendor_perl/RPerl/Learning/Chapter1/exercise_1-hello_world.pl
/usr/share/perl5/vendor_perl/RPerl/Learning/Chapter1/exercise_3-foo_bar_arithmetic.cpp.CPPOPS_CPPTYPES
/usr/share/perl5/vendor_perl/RPerl/Learning/Chapter1/exercise_3-foo_bar_arithmetic.pl
/usr/share/perl5/vendor_perl/RPerl/Learning/Chapter2/exercise_1-circumference_of_specific_radius.pl
/usr/share/perl5/vendor_perl/RPerl/Learning/Chapter2/exercise_2-circumference_of_any_radius.pl
/usr/share/perl5/vendor_perl/RPerl/Learning/Chapter2/exercise_3-circumference_of_any_positive_radius.pl
/usr/share/perl5/vendor_perl/RPerl/Learning/Chapter2/exercise_4-product_of_any_two_numbers.pl
/usr/share/perl5/vendor_perl/RPerl/Learning/Chapter2/exercise_5-string_repeat.pl
/usr/share/perl5/vendor_perl/RPerl/Learning/Chapter2/exercise_6-sum_of_first_n_integers.pl
/usr/share/perl5/vendor_perl/RPerl/Learning/Chapter2/exercise_7-sum_of_first_n_integers_no_loop.pl
/usr/share/perl5/vendor_perl/RPerl/Learning/Chapter3/exercise_1-stdin_strings_reverse.pl
/usr/share/perl5/vendor_perl/RPerl/Learning/Chapter3/exercise_2-stdin_array_indices.pl
/usr/share/perl5/vendor_perl/RPerl/Learning/Chapter3/exercise_3-stdin_strings_sort.pl
/usr/share/perl5/vendor_perl/RPerl/Learning/Chapter4/exercise_1-subroutine_total.pl
/usr/share/perl5/vendor_perl/RPerl/Learning/Chapter4/exercise_2-subroutine_total_1000.pl
/usr/share/perl5/vendor_perl/RPerl/Learning/Chapter4/exercise_3-subroutine_above_average.pl
/usr/share/perl5/vendor_perl/RPerl/Learning/Chapter4/exercise_4-subroutine_greet.pl
/usr/share/perl5/vendor_perl/RPerl/Learning/Chapter4/exercise_5-subroutine_greet_multiple.pl
/usr/share/perl5/vendor_perl/RPerl/Learning/Chapter5/exercise_1-tac.pl
/usr/share/perl5/vendor_perl/RPerl/Learning/Chapter5/exercise_2-right_justify.pl
/usr/share/perl5/vendor_perl/RPerl/Learning/Chapter5/exercise_3-right_justify_variable.pl
/usr/share/perl5/vendor_perl/RPerl/Learning/Chapter6/exercise_1-hash_family_names.pl
/usr/share/perl5/vendor_perl/RPerl/Learning/Chapter6/exercise_2-hash_unique_word_count.pl
/usr/share/perl5/vendor_perl/RPerl/Learning/Chapter6/exercise_3-hash_sort_env_vars.pl
/usr/share/perl5/vendor_perl/RPerl/Learning.pm
/usr/share/perl5/vendor_perl/RPerl/NonGenerator.pm
/usr/share/perl5/vendor_perl/RPerl/Object.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/ConstantCall.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/Arithmetic/AddSubtract.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/Arithmetic/MultiplyDivideModulo.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/Arithmetic/Negative.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/Arithmetic/Power.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/Arithmetic.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/Bitwise/And.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/Bitwise/Negation.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/Bitwise/OrXor.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/Bitwise/Shift.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/Bitwise.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/Close.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/Compare/EqualNotEqual.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/Compare/LessThanGreaterThan.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/Compare.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/GMPFunctions.cpp
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/GMPFunctions.h
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/GMPFunctions.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/GSLFunctions.cpp
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/GSLFunctions.h
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/GSLFunctions.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/IncrementDecrement.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/List/Range.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/List.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/Logical/And.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/Logical/Negation.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/Logical/OrXor.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/Logical.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/MongoDBFunctions.h
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/MongoDBFunctions.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/Named/AbsoluteValue.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/Named/Atan2.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/Named/Chomp.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/Named/Exp.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/Named/Join.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/Named/Keys.cpp
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/Named/Keys.h
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/Named/Keys.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/Named/Pop.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/Named/Push.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/Named/Reverse.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/Named/Shift.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/Named/Sort.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/Named/Split.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/Named/Unshift.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/Named/Values.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/Named/Wait.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/Named.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/NamedUnary/ChangeDirectory.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/NamedUnary/Cosine.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/NamedUnary/Defined.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/NamedUnary/Exists.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/NamedUnary/FileExists.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/NamedUnary/FileReadable.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/NamedUnary/FileRegular.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/NamedUnary/FileText.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/NamedUnary/Length.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/NamedUnary/Log.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/NamedUnary/Random.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/NamedUnary/Scalar.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/NamedUnary/Sine.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/NamedUnary/SquareRoot.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/NamedUnary.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/Open.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/Print.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/RegularExpression.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/SSEIntrinsics.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/String/Concatenate.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/String/Repeat.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/String.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator/Ternary.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/Operator.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/SubExpression/ArrayDereference.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/SubExpression/HashDereference.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/SubExpression/Literal/Number.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/SubExpression/Literal/String.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/SubExpression/Literal/Undefined.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/SubExpression/Literal.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/SubExpression/Parenthesis.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/SubExpression/Variable/Retrieval.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/SubExpression/Variable.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/SubExpression.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/SubroutineCall/MethodCall/ConstructorCall.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/SubroutineCall/MethodCall.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression/SubroutineCall.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Expression.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Statement/Conditional.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Statement/Loop/For.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Statement/Loop/ForEach.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Statement/Loop/While.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Statement/Loop.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Statement/OperatorVoid/LoopControl.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Statement/OperatorVoid/Named/Croak.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Statement/OperatorVoid/Named/Die.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Statement/OperatorVoid/Named/Exit.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Statement/OperatorVoid/Named/Return.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Statement/OperatorVoid/Named.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Statement/OperatorVoid/Print.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Statement/OperatorVoid.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Statement/VariableDeclaration.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Statement/VariableModification.pm
/usr/share/perl5/vendor_perl/RPerl/Operation/Statement.pm
/usr/share/perl5/vendor_perl/RPerl/Operation.pm
/usr/share/perl5/vendor_perl/RPerl/Parser.pm
/usr/share/perl5/vendor_perl/RPerl/Support/MongoDB.h
/usr/share/perl5/vendor_perl/RPerl/Support/MongoDB.pm
/usr/share/perl5/vendor_perl/RPerl/Support/MongoDBStandAlone.h
/usr/share/perl5/vendor_perl/RPerl/Support.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Array/program_90_good.pl.DISABLED_NEED_UPGRADE
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayDereference/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayDereference/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayDereference/program_01_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayDereference/program_01_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayDereference/program_02_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayDereference/program_02_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayDereference/program_03_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayDereference/program_03_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_01_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_01_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_02_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_02_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_03_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_03_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_04_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_04_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_05_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_05_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_06_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_06_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_07_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_07_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_08_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_08_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_09_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_09_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_10_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_10_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_10_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_11_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_11_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_12_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_12_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_13_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_13_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_14_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_14_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_15_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_15_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_20_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_30_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_30_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_30_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_30_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_31_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_32_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_33_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_34_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_40_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_41_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_42_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_70_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_71_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_72_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReference/program_90_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReferenceHashReference/program_20_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReferenceHashReference/program_40_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ArrayReferenceHashReference/program_60_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Bar.pm
/usr/share/perl5/vendor_perl/RPerl/Test/BatBaz.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Conditional/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Conditional/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Conditional/program_01_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Conditional/program_01_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Conditional/program_02_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Conditional/program_02_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Conditional/program_02_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Conditional/program_03_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Conditional/program_03_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Conditional/program_03_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Conditional/program_03_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Conditional/program_03_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Conditional/program_04_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Conditional/program_04_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Conditional/program_04_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Conditional/program_05_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Conditional/program_06_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Conditional/program_07_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Conditional/program_08_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Conditional/program_08_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Conditional/program_09_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Conditional/program_09_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Conditional/program_20_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Constant/Class_00_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Constant/Class_00_Bad_01.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Constant/Class_00_Bad_02.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Constant/Class_00_Bad_03.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Constant/Class_00_Bad_04.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Constant/Class_00_Bad_05.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Constant/Class_00_Bad_06.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Constant/Class_00_Bad_07.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Constant/Class_00_Bad_08.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Constant/Class_00_Bad_09.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Constant/Class_00_Bad_10.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Constant/Class_00_Bad_11.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Constant/Class_00_Bad_12.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Constant/Class_00_Bad_13.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Constant/Class_00_Bad_14.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Constant/Class_00_Bad_15.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Constant/Class_00_Bad_16.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Constant/Class_00_Bad_17.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Constant/Class_00_Bad_18.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Constant/Class_00_Bad_19.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Constant/Class_00_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Constant/Package_00_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Constant/Package_00_Bad_01.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Constant/Package_00_Bad_02.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Constant/Package_00_Bad_03.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Constant/Package_00_Bad_04.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Constant/Package_00_Bad_05.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Constant/Package_00_Bad_06.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Constant/Package_00_Bad_07.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Constant/Package_00_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Constant/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Constant/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Constant/program_00_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Constant/program_00_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Constant/program_00_bad_04.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Constant/program_00_bad_05.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Constant/program_00_bad_06.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Constant/program_00_bad_07.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Constant/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Critic/Class_00_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Critic/Class_00_Bad_01.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Critic/Class_00_Bad_02.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Critic/Class_00_Bad_03.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Critic/Class_00_Bad_04.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Critic/Class_00_Bad_05.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Critic/Class_00_Bad_06.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Critic/Class_00_Bad_07.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Critic/Class_00_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Critic/Class_01_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Critic/Class_01_Bad_01.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Critic/Class_01_Bad_02.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Critic/Class_01_Bad_03.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Critic/Class_01_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Critic/Package_00_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Critic/Package_00_Bad_01.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Critic/Package_00_Bad_02.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Critic/Package_00_Bad_03.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Critic/Package_00_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Critic/Package_01_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Critic/Package_01_Bad_01.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Critic/Package_01_Bad_02.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Critic/Package_01_Bad_03.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Critic/Package_01_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Critic/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Critic/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Critic/program_00_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Critic/program_00_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Critic/program_00_bad_04.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Critic/program_00_bad_05.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Critic/program_00_bad_06.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Critic/program_00_bad_07.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Critic/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Critic/program_01_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Critic/program_01_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Critic/program_01_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Critic/program_01_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Critic/program_01_bad_04.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Critic/program_01_bad_05.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Critic/program_01_bad_06.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Critic/program_01_bad_07.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Critic/program_01_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/DatabaseMongoDB/mongodb_insert_one_find_one_00_good.cpp.CPPOPS_CPPTYPES
/usr/share/perl5/vendor_perl/RPerl/Test/DatabaseMongoDB/mongodb_insert_one_find_one_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/DatabaseMongoDB/mongodb_insert_one_find_one_01_good.cpp.CPPOPS_CPPTYPES
/usr/share/perl5/vendor_perl/RPerl/Test/DatabaseMongoDB/mongodb_insert_one_find_one_01_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/DatabaseMongoDB/mongodb_insert_one_find_one_02_good.cpp.CPPOPS_CPPTYPES
/usr/share/perl5/vendor_perl/RPerl/Test/DatabaseMongoDB/mongodb_insert_one_find_one_02_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Class_AC_Exporter_00_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Class_A_Exporter_00_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Class_A_Exporter_00_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Class_A_Exporter_20_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Class_A_Exporter_20_NotBad.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Class_A_Importer_00_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Class_A_Importer_00_Bad_01.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Class_A_Importer_00_Bad_02.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Class_A_Importer_00_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Class_A_Importer_10_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Class_B_Exporter_00_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Class_B_Importer_00_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Class_B_Importer_00_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Class_B_Importer_10_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Class_C_Exporter_00_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Class_C_Exporter_20_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Class_C_Exporter_20_Bad_10.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Class_C_Exporter_20_NotBad.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Class_C_Importer_00_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Class_C_Importer_00_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Class_C_Importer_10_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Class_D_Exporter_00_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Class_D_Importer_00_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Class_D_Importer_00_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Class_D_Importer_10_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Class_FG_Exporter_Importer_00_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Class_FG_Exporter_Importer_01_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Class_FG_Exporter_Importer_02_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Class_FG_Exporter_Importer_03_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Package_AC_Exporter_00_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Package_A_Exporter_00_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Package_A_Exporter_00_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Package_A_Importer_00_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Package_A_Importer_00_Bad_01.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Package_A_Importer_00_Bad_02.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Package_A_Importer_00_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Package_A_Importer_10_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Package_B_Exporter_00_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Package_B_Importer_00_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Package_B_Importer_00_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Package_B_Importer_10_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Package_C_Exporter_00_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Package_C_Importer_00_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Package_C_Importer_00_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Package_C_Importer_10_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Package_D_Exporter_00_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Package_D_Importer_00_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Package_D_Importer_00_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Package_D_Importer_10_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Package_FG_Exporter_Importer_00_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Package_FG_Exporter_Importer_01_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Package_FG_Exporter_Importer_02_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/Package_FG_Exporter_Importer_03_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_AC_000_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_AC_100_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_A_000_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_A_000_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_A_001_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_A_010_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_A_100_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_A_100_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_A_101_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_A_110_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_A_200_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_A_200_bad_10.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_A_200_bad_20.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_A_200_bad_30.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_A_200_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_B_000_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_B_000_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_B_001_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_B_010_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_B_100_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_B_100_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_B_101_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_B_110_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_C_000_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_C_000_bad_01.pl.DISABLED_EXPORTER
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_C_000_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_C_001_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_C_010_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_C_010_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_C_100_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_C_100_bad_01.pl.DISABLED_EXPORTER
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_C_100_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_C_101_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_C_110_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_C_110_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_C_200_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_C_200_bad_10.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_C_200_bad_20.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_C_200_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_D_000_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_D_000_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_D_001_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_D_010_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_D_100_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_D_100_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_D_101_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_D_110_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_FG_000_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_FG_001_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_FG_002_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_FG_003_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_FG_100_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_FG_101_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_FG_102_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Exporter/program_FG_103_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_01_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_01_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_01_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_02_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_02_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_02_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_03_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_03_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_03_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_04_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_04_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_04_good.pl.DISABLED_NEED_FIX
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_05_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_05_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_05_good.pl.DISABLED_NEED_FIX
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_06_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_06_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_06_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_07_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_07_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_07_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_08_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_08_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_08_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_08_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_09_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_09_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_09_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_09_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_10_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_11_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_12_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_13_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_14_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_20_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_20_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_20_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_20_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_20_good.pl.DISABLED_NEED_FIX
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_21_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_21_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_21_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_21_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_21_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_30_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_30_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Expression/program_30_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Foo.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Fu.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Fu2.pm
/usr/share/perl5/vendor_perl/RPerl/Test/HashDereference/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/HashDereference/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/HashDereference/program_01_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/HashDereference/program_01_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/HashDereference/program_02_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/HashDereference/program_02_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/HashDereference/program_03_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/HashDereference/program_03_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/HashReference/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/HashReference/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/HashReference/program_01_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/HashReference/program_01_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/HashReference/program_02_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/HashReference/program_02_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/HashReference/program_03_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/HashReference/program_03_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/HashReference/program_04_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/HashReference/program_04_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/HashReference/program_05_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/HashReference/program_05_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/HashReference/program_06_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/HashReference/program_06_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/HashReference/program_07_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/HashReference/program_07_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/HashReference/program_08_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/HashReference/program_08_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/HashReference/program_09_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/HashReference/program_09_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/HashReference/program_10_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/HashReference/program_10_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/HashReference/program_11_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/HashReference/program_11_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/HashReference/program_12_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/HashReference/program_12_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/HashReference/program_13_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/HashReference/program_13_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/HashReference/program_14_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/HashReference/program_14_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/HashReference/program_70_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/HashReference/program_71_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/HashReference/program_72_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Header/Class_00_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Header/Class_00_Bad_01.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Header/Class_00_Bad_02.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Header/Class_00_Bad_03.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Header/Class_00_Bad_PreHeader.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Header/Package_00_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Header/Package_00_Bad_01.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Header/Package_00_Bad_02.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Header/Package_00_Bad_03.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Header/Package_00_Bad_PreHeader.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Header/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Header/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Header/program_00_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Header/program_00_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Header/program_00_bad_04.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Header/program_00_bad_05.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Header/program_00_bad_06.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Header/program_00_bad_07.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Include/Class_00_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Include/Class_00_Bad_01.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Include/Class_00_Bad_02.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Include/Class_00_Bad_03.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Include/Class_00_Bad_04.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Include/Class_00_Bad_05.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Include/Class_00_Bad_06.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Include/Class_00_Bad_07.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Include/Class_00_Bad_08.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Include/Class_00_Bad_09.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Include/Class_00_Bad_10.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Include/Class_00_Bad_11.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Include/Class_00_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Include/Class_01_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Include/Class_01_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Include/Class_02_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Include/Class_02_Bad_01.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Include/Class_03_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Include/Class_04_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Include/Package_00_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Include/Package_00_Bad_01.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Include/Package_00_Bad_02.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Include/Package_00_Bad_03.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Include/Package_00_Bad_04.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Include/Package_00_Bad_05.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Include/Package_00_Bad_06.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Include/Package_00_Bad_07.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Include/Package_00_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Include/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Include/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Include/program_00_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Include/program_00_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Include/program_00_bad_04.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Include/program_00_bad_05.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Include/program_00_bad_06.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Include/program_00_bad_07.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Include/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_00_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_00_Bad_01.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_00_Bad_02.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_00_Bad_03.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_00_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_01_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_02_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_03_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_04_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_05_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_06_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_07_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_08_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_09_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_10_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_11_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_12_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_13_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_14_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_15_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_15_Bad_01.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_15_Bad_02.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_15_Bad_03.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_15_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_16_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_16_Bad_01.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_16_Bad_02.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_16_Bad_03.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_16_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_17_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_18_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_19_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_20_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_21_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_22_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_23_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_24_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_25_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_26_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_27_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_28_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_29_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_30_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_31_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_31_Bad_01.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_31_Bad_02.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_31_Bad_03.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_31_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_32_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_32_Bad_01.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_32_Bad_02.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_32_Bad_03.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_32_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_33_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_34_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_35_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_36_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_37_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_38_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_39_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_40_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_41_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_42_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_43_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_44_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_45_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_46_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_47_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_47_Bad_01.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_47_Bad_02.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_47_Bad_03.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_47_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_48_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_48_Bad_01.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_48_Bad_02.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_48_Bad_03.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_48_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_49_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_50_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_51_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_52_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_53_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_54_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_55_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_56_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_57_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_58_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_59_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_60_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_61_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_62_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_63_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_63_Bad_01.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_63_Bad_02.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_63_Bad_03.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_63_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_70_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_70_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_71_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_71_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_72_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_72_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_73_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_73_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_80_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_80_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_81_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_81_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_82_Bad_00.pm.DISABLED_PERLCRITIC_BUG
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_82_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_83_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralNumber/Package_83_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_DoubleQuotes_00_Bad.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_DoubleQuotes_00_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_DoubleQuotes_01_Bad.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_DoubleQuotes_01_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_DoubleQuotes_02_Bad.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_DoubleQuotes_02_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_DoubleQuotes_03_Bad.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_DoubleQuotes_03_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_DoubleQuotes_04_Bad.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_DoubleQuotes_04_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_DoubleQuotes_05_Bad.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_DoubleQuotes_05_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_DoubleQuotes_06_Bad.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_DoubleQuotes_06_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_DoubleQuotes_07_Bad.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_DoubleQuotes_07_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_DoubleQuotes_08_Bad.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_DoubleQuotes_08_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_DoubleQuotes_09_Bad.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_DoubleQuotes_09_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_DoubleQuotes_10_Bad.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_DoubleQuotes_10_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_DoubleQuotes_11_Bad.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_DoubleQuotes_11_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_DoubleQuotes_12_Bad.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_DoubleQuotes_12_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_DoubleQuotes_13_Bad.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_DoubleQuotes_13_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_DoubleQuotes_14_Bad.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_DoubleQuotes_14_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_DoubleQuotes_15_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_DoubleQuotes_15_Bad_01.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_DoubleQuotes_15_Bad_02.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_DoubleQuotes_15_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_DoubleQuotes_16_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_DoubleQuotes_16_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_DoubleQuotes_17_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_DoubleQuotes_17_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_DoubleQuotes_18_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_DoubleQuotes_18_Bad_01.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_DoubleQuotes_18_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_QQuotes_00_Bad.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_QQuotes_00_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_QQuotes_01_Bad.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_QQuotes_01_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_QQuotes_02_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_QQuotes_02_Bad_01.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_QQuotes_02_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_QQuotes_03_Bad.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_QQuotes_03_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_QQuotes_04_Bad.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_QQuotes_04_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_QQuotes_05_Bad.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_QQuotes_05_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_QQuotes_06_Bad.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_QQuotes_06_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_QQuotes_07_Bad.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_QQuotes_07_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_SingleQuotes_00_Bad.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_SingleQuotes_00_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_SingleQuotes_01_Bad.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_SingleQuotes_01_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_SingleQuotes_02_Bad.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_SingleQuotes_02_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_SingleQuotes_03_Bad.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_SingleQuotes_03_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_SingleQuotes_04_Bad.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_SingleQuotes_04_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_SingleQuotes_05_Bad.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_SingleQuotes_05_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_SingleQuotes_06_Bad.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_SingleQuotes_06_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_SingleQuotes_07_Bad.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LiteralString/Package_SingleQuotes_07_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/LoopFor/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LoopFor/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LoopFor/program_01_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LoopFor/program_01_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LoopFor/program_02_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LoopFor/program_02_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LoopFor/program_03_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LoopFor/program_03_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LoopFor/program_03_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LoopFor/program_04_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LoopFor/program_10_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LoopFor/program_10_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LoopFor/program_10_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LoopFor/program_11_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LoopFor/program_11_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LoopFor/program_11_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LoopFor/program_12_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LoopFor/program_12_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LoopFor/program_13_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LoopFor/program_13_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LoopFor/program_14_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LoopFor/program_15_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LoopFor/program_50_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LoopFor/program_50_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LoopForeach/program_20_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LoopForeach/program_20_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LoopForeach/program_21_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LoopForeach/program_21_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LoopForeach/program_22_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LoopForeach/program_22_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LoopForeach/program_23_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LoopForeach/program_23_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LoopForeach/program_23_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LoopWhile/program_30_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LoopWhile/program_30_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LoopWhile/program_31_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LoopWhile/program_31_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LoopWhile/program_32_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LoopWhile/program_32_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LoopWhile/program_32_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LoopWhile/program_33_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LoopWhile/program_34_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LoopWhile/program_35_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LoopWhile/program_36_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LoopWhile/program_40_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/LoopWhile/program_41_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Method/Class_00_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Method/Class_00_Bad_02.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Method/Class_00_Bad_03.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Method/Class_00_Bad_04.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Method/Class_00_Bad_06.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Method/Class_00_Bad_07.pm
/usr/share/perl5/vendor_perl/RPerl/Test/MethodArguments/Class_00_Bad.pm
/usr/share/perl5/vendor_perl/RPerl/Test/MethodArguments/Class_00_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/MethodArguments/Class_01_Bad.pm
/usr/share/perl5/vendor_perl/RPerl/Test/MethodArguments/Class_01_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/MethodArguments/Class_02_Bad.pm
/usr/share/perl5/vendor_perl/RPerl/Test/MethodArguments/Class_02_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/MethodArguments/Class_03_Bad.pm
/usr/share/perl5/vendor_perl/RPerl/Test/MethodArguments/Class_03_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Module/Class_00_Bad_Terminator_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Module/Class_00_Bad_Terminator_01.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Module/Class_00_Bad_Terminator_02.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Module/Class_00_Bad_Terminator_03.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Module/Class_00_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Module/Class_01_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Module/Class_01_Bad_01.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Module/Class_01_Bad_02.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Module/Class_02_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Module/Package_00_Bad_Terminator_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Module/Package_00_Bad_Terminator_01.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Module/Package_00_Bad_Terminator_02.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Module/Package_00_Bad_Terminator_03.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Module/Package_00_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Module/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OO/MyClass01Good.cpp
/usr/share/perl5/vendor_perl/RPerl/Test/OO/MyClass01Good.cpp.CPPOPS_CPPTYPES
/usr/share/perl5/vendor_perl/RPerl/Test/OO/MyClass01Good.h
/usr/share/perl5/vendor_perl/RPerl/Test/OO/MyClass01Good.h.CPPOPS_CPPTYPES
/usr/share/perl5/vendor_perl/RPerl/Test/OO/MyClass01Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/OO/MyClass01Good.pmc.CPPOPS_DUALTYPES
/usr/share/perl5/vendor_perl/RPerl/Test/OO/oo01_good.cpp.CPPOPS_CPPTYPES
/usr/share/perl5/vendor_perl/RPerl/Test/OO/oo01_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperationsTypesReporting/class_template_perlops_perltypes.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedAbsoluteValue/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedAbsoluteValue/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedAbsoluteValue/program_00_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedAbsoluteValue/program_00_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedAbsoluteValue/program_00_good.cpp.CPPOPS_CPPTYPES
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedAbsoluteValue/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedAbsoluteValue/program_01_good.cpp.CPPOPS_CPPTYPES
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedAbsoluteValue/program_01_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedAbsoluteValue/program_02_good.cpp.CPPOPS_CPPTYPES
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedAbsoluteValue/program_02_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedAtan2/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedAtan2/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedAtan2/program_00_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedAtan2/program_00_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedAtan2/program_00_good.cpp.CPPOPS_CPPTYPES
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedAtan2/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedChopChomp/program_00_good.pl.DISABLED_NEED_IMPLEMENT_CHOP
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedChopChomp/program_10_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedExp/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedExp/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedExp/program_00_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedExp/program_00_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedExp/program_00_good.cpp.CPPOPS_CPPTYPES
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedExp/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedKeys/program_20_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedPushPop/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedPushPop/program_01_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedPushPop/program_02_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedPushPop/program_03_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedPushPop/program_04_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedPushPop/program_04_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedPushPop/program_04_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedPushPop/program_04_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedPushPop/program_04_bad_04.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedPushPop/program_04_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedReverse/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedShiftUnshift/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedShiftUnshift/program_01_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedShiftUnshift/program_02_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedShiftUnshift/program_03_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedShiftUnshift/program_04_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedShiftUnshift/program_04_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedShiftUnshift/program_04_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedShiftUnshift/program_04_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedShiftUnshift/program_04_bad_04.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedShiftUnshift/program_04_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedSineCosine/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedSineCosine/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedSineCosine/program_00_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedSineCosine/program_00_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedSineCosine/program_00_bad_04.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedSineCosine/program_00_good.cpp.CPPOPS_CPPTYPES
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedSineCosine/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedSort/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedWait/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01NamedWait/program_01_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01OpenClose/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01OpenClose/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01OpenClose/program_00_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01OpenClose/program_00_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01OpenClose/program_00_bad_04.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01OpenClose/program_00_bad_05.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01OpenClose/program_00_bad_06.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01OpenClose/program_00_bad_07.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01OpenClose/program_00_bad_08.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01OpenClose/program_00_bad_09.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01OpenClose/program_00_bad_10.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01OpenClose/program_00_bad_11.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01OpenClose/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01Print/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01Print/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01Print/program_00_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01Print/program_00_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01Print/program_00_bad_04.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01Print/program_00_bad_05.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01Print/program_00_bad_06.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01Print/program_00_bad_07.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01Print/program_00_bad_08.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01Print/program_00_bad_09.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01Print/program_00_bad_10.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01Print/program_00_bad_11.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01Print/program_00_bad_12.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01Print/program_00_bad_13.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01Print/program_00_bad_14.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01Print/program_00_bad_15.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01Print/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01Print/program_00_good.pl.DISABLED_NEG_LPAREN
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01QuoteWord/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01QuoteWord/program_01_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01QuoteWord/program_02_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01QuoteWord/program_03_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01QuoteWord/program_04_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01QuoteWord/program_05_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01QuoteWord/program_05_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01QuoteWord/program_05_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01QuoteWord/program_06_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01QuoteWord/program_07_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01QuoteWord/program_20_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator01QuoteWord/program_21_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator03IncrementDecrement/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator03IncrementDecrement/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator03IncrementDecrement/program_00_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator03IncrementDecrement/program_00_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator03IncrementDecrement/program_00_bad_04.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator03IncrementDecrement/program_00_bad_05.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator03IncrementDecrement/program_00_bad_06.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator03IncrementDecrement/program_00_bad_07.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator03IncrementDecrement/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator04ArithmeticPower/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator04ArithmeticPower/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator04ArithmeticPower/program_00_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator04ArithmeticPower/program_00_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator04ArithmeticPower/program_00_bad_04.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator04ArithmeticPower/program_00_bad_05.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator04ArithmeticPower/program_00_bad_06.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator04ArithmeticPower/program_00_bad_07.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator04ArithmeticPower/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator05ArithmeticNegative/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator05ArithmeticNegative/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator05ArithmeticNegative/program_00_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator05ArithmeticNegative/program_00_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator05ArithmeticNegative/program_00_bad_04.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator05ArithmeticNegative/program_00_bad_05.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator05ArithmeticNegative/program_00_bad_06.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator05ArithmeticNegative/program_00_bad_07.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator05ArithmeticNegative/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator05BitwiseNegation/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator05BitwiseNegation/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator05BitwiseNegation/program_00_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator05BitwiseNegation/program_00_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator05BitwiseNegation/program_00_bad_04.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator05BitwiseNegation/program_00_bad_05.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator05BitwiseNegation/program_00_bad_06.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator05BitwiseNegation/program_00_bad_07.pl.DISABLED_CPAN_TESTERS
/usr/share/perl5/vendor_perl/RPerl/Test/Operator05BitwiseNegation/program_00_bad_08.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator05BitwiseNegation/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator05BitwiseNegation/program_01_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator05BitwiseNegation/program_02_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator05LogicalNegation/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator05LogicalNegation/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator05LogicalNegation/program_00_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator05LogicalNegation/program_00_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator05LogicalNegation/program_00_bad_04.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator05LogicalNegation/program_00_bad_05.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator05LogicalNegation/program_00_bad_06.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator05LogicalNegation/program_00_bad_07.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator05LogicalNegation/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator06RegularExpressionMatch/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator06RegularExpressionMatch/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator06RegularExpressionMatch/program_00_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator06RegularExpressionMatch/program_00_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator06RegularExpressionMatch/program_00_bad_04.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator06RegularExpressionMatch/program_00_bad_05.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator06RegularExpressionMatch/program_00_bad_06.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator06RegularExpressionMatch/program_00_bad_07.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator06RegularExpressionMatch/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator06RegularExpressionMatch/program_10_good.cpp.CPPOPS_CPPTYPES
/usr/share/perl5/vendor_perl/RPerl/Test/Operator06RegularExpressionMatch/program_10_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator06RegularExpressionMatch/program_11_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator06RegularExpressionMatch/program_20_good.cpp.CPPOPS_CPPTYPES
/usr/share/perl5/vendor_perl/RPerl/Test/Operator06RegularExpressionMatch/program_20_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator06RegularExpressionMatch/program_30_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator06RegularExpressionMatch/program_50_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator06RegularExpressionMatch/program_50_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator06RegularExpressionMatch/program_50_good.cpp.CPPOPS_CPPTYPES
/usr/share/perl5/vendor_perl/RPerl/Test/Operator06RegularExpressionMatch/program_50_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator06RegularExpressionMatch/program_52_good.cpp.CPPOPS_CPPTYPES
/usr/share/perl5/vendor_perl/RPerl/Test/Operator06RegularExpressionMatch/program_52_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator06RegularExpressionMatch/program_60_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator07ArithmeticMultiplyDivideModulo/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator07ArithmeticMultiplyDivideModulo/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator07ArithmeticMultiplyDivideModulo/program_00_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator07ArithmeticMultiplyDivideModulo/program_00_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator07ArithmeticMultiplyDivideModulo/program_00_bad_04.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator07ArithmeticMultiplyDivideModulo/program_00_bad_05.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator07ArithmeticMultiplyDivideModulo/program_00_bad_06.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator07ArithmeticMultiplyDivideModulo/program_00_bad_07.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator07ArithmeticMultiplyDivideModulo/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator07ArithmeticMultiplyDivideModulo/program_01_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator07StringRepeat/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator07StringRepeat/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator07StringRepeat/program_00_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator07StringRepeat/program_00_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator07StringRepeat/program_00_bad_04.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator07StringRepeat/program_00_bad_05.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator07StringRepeat/program_00_bad_06.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator07StringRepeat/program_00_bad_07.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator07StringRepeat/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator08ArithmeticAddSubtract/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator08ArithmeticAddSubtract/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator08ArithmeticAddSubtract/program_00_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator08ArithmeticAddSubtract/program_00_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator08ArithmeticAddSubtract/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator08ArithmeticAddSubtract/program_10_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator08StringCat/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator08StringCat/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator08StringCat/program_00_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator08StringCat/program_00_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator08StringCat/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator09BitwiseShift/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator09BitwiseShift/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator09BitwiseShift/program_00_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator09BitwiseShift/program_00_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator09BitwiseShift/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator10NamedUnaryChdir/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator10NamedUnaryChdir/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator10NamedUnaryChdir/program_01_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator10NamedUnaryLength/program_00_good.cpp.CPPOPS_CPPTYPES
/usr/share/perl5/vendor_perl/RPerl/Test/Operator10NamedUnaryLength/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator10NamedUnaryLength/program_01_good.cpp.CPPOPS_CPPTYPES
/usr/share/perl5/vendor_perl/RPerl/Test/Operator10NamedUnaryLength/program_01_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator10NamedUnaryLog/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator10NamedUnaryLog/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator10NamedUnaryLog/program_00_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator10NamedUnaryLog/program_00_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator10NamedUnaryLog/program_00_good.cpp.CPPOPS_CPPTYPES
/usr/share/perl5/vendor_perl/RPerl/Test/Operator10NamedUnaryLog/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator10NamedUnaryRandom/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator10NamedUnaryRandom/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator10NamedUnaryRandom/program_00_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator10NamedUnaryRandom/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator10NamedUnaryScalar/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator10NamedUnaryScalar/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator10NamedUnaryScalar/program_00_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator10NamedUnaryScalar/program_00_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator10NamedUnaryScalar/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator10NamedUnaryScalar/program_01_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator10NamedUnaryScalar/program_02_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator10NamedUnaryScalar/program_02_not_good_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator10NamedUnaryScalar/program_03_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator10NamedUnarySquareRoot/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator10NamedUnarySquareRoot/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator10NamedUnarySquareRoot/program_00_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator10NamedUnarySquareRoot/program_00_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator10NamedUnarySquareRoot/program_00_good.cpp.CPPOPS_CPPTYPES
/usr/share/perl5/vendor_perl/RPerl/Test/Operator10NamedUnarySquareRoot/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator11CompareLessThanGreaterThan/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator11CompareLessThanGreaterThan/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator11CompareLessThanGreaterThan/program_00_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator11CompareLessThanGreaterThan/program_00_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator11CompareLessThanGreaterThan/program_00_bad_04.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator11CompareLessThanGreaterThan/program_00_bad_05.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator11CompareLessThanGreaterThan/program_00_bad_06.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator11CompareLessThanGreaterThan/program_00_bad_07.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator11CompareLessThanGreaterThan/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator12CompareEqualNotEqual/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator12CompareEqualNotEqual/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator12CompareEqualNotEqual/program_00_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator12CompareEqualNotEqual/program_00_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator12CompareEqualNotEqual/program_00_bad_04.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator12CompareEqualNotEqual/program_00_bad_05.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator12CompareEqualNotEqual/program_00_bad_06.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator12CompareEqualNotEqual/program_00_bad_07.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator12CompareEqualNotEqual/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator13BitwiseAnd/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator13BitwiseAnd/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator13BitwiseAnd/program_00_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator13BitwiseAnd/program_00_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator13BitwiseAnd/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator14BitwiseOrXor/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator14BitwiseOrXor/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator14BitwiseOrXor/program_00_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator14BitwiseOrXor/program_00_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator14BitwiseOrXor/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator15LogicalAnd/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator15LogicalAnd/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator15LogicalAnd/program_00_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator15LogicalAnd/program_00_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator15LogicalAnd/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator16LogicalOr/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator16LogicalOr/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator16LogicalOr/program_00_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator16LogicalOr/program_00_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator16LogicalOr/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator17ListRange/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator17ListRange/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator17ListRange/program_00_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator17ListRange/program_00_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator17ListRange/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator18Ternary/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator18Ternary/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator18Ternary/program_00_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator18Ternary/program_00_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator18Ternary/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator19LoopControl/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator19LoopControl/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator19LoopControl/program_01_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator19LoopControl/program_01_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator19LoopControl/program_02_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator19LoopControl/program_02_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator19LoopControl/program_03_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator19LoopControl/program_03_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator19LoopControl/program_10_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator19LoopControl/program_10_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator19LoopControl/program_12_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator19LoopControl/program_14_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator19LoopControl/program_20_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator19LoopControl/program_21_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator19LoopControl/program_22_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator19LoopControl/program_23_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator19LoopControl/program_24_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator19LoopControl/program_25_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator19LoopControl/program_26_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator19LoopControl/program_27_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator19LoopControl/program_28_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator19LoopControl/program_30_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator19LoopControl/program_31_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator19LoopControl/program_32_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator22LogicalNegation/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator22LogicalNegation/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator22LogicalNegation/program_00_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator22LogicalNegation/program_00_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator22LogicalNegation/program_00_bad_04.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator22LogicalNegation/program_00_bad_05.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator22LogicalNegation/program_00_bad_06.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator22LogicalNegation/program_00_bad_07.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator22LogicalNegation/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator23LogicalAnd/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator23LogicalAnd/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator23LogicalAnd/program_00_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator23LogicalAnd/program_00_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator23LogicalAnd/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator24LogicalOrXor/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator24LogicalOrXor/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator24LogicalOrXor/program_00_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator24LogicalOrXor/program_00_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Operator24LogicalOrXor/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedPushPop/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedPushPop/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedPushPop/program_00_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedPushPop/program_00_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedPushPop/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_01_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_01_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_02_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_02_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_03_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_03_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_04_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_04_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_05_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_05_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_06_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_06_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_07_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_07_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_07_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_10_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_10_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_11_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_11_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_12_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_12_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_13_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_13_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_14_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_14_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_15_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_15_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_16_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_16_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_17_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_17_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_20_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_20_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_21_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_21_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_22_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_22_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_23_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_23_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_24_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_25_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_26_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_27_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_28_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_29_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_30_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_31_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_32_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_33_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_34_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_35_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_36_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_37_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_40_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_40_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_41_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_41_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_42_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_42_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_43_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_43_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_44_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_45_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_46_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_47_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_48_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_49_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_50_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidCroak/program_51_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_00_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_00_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_00_bad_04.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_01_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_01_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_02_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_02_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_03_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_03_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_04_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_04_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_05_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_05_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_06_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_06_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_06_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_10_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_10_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_10_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_10_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_10_bad_04.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_10_bad_05.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_10_bad_06.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_10_bad_07.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_10_bad_08.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_10_bad_09.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_10_bad_10.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_10_bad_11.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_10_bad_12.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_10_bad_13.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_10_bad_14.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_10_bad_15.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_10_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_20_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_20_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_21_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_21_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_22_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_22_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_23_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_23_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_24_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_24_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_24_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_24_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_25_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_25_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_25_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_25_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_30_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_30_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_30_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_31_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_31_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_31_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_32_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_32_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_32_good.cpp.CPPOPS_CPPTYPES
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_32_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_32_not_bad.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_40_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_40_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_41_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_41_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_42_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_42_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_43_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_43_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_44_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_44_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_44_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_44_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_45_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_45_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_45_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidDie/program_45_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_00_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_01_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_01_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_02_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_02_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_03_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_03_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_03_not_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_04_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_04_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_05_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_05_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_06_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_06_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_07_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_07_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_07_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_10_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_10_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_11_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_11_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_12_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_12_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_13_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_13_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_14_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_14_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_15_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_15_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_16_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_16_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_17_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_17_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_20_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_20_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_21_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_21_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_22_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_22_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_23_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_23_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_24_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_25_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_26_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_27_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_28_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_29_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_30_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_31_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_32_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_33_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_34_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_35_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_36_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_37_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_40_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_40_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_41_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_41_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_42_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_42_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_43_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_43_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_44_bad_00.pl.DISABLED_PERL_V5_25
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_45_bad_00.pl.DISABLED_PERL_V5_25
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_46_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_47_bad_00.pl.DISABLED_PERL_V5_25
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_48_bad_00.pl.DISABLED_PERL_V5_25
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_49_bad_00.pl.DISABLED_PERL_V5_25
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_50_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidExit/program_51_bad_00.pl.DISABLED_PERL_V5_25
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/Class_00_Bad_00.pm.DISABLED_NEED_FIX
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/Class_00_Good.pm.DISABLED_NEED_FIX
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/Class_12_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_00_bad_00.pl.DISABLED_NEED_FIX
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_00_good.pl.DISABLED_NEED_FIX
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_01_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_01_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_02_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_02_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_03_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_03_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_04_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_04_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_05_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_05_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_06_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_06_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_07_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_07_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_10_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_10_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_11_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_11_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_12_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_12_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_13_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_13_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_14_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_14_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_15_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_15_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_16_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_16_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_17_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_17_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_20_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_20_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_21_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_21_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_22_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_22_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_23_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_23_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_24_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_25_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_25_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_25_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_26_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_27_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_27_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_27_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_32_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_33_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_34_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_35_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_36_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_37_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_40_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_40_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_41_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_41_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_42_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_42_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_43_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_43_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_44_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_45_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_45_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_45_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_46_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_47_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_47_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01NamedVoidReturn/program_47_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01Print/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01Print/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01Print/program_00_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01Print/program_00_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01Print/program_00_bad_04.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01Print/program_00_bad_05.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01Print/program_00_bad_06.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01Print/program_00_bad_07.pl
/usr/share/perl5/vendor_perl/RPerl/Test/OperatorVoid01Print/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/PerlAPINames/Class_00_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/PerlAPINames/Class_00_Bad_01.pm
/usr/share/perl5/vendor_perl/RPerl/Test/PerlAPINames/Class_00_Bad_02.pm
/usr/share/perl5/vendor_perl/RPerl/Test/PerlAPINames/Class_00_Bad_03.pm
/usr/share/perl5/vendor_perl/RPerl/Test/PerlAPINames/Class_01_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/PerlAPINames/Class_02_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/PerlAPINames/Class_02_Bad_01.pm
/usr/share/perl5/vendor_perl/RPerl/Test/PerlAPINames/Class_02_Bad_02.pm
/usr/share/perl5/vendor_perl/RPerl/Test/PerlAPINames/Class_02_Bad_03.pm
/usr/share/perl5/vendor_perl/RPerl/Test/PerlAPINames/Class_03_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/PerlAPINames/Class_03_Bad_01.pm
/usr/share/perl5/vendor_perl/RPerl/Test/PerlAPINames/Class_03_Bad_02.pm
/usr/share/perl5/vendor_perl/RPerl/Test/PerlAPINames/Class_03_Bad_03.pm
/usr/share/perl5/vendor_perl/RPerl/Test/PerlAPINames/Class_04_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/PerlAPINames/Class_04_Bad_01.pm
/usr/share/perl5/vendor_perl/RPerl/Test/PerlAPINames/Class_04_Bad_02.pm
/usr/share/perl5/vendor_perl/RPerl/Test/PerlAPINames/Class_04_Bad_03.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Pod/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Pod/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Pod/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Pod/program_01_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Pod/program_02_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Pod/program_03_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Pod/program_04_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Pod/program_10_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Program/program_00_bad_operation_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Program/program_00_bad_operation_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Program/program_00_bad_operation_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Program/program_00_bad_operation_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Program/program_00_bad_operation_04.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Program/program_00_bad_operation_05.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Program/program_00_bad_operation_06.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Program/program_00_bad_operation_07.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Program/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/Class_00_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/Class_00_Bad_01.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/Class_00_Bad_02.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/Class_00_Bad_03.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/Class_00_Bad_04.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/Class_00_Bad_05.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/Class_00_Bad_06.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/Class_00_Bad_07.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/Class_00_Bad_08.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/Class_00_Bad_09.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/Class_00_Bad_10.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/Class_00_Bad_11.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/Class_00_Bad_12.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/Class_00_Bad_13.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/Class_00_Bad_14.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/Class_00_Bad_15.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/Class_00_Bad_16.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/Class_00_Bad_17.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/Class_00_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/Class_01_Bad_00.cpp.CPPOPS_CPPTYPES
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/Class_01_Bad_00.h.CPPOPS_CPPTYPES
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/Class_01_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/Class_01_Bad_00.pmc.CPPOPS_DUALTYPES
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/Class_01_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/Class_10_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/Class_20_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/class_00_good_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/class_00_good_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/class_00_good_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/class_00_good_10.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/class_00_good_11.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/class_00_good_12.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/class_00_good_21.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/class_00_good_22.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/class_00_good_23.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/class_01_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/class_01_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/class_01_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/class_01_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/class_01_bad_04.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/class_01_bad_10.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/class_01_bad_11.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/class_01_good_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/class_01_good_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/class_01_good_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/class_01_good_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/class_10_good_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Properties/class_20_good_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Reserved/Class_00_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Reserved/Class_00_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Reserved/Class_01_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Reserved/Class_01_Bad_01.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Reserved/Class_01_Bad_02.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Reserved/Class_01_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Reserved/Class_02_Bad_00.pm.NOT_TRIGGERED
/usr/share/perl5/vendor_perl/RPerl/Test/Reserved/Class_03_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Reserved/Class_03_Bad_01.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Reserved/Class_03_Bad_02.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Reserved/Class_03_Bad_03.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Reserved/Class_03_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Reserved/Class_04__Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Reserved/Class_05_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Reserved/Class_05_Bad_01.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Reserved/Class_06_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Reserved/Class_06_Bad_01.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Reserved/Class_06_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Reserved/Class_08_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Reserved/Class_08_Bad_01.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Reserved/Class_09_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Reserved/Class_09_Bad_01.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Reserved/Class_09_Bad_02.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Reserved/Class_09_Bad_03.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Reserved/_Class_04_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Reserved/_Class_04_Good.pm.PERL_CRITIC_ISSUE_NEED_FILE
/usr/share/perl5/vendor_perl/RPerl/Test/Reserved/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Reserved/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Reserved/program_00_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Reserved/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Reserved/program_01_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Reserved/program_01_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Reserved/program_01_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Reserved/program_01_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Reserved/program_02_bad_01.pl.NOT_TRIGGERED
/usr/share/perl5/vendor_perl/RPerl/Test/Reserved/program_03_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Reserved/program_03_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Reserved/program_03_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Reserved/program_03_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Reserved/program_03_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Reserved/program_04_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Reserved/program_05_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Reserved/program_05_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Reserved/program_06_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Reserved/program_07_bad_00.pl.NOT_TRIGGERED
/usr/share/perl5/vendor_perl/RPerl/Test/ScopeTypeNameValue/Class_00_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/ScopeTypeNameValue/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ScopeTypeNameValue/program_01_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ScopeTypeNameValue/program_02_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ScopeTypeNameValue/program_03_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ScopeTypeNameValue/program_04_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ScopeTypeNameValue/program_05_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ScopeTypeNameValue/program_06_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ScopeTypeNameValue/program_07_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ScopeTypeNameValue/program_08_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ScopeTypeNameValue/program_09_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ScopeTypeNameValue/program_10_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ScopeTypeNameValue/program_11_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ScopeTypeNameValue/program_12_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ScopeTypeNameValue/program_13_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ScopeTypeNameValue/program_14_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ScopeTypeNameValue/program_30_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ScopeTypeNameValue/program_31_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ScopeTypeNameValue/program_32_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ScopeTypeNameValue/program_33_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ScopeTypeNameValue/program_34_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ScopeTypeNameValue/program_40_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ScopeTypeNameValue/program_50_good.pl.DISABLED_PERL_V5_22
/usr/share/perl5/vendor_perl/RPerl/Test/ScopeTypeNameValue/program_51_good.pl.DISABLED_PERL_V5_22
/usr/share/perl5/vendor_perl/RPerl/Test/ScopeTypeNameValue/program_52_good.pl.DISABLED_PERL_V5_22
/usr/share/perl5/vendor_perl/RPerl/Test/ScopeTypeNameValue/program_60_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ScopeTypeNameValue/program_60_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ScopeTypeNameValue/program_60_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/ScopeTypeNameValue/program_60_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Shebang/program_00_bad_shebang_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Shebang/program_00_bad_shebang_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Shebang/program_00_bad_shebang_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Shebang/program_00_bad_shebang_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Shebang/program_00_bad_shebang_04.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Shebang/program_00_bad_shebang_05.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Shebang/program_00_bad_shebang_06.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Shebang/program_00_bad_shebang_07.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Shebang/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Shebang/program_01_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Shebang/program_02_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Shebang/program_03_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/SimpleA.pm
/usr/share/perl5/vendor_perl/RPerl/Test/SimpleB.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Statement/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Statement/program_01_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Statement/program_02_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Statement/program_03_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Statement/program_04_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Statement/program_05_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Statement/program_06_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/SubExpression/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/SubExpression/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/SubExpression/program_01_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/SubExpression/program_01_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/SubExpression/program_02_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/SubExpression/program_02_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/SubExpression/program_03_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/SubExpression/program_03_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/SubExpression/program_03_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/SubExpression/program_04_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/SubExpression/program_04_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/SubExpression/program_05_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/SubExpression/program_05_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/SubExpression/program_05_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/SubExpression/program_06_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/SubExpression/program_06_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/SubExpression/program_07_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/SubExpression/program_07_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/SubExpression/program_07_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/SubExpression/program_08_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/SubExpression/program_08_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/SubExpression/program_08_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/SubExpression/program_08_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/SubExpression/program_08_bad_04.pl
/usr/share/perl5/vendor_perl/RPerl/Test/SubExpression/program_08_bad_05.pl
/usr/share/perl5/vendor_perl/RPerl/Test/SubExpression/program_08_bad_06.pl
/usr/share/perl5/vendor_perl/RPerl/Test/SubExpression/program_08_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/SubExpressionOrStdin/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/SubExpressionOrStdin/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/SubExpressionOrStdin/program_01_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/SubExpressionOrStdin/program_02_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/SubExpressionOrStdin/program_03_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Subclass/MySubclasserA_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Subclass/MySubclasserA_Bad_01.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Subclass/MySubclasserA_Bad_02.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Subclass/MySubclasserA_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Subclass/MySubclasserB_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Subclass/MySubclasserB_Bad_01.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Subclass/MySubclasserB_Bad_02.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Subclass/MySubclasserB_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Subclass/MySubclassersCDE_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Subclass/MySubclassersFG_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Subclass/MySubclassersFG_Bad_01.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Subclass/MySubclassersFG_Bad_02.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Subclass/MySubclassersFG_Bad_03.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Subclass/MySubclassersFG_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Subclass/mysubclasser_a_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Subclass/mysubclasser_a_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Subclass/mysubclasser_a_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Subclass/mysubclasser_a_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Subclass/mysubclasser_b_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Subclass/mysubclasser_b_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Subclass/mysubclasser_b_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Subclass/mysubclasser_b_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Subclass/mysubclassers_cde_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Subclass/mysubclassers_cde_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Subclass/mysubclassers_cde_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Subclass/mysubclassers_cde_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Subclass/mysubclassers_fg_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Subclass/mysubclassers_fg_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Subclass/mysubclassers_fg_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Subclass/mysubclassers_fg_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Subroutine/Package_00_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Subroutine/Package_00_Bad_01.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Subroutine/Package_00_Bad_02.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Subroutine/Package_00_Bad_04.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Subroutine/Package_00_Bad_05.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Subroutine/Package_00_Bad_06.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Subroutine/Package_00_Bad_07.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Subroutine/Package_00_Bad_08.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Subroutine/Package_00_Bad_09.pm
/usr/share/perl5/vendor_perl/RPerl/Test/Subroutine/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Subroutine/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Subroutine/program_00_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Subroutine/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Subroutine/program_01_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Subroutine/program_02_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Subroutine/program_03_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Subroutine/program_03_good.cpp.CPPOPS_CPPTYPES
/usr/share/perl5/vendor_perl/RPerl/Test/Subroutine/program_03_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Subroutine/program_04_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Subroutine/program_05_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Subroutine/program_06_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Subroutine/program_06_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Subroutine/program_07_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Subroutine/program_08_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Subroutine/program_09_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Subroutine/program_09_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Subroutine/program_10_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Subroutine/program_10_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Subroutine/program_11_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Subroutine/program_11_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Subroutine/program_11_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Subroutine/program_11_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Subroutine/program_12_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/Subroutine/program_20_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/SubroutineArguments/Package_00_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/SubroutineArguments/Package_00_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/SubroutineArguments/Package_01_Bad.pm
/usr/share/perl5/vendor_perl/RPerl/Test/SubroutineArguments/Package_01_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/SubroutineArguments/Package_02_Bad.pm
/usr/share/perl5/vendor_perl/RPerl/Test/SubroutineArguments/Package_02_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/SubroutineArguments/Package_03_Bad.pm
/usr/share/perl5/vendor_perl/RPerl/Test/SubroutineArguments/Package_03_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/SubroutineArguments/Package_04_Bad.pm
/usr/share/perl5/vendor_perl/RPerl/Test/SubroutineArguments/Package_04_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/SubroutineArguments/Package_05_Bad.pm
/usr/share/perl5/vendor_perl/RPerl/Test/SubroutineArguments/Package_05_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/SubroutineArguments/Package_06_Bad.pm
/usr/share/perl5/vendor_perl/RPerl/Test/SubroutineArguments/Package_06_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/SubroutineArguments/Package_07_Bad.pm
/usr/share/perl5/vendor_perl/RPerl/Test/SubroutineArguments/Package_07_Good.pm
/usr/share/perl5/vendor_perl/RPerl/Test/SubroutineArguments/Package_10_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/SubroutineArguments/Package_10_Bad_01.pm
/usr/share/perl5/vendor_perl/RPerl/Test/SubroutineArguments/Package_10_Bad_02.pm
/usr/share/perl5/vendor_perl/RPerl/Test/SubroutineArguments/Package_10_Bad_03.pm
/usr/share/perl5/vendor_perl/RPerl/Test/SubroutineArguments/program_10_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/SubroutineArguments/program_10_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/SubroutineArguments/program_10_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/SubroutineArguments/program_10_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/SubroutineArguments/program_10_notgood_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/SubroutineArguments/program_10_notgood_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/SubroutineArguments/program_10_notgood_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/SubroutineArguments/program_10_notgood_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/AllTypes.pm
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/all_types_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/arrayref_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/arrayref_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/arrayref_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/arrayref_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/class_integer_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/hashref_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/hashref_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/hashref_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/hashref_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/integer_arrayref_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/integer_arrayref_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/integer_arrayref_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/integer_arrayref_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/integer_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/integer_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/integer_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/integer_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/integer_hashref_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/integer_hashref_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/integer_hashref_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/integer_hashref_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/number_arrayref_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/number_arrayref_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/number_arrayref_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/number_arrayref_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/number_arrayrefs_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/number_arrayrefs_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/number_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/number_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/number_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/number_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/number_hashref_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/number_hashref_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/number_hashref_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/number_hashref_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/number_hashrefs_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/number_hashrefs_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/string_arrayref_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/string_arrayref_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/string_arrayref_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/string_arrayref_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/string_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/string_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/string_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/string_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/string_hashref_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/string_hashref_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/string_hashref_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingOn/string_hashref_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/AllTypes.pm
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/all_types_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/arrayref_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/arrayref_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/arrayref_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/arrayref_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/class_integer_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/hashref_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/hashref_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/hashref_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/hashref_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/integer_arrayref_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/integer_arrayref_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/integer_arrayref_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/integer_arrayref_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/integer_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/integer_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/integer_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/integer_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/integer_hashref_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/integer_hashref_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/integer_hashref_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/integer_hashref_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/number_arrayref_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/number_arrayref_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/number_arrayref_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/number_arrayref_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/number_arrayrefs_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/number_arrayrefs_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/number_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/number_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/number_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/number_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/number_hashref_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/number_hashref_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/number_hashref_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/number_hashref_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/number_hashrefs_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/number_hashrefs_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/string_arrayref_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/string_arrayref_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/string_arrayref_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/string_arrayref_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/string_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/string_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/string_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/string_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/string_hashref_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/string_hashref_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/string_hashref_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeCheckingTrace/string_hashref_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeConversion/string_to_number_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeConversion/string_to_number_00_not_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeConversion/string_to_number_01_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/TypeConversion/string_to_number_01_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableDeclaration/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableDeclaration/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableDeclaration/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableDeclaration/program_01_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableDeclaration/program_01_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableDeclaration/program_02_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableDeclaration/program_02_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableDeclaration/program_03_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableDeclaration/program_03_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableDeclaration/program_04_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableDeclaration/program_04_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableDeclaration/program_05_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableDeclaration/program_05_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableDeclaration/program_10_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableDeclaration/program_10_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableDeclaration/program_11_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableDeclaration/program_11_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableDeclaration/program_12_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableDeclaration/program_12_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableDeclaration/program_13_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableDeclaration/program_13_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableDeclaration/program_14_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableDeclaration/program_14_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableDeclaration/program_20_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableDeclaration/program_20_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableDeclaration/program_21_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableDeclaration/program_21_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableDeclaration/program_22_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableDeclaration/program_22_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableDeclaration/program_23_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableDeclaration/program_23_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableDeclaration/program_30_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableDeclaration/program_30_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableDeclaration/program_30_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableDeclaration/program_40_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableDeclaration/program_40_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableDeclaration/program_40_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableModification/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableModification/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableModification/program_01_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableModification/program_01_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableModification/program_02_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableModification/program_02_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableModification/program_03_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableModification/program_03_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableModification/program_04_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableModification/program_04_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableModification/program_05_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableModification/program_05_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableModification/program_06_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableModification/program_06_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableModification/program_07_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableModification/program_07_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableModification/program_08_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableModification/program_08_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableModification/program_09_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableModification/program_09_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableModification/program_10_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableModification/program_10_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableRetrieval/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableRetrieval/program_00_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableRetrieval/program_01_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableRetrieval/program_01_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableRetrieval/program_02_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableRetrieval/program_02_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableRetrieval/program_03_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableRetrieval/program_03_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableRetrieval/program_04_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableRetrieval/program_04_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableRetrieval/program_05_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableRetrieval/program_05_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableRetrieval/program_06_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableRetrieval/program_06_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableRetrieval/program_07_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableRetrieval/program_07_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableRetrieval/program_08_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableRetrieval/program_08_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableRetrieval/program_09_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableRetrieval/program_09_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableRetrieval/program_10_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableRetrieval/program_10_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableRetrieval/program_11_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VariableRetrieval/program_11_good.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VersionNumber/Class_00_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/VersionNumber/Class_00_Bad_01.pm
/usr/share/perl5/vendor_perl/RPerl/Test/VersionNumber/Class_00_Bad_02.pm
/usr/share/perl5/vendor_perl/RPerl/Test/VersionNumber/Class_00_Bad_03.pm
/usr/share/perl5/vendor_perl/RPerl/Test/VersionNumber/Class_00_Bad_04.pm
/usr/share/perl5/vendor_perl/RPerl/Test/VersionNumber/Class_00_Bad_05.pm
/usr/share/perl5/vendor_perl/RPerl/Test/VersionNumber/Class_00_Bad_06.pm
/usr/share/perl5/vendor_perl/RPerl/Test/VersionNumber/Class_00_Bad_07.pm
/usr/share/perl5/vendor_perl/RPerl/Test/VersionNumber/Class_00_Bad_08.pm
/usr/share/perl5/vendor_perl/RPerl/Test/VersionNumber/Package_00_Bad_00.pm
/usr/share/perl5/vendor_perl/RPerl/Test/VersionNumber/Package_00_Bad_01.pm
/usr/share/perl5/vendor_perl/RPerl/Test/VersionNumber/Package_00_Bad_02.pm
/usr/share/perl5/vendor_perl/RPerl/Test/VersionNumber/Package_00_Bad_03.pm
/usr/share/perl5/vendor_perl/RPerl/Test/VersionNumber/Package_00_Bad_04.pm
/usr/share/perl5/vendor_perl/RPerl/Test/VersionNumber/Package_00_Bad_05.pm
/usr/share/perl5/vendor_perl/RPerl/Test/VersionNumber/Package_00_Bad_06.pm
/usr/share/perl5/vendor_perl/RPerl/Test/VersionNumber/Package_00_Bad_07.pm
/usr/share/perl5/vendor_perl/RPerl/Test/VersionNumber/Package_00_Bad_08.pm
/usr/share/perl5/vendor_perl/RPerl/Test/VersionNumber/program_00_bad_00.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VersionNumber/program_00_bad_01.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VersionNumber/program_00_bad_02.pl
/usr/share/perl5/vendor_perl/RPerl/Test/VersionNumber/program_00_bad_03.pl
/usr/share/perl5/vendor_perl/RPerl/Test.pm
/usr/share/perl5/vendor_perl/RPerl.cpp
/usr/share/perl5/vendor_perl/RPerl.h
/usr/share/perl5/vendor_perl/RPerl.pm
/usr/share/perl5/vendor_perl/_MyClass_Bad.pm
/usr/share/perl5/vendor_perl/perlapinames_generated.pm
/usr/share/perl5/vendor_perl/rperlgmp.h
/usr/share/perl5/vendor_perl/rperlgmp.pm
/usr/share/perl5/vendor_perl/rperlgsl.h
/usr/share/perl5/vendor_perl/rperlgsl.pm
/usr/share/perl5/vendor_perl/rperlnames.pm
/usr/share/perl5/vendor_perl/rperlnamespaces.pm
/usr/share/perl5/vendor_perl/rperlnamespaces_generated.pm
/usr/share/perl5/vendor_perl/rperloperations.h
/usr/share/perl5/vendor_perl/rperloperations.pm
/usr/share/perl5/vendor_perl/rperloptions.pm
/usr/share/perl5/vendor_perl/rperlrules.pm
/usr/share/perl5/vendor_perl/rperlsse.h
/usr/share/perl5/vendor_perl/rperlsse.pm
/usr/share/perl5/vendor_perl/rperlstandalone.h
/usr/share/perl5/vendor_perl/rperltypes.h
/usr/share/perl5/vendor_perl/rperltypes.pm
/usr/share/perl5/vendor_perl/rperltypes_mode.h
/usr/share/perl5/vendor_perl/rperltypesconv.pm
/usr/share/perl5/vendor_perl/rperltypessizes.pm
/usr/share/perl5/vendor_perl/typemap.rperl

%changelog

